// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 235);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var device = exports.device = {
  isIOS: function isIOS() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'ios';
  },
  isAndroid: function isAndroid() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'android';
  },

  /**
   * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
   * @returns {boolean}
   */
  isIPhoneX: function isIPhoneX() {
    var deviceHeight = weex.config.env.deviceHeight;

    return device.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
  },

  /**
   * 获取weex屏幕真实的设置高度，需要减去导航栏高度
   * @returns {Number}
   */
  getPageHeight: function getPageHeight() {
    return this.getScreenHeight() - this.getStatusBarHeight() - this.bottomSafeAreaHeight();
  },

  /**
   * 获取weex屏幕真实的设置高度
   * @returns {Number}
   */
  getScreenHeight: function getScreenHeight() {
    var env = weex.config.env;

    return env.deviceHeight / env.deviceWidth * 750;
  },
  bottomSafeAreaHeight: function bottomSafeAreaHeight() {
    var _weex$config = weex.config,
        env = _weex$config.env,
        homeIndicatorHeight = _weex$config.homeIndicatorHeight,
        navigationBarHeight = _weex$config.navigationBarHeight;

    var safeAreaHeight = 0;
    // 获取ios底部安全区域的高度
    if (device.isIPhoneX()) {
      safeAreaHeight = homeIndicatorHeight;
    } else if (device.isAndroid()) {
      // 安卓有底部虚拟键盘的高度
      safeAreaHeight = navigationBarHeight;
    }
    return safeAreaHeight / env.deviceWidth * 750;
  },
  getStatusBarHeight: function getStatusBarHeight() {
    var _weex$config2 = weex.config,
        env = _weex$config2.env,
        statusBarHeight = _weex$config2.statusBarHeight;

    return statusBarHeight / env.deviceWidth * 750;
  },
  makeClassList: function makeClassList(classList) {
    return Object.keys(classList).filter(function (classname) {
      return classList[classname];
    });
  }
};

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(16)
)

/* script */
__vue_exports__ = __webpack_require__(17)

/* template */
var __vue_template__ = __webpack_require__(18)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-cell/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7bc39716"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = {
  "lkl-cell": {
    "alignItems": "center",
    "flexDirection": "row",
    "paddingRight": "46",
    "backgroundColor": "#ffffff"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#DCDCDC"
  },
  "lkl-cell-label": {
    "width": "188",
    "fontSize": "28"
  },
  "lkl-cell-title": {
    "flex": 1
  },
  "right-arrow": {
    "width": "22",
    "height": "22",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#979797",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "borderRightColor": "#979797",
    "marginRight": "4",
    "transform": "rotate(-45deg)"
  }
}

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    cellStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    label: {
      type: String,
      default: ''
    },
    labelStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    hasArrow: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    handleClick: function handleClick(e) {
      this.$emit('wxClick', e);
    }
  }
};

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["lkl-cell"],
    class: [_vm.hasBottom ? 'bottom-border' : 'bottom-border-none'],
    style: _vm.cellStyle,
    on: {
      "click": _vm.handleClick
    }
  }, [_vm._t("label", [(_vm.label) ? _c('text', {
    staticClass: ["lkl-cell-label"],
    style: _vm.labelStyle
  }, [_vm._v(_vm._s(_vm.label))]) : _vm._e()]), _c('div', {
    staticClass: ["lkl-cell-title"]
  }, [_vm._t("title")], 2), _vm._t("value"), (_vm.hasArrow) ? _c('div', {
    staticClass: ["right-arrow"]
  }) : _vm._e()], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 235:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _conwifistep = __webpack_require__(236);

var _conwifistep2 = _interopRequireDefault(_conwifistep);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_conwifistep2.default.el = '#root';
new Vue(_conwifistep2.default);

/***/ }),

/***/ 236:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(237)
)

/* script */
__vue_exports__ = __webpack_require__(238)

/* template */
var __vue_template__ = __webpack_require__(239)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/box/conwifistep2.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7aecc14e"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 237:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#f1f1f1"
  },
  "mainbox": {
    "marginTop": "20"
  },
  "cellinfo": {
    "paddingLeft": "50"
  },
  "cellinfo-tip": {
    "paddingTop": "10",
    "paddingBottom": "10",
    "fontSize": "28",
    "color": "#323232"
  },
  "changwifi": {
    "paddingLeft": "50",
    "marginTop": "15"
  },
  "content-text": {
    "fontSize": "28"
  },
  "content-desc": {
    "marginTop": "8",
    "fontSize": "22",
    "color": "#FF0076"
  },
  "wifiicon": {
    "width": "40",
    "height": "30",
    "marginRight": "10"
  },
  "nofindinfo": {
    "fontSize": "26",
    "color": "#0076FF",
    "marginLeft": "50",
    "marginTop": "20"
  }
}

/***/ }),

/***/ 238:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = __webpack_require__(38);

var _regenerator2 = _interopRequireDefault(_regenerator);

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

var _lklIcon = __webpack_require__(24);

var _lklIcon2 = _interopRequireDefault(_lklIcon);

var _lklCell = __webpack_require__(15);

var _lklCell2 = _interopRequireDefault(_lklCell);

var _index = __webpack_require__(14);

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var globalEvent = weex.requireModule('globalEvent');

exports.default = {
    components: {
        LklHeader: _lklHeader2.default,
        LklCell: _lklCell2.default,
        LklIcon: _lklIcon2.default
    },
    data: function data() {
        return {
            currentWifi: '请选择要连接的Wi-Fi',
            wifi: false,
            wifiList: []
        };
    },
    mounted: function mounted() {
        var _this = this;

        globalEvent.addEventListener('viewWillAppear', function (e) {
            _this.getWifiInfo();
        });
    },
    created: function created() {
        this.getWifiInfo();
        // this.wifiList = await this.getwifiList();
    },

    methods: {
        //当前连接wifi
        getCurrentWifi: function getCurrentWifi() {
            var _this2 = this;

            return new Promise(function (resolve, reject) {
                _this2.$appTool.getConnectWiFi(function (wifiName) {
                    resolve(wifiName);
                });
            });
        },
        getWifiInfo: function getWifiInfo() {
            var _this3 = this;

            return _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
                var wifiName;
                return _regenerator2.default.wrap(function _callee$(_context) {
                    while (1) {
                        switch (_context.prev = _context.next) {
                            case 0:
                                wifiName = '';
                                _context.next = 3;
                                return _this3.getCurrentWifi();

                            case 3:
                                wifiName = _context.sent;

                                if (wifiName === '') {
                                    _this3.wifi = false;
                                    _this3.currentWifi = '请选择要连接的Wi-Fi';
                                    _this3.$notice.toast({ message: 'Wi-Fi未成功连接' });
                                } else {
                                    _this3.wifi = true;
                                    _this3.currentWifi = wifiName;
                                }

                            case 5:
                            case "end":
                                return _context.stop();
                        }
                    }
                }, _callee, _this3);
            }))();
        },

        //wifi列表
        getwifiList: function getwifiList() {
            var _this4 = this;

            return new Promise(function (resolve, reject) {
                _this4.$appTool.getLocalWiFiList(function (wifiList) {
                    resolve(wifiList);
                });
            });
        },

        //输入wifi密码
        connectwifi: function connectwifi() {
            this.$navigator.push({
                url: "box/inputwifipwd.js",
                params: { wifiName: this.currentWifi }
            });
        },

        //进入wifi列表
        goWiFiList: function goWiFiList() {
            if (_index.device.isAndroid()) {
                // this.$navigator.push({
                //     url: "box/wifilist.js",
                //     params:this.wifiList
                // });
                this.$appTool.jumptToSetting();
            } else {
                this.$premiss.jumptToSetting();
            }
        },
        confirmBtnClicked: function confirmBtnClicked() {
            this.$navigator.push({
                url: "box/scancongrps.js"
            });
        },

        //找不到wifi
        notFountWiFi: function notFountWiFi() {

            var data = {
                title: '连接问题',
                url: _config2.default.CONNECT_FAIL
            };
            this.$appTool.gotoBaseWebView(data.url, '', data.title);
        }
    }
};

/***/ }),

/***/ 239:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "连接Wi-Fi网络"
    }
  }), _c('div', {
    staticClass: ["mainbox"]
  }, [_c('text', {
    staticClass: ["cellinfo", "cellinfo-tip"]
  }, [_vm._v("当前手机连接")]), (_vm.wifi) ? _c('lkl-cell', {
    staticClass: ["cellinfo"],
    attrs: {
      "cellStyle": {
        height: '124px'
      },
      "hasBottom": true,
      "hasArrow": true
    },
    on: {
      "wxClick": _vm.connectwifi
    }
  }, [_c('image', {
    staticClass: ["wifiicon"],
    attrs: {
      "slot": "label",
      "src": "reslocal://assets/img/ic_wifi.png"
    },
    slot: "label"
  }), _c('text', {
    staticClass: ["content-text"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_vm._v(_vm._s(_vm.currentWifi))])]) : _c('lkl-cell', {
    staticClass: ["changwifi"],
    attrs: {
      "label": "请选择要连接的Wi-Fi",
      "cellStyle": {
        height: '104px'
      },
      "labelStyle": {
        width: '306px'
      },
      "hasArrow": true,
      "hasBottom": true
    },
    on: {
      "wxClick": _vm.goWiFiList
    }
  }), _c('text', {
    staticClass: ["nofindinfo"],
    on: {
      "click": _vm.notFountWiFi
    }
  }, [_vm._v("找不到要连接的Wi-Fi？")])], 1)], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(28)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-icon/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//

var _alias = __webpack_require__(29);

var _alias2 = _interopRequireDefault(_alias);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    name: {
      type: String,
      default: 'success'
    },
    fontSize: {
      type: String,
      default: '44px'
    },
    fontColor: {
      type: String,
      default: '#489de7'
    },
    iconStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  data: function data() {
    return {
      Icon: _alias2.default
    };
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
      // 'src': "url('reslocal://assets/iconfont/iconfont.ttf')"
      // 'src': "url('reslocal://assets/iconfont/common-iconfont.ttf')"
      'src': "url('/assets/iconfont/shticonfont.ttf')"

    });
  },

  computed: {
    mrIconStyle: function mrIconStyle() {
      var iconStyle = this.iconStyle,
          fontSize = this.fontSize,
          fontColor = this.fontColor;

      return _extends({
        fontFamily: 'iconfont',
        fontSize: fontSize,
        color: fontColor
      }, iconStyle);
    }
  },
  methods: {
    wxClick: function wxClick() {
      this.$emit('wxClick');
    }
  }
};

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {

  'back': '\uE604',
  'password': '\uE649',
  'mobile': '\uE646',
  'add': '\uE608',
  'reduce': '\uE60C',
  'arrowRight': '\uE60F',
  'icUp': '\uE604',
  'icDown': '\uE603',
  'icCalendar': '\uE62F',
  'iczxkf': '\uE616',
  'addImg': '\uE627'
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["icon-font"],
    style: _vm.mrIconStyle,
    on: {
      "click": _vm.wxClick
    }
  }, [_vm._v(_vm._s(_vm.Icon[_vm.name]))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(39);


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// This method of obtaining a reference to the global object needs to be
// kept identical to the way it is obtained in runtime.js
var g = (function() { return this })() || Function("return this")();

// Use `getOwnPropertyNames` because not all browsers support calling
// `hasOwnProperty` on the global `self` object in a worker. See #183.
var hadRuntime = g.regeneratorRuntime &&
  Object.getOwnPropertyNames(g).indexOf("regeneratorRuntime") >= 0;

// Save the old regeneratorRuntime in case it needs to be restored later.
var oldRuntime = hadRuntime && g.regeneratorRuntime;

// Force reevalutation of runtime.js.
g.regeneratorRuntime = undefined;

module.exports = __webpack_require__(40);

if (hadRuntime) {
  // Restore the original runtime.
  g.regeneratorRuntime = oldRuntime;
} else {
  // Remove the global property added by runtime.js.
  try {
    delete g.regeneratorRuntime;
  } catch(e) {
    g.regeneratorRuntime = undefined;
  }
}


/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 40:
/***/ (function(module, exports) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

!(function(global) {
  "use strict";

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  var inModule = typeof module === "object";
  var runtime = global.regeneratorRuntime;
  if (runtime) {
    if (inModule) {
      // If regeneratorRuntime is defined globally and we're in a module,
      // make the exports object identical to regeneratorRuntime.
      module.exports = runtime;
    }
    // Don't bother evaluating the rest of this file if the runtime was
    // already defined globally.
    return;
  }

  // Define the runtime globally (as expected by generated code) as either
  // module.exports (if we're in a module) or a new, empty object.
  runtime = global.regeneratorRuntime = inModule ? module.exports : {};

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  runtime.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  IteratorPrototype[iteratorSymbol] = function () {
    return this;
  };

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
  GeneratorFunctionPrototype.constructor = GeneratorFunction;
  GeneratorFunctionPrototype[toStringTagSymbol] =
    GeneratorFunction.displayName = "GeneratorFunction";

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      prototype[method] = function(arg) {
        return this._invoke(method, arg);
      };
    });
  }

  runtime.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  runtime.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      if (!(toStringTagSymbol in genFun)) {
        genFun[toStringTagSymbol] = "GeneratorFunction";
      }
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  runtime.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return Promise.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return Promise.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration. If the Promise is rejected, however, the
          // result for this iteration will be rejected with the same
          // reason. Note that rejections of yielded Promises are not
          // thrown back into the generator function, as is the case
          // when an awaited Promise is rejected. This difference in
          // behavior between yield and await is important, because it
          // allows the consumer to decide what to do with the yielded
          // rejection (swallow it and continue, manually .throw it back
          // into the generator, abandon iteration, whatever). With
          // await, by contrast, there is no opportunity to examine the
          // rejection reason outside the generator function, so the
          // only option is to throw it from the await expression, and
          // let the generator function handle the exception.
          result.value = unwrapped;
          resolve(result);
        }, reject);
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new Promise(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
    return this;
  };
  runtime.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  runtime.async = function(innerFn, outerFn, self, tryLocsList) {
    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList)
    );

    return runtime.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        if (delegate.iterator.return) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  Gp[toStringTagSymbol] = "Generator";

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  Gp[iteratorSymbol] = function() {
    return this;
  };

  Gp.toString = function() {
    return "[object Generator]";
  };

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  runtime.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  runtime.values = values;

  function doneResult() {
    return { value: undefined, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined;
      }

      return ContinueSentinel;
    }
  };
})(
  // In sloppy mode, unbound `this` refers to the global object, fallback to
  // Function constructor if we're in global strict mode. That is sadly a form
  // of indirect eval which violates Content Security Policy.
  (function() { return this })() || Function("return this")()
);


/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });