// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 427);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = {
  "lkl-btn": {
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": "20"
  },
  "lkl-btn-text": {
    "flex": 1,
    "textOverflow": "ellipsis",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//

var _type = __webpack_require__(12);

exports.default = {
  props: {
    size: {
      type: String,
      default: 'big'
    },
    type: {
      type: String,
      default: 'blue'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    btnStyle: Object,
    textStyle: Object,
    disabledStyle: Object
  },
  computed: {
    computedStyle: function computedStyle() {
      var type = this.type,
          size = this.size,
          btnStyle = this.btnStyle,
          disabled = this.disabled,
          disabledStyle = this.disabledStyle;

      var mrBtnStyle = _extends({}, _type.STYLE_MAP[type], _type.BUTTON_STYLE_MAP[size], {
        opacity: disabled ? 0.3 : 1
      }, btnStyle);
      if (disabled) {
        mrBtnStyle = Object.assign(mrBtnStyle, disabledStyle);
      }
      return mrBtnStyle;
    },
    mrTextStyle: function mrTextStyle() {
      var type = this.type,
          textStyle = this.textStyle,
          size = this.size;

      var mrTextStyle = _extends({}, _type.TEXT_STYLE_MAP[type], _type.TEXT_FONTSIZE_STYLE_MAP[size], textStyle);
      return mrTextStyle;
    }
  },
  methods: {
    onClicked: function onClicked(e) {
      var type = this.type,
          disabled = this.disabled;

      !disabled && this.$emit('wxClick', { e: e, type: type, disabled: disabled });
    }
  }
};

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var STYLE_MAP = exports.STYLE_MAP = {
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#489de7',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#59a7fa'
  },
  noBorder: {
    backgroundColor: '#FFFFFF'
  }
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  blue: {
    color: '#FFFFFF'
  },
  fliggy: {
    color: '#3D3D3D'
  },
  white: {
    color: '#489de7'
  },
  noBorder: {
    color: 'rgba(50,50,50,1)'
  }
};

var BUTTON_STYLE_MAP = exports.BUTTON_STYLE_MAP = {
  big: {
    width: '710px',
    height: '80px',
    lineHeight: '80px'
  },
  medium: {
    width: '456px',
    height: '80px',
    lineHeight: '80px'
  },
  small: {
    width: '190px',
    height: '66px',
    lineHeight: '66px'
  },
  mini: {
    width: '95px',
    height: '67px',
    lineHeight: '67px'
  }
};

var TEXT_FONTSIZE_STYLE_MAP = exports.TEXT_FONTSIZE_STYLE_MAP = {
  big: {
    fontSize: '32px'
  },
  medium: {
    fontSize: '28px'
  },
  small: {
    fontSize: '28px'
  },
  mini: {
    fontSize: '28px'
  }
};

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-btn"],
    style: _vm.computedStyle,
    on: {
      "click": _vm.onClicked
    }
  }, [_c('text', {
    staticClass: ["lkl-btn-text"],
    style: _vm.mrTextStyle
  }, [_vm._t("default")], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(16)
)

/* script */
__vue_exports__ = __webpack_require__(17)

/* template */
var __vue_template__ = __webpack_require__(18)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-cell/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7bc39716"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = {
  "lkl-cell": {
    "alignItems": "center",
    "flexDirection": "row",
    "paddingRight": "46",
    "backgroundColor": "#ffffff"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#DCDCDC"
  },
  "lkl-cell-label": {
    "width": "188",
    "fontSize": "28"
  },
  "lkl-cell-title": {
    "flex": 1
  },
  "right-arrow": {
    "width": "22",
    "height": "22",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#979797",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "borderRightColor": "#979797",
    "marginRight": "4",
    "transform": "rotate(-45deg)"
  }
}

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    cellStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    label: {
      type: String,
      default: ''
    },
    labelStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    hasArrow: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    handleClick: function handleClick(e) {
      this.$emit('wxClick', e);
    }
  }
};

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["lkl-cell"],
    class: [_vm.hasBottom ? 'bottom-border' : 'bottom-border-none'],
    style: _vm.cellStyle,
    on: {
      "click": _vm.handleClick
    }
  }, [_vm._t("label", [(_vm.label) ? _c('text', {
    staticClass: ["lkl-cell-label"],
    style: _vm.labelStyle
  }, [_vm._v(_vm._s(_vm.label))]) : _vm._e()]), _c('div', {
    staticClass: ["lkl-cell-title"]
  }, [_vm._t("title")], 2), _vm._t("value"), (_vm.hasArrow) ? _c('div', {
    staticClass: ["right-arrow"]
  }) : _vm._e()], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(39);


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// This method of obtaining a reference to the global object needs to be
// kept identical to the way it is obtained in runtime.js
var g = (function() { return this })() || Function("return this")();

// Use `getOwnPropertyNames` because not all browsers support calling
// `hasOwnProperty` on the global `self` object in a worker. See #183.
var hadRuntime = g.regeneratorRuntime &&
  Object.getOwnPropertyNames(g).indexOf("regeneratorRuntime") >= 0;

// Save the old regeneratorRuntime in case it needs to be restored later.
var oldRuntime = hadRuntime && g.regeneratorRuntime;

// Force reevalutation of runtime.js.
g.regeneratorRuntime = undefined;

module.exports = __webpack_require__(40);

if (hadRuntime) {
  // Restore the original runtime.
  g.regeneratorRuntime = oldRuntime;
} else {
  // Remove the global property added by runtime.js.
  try {
    delete g.regeneratorRuntime;
  } catch(e) {
    g.regeneratorRuntime = undefined;
  }
}


/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 40:
/***/ (function(module, exports) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

!(function(global) {
  "use strict";

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  var inModule = typeof module === "object";
  var runtime = global.regeneratorRuntime;
  if (runtime) {
    if (inModule) {
      // If regeneratorRuntime is defined globally and we're in a module,
      // make the exports object identical to regeneratorRuntime.
      module.exports = runtime;
    }
    // Don't bother evaluating the rest of this file if the runtime was
    // already defined globally.
    return;
  }

  // Define the runtime globally (as expected by generated code) as either
  // module.exports (if we're in a module) or a new, empty object.
  runtime = global.regeneratorRuntime = inModule ? module.exports : {};

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  runtime.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  IteratorPrototype[iteratorSymbol] = function () {
    return this;
  };

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
  GeneratorFunctionPrototype.constructor = GeneratorFunction;
  GeneratorFunctionPrototype[toStringTagSymbol] =
    GeneratorFunction.displayName = "GeneratorFunction";

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      prototype[method] = function(arg) {
        return this._invoke(method, arg);
      };
    });
  }

  runtime.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  runtime.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      if (!(toStringTagSymbol in genFun)) {
        genFun[toStringTagSymbol] = "GeneratorFunction";
      }
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  runtime.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return Promise.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return Promise.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration. If the Promise is rejected, however, the
          // result for this iteration will be rejected with the same
          // reason. Note that rejections of yielded Promises are not
          // thrown back into the generator function, as is the case
          // when an awaited Promise is rejected. This difference in
          // behavior between yield and await is important, because it
          // allows the consumer to decide what to do with the yielded
          // rejection (swallow it and continue, manually .throw it back
          // into the generator, abandon iteration, whatever). With
          // await, by contrast, there is no opportunity to examine the
          // rejection reason outside the generator function, so the
          // only option is to throw it from the await expression, and
          // let the generator function handle the exception.
          result.value = unwrapped;
          resolve(result);
        }, reject);
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new Promise(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
    return this;
  };
  runtime.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  runtime.async = function(innerFn, outerFn, self, tryLocsList) {
    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList)
    );

    return runtime.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        if (delegate.iterator.return) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  Gp[toStringTagSymbol] = "Generator";

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  Gp[iteratorSymbol] = function() {
    return this;
  };

  Gp.toString = function() {
    return "[object Generator]";
  };

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  runtime.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  runtime.values = values;

  function doneResult() {
    return { value: undefined, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined;
      }

      return ContinueSentinel;
    }
  };
})(
  // In sloppy mode, unbound `this` refers to the global object, fallback to
  // Function constructor if we're in global strict mode. That is sadly a form
  // of indirect eval which violates Content Security Policy.
  (function() { return this })() || Function("return this")()
);


/***/ }),

/***/ 427:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _paycode = __webpack_require__(428);

var _paycode2 = _interopRequireDefault(_paycode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_paycode2.default.el = '#root';
new Vue(_paycode2.default);

/***/ }),

/***/ 428:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(429)
)

/* script */
__vue_exports__ = __webpack_require__(430)

/* template */
var __vue_template__ = __webpack_require__(431)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/receipt/paycode.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-95acf670"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 429:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "alignItems": "center",
    "backgroundColor": "#66ccff"
  },
  "mainbox": {
    "position": "fixed",
    "left": "20",
    "right": "20",
    "top": "120",
    "bottom": "35",
    "borderRadius": "10",
    "backgroundColor": "#F0F8FF",
    "alignItems": "center"
  },
  "topinfo": {
    "height": "80",
    "width": "750",
    "alignItems": "center",
    "backgroundColor": "rgb(232,229,235)",
    "justifyContent": "center"
  },
  "hintinfo": {
    "fontSize": "28",
    "color": "rgb(135,134,139)"
  },
  "paynum": {
    "fontSize": "32",
    "marginTop": "30"
  },
  "refreshbox": {
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "30"
  },
  "refreshinfo": {
    "fontSize": "26",
    "color": "rgb(135,134,139)"
  },
  "refresh": {
    "fontSize": "26",
    "color": "#74def8"
  },
  "paycode": {
    "marginTop": "20",
    "width": "320",
    "height": "320"
  },
  "typetoast": {
    "marginTop": "50",
    "fontSize": "26",
    "color": "rgb(135,134,139)"
  },
  "paytype": {
    "width": "64",
    "height": "64",
    "marginTop": "8",
    "marginRight": "8",
    "marginBottom": "8",
    "marginLeft": "8"
  },
  "swith": {
    "marginTop": "40",
    "width": "260",
    "height": "100",
    "borderColor": "#DEB887",
    "borderWidth": "2",
    "borderRadius": "10",
    "justifyContent": "center"
  },
  "swithinfo": {
    "fontSize": "32",
    "color": "#74def8",
    "textAlign": "center"
  },
  "lklbtn": {
    "marginTop": "100",
    "marginBottom": "30",
    "width": "500",
    "height": "120"
  }
}

/***/ }),

/***/ 430:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _regenerator = __webpack_require__(38);

var _regenerator2 = _interopRequireDefault(_regenerator);

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

var _lklCell = __webpack_require__(15);

var _lklCell2 = _interopRequireDefault(_lklCell);

var _lklButton = __webpack_require__(9);

var _lklButton2 = _interopRequireDefault(_lklButton);

var _weexQrcode = __webpack_require__(91);

var _weexQrcode2 = _interopRequireDefault(_weexQrcode);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  components: {
    LklHeader: _lklHeader2.default,
    LklCell: _lklCell2.default,
    LklButton: _lklButton2.default,
    WeexQrcode: _weexQrcode2.default
  },
  data: function data() {
    return {
      payNum: "0.01",
      codeImg: "https://vuejs.org/images/logo.png",
      qrText: '',
      qrCell: 320,
      defaultStore: {},
      tradeResult: {},
      showCode: false
    };
  },
  created: function created() {
    var _this = this;

    this.$navigator.param(function (data) {
      _this.defaultStore = data.store;
      _this.payNum = data.amt;
      _this.getQrCode();
    });
  },

  methods: {
    getQrCode: function getQrCode() {
      var _this2 = this;

      return _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
        var shopNo, termId, shopName, shopType, amount, orderId, subject, description, location, str, sign, params;
        return _regenerator2.default.wrap(function _callee$(_context) {
          while (1) {
            switch (_context.prev = _context.next) {
              case 0:
                shopNo = _this2.defaultStore.shopNo;
                termId = _this2.defaultStore.termNo;
                shopName = _this2.defaultStore.name;
                shopType = '';
                amount = '000000000001';
                _context.next = 7;
                return _this2.payOrderid();

              case 7:
                orderId = _context.sent;
                subject = '';
                description = '';
                location = '';
                str = shopNo + termId + amount;
                _context.next = 14;
                return _this2.encrySign(str);

              case 14:
                sign = _context.sent;

                console.log("===============>shopNo:" + shopNo + "==termId:" + termId + "==orderId:" + orderId + "==shopName:" + shopName);
                params = {
                  shopNo: shopNo,
                  termId: termId,
                  shopName: shopName,
                  shopType: shopType,
                  amount: amount,
                  orderId: orderId,
                  subject: subject,
                  description: description,
                  location: location,
                  sign: sign
                };

                _this2.$fetch({
                  method: "POST",
                  url: "api/qr/transaction/create",
                  params: params
                }).then(function (res) {
                  if (res.retCode === "000000") {
                    _this2.tradeResult = res.retData;
                    _this2.qrText = _this2.tradeResult.code;
                    _this2.showCode = true;
                  } else {
                    _this2.$notice.toast({ message: "请求异常，请稍后再试" });
                  }
                }).catch(function (error) {
                  _this2.$notice.toast({ message: "请求异常，请稍后再试" });
                });

              case 18:
              case "end":
                return _context.stop();
            }
          }
        }, _callee, _this2);
      }))();
    },
    queryOrder: function queryOrder() {
      var _this3 = this;

      return _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee2() {
        var shopNo, termId, tradeNo, orderId, str, sign, params;
        return _regenerator2.default.wrap(function _callee2$(_context2) {
          while (1) {
            switch (_context2.prev = _context2.next) {
              case 0:
                shopNo = _this3.defaultStore.shopNo;
                termId = _this3.defaultStore.termNo;
                tradeNo = _this3.tradeResult.tradeNo;
                orderId = _this3.tradeResult.orderId;
                str = shopNo + termId + tradeNo;
                _context2.next = 7;
                return _this3.encrySign(str);

              case 7:
                sign = _context2.sent;
                params = {
                  shopNo: shopNo,
                  termId: termId,
                  tradeNo: tradeNo,
                  lklOrderNo: orderId,
                  sign: sign
                };

                _this3.$fetch({
                  method: "POST",
                  url: "api/qr/transaction/query",
                  params: params
                }).then(function (res) {
                  if (res.retCode === "000000") {
                    //交易成功
                    clearInterval(_this3.timeId);
                    _this3.paySuccess();
                  } else {
                    _this3.$notice.toast({ message: "请求异常，请稍后再试" });
                  }
                }).catch(function (error) {
                  _this3.$notice.toast({ message: "请求异常，请稍后再试" });
                });

              case 10:
              case "end":
                return _context2.stop();
            }
          }
        }, _callee2, _this3);
      }))();
    },
    paySuccess: function paySuccess() {
      this.$navigator.push({
        url: "receipt/detail.js"
      });
    },
    startPolling: function startPolling() {
      var _this4 = this;

      this.timeId = setInterval(function () {
        _this4.pollingNum++;
        if (_this4.pollingNum === 12) {
          //轮询结束
          clearInterval(_this4.timeId);
        }
        _this4.queryOrder();
      }, 5000);
    },
    payOrderid: function payOrderid() {
      var _this5 = this;

      return new Promise(function (resolve, reject) {
        _this5.$appTool.payOrderId(function (enStr) {
          resolve(enStr);
        });
      });
    },
    encrySign: function encrySign(str) {
      var _this6 = this;

      return new Promise(function (resolve, reject) {
        _this6.$tool.md5(str, function (enStr) {
          resolve(_this6.encryptPwd(enStr));
        });
      });
    },
    encryptPwd: function encryptPwd(pwd) {
      var _this7 = this;

      return new Promise(function (resolve, reject) {
        _this7.$tool.loginEncrypt(pwd, function (enPwd) {
          resolve(enPwd);
        });
      });
    }
  }
};

/***/ }),

/***/ 431:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "二维码收款",
      "backgroundColor": "#66ccff",
      "hasBottom": false
    }
  }), _c('div', {
    staticClass: ["mainbox"]
  }, [_vm._m(0), _c('text', {
    staticClass: ["paynum"]
  }, [_vm._v(_vm._s('¥' + _vm.payNum))]), _vm._m(1), (_vm.showCode) ? _c('weex-qrcode', {
    attrs: {
      "type": _vm.paycode,
      "text": _vm.qrText,
      "cell": _vm.qrCell
    }
  }) : _vm._e(), _c('text', {
    staticClass: ["typetoast"]
  }, [_vm._v("付款用户支持以下支付方式")]), _vm._m(2), _vm._m(3), _c('LklButton', {
    staticClass: ["lklbtn"],
    on: {
      "wxClick": _vm.test
    }
  }, [_vm._v("确认收款")]), _c('text', {
    staticClass: ["hintinfo"]
  }, [_vm._v("完成订单码收款后,即可查询交易结果")])], 1)], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["topinfo"]
  }, [_c('text', {
    staticClass: ["hintinfo"]
  }, [_vm._v("请付款用户扫描二维码向我付款")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["refreshbox"]
  }, [_c('text', {
    staticClass: ["refreshinfo"]
  }, [_vm._v("更新二维码,点击")]), _c('text', {
    staticClass: ["refresh"]
  }, [_vm._v("刷新")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["refreshbox"]
  }, [_c('image', {
    staticClass: ["paytype"],
    attrs: {
      "src": "reslocal://assets/img/im_wechat.png"
    }
  }), _c('image', {
    staticClass: ["paytype"],
    attrs: {
      "src": "reslocal://assets/img/ic_merchant_pay.png"
    }
  }), _c('image', {
    staticClass: ["paytype"],
    attrs: {
      "src": "reslocal://assets/img/im_unionpay.png"
    }
  })])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["swith"]
  }, [_c('text', {
    staticClass: ["swithinfo"]
  }, [_vm._v("切换扫一扫")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(10)
)

/* script */
__vue_exports__ = __webpack_require__(11)

/* template */
var __vue_template__ = __webpack_require__(13)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-button/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-71771045"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 91:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _index = __webpack_require__(92);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = _index2.default;

/***/ }),

/***/ 92:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(93)

/* template */
var __vue_template__ = __webpack_require__(95)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/node_modules/weex-qrcode/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 93:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _qrcodeGenerator = __webpack_require__(94);

var _qrcodeGenerator2 = _interopRequireDefault(_qrcodeGenerator);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var background = '#ffffff'; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var foreground = '#000000';

exports.default = {
    props: {
        text: {
            type: String,
            default: 'weex-qrcode'
        },
        cell: {
            type: Number,
            default: 100
        },
        type: {
            type: String,
            default: 'div'
        },
        typeNumber: {
            type: Number,
            default: 0
        },
        errorCorrectionLevel: {
            type: String,
            default: 'H'
        }
    },
    data: function data() {
        return {
            background: background,
            qrData: [],
            qrGif: '',
            qrType: 'div'
        };
    },
    created: function created() {},
    mounted: function mounted() {
        this.createQR(this.text, this.cell, this.type);
    },

    watch: {
        text: function text(val) {
            this.createQR(val, this.cell, this.type);
        },
        cell: function cell(val) {
            this.createQR(this.text, val, this.type);
        }
    },
    methods: {
        createQR: function createQR(text, cell, typ) {
            this.qrType = typ;

            _qrcodeGenerator2.default.stringToBytes = _qrcodeGenerator2.default.stringToBytesFuncs['UTF-8'];

            var qr = (0, _qrcodeGenerator2.default)(this.typeNumber, this.errorCorrectionLevel);
            qr.addData(text);
            qr.make();

            if (this.qrType == 'gif') {
                this.qrGif = qr.createDataURL(this.cell, 0);
                return;
            }

            this.qrType = 'div';
            this.qrData = this.createDivTag(qr, cell);
        },
        createDivTag: function createDivTag(qr, cell) {
            // \u0020 半角空格
            var qrData = [];

            var tileCell = cell / qr.getModuleCount() + 'px';

            for (var row = 0; row < qr.getModuleCount(); row++) {
                var tempRow = {
                    cell: tileCell,
                    cols: []
                };

                for (var col = 0; col < qr.getModuleCount(); col++) {
                    var tempCol = {
                        background: background
                    };

                    if (qr.isDark(row, col)) {
                        tempCol.background = foreground;
                    }

                    tempRow.cols.push(tempCol);
                }

                qrData.push(tempRow);
            }

            return qrData;
        }
    },
    computed: {}
};

/***/ }),

/***/ 94:
/***/ (function(module, exports, __webpack_require__) {

var __WEBPACK_AMD_DEFINE_FACTORY__, __WEBPACK_AMD_DEFINE_ARRAY__, __WEBPACK_AMD_DEFINE_RESULT__;//---------------------------------------------------------------------
//
// QR Code Generator for JavaScript
//
// Copyright (c) 2009 Kazuhiko Arase
//
// URL: http://www.d-project.com/
//
// Licensed under the MIT license:
//  http://www.opensource.org/licenses/mit-license.php
//
// The word 'QR Code' is registered trademark of
// DENSO WAVE INCORPORATED
//  http://www.denso-wave.com/qrcode/faqpatent-e.html
//
//---------------------------------------------------------------------

var qrcode = function() {

  //---------------------------------------------------------------------
  // qrcode
  //---------------------------------------------------------------------

  /**
   * qrcode
   * @param typeNumber 1 to 40
   * @param errorCorrectionLevel 'L','M','Q','H'
   */
  var qrcode = function(typeNumber, errorCorrectionLevel) {

    var PAD0 = 0xEC;
    var PAD1 = 0x11;

    var _typeNumber = typeNumber;
    var _errorCorrectionLevel = QRErrorCorrectionLevel[errorCorrectionLevel];
    var _modules = null;
    var _moduleCount = 0;
    var _dataCache = null;
    var _dataList = [];

    var _this = {};

    var makeImpl = function(test, maskPattern) {

      _moduleCount = _typeNumber * 4 + 17;
      _modules = function(moduleCount) {
        var modules = new Array(moduleCount);
        for (var row = 0; row < moduleCount; row += 1) {
          modules[row] = new Array(moduleCount);
          for (var col = 0; col < moduleCount; col += 1) {
            modules[row][col] = null;
          }
        }
        return modules;
      }(_moduleCount);

      setupPositionProbePattern(0, 0);
      setupPositionProbePattern(_moduleCount - 7, 0);
      setupPositionProbePattern(0, _moduleCount - 7);
      setupPositionAdjustPattern();
      setupTimingPattern();
      setupTypeInfo(test, maskPattern);

      if (_typeNumber >= 7) {
        setupTypeNumber(test);
      }

      if (_dataCache == null) {
        _dataCache = createData(_typeNumber, _errorCorrectionLevel, _dataList);
      }

      mapData(_dataCache, maskPattern);
    };

    var setupPositionProbePattern = function(row, col) {

      for (var r = -1; r <= 7; r += 1) {

        if (row + r <= -1 || _moduleCount <= row + r) continue;

        for (var c = -1; c <= 7; c += 1) {

          if (col + c <= -1 || _moduleCount <= col + c) continue;

          if ( (0 <= r && r <= 6 && (c == 0 || c == 6) )
              || (0 <= c && c <= 6 && (r == 0 || r == 6) )
              || (2 <= r && r <= 4 && 2 <= c && c <= 4) ) {
            _modules[row + r][col + c] = true;
          } else {
            _modules[row + r][col + c] = false;
          }
        }
      }
    };

    var getBestMaskPattern = function() {

      var minLostPoint = 0;
      var pattern = 0;

      for (var i = 0; i < 8; i += 1) {

        makeImpl(true, i);

        var lostPoint = QRUtil.getLostPoint(_this);

        if (i == 0 || minLostPoint > lostPoint) {
          minLostPoint = lostPoint;
          pattern = i;
        }
      }

      return pattern;
    };

    var setupTimingPattern = function() {

      for (var r = 8; r < _moduleCount - 8; r += 1) {
        if (_modules[r][6] != null) {
          continue;
        }
        _modules[r][6] = (r % 2 == 0);
      }

      for (var c = 8; c < _moduleCount - 8; c += 1) {
        if (_modules[6][c] != null) {
          continue;
        }
        _modules[6][c] = (c % 2 == 0);
      }
    };

    var setupPositionAdjustPattern = function() {

      var pos = QRUtil.getPatternPosition(_typeNumber);

      for (var i = 0; i < pos.length; i += 1) {

        for (var j = 0; j < pos.length; j += 1) {

          var row = pos[i];
          var col = pos[j];

          if (_modules[row][col] != null) {
            continue;
          }

          for (var r = -2; r <= 2; r += 1) {

            for (var c = -2; c <= 2; c += 1) {

              if (r == -2 || r == 2 || c == -2 || c == 2
                  || (r == 0 && c == 0) ) {
                _modules[row + r][col + c] = true;
              } else {
                _modules[row + r][col + c] = false;
              }
            }
          }
        }
      }
    };

    var setupTypeNumber = function(test) {

      var bits = QRUtil.getBCHTypeNumber(_typeNumber);

      for (var i = 0; i < 18; i += 1) {
        var mod = (!test && ( (bits >> i) & 1) == 1);
        _modules[Math.floor(i / 3)][i % 3 + _moduleCount - 8 - 3] = mod;
      }

      for (var i = 0; i < 18; i += 1) {
        var mod = (!test && ( (bits >> i) & 1) == 1);
        _modules[i % 3 + _moduleCount - 8 - 3][Math.floor(i / 3)] = mod;
      }
    };

    var setupTypeInfo = function(test, maskPattern) {

      var data = (_errorCorrectionLevel << 3) | maskPattern;
      var bits = QRUtil.getBCHTypeInfo(data);

      // vertical
      for (var i = 0; i < 15; i += 1) {

        var mod = (!test && ( (bits >> i) & 1) == 1);

        if (i < 6) {
          _modules[i][8] = mod;
        } else if (i < 8) {
          _modules[i + 1][8] = mod;
        } else {
          _modules[_moduleCount - 15 + i][8] = mod;
        }
      }

      // horizontal
      for (var i = 0; i < 15; i += 1) {

        var mod = (!test && ( (bits >> i) & 1) == 1);

        if (i < 8) {
          _modules[8][_moduleCount - i - 1] = mod;
        } else if (i < 9) {
          _modules[8][15 - i - 1 + 1] = mod;
        } else {
          _modules[8][15 - i - 1] = mod;
        }
      }

      // fixed module
      _modules[_moduleCount - 8][8] = (!test);
    };

    var mapData = function(data, maskPattern) {

      var inc = -1;
      var row = _moduleCount - 1;
      var bitIndex = 7;
      var byteIndex = 0;
      var maskFunc = QRUtil.getMaskFunction(maskPattern);

      for (var col = _moduleCount - 1; col > 0; col -= 2) {

        if (col == 6) col -= 1;

        while (true) {

          for (var c = 0; c < 2; c += 1) {

            if (_modules[row][col - c] == null) {

              var dark = false;

              if (byteIndex < data.length) {
                dark = ( ( (data[byteIndex] >>> bitIndex) & 1) == 1);
              }

              var mask = maskFunc(row, col - c);

              if (mask) {
                dark = !dark;
              }

              _modules[row][col - c] = dark;
              bitIndex -= 1;

              if (bitIndex == -1) {
                byteIndex += 1;
                bitIndex = 7;
              }
            }
          }

          row += inc;

          if (row < 0 || _moduleCount <= row) {
            row -= inc;
            inc = -inc;
            break;
          }
        }
      }
    };

    var createBytes = function(buffer, rsBlocks) {

      var offset = 0;

      var maxDcCount = 0;
      var maxEcCount = 0;

      var dcdata = new Array(rsBlocks.length);
      var ecdata = new Array(rsBlocks.length);

      for (var r = 0; r < rsBlocks.length; r += 1) {

        var dcCount = rsBlocks[r].dataCount;
        var ecCount = rsBlocks[r].totalCount - dcCount;

        maxDcCount = Math.max(maxDcCount, dcCount);
        maxEcCount = Math.max(maxEcCount, ecCount);

        dcdata[r] = new Array(dcCount);

        for (var i = 0; i < dcdata[r].length; i += 1) {
          dcdata[r][i] = 0xff & buffer.getBuffer()[i + offset];
        }
        offset += dcCount;

        var rsPoly = QRUtil.getErrorCorrectPolynomial(ecCount);
        var rawPoly = qrPolynomial(dcdata[r], rsPoly.getLength() - 1);

        var modPoly = rawPoly.mod(rsPoly);
        ecdata[r] = new Array(rsPoly.getLength() - 1);
        for (var i = 0; i < ecdata[r].length; i += 1) {
          var modIndex = i + modPoly.getLength() - ecdata[r].length;
          ecdata[r][i] = (modIndex >= 0)? modPoly.getAt(modIndex) : 0;
        }
      }

      var totalCodeCount = 0;
      for (var i = 0; i < rsBlocks.length; i += 1) {
        totalCodeCount += rsBlocks[i].totalCount;
      }

      var data = new Array(totalCodeCount);
      var index = 0;

      for (var i = 0; i < maxDcCount; i += 1) {
        for (var r = 0; r < rsBlocks.length; r += 1) {
          if (i < dcdata[r].length) {
            data[index] = dcdata[r][i];
            index += 1;
          }
        }
      }

      for (var i = 0; i < maxEcCount; i += 1) {
        for (var r = 0; r < rsBlocks.length; r += 1) {
          if (i < ecdata[r].length) {
            data[index] = ecdata[r][i];
            index += 1;
          }
        }
      }

      return data;
    };

    var createData = function(typeNumber, errorCorrectionLevel, dataList) {

      var rsBlocks = QRRSBlock.getRSBlocks(typeNumber, errorCorrectionLevel);

      var buffer = qrBitBuffer();

      for (var i = 0; i < dataList.length; i += 1) {
        var data = dataList[i];
        buffer.put(data.getMode(), 4);
        buffer.put(data.getLength(), QRUtil.getLengthInBits(data.getMode(), typeNumber) );
        data.write(buffer);
      }

      // calc num max data.
      var totalDataCount = 0;
      for (var i = 0; i < rsBlocks.length; i += 1) {
        totalDataCount += rsBlocks[i].dataCount;
      }

      if (buffer.getLengthInBits() > totalDataCount * 8) {
        throw 'code length overflow. ('
          + buffer.getLengthInBits()
          + '>'
          + totalDataCount * 8
          + ')';
      }

      // end code
      if (buffer.getLengthInBits() + 4 <= totalDataCount * 8) {
        buffer.put(0, 4);
      }

      // padding
      while (buffer.getLengthInBits() % 8 != 0) {
        buffer.putBit(false);
      }

      // padding
      while (true) {

        if (buffer.getLengthInBits() >= totalDataCount * 8) {
          break;
        }
        buffer.put(PAD0, 8);

        if (buffer.getLengthInBits() >= totalDataCount * 8) {
          break;
        }
        buffer.put(PAD1, 8);
      }

      return createBytes(buffer, rsBlocks);
    };

    _this.addData = function(data, mode) {

      mode = mode || 'Byte';

      var newData = null;

      switch(mode) {
      case 'Numeric' :
        newData = qrNumber(data);
        break;
      case 'Alphanumeric' :
        newData = qrAlphaNum(data);
        break;
      case 'Byte' :
        newData = qr8BitByte(data);
        break;
      case 'Kanji' :
        newData = qrKanji(data);
        break;
      default :
        throw 'mode:' + mode;
      }

      _dataList.push(newData);
      _dataCache = null;
    };

    _this.isDark = function(row, col) {
      if (row < 0 || _moduleCount <= row || col < 0 || _moduleCount <= col) {
        throw row + ',' + col;
      }
      return _modules[row][col];
    };

    _this.getModuleCount = function() {
      return _moduleCount;
    };

    _this.make = function() {
      if (_typeNumber < 1) {
        var typeNumber = 1;

        for (; typeNumber < 40; typeNumber++) {
          var rsBlocks = QRRSBlock.getRSBlocks(typeNumber, _errorCorrectionLevel);
          var buffer = qrBitBuffer();

          for (var i = 0; i < _dataList.length; i++) {
            var data = _dataList[i];
            buffer.put(data.getMode(), 4);
            buffer.put(data.getLength(), QRUtil.getLengthInBits(data.getMode(), typeNumber) );
            data.write(buffer);
          }

          var totalDataCount = 0;
          for (var i = 0; i < rsBlocks.length; i++) {
            totalDataCount += rsBlocks[i].dataCount;
          }

          if (buffer.getLengthInBits() <= totalDataCount * 8) {
            break;
          }
        }

        _typeNumber = typeNumber;
      }

      makeImpl(false, getBestMaskPattern() );
    };

    _this.createTableTag = function(cellSize, margin) {

      cellSize = cellSize || 2;
      margin = (typeof margin == 'undefined')? cellSize * 4 : margin;

      var qrHtml = '';

      qrHtml += '<table style="';
      qrHtml += ' border-width: 0px; border-style: none;';
      qrHtml += ' border-collapse: collapse;';
      qrHtml += ' padding: 0px; margin: ' + margin + 'px;';
      qrHtml += '">';
      qrHtml += '<tbody>';

      for (var r = 0; r < _this.getModuleCount(); r += 1) {

        qrHtml += '<tr>';

        for (var c = 0; c < _this.getModuleCount(); c += 1) {
          qrHtml += '<td style="';
          qrHtml += ' border-width: 0px; border-style: none;';
          qrHtml += ' border-collapse: collapse;';
          qrHtml += ' padding: 0px; margin: 0px;';
          qrHtml += ' width: ' + cellSize + 'px;';
          qrHtml += ' height: ' + cellSize + 'px;';
          qrHtml += ' background-color: ';
          qrHtml += _this.isDark(r, c)? '#000000' : '#ffffff';
          qrHtml += ';';
          qrHtml += '"/>';
        }

        qrHtml += '</tr>';
      }

      qrHtml += '</tbody>';
      qrHtml += '</table>';

      return qrHtml;
    };

    _this.createSvgTag = function(cellSize, margin, alt, title) {

      var opts = {};
      if (typeof arguments[0] == 'object') {
        // Called by options.
        opts = arguments[0];
        // overwrite cellSize and margin.
        cellSize = opts.cellSize;
        margin = opts.margin;
        alt = opts.alt;
        title = opts.title;
      }

      cellSize = cellSize || 2;
      margin = (typeof margin == 'undefined')? cellSize * 4 : margin;

      // Compose alt property surrogate
      alt = (typeof alt === 'string') ? {text: alt} : alt || {};
      alt.text = alt.text || null;
      alt.id = (alt.text) ? alt.id || 'qrcode-description' : null;

      // Compose title property surrogate
      title = (typeof title === 'string') ? {text: title} : title || {};
      title.text = title.text || null;
      title.id = (title.text) ? title.id || 'qrcode-title' : null;

      var size = _this.getModuleCount() * cellSize + margin * 2;
      var c, mc, r, mr, qrSvg='', rect;

      rect = 'l' + cellSize + ',0 0,' + cellSize +
        ' -' + cellSize + ',0 0,-' + cellSize + 'z ';

      qrSvg += '<svg version="1.1" xmlns="http://www.w3.org/2000/svg"';
      qrSvg += !opts.scalable ? ' width="' + size + 'px" height="' + size + 'px"' : '';
      qrSvg += ' viewBox="0 0 ' + size + ' ' + size + '" ';
      qrSvg += ' preserveAspectRatio="xMinYMin meet"';
      qrSvg += (title.text || alt.text) ? ' role="img" aria-labelledby="' +
          escapeXml([title.id, alt.id].join(' ').trim() ) + '"' : '';
      qrSvg += '>';
      qrSvg += (title.text) ? '<title id="' + escapeXml(title.id) + '">' +
          escapeXml(title.text) + '</title>' : '';
      qrSvg += (alt.text) ? '<description id="' + escapeXml(alt.id) + '">' +
          escapeXml(alt.text) + '</description>' : '';
      qrSvg += '<rect width="100%" height="100%" fill="white" cx="0" cy="0"/>';
      qrSvg += '<path d="';

      for (r = 0; r < _this.getModuleCount(); r += 1) {
        mr = r * cellSize + margin;
        for (c = 0; c < _this.getModuleCount(); c += 1) {
          if (_this.isDark(r, c) ) {
            mc = c*cellSize+margin;
            qrSvg += 'M' + mc + ',' + mr + rect;
          }
        }
      }

      qrSvg += '" stroke="transparent" fill="black"/>';
      qrSvg += '</svg>';

      return qrSvg;
    };

    _this.createDataURL = function(cellSize, margin) {

      cellSize = cellSize || 2;
      margin = (typeof margin == 'undefined')? cellSize * 4 : margin;

      var size = _this.getModuleCount() * cellSize + margin * 2;
      var min = margin;
      var max = size - margin;

      return createDataURL(size, size, function(x, y) {
        if (min <= x && x < max && min <= y && y < max) {
          var c = Math.floor( (x - min) / cellSize);
          var r = Math.floor( (y - min) / cellSize);
          return _this.isDark(r, c)? 0 : 1;
        } else {
          return 1;
        }
      } );
    };

    _this.createImgTag = function(cellSize, margin, alt) {

      cellSize = cellSize || 2;
      margin = (typeof margin == 'undefined')? cellSize * 4 : margin;

      var size = _this.getModuleCount() * cellSize + margin * 2;

      var img = '';
      img += '<img';
      img += '\u0020src="';
      img += _this.createDataURL(cellSize, margin);
      img += '"';
      img += '\u0020width="';
      img += size;
      img += '"';
      img += '\u0020height="';
      img += size;
      img += '"';
      if (alt) {
        img += '\u0020alt="';
        img += escapeXml(alt);
        img += '"';
      }
      img += '/>';

      return img;
    };

    var escapeXml = function(s) {
      var escaped = '';
      for (var i = 0; i < s.length; i += 1) {
        var c = s.charAt(i);
        switch(c) {
        case '<': escaped += '&lt;'; break;
        case '>': escaped += '&gt;'; break;
        case '&': escaped += '&amp;'; break;
        case '"': escaped += '&quot;'; break;
        default : escaped += c; break;
        }
      }
      return escaped;
    };

    var _createHalfASCII = function(margin) {
      var cellSize = 1;
      margin = (typeof margin == 'undefined')? cellSize * 2 : margin;

      var size = _this.getModuleCount() * cellSize + margin * 2;
      var min = margin;
      var max = size - margin;

      var y, x, r1, r2, p;

      var blocks = {
        '██': '█',
        '█ ': '▀',
        ' █': '▄',
        '  ': ' '
      };

      var blocksLastLineNoMargin = {
        '██': '▀',
        '█ ': '▀',
        ' █': ' ',
        '  ': ' '
      };

      var ascii = '';
      for (y = 0; y < size; y += 2) {
        r1 = Math.floor((y - min) / cellSize);
        r2 = Math.floor((y + 1 - min) / cellSize);
        for (x = 0; x < size; x += 1) {
          p = '█';

          if (min <= x && x < max && min <= y && y < max && _this.isDark(r1, Math.floor((x - min) / cellSize))) {
            p = ' ';
          }

          if (min <= x && x < max && min <= y+1 && y+1 < max && _this.isDark(r2, Math.floor((x - min) / cellSize))) {
            p += ' ';
          }
          else {
            p += '█';
          }

          // Output 2 characters per pixel, to create full square. 1 character per pixels gives only half width of square.
          ascii += (margin < 1 && y+1 >= max) ? blocksLastLineNoMargin[p] : blocks[p];
        }

        ascii += '\n';
      }

      if (size % 2 && margin > 0) {
        return ascii.substring(0, ascii.length - size - 1) + Array(size+1).join('▀');
      }

      return ascii.substring(0, ascii.length-1);
    };

    _this.createASCII = function(cellSize, margin) {
      cellSize = cellSize || 1;

      if (cellSize < 2) {
        return _createHalfASCII(margin);
      }

      cellSize -= 1;
      margin = (typeof margin == 'undefined')? cellSize * 2 : margin;

      var size = _this.getModuleCount() * cellSize + margin * 2;
      var min = margin;
      var max = size - margin;

      var y, x, r, p;

      var white = Array(cellSize+1).join('██');
      var black = Array(cellSize+1).join('  ');

      var ascii = '';
      var line = '';
      for (y = 0; y < size; y += 1) {
        r = Math.floor( (y - min) / cellSize);
        line = '';
        for (x = 0; x < size; x += 1) {
          p = 1;

          if (min <= x && x < max && min <= y && y < max && _this.isDark(r, Math.floor((x - min) / cellSize))) {
            p = 0;
          }

          // Output 2 characters per pixel, to create full square. 1 character per pixels gives only half width of square.
          line += p ? white : black;
        }

        for (r = 0; r < cellSize; r += 1) {
          ascii += line + '\n';
        }
      }

      return ascii.substring(0, ascii.length-1);
    };

    _this.renderTo2dContext = function(context, cellSize) {
      cellSize = cellSize || 2;
      var length = _this.getModuleCount();
      for (var row = 0; row < length; row++) {
        for (var col = 0; col < length; col++) {
          context.fillStyle = _this.isDark(row, col) ? 'black' : 'white';
          context.fillRect(row * cellSize, col * cellSize, cellSize, cellSize);
        }
      }
    }

    return _this;
  };

  //---------------------------------------------------------------------
  // qrcode.stringToBytes
  //---------------------------------------------------------------------

  qrcode.stringToBytesFuncs = {
    'default' : function(s) {
      var bytes = [];
      for (var i = 0; i < s.length; i += 1) {
        var c = s.charCodeAt(i);
        bytes.push(c & 0xff);
      }
      return bytes;
    }
  };

  qrcode.stringToBytes = qrcode.stringToBytesFuncs['default'];

  //---------------------------------------------------------------------
  // qrcode.createStringToBytes
  //---------------------------------------------------------------------

  /**
   * @param unicodeData base64 string of byte array.
   * [16bit Unicode],[16bit Bytes], ...
   * @param numChars
   */
  qrcode.createStringToBytes = function(unicodeData, numChars) {

    // create conversion map.

    var unicodeMap = function() {

      var bin = base64DecodeInputStream(unicodeData);
      var read = function() {
        var b = bin.read();
        if (b == -1) throw 'eof';
        return b;
      };

      var count = 0;
      var unicodeMap = {};
      while (true) {
        var b0 = bin.read();
        if (b0 == -1) break;
        var b1 = read();
        var b2 = read();
        var b3 = read();
        var k = String.fromCharCode( (b0 << 8) | b1);
        var v = (b2 << 8) | b3;
        unicodeMap[k] = v;
        count += 1;
      }
      if (count != numChars) {
        throw count + ' != ' + numChars;
      }

      return unicodeMap;
    }();

    var unknownChar = '?'.charCodeAt(0);

    return function(s) {
      var bytes = [];
      for (var i = 0; i < s.length; i += 1) {
        var c = s.charCodeAt(i);
        if (c < 128) {
          bytes.push(c);
        } else {
          var b = unicodeMap[s.charAt(i)];
          if (typeof b == 'number') {
            if ( (b & 0xff) == b) {
              // 1byte
              bytes.push(b);
            } else {
              // 2bytes
              bytes.push(b >>> 8);
              bytes.push(b & 0xff);
            }
          } else {
            bytes.push(unknownChar);
          }
        }
      }
      return bytes;
    };
  };

  //---------------------------------------------------------------------
  // QRMode
  //---------------------------------------------------------------------

  var QRMode = {
    MODE_NUMBER :    1 << 0,
    MODE_ALPHA_NUM : 1 << 1,
    MODE_8BIT_BYTE : 1 << 2,
    MODE_KANJI :     1 << 3
  };

  //---------------------------------------------------------------------
  // QRErrorCorrectionLevel
  //---------------------------------------------------------------------

  var QRErrorCorrectionLevel = {
    L : 1,
    M : 0,
    Q : 3,
    H : 2
  };

  //---------------------------------------------------------------------
  // QRMaskPattern
  //---------------------------------------------------------------------

  var QRMaskPattern = {
    PATTERN000 : 0,
    PATTERN001 : 1,
    PATTERN010 : 2,
    PATTERN011 : 3,
    PATTERN100 : 4,
    PATTERN101 : 5,
    PATTERN110 : 6,
    PATTERN111 : 7
  };

  //---------------------------------------------------------------------
  // QRUtil
  //---------------------------------------------------------------------

  var QRUtil = function() {

    var PATTERN_POSITION_TABLE = [
      [],
      [6, 18],
      [6, 22],
      [6, 26],
      [6, 30],
      [6, 34],
      [6, 22, 38],
      [6, 24, 42],
      [6, 26, 46],
      [6, 28, 50],
      [6, 30, 54],
      [6, 32, 58],
      [6, 34, 62],
      [6, 26, 46, 66],
      [6, 26, 48, 70],
      [6, 26, 50, 74],
      [6, 30, 54, 78],
      [6, 30, 56, 82],
      [6, 30, 58, 86],
      [6, 34, 62, 90],
      [6, 28, 50, 72, 94],
      [6, 26, 50, 74, 98],
      [6, 30, 54, 78, 102],
      [6, 28, 54, 80, 106],
      [6, 32, 58, 84, 110],
      [6, 30, 58, 86, 114],
      [6, 34, 62, 90, 118],
      [6, 26, 50, 74, 98, 122],
      [6, 30, 54, 78, 102, 126],
      [6, 26, 52, 78, 104, 130],
      [6, 30, 56, 82, 108, 134],
      [6, 34, 60, 86, 112, 138],
      [6, 30, 58, 86, 114, 142],
      [6, 34, 62, 90, 118, 146],
      [6, 30, 54, 78, 102, 126, 150],
      [6, 24, 50, 76, 102, 128, 154],
      [6, 28, 54, 80, 106, 132, 158],
      [6, 32, 58, 84, 110, 136, 162],
      [6, 26, 54, 82, 110, 138, 166],
      [6, 30, 58, 86, 114, 142, 170]
    ];
    var G15 = (1 << 10) | (1 << 8) | (1 << 5) | (1 << 4) | (1 << 2) | (1 << 1) | (1 << 0);
    var G18 = (1 << 12) | (1 << 11) | (1 << 10) | (1 << 9) | (1 << 8) | (1 << 5) | (1 << 2) | (1 << 0);
    var G15_MASK = (1 << 14) | (1 << 12) | (1 << 10) | (1 << 4) | (1 << 1);

    var _this = {};

    var getBCHDigit = function(data) {
      var digit = 0;
      while (data != 0) {
        digit += 1;
        data >>>= 1;
      }
      return digit;
    };

    _this.getBCHTypeInfo = function(data) {
      var d = data << 10;
      while (getBCHDigit(d) - getBCHDigit(G15) >= 0) {
        d ^= (G15 << (getBCHDigit(d) - getBCHDigit(G15) ) );
      }
      return ( (data << 10) | d) ^ G15_MASK;
    };

    _this.getBCHTypeNumber = function(data) {
      var d = data << 12;
      while (getBCHDigit(d) - getBCHDigit(G18) >= 0) {
        d ^= (G18 << (getBCHDigit(d) - getBCHDigit(G18) ) );
      }
      return (data << 12) | d;
    };

    _this.getPatternPosition = function(typeNumber) {
      return PATTERN_POSITION_TABLE[typeNumber - 1];
    };

    _this.getMaskFunction = function(maskPattern) {

      switch (maskPattern) {

      case QRMaskPattern.PATTERN000 :
        return function(i, j) { return (i + j) % 2 == 0; };
      case QRMaskPattern.PATTERN001 :
        return function(i, j) { return i % 2 == 0; };
      case QRMaskPattern.PATTERN010 :
        return function(i, j) { return j % 3 == 0; };
      case QRMaskPattern.PATTERN011 :
        return function(i, j) { return (i + j) % 3 == 0; };
      case QRMaskPattern.PATTERN100 :
        return function(i, j) { return (Math.floor(i / 2) + Math.floor(j / 3) ) % 2 == 0; };
      case QRMaskPattern.PATTERN101 :
        return function(i, j) { return (i * j) % 2 + (i * j) % 3 == 0; };
      case QRMaskPattern.PATTERN110 :
        return function(i, j) { return ( (i * j) % 2 + (i * j) % 3) % 2 == 0; };
      case QRMaskPattern.PATTERN111 :
        return function(i, j) { return ( (i * j) % 3 + (i + j) % 2) % 2 == 0; };

      default :
        throw 'bad maskPattern:' + maskPattern;
      }
    };

    _this.getErrorCorrectPolynomial = function(errorCorrectLength) {
      var a = qrPolynomial([1], 0);
      for (var i = 0; i < errorCorrectLength; i += 1) {
        a = a.multiply(qrPolynomial([1, QRMath.gexp(i)], 0) );
      }
      return a;
    };

    _this.getLengthInBits = function(mode, type) {

      if (1 <= type && type < 10) {

        // 1 - 9

        switch(mode) {
        case QRMode.MODE_NUMBER    : return 10;
        case QRMode.MODE_ALPHA_NUM : return 9;
        case QRMode.MODE_8BIT_BYTE : return 8;
        case QRMode.MODE_KANJI     : return 8;
        default :
          throw 'mode:' + mode;
        }

      } else if (type < 27) {

        // 10 - 26

        switch(mode) {
        case QRMode.MODE_NUMBER    : return 12;
        case QRMode.MODE_ALPHA_NUM : return 11;
        case QRMode.MODE_8BIT_BYTE : return 16;
        case QRMode.MODE_KANJI     : return 10;
        default :
          throw 'mode:' + mode;
        }

      } else if (type < 41) {

        // 27 - 40

        switch(mode) {
        case QRMode.MODE_NUMBER    : return 14;
        case QRMode.MODE_ALPHA_NUM : return 13;
        case QRMode.MODE_8BIT_BYTE : return 16;
        case QRMode.MODE_KANJI     : return 12;
        default :
          throw 'mode:' + mode;
        }

      } else {
        throw 'type:' + type;
      }
    };

    _this.getLostPoint = function(qrcode) {

      var moduleCount = qrcode.getModuleCount();

      var lostPoint = 0;

      // LEVEL1

      for (var row = 0; row < moduleCount; row += 1) {
        for (var col = 0; col < moduleCount; col += 1) {

          var sameCount = 0;
          var dark = qrcode.isDark(row, col);

          for (var r = -1; r <= 1; r += 1) {

            if (row + r < 0 || moduleCount <= row + r) {
              continue;
            }

            for (var c = -1; c <= 1; c += 1) {

              if (col + c < 0 || moduleCount <= col + c) {
                continue;
              }

              if (r == 0 && c == 0) {
                continue;
              }

              if (dark == qrcode.isDark(row + r, col + c) ) {
                sameCount += 1;
              }
            }
          }

          if (sameCount > 5) {
            lostPoint += (3 + sameCount - 5);
          }
        }
      };

      // LEVEL2

      for (var row = 0; row < moduleCount - 1; row += 1) {
        for (var col = 0; col < moduleCount - 1; col += 1) {
          var count = 0;
          if (qrcode.isDark(row, col) ) count += 1;
          if (qrcode.isDark(row + 1, col) ) count += 1;
          if (qrcode.isDark(row, col + 1) ) count += 1;
          if (qrcode.isDark(row + 1, col + 1) ) count += 1;
          if (count == 0 || count == 4) {
            lostPoint += 3;
          }
        }
      }

      // LEVEL3

      for (var row = 0; row < moduleCount; row += 1) {
        for (var col = 0; col < moduleCount - 6; col += 1) {
          if (qrcode.isDark(row, col)
              && !qrcode.isDark(row, col + 1)
              &&  qrcode.isDark(row, col + 2)
              &&  qrcode.isDark(row, col + 3)
              &&  qrcode.isDark(row, col + 4)
              && !qrcode.isDark(row, col + 5)
              &&  qrcode.isDark(row, col + 6) ) {
            lostPoint += 40;
          }
        }
      }

      for (var col = 0; col < moduleCount; col += 1) {
        for (var row = 0; row < moduleCount - 6; row += 1) {
          if (qrcode.isDark(row, col)
              && !qrcode.isDark(row + 1, col)
              &&  qrcode.isDark(row + 2, col)
              &&  qrcode.isDark(row + 3, col)
              &&  qrcode.isDark(row + 4, col)
              && !qrcode.isDark(row + 5, col)
              &&  qrcode.isDark(row + 6, col) ) {
            lostPoint += 40;
          }
        }
      }

      // LEVEL4

      var darkCount = 0;

      for (var col = 0; col < moduleCount; col += 1) {
        for (var row = 0; row < moduleCount; row += 1) {
          if (qrcode.isDark(row, col) ) {
            darkCount += 1;
          }
        }
      }

      var ratio = Math.abs(100 * darkCount / moduleCount / moduleCount - 50) / 5;
      lostPoint += ratio * 10;

      return lostPoint;
    };

    return _this;
  }();

  //---------------------------------------------------------------------
  // QRMath
  //---------------------------------------------------------------------

  var QRMath = function() {

    var EXP_TABLE = new Array(256);
    var LOG_TABLE = new Array(256);

    // initialize tables
    for (var i = 0; i < 8; i += 1) {
      EXP_TABLE[i] = 1 << i;
    }
    for (var i = 8; i < 256; i += 1) {
      EXP_TABLE[i] = EXP_TABLE[i - 4]
        ^ EXP_TABLE[i - 5]
        ^ EXP_TABLE[i - 6]
        ^ EXP_TABLE[i - 8];
    }
    for (var i = 0; i < 255; i += 1) {
      LOG_TABLE[EXP_TABLE[i] ] = i;
    }

    var _this = {};

    _this.glog = function(n) {

      if (n < 1) {
        throw 'glog(' + n + ')';
      }

      return LOG_TABLE[n];
    };

    _this.gexp = function(n) {

      while (n < 0) {
        n += 255;
      }

      while (n >= 256) {
        n -= 255;
      }

      return EXP_TABLE[n];
    };

    return _this;
  }();

  //---------------------------------------------------------------------
  // qrPolynomial
  //---------------------------------------------------------------------

  function qrPolynomial(num, shift) {

    if (typeof num.length == 'undefined') {
      throw num.length + '/' + shift;
    }

    var _num = function() {
      var offset = 0;
      while (offset < num.length && num[offset] == 0) {
        offset += 1;
      }
      var _num = new Array(num.length - offset + shift);
      for (var i = 0; i < num.length - offset; i += 1) {
        _num[i] = num[i + offset];
      }
      return _num;
    }();

    var _this = {};

    _this.getAt = function(index) {
      return _num[index];
    };

    _this.getLength = function() {
      return _num.length;
    };

    _this.multiply = function(e) {

      var num = new Array(_this.getLength() + e.getLength() - 1);

      for (var i = 0; i < _this.getLength(); i += 1) {
        for (var j = 0; j < e.getLength(); j += 1) {
          num[i + j] ^= QRMath.gexp(QRMath.glog(_this.getAt(i) ) + QRMath.glog(e.getAt(j) ) );
        }
      }

      return qrPolynomial(num, 0);
    };

    _this.mod = function(e) {

      if (_this.getLength() - e.getLength() < 0) {
        return _this;
      }

      var ratio = QRMath.glog(_this.getAt(0) ) - QRMath.glog(e.getAt(0) );

      var num = new Array(_this.getLength() );
      for (var i = 0; i < _this.getLength(); i += 1) {
        num[i] = _this.getAt(i);
      }

      for (var i = 0; i < e.getLength(); i += 1) {
        num[i] ^= QRMath.gexp(QRMath.glog(e.getAt(i) ) + ratio);
      }

      // recursive call
      return qrPolynomial(num, 0).mod(e);
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // QRRSBlock
  //---------------------------------------------------------------------

  var QRRSBlock = function() {

    var RS_BLOCK_TABLE = [

      // L
      // M
      // Q
      // H

      // 1
      [1, 26, 19],
      [1, 26, 16],
      [1, 26, 13],
      [1, 26, 9],

      // 2
      [1, 44, 34],
      [1, 44, 28],
      [1, 44, 22],
      [1, 44, 16],

      // 3
      [1, 70, 55],
      [1, 70, 44],
      [2, 35, 17],
      [2, 35, 13],

      // 4
      [1, 100, 80],
      [2, 50, 32],
      [2, 50, 24],
      [4, 25, 9],

      // 5
      [1, 134, 108],
      [2, 67, 43],
      [2, 33, 15, 2, 34, 16],
      [2, 33, 11, 2, 34, 12],

      // 6
      [2, 86, 68],
      [4, 43, 27],
      [4, 43, 19],
      [4, 43, 15],

      // 7
      [2, 98, 78],
      [4, 49, 31],
      [2, 32, 14, 4, 33, 15],
      [4, 39, 13, 1, 40, 14],

      // 8
      [2, 121, 97],
      [2, 60, 38, 2, 61, 39],
      [4, 40, 18, 2, 41, 19],
      [4, 40, 14, 2, 41, 15],

      // 9
      [2, 146, 116],
      [3, 58, 36, 2, 59, 37],
      [4, 36, 16, 4, 37, 17],
      [4, 36, 12, 4, 37, 13],

      // 10
      [2, 86, 68, 2, 87, 69],
      [4, 69, 43, 1, 70, 44],
      [6, 43, 19, 2, 44, 20],
      [6, 43, 15, 2, 44, 16],

      // 11
      [4, 101, 81],
      [1, 80, 50, 4, 81, 51],
      [4, 50, 22, 4, 51, 23],
      [3, 36, 12, 8, 37, 13],

      // 12
      [2, 116, 92, 2, 117, 93],
      [6, 58, 36, 2, 59, 37],
      [4, 46, 20, 6, 47, 21],
      [7, 42, 14, 4, 43, 15],

      // 13
      [4, 133, 107],
      [8, 59, 37, 1, 60, 38],
      [8, 44, 20, 4, 45, 21],
      [12, 33, 11, 4, 34, 12],

      // 14
      [3, 145, 115, 1, 146, 116],
      [4, 64, 40, 5, 65, 41],
      [11, 36, 16, 5, 37, 17],
      [11, 36, 12, 5, 37, 13],

      // 15
      [5, 109, 87, 1, 110, 88],
      [5, 65, 41, 5, 66, 42],
      [5, 54, 24, 7, 55, 25],
      [11, 36, 12, 7, 37, 13],

      // 16
      [5, 122, 98, 1, 123, 99],
      [7, 73, 45, 3, 74, 46],
      [15, 43, 19, 2, 44, 20],
      [3, 45, 15, 13, 46, 16],

      // 17
      [1, 135, 107, 5, 136, 108],
      [10, 74, 46, 1, 75, 47],
      [1, 50, 22, 15, 51, 23],
      [2, 42, 14, 17, 43, 15],

      // 18
      [5, 150, 120, 1, 151, 121],
      [9, 69, 43, 4, 70, 44],
      [17, 50, 22, 1, 51, 23],
      [2, 42, 14, 19, 43, 15],

      // 19
      [3, 141, 113, 4, 142, 114],
      [3, 70, 44, 11, 71, 45],
      [17, 47, 21, 4, 48, 22],
      [9, 39, 13, 16, 40, 14],

      // 20
      [3, 135, 107, 5, 136, 108],
      [3, 67, 41, 13, 68, 42],
      [15, 54, 24, 5, 55, 25],
      [15, 43, 15, 10, 44, 16],

      // 21
      [4, 144, 116, 4, 145, 117],
      [17, 68, 42],
      [17, 50, 22, 6, 51, 23],
      [19, 46, 16, 6, 47, 17],

      // 22
      [2, 139, 111, 7, 140, 112],
      [17, 74, 46],
      [7, 54, 24, 16, 55, 25],
      [34, 37, 13],

      // 23
      [4, 151, 121, 5, 152, 122],
      [4, 75, 47, 14, 76, 48],
      [11, 54, 24, 14, 55, 25],
      [16, 45, 15, 14, 46, 16],

      // 24
      [6, 147, 117, 4, 148, 118],
      [6, 73, 45, 14, 74, 46],
      [11, 54, 24, 16, 55, 25],
      [30, 46, 16, 2, 47, 17],

      // 25
      [8, 132, 106, 4, 133, 107],
      [8, 75, 47, 13, 76, 48],
      [7, 54, 24, 22, 55, 25],
      [22, 45, 15, 13, 46, 16],

      // 26
      [10, 142, 114, 2, 143, 115],
      [19, 74, 46, 4, 75, 47],
      [28, 50, 22, 6, 51, 23],
      [33, 46, 16, 4, 47, 17],

      // 27
      [8, 152, 122, 4, 153, 123],
      [22, 73, 45, 3, 74, 46],
      [8, 53, 23, 26, 54, 24],
      [12, 45, 15, 28, 46, 16],

      // 28
      [3, 147, 117, 10, 148, 118],
      [3, 73, 45, 23, 74, 46],
      [4, 54, 24, 31, 55, 25],
      [11, 45, 15, 31, 46, 16],

      // 29
      [7, 146, 116, 7, 147, 117],
      [21, 73, 45, 7, 74, 46],
      [1, 53, 23, 37, 54, 24],
      [19, 45, 15, 26, 46, 16],

      // 30
      [5, 145, 115, 10, 146, 116],
      [19, 75, 47, 10, 76, 48],
      [15, 54, 24, 25, 55, 25],
      [23, 45, 15, 25, 46, 16],

      // 31
      [13, 145, 115, 3, 146, 116],
      [2, 74, 46, 29, 75, 47],
      [42, 54, 24, 1, 55, 25],
      [23, 45, 15, 28, 46, 16],

      // 32
      [17, 145, 115],
      [10, 74, 46, 23, 75, 47],
      [10, 54, 24, 35, 55, 25],
      [19, 45, 15, 35, 46, 16],

      // 33
      [17, 145, 115, 1, 146, 116],
      [14, 74, 46, 21, 75, 47],
      [29, 54, 24, 19, 55, 25],
      [11, 45, 15, 46, 46, 16],

      // 34
      [13, 145, 115, 6, 146, 116],
      [14, 74, 46, 23, 75, 47],
      [44, 54, 24, 7, 55, 25],
      [59, 46, 16, 1, 47, 17],

      // 35
      [12, 151, 121, 7, 152, 122],
      [12, 75, 47, 26, 76, 48],
      [39, 54, 24, 14, 55, 25],
      [22, 45, 15, 41, 46, 16],

      // 36
      [6, 151, 121, 14, 152, 122],
      [6, 75, 47, 34, 76, 48],
      [46, 54, 24, 10, 55, 25],
      [2, 45, 15, 64, 46, 16],

      // 37
      [17, 152, 122, 4, 153, 123],
      [29, 74, 46, 14, 75, 47],
      [49, 54, 24, 10, 55, 25],
      [24, 45, 15, 46, 46, 16],

      // 38
      [4, 152, 122, 18, 153, 123],
      [13, 74, 46, 32, 75, 47],
      [48, 54, 24, 14, 55, 25],
      [42, 45, 15, 32, 46, 16],

      // 39
      [20, 147, 117, 4, 148, 118],
      [40, 75, 47, 7, 76, 48],
      [43, 54, 24, 22, 55, 25],
      [10, 45, 15, 67, 46, 16],

      // 40
      [19, 148, 118, 6, 149, 119],
      [18, 75, 47, 31, 76, 48],
      [34, 54, 24, 34, 55, 25],
      [20, 45, 15, 61, 46, 16]
    ];

    var qrRSBlock = function(totalCount, dataCount) {
      var _this = {};
      _this.totalCount = totalCount;
      _this.dataCount = dataCount;
      return _this;
    };

    var _this = {};

    var getRsBlockTable = function(typeNumber, errorCorrectionLevel) {

      switch(errorCorrectionLevel) {
      case QRErrorCorrectionLevel.L :
        return RS_BLOCK_TABLE[(typeNumber - 1) * 4 + 0];
      case QRErrorCorrectionLevel.M :
        return RS_BLOCK_TABLE[(typeNumber - 1) * 4 + 1];
      case QRErrorCorrectionLevel.Q :
        return RS_BLOCK_TABLE[(typeNumber - 1) * 4 + 2];
      case QRErrorCorrectionLevel.H :
        return RS_BLOCK_TABLE[(typeNumber - 1) * 4 + 3];
      default :
        return undefined;
      }
    };

    _this.getRSBlocks = function(typeNumber, errorCorrectionLevel) {

      var rsBlock = getRsBlockTable(typeNumber, errorCorrectionLevel);

      if (typeof rsBlock == 'undefined') {
        throw 'bad rs block @ typeNumber:' + typeNumber +
            '/errorCorrectionLevel:' + errorCorrectionLevel;
      }

      var length = rsBlock.length / 3;

      var list = [];

      for (var i = 0; i < length; i += 1) {

        var count = rsBlock[i * 3 + 0];
        var totalCount = rsBlock[i * 3 + 1];
        var dataCount = rsBlock[i * 3 + 2];

        for (var j = 0; j < count; j += 1) {
          list.push(qrRSBlock(totalCount, dataCount) );
        }
      }

      return list;
    };

    return _this;
  }();

  //---------------------------------------------------------------------
  // qrBitBuffer
  //---------------------------------------------------------------------

  var qrBitBuffer = function() {

    var _buffer = [];
    var _length = 0;

    var _this = {};

    _this.getBuffer = function() {
      return _buffer;
    };

    _this.getAt = function(index) {
      var bufIndex = Math.floor(index / 8);
      return ( (_buffer[bufIndex] >>> (7 - index % 8) ) & 1) == 1;
    };

    _this.put = function(num, length) {
      for (var i = 0; i < length; i += 1) {
        _this.putBit( ( (num >>> (length - i - 1) ) & 1) == 1);
      }
    };

    _this.getLengthInBits = function() {
      return _length;
    };

    _this.putBit = function(bit) {

      var bufIndex = Math.floor(_length / 8);
      if (_buffer.length <= bufIndex) {
        _buffer.push(0);
      }

      if (bit) {
        _buffer[bufIndex] |= (0x80 >>> (_length % 8) );
      }

      _length += 1;
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // qrNumber
  //---------------------------------------------------------------------

  var qrNumber = function(data) {

    var _mode = QRMode.MODE_NUMBER;
    var _data = data;

    var _this = {};

    _this.getMode = function() {
      return _mode;
    };

    _this.getLength = function(buffer) {
      return _data.length;
    };

    _this.write = function(buffer) {

      var data = _data;

      var i = 0;

      while (i + 2 < data.length) {
        buffer.put(strToNum(data.substring(i, i + 3) ), 10);
        i += 3;
      }

      if (i < data.length) {
        if (data.length - i == 1) {
          buffer.put(strToNum(data.substring(i, i + 1) ), 4);
        } else if (data.length - i == 2) {
          buffer.put(strToNum(data.substring(i, i + 2) ), 7);
        }
      }
    };

    var strToNum = function(s) {
      var num = 0;
      for (var i = 0; i < s.length; i += 1) {
        num = num * 10 + chatToNum(s.charAt(i) );
      }
      return num;
    };

    var chatToNum = function(c) {
      if ('0' <= c && c <= '9') {
        return c.charCodeAt(0) - '0'.charCodeAt(0);
      }
      throw 'illegal char :' + c;
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // qrAlphaNum
  //---------------------------------------------------------------------

  var qrAlphaNum = function(data) {

    var _mode = QRMode.MODE_ALPHA_NUM;
    var _data = data;

    var _this = {};

    _this.getMode = function() {
      return _mode;
    };

    _this.getLength = function(buffer) {
      return _data.length;
    };

    _this.write = function(buffer) {

      var s = _data;

      var i = 0;

      while (i + 1 < s.length) {
        buffer.put(
          getCode(s.charAt(i) ) * 45 +
          getCode(s.charAt(i + 1) ), 11);
        i += 2;
      }

      if (i < s.length) {
        buffer.put(getCode(s.charAt(i) ), 6);
      }
    };

    var getCode = function(c) {

      if ('0' <= c && c <= '9') {
        return c.charCodeAt(0) - '0'.charCodeAt(0);
      } else if ('A' <= c && c <= 'Z') {
        return c.charCodeAt(0) - 'A'.charCodeAt(0) + 10;
      } else {
        switch (c) {
        case ' ' : return 36;
        case '$' : return 37;
        case '%' : return 38;
        case '*' : return 39;
        case '+' : return 40;
        case '-' : return 41;
        case '.' : return 42;
        case '/' : return 43;
        case ':' : return 44;
        default :
          throw 'illegal char :' + c;
        }
      }
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // qr8BitByte
  //---------------------------------------------------------------------

  var qr8BitByte = function(data) {

    var _mode = QRMode.MODE_8BIT_BYTE;
    var _data = data;
    var _bytes = qrcode.stringToBytes(data);

    var _this = {};

    _this.getMode = function() {
      return _mode;
    };

    _this.getLength = function(buffer) {
      return _bytes.length;
    };

    _this.write = function(buffer) {
      for (var i = 0; i < _bytes.length; i += 1) {
        buffer.put(_bytes[i], 8);
      }
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // qrKanji
  //---------------------------------------------------------------------

  var qrKanji = function(data) {

    var _mode = QRMode.MODE_KANJI;
    var _data = data;

    var stringToBytes = qrcode.stringToBytesFuncs['SJIS'];
    if (!stringToBytes) {
      throw 'sjis not supported.';
    }
    !function(c, code) {
      // self test for sjis support.
      var test = stringToBytes(c);
      if (test.length != 2 || ( (test[0] << 8) | test[1]) != code) {
        throw 'sjis not supported.';
      }
    }('\u53cb', 0x9746);

    var _bytes = stringToBytes(data);

    var _this = {};

    _this.getMode = function() {
      return _mode;
    };

    _this.getLength = function(buffer) {
      return ~~(_bytes.length / 2);
    };

    _this.write = function(buffer) {

      var data = _bytes;

      var i = 0;

      while (i + 1 < data.length) {

        var c = ( (0xff & data[i]) << 8) | (0xff & data[i + 1]);

        if (0x8140 <= c && c <= 0x9FFC) {
          c -= 0x8140;
        } else if (0xE040 <= c && c <= 0xEBBF) {
          c -= 0xC140;
        } else {
          throw 'illegal char at ' + (i + 1) + '/' + c;
        }

        c = ( (c >>> 8) & 0xff) * 0xC0 + (c & 0xff);

        buffer.put(c, 13);

        i += 2;
      }

      if (i < data.length) {
        throw 'illegal char at ' + (i + 1);
      }
    };

    return _this;
  };

  //=====================================================================
  // GIF Support etc.
  //

  //---------------------------------------------------------------------
  // byteArrayOutputStream
  //---------------------------------------------------------------------

  var byteArrayOutputStream = function() {

    var _bytes = [];

    var _this = {};

    _this.writeByte = function(b) {
      _bytes.push(b & 0xff);
    };

    _this.writeShort = function(i) {
      _this.writeByte(i);
      _this.writeByte(i >>> 8);
    };

    _this.writeBytes = function(b, off, len) {
      off = off || 0;
      len = len || b.length;
      for (var i = 0; i < len; i += 1) {
        _this.writeByte(b[i + off]);
      }
    };

    _this.writeString = function(s) {
      for (var i = 0; i < s.length; i += 1) {
        _this.writeByte(s.charCodeAt(i) );
      }
    };

    _this.toByteArray = function() {
      return _bytes;
    };

    _this.toString = function() {
      var s = '';
      s += '[';
      for (var i = 0; i < _bytes.length; i += 1) {
        if (i > 0) {
          s += ',';
        }
        s += _bytes[i];
      }
      s += ']';
      return s;
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // base64EncodeOutputStream
  //---------------------------------------------------------------------

  var base64EncodeOutputStream = function() {

    var _buffer = 0;
    var _buflen = 0;
    var _length = 0;
    var _base64 = '';

    var _this = {};

    var writeEncoded = function(b) {
      _base64 += String.fromCharCode(encode(b & 0x3f) );
    };

    var encode = function(n) {
      if (n < 0) {
        // error.
      } else if (n < 26) {
        return 0x41 + n;
      } else if (n < 52) {
        return 0x61 + (n - 26);
      } else if (n < 62) {
        return 0x30 + (n - 52);
      } else if (n == 62) {
        return 0x2b;
      } else if (n == 63) {
        return 0x2f;
      }
      throw 'n:' + n;
    };

    _this.writeByte = function(n) {

      _buffer = (_buffer << 8) | (n & 0xff);
      _buflen += 8;
      _length += 1;

      while (_buflen >= 6) {
        writeEncoded(_buffer >>> (_buflen - 6) );
        _buflen -= 6;
      }
    };

    _this.flush = function() {

      if (_buflen > 0) {
        writeEncoded(_buffer << (6 - _buflen) );
        _buffer = 0;
        _buflen = 0;
      }

      if (_length % 3 != 0) {
        // padding
        var padlen = 3 - _length % 3;
        for (var i = 0; i < padlen; i += 1) {
          _base64 += '=';
        }
      }
    };

    _this.toString = function() {
      return _base64;
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // base64DecodeInputStream
  //---------------------------------------------------------------------

  var base64DecodeInputStream = function(str) {

    var _str = str;
    var _pos = 0;
    var _buffer = 0;
    var _buflen = 0;

    var _this = {};

    _this.read = function() {

      while (_buflen < 8) {

        if (_pos >= _str.length) {
          if (_buflen == 0) {
            return -1;
          }
          throw 'unexpected end of file./' + _buflen;
        }

        var c = _str.charAt(_pos);
        _pos += 1;

        if (c == '=') {
          _buflen = 0;
          return -1;
        } else if (c.match(/^\s$/) ) {
          // ignore if whitespace.
          continue;
        }

        _buffer = (_buffer << 6) | decode(c.charCodeAt(0) );
        _buflen += 6;
      }

      var n = (_buffer >>> (_buflen - 8) ) & 0xff;
      _buflen -= 8;
      return n;
    };

    var decode = function(c) {
      if (0x41 <= c && c <= 0x5a) {
        return c - 0x41;
      } else if (0x61 <= c && c <= 0x7a) {
        return c - 0x61 + 26;
      } else if (0x30 <= c && c <= 0x39) {
        return c - 0x30 + 52;
      } else if (c == 0x2b) {
        return 62;
      } else if (c == 0x2f) {
        return 63;
      } else {
        throw 'c:' + c;
      }
    };

    return _this;
  };

  //---------------------------------------------------------------------
  // gifImage (B/W)
  //---------------------------------------------------------------------

  var gifImage = function(width, height) {

    var _width = width;
    var _height = height;
    var _data = new Array(width * height);

    var _this = {};

    _this.setPixel = function(x, y, pixel) {
      _data[y * _width + x] = pixel;
    };

    _this.write = function(out) {

      //---------------------------------
      // GIF Signature

      out.writeString('GIF87a');

      //---------------------------------
      // Screen Descriptor

      out.writeShort(_width);
      out.writeShort(_height);

      out.writeByte(0x80); // 2bit
      out.writeByte(0);
      out.writeByte(0);

      //---------------------------------
      // Global Color Map

      // black
      out.writeByte(0x00);
      out.writeByte(0x00);
      out.writeByte(0x00);

      // white
      out.writeByte(0xff);
      out.writeByte(0xff);
      out.writeByte(0xff);

      //---------------------------------
      // Image Descriptor

      out.writeString(',');
      out.writeShort(0);
      out.writeShort(0);
      out.writeShort(_width);
      out.writeShort(_height);
      out.writeByte(0);

      //---------------------------------
      // Local Color Map

      //---------------------------------
      // Raster Data

      var lzwMinCodeSize = 2;
      var raster = getLZWRaster(lzwMinCodeSize);

      out.writeByte(lzwMinCodeSize);

      var offset = 0;

      while (raster.length - offset > 255) {
        out.writeByte(255);
        out.writeBytes(raster, offset, 255);
        offset += 255;
      }

      out.writeByte(raster.length - offset);
      out.writeBytes(raster, offset, raster.length - offset);
      out.writeByte(0x00);

      //---------------------------------
      // GIF Terminator
      out.writeString(';');
    };

    var bitOutputStream = function(out) {

      var _out = out;
      var _bitLength = 0;
      var _bitBuffer = 0;

      var _this = {};

      _this.write = function(data, length) {

        if ( (data >>> length) != 0) {
          throw 'length over';
        }

        while (_bitLength + length >= 8) {
          _out.writeByte(0xff & ( (data << _bitLength) | _bitBuffer) );
          length -= (8 - _bitLength);
          data >>>= (8 - _bitLength);
          _bitBuffer = 0;
          _bitLength = 0;
        }

        _bitBuffer = (data << _bitLength) | _bitBuffer;
        _bitLength = _bitLength + length;
      };

      _this.flush = function() {
        if (_bitLength > 0) {
          _out.writeByte(_bitBuffer);
        }
      };

      return _this;
    };

    var getLZWRaster = function(lzwMinCodeSize) {

      var clearCode = 1 << lzwMinCodeSize;
      var endCode = (1 << lzwMinCodeSize) + 1;
      var bitLength = lzwMinCodeSize + 1;

      // Setup LZWTable
      var table = lzwTable();

      for (var i = 0; i < clearCode; i += 1) {
        table.add(String.fromCharCode(i) );
      }
      table.add(String.fromCharCode(clearCode) );
      table.add(String.fromCharCode(endCode) );

      var byteOut = byteArrayOutputStream();
      var bitOut = bitOutputStream(byteOut);

      // clear code
      bitOut.write(clearCode, bitLength);

      var dataIndex = 0;

      var s = String.fromCharCode(_data[dataIndex]);
      dataIndex += 1;

      while (dataIndex < _data.length) {

        var c = String.fromCharCode(_data[dataIndex]);
        dataIndex += 1;

        if (table.contains(s + c) ) {

          s = s + c;

        } else {

          bitOut.write(table.indexOf(s), bitLength);

          if (table.size() < 0xfff) {

            if (table.size() == (1 << bitLength) ) {
              bitLength += 1;
            }

            table.add(s + c);
          }

          s = c;
        }
      }

      bitOut.write(table.indexOf(s), bitLength);

      // end code
      bitOut.write(endCode, bitLength);

      bitOut.flush();

      return byteOut.toByteArray();
    };

    var lzwTable = function() {

      var _map = {};
      var _size = 0;

      var _this = {};

      _this.add = function(key) {
        if (_this.contains(key) ) {
          throw 'dup key:' + key;
        }
        _map[key] = _size;
        _size += 1;
      };

      _this.size = function() {
        return _size;
      };

      _this.indexOf = function(key) {
        return _map[key];
      };

      _this.contains = function(key) {
        return typeof _map[key] != 'undefined';
      };

      return _this;
    };

    return _this;
  };

  var createDataURL = function(width, height, getPixel) {
    var gif = gifImage(width, height);
    for (var y = 0; y < height; y += 1) {
      for (var x = 0; x < width; x += 1) {
        gif.setPixel(x, y, getPixel(x, y) );
      }
    }

    var b = byteArrayOutputStream();
    gif.write(b);

    var base64 = base64EncodeOutputStream();
    var bytes = b.toByteArray();
    for (var i = 0; i < bytes.length; i += 1) {
      base64.writeByte(bytes[i]);
    }
    base64.flush();

    return 'data:image/gif;base64,' + base64;
  };

  //---------------------------------------------------------------------
  // returns qrcode function.

  return qrcode;
}();

// multibyte support
!function() {

  qrcode.stringToBytesFuncs['UTF-8'] = function(s) {
    // http://stackoverflow.com/questions/18729405/how-to-convert-utf8-string-to-byte-array
    function toUTF8Array(str) {
      var utf8 = [];
      for (var i=0; i < str.length; i++) {
        var charcode = str.charCodeAt(i);
        if (charcode < 0x80) utf8.push(charcode);
        else if (charcode < 0x800) {
          utf8.push(0xc0 | (charcode >> 6),
              0x80 | (charcode & 0x3f));
        }
        else if (charcode < 0xd800 || charcode >= 0xe000) {
          utf8.push(0xe0 | (charcode >> 12),
              0x80 | ((charcode>>6) & 0x3f),
              0x80 | (charcode & 0x3f));
        }
        // surrogate pair
        else {
          i++;
          // UTF-16 encodes 0x10000-0x10FFFF by
          // subtracting 0x10000 and splitting the
          // 20 bits of 0x0-0xFFFFF into two halves
          charcode = 0x10000 + (((charcode & 0x3ff)<<10)
            | (str.charCodeAt(i) & 0x3ff));
          utf8.push(0xf0 | (charcode >>18),
              0x80 | ((charcode>>12) & 0x3f),
              0x80 | ((charcode>>6) & 0x3f),
              0x80 | (charcode & 0x3f));
        }
      }
      return utf8;
    }
    return toUTF8Array(s);
  };

}();

(function (factory) {
  if (true) {
      !(__WEBPACK_AMD_DEFINE_ARRAY__ = [], __WEBPACK_AMD_DEFINE_FACTORY__ = (factory),
				__WEBPACK_AMD_DEFINE_RESULT__ = (typeof __WEBPACK_AMD_DEFINE_FACTORY__ === 'function' ?
				(__WEBPACK_AMD_DEFINE_FACTORY__.apply(exports, __WEBPACK_AMD_DEFINE_ARRAY__)) : __WEBPACK_AMD_DEFINE_FACTORY__),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));
  } else if (typeof exports === 'object') {
      module.exports = factory();
  }
}(function () {
    return qrcode;
}));


/***/ }),

/***/ 95:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.qrType == 'gif') ? _c('div') : _vm._e(), (_vm.qrType == 'div') ? _c('div', {
    style: {
      'width': _vm.cell,
      'height': _vm.cell,
      'background-color': _vm.background
    }
  }, _vm._l((_vm.qrData), function(row) {
    return _c('div', {
      style: {
        'flex-direction': 'row',
        'justify-content': 'space-around',
        'height': row.cell
      }
    }, _vm._l((row.cols), function(col) {
      return _c('div', {
        style: {
          'flex': 1,
          'height': row.cell,
          'width': row.cell,
          'background-color': col.background
        }
      })
    }))
  })) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });