// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 538);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = {
  "lkl-btn": {
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": "20"
  },
  "lkl-btn-text": {
    "flex": 1,
    "textOverflow": "ellipsis",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//

var _type = __webpack_require__(12);

exports.default = {
  props: {
    size: {
      type: String,
      default: 'big'
    },
    type: {
      type: String,
      default: 'blue'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    btnStyle: Object,
    textStyle: Object,
    disabledStyle: Object
  },
  computed: {
    computedStyle: function computedStyle() {
      var type = this.type,
          size = this.size,
          btnStyle = this.btnStyle,
          disabled = this.disabled,
          disabledStyle = this.disabledStyle;

      var mrBtnStyle = _extends({}, _type.STYLE_MAP[type], _type.BUTTON_STYLE_MAP[size], {
        opacity: disabled ? 0.3 : 1
      }, btnStyle);
      if (disabled) {
        mrBtnStyle = Object.assign(mrBtnStyle, disabledStyle);
      }
      return mrBtnStyle;
    },
    mrTextStyle: function mrTextStyle() {
      var type = this.type,
          textStyle = this.textStyle,
          size = this.size;

      var mrTextStyle = _extends({}, _type.TEXT_STYLE_MAP[type], _type.TEXT_FONTSIZE_STYLE_MAP[size], textStyle);
      return mrTextStyle;
    }
  },
  methods: {
    onClicked: function onClicked(e) {
      var type = this.type,
          disabled = this.disabled;

      !disabled && this.$emit('wxClick', { e: e, type: type, disabled: disabled });
    }
  }
};

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var STYLE_MAP = exports.STYLE_MAP = {
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#489de7',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#59a7fa'
  },
  noBorder: {
    backgroundColor: '#FFFFFF'
  }
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  blue: {
    color: '#FFFFFF'
  },
  fliggy: {
    color: '#3D3D3D'
  },
  white: {
    color: '#489de7'
  },
  noBorder: {
    color: 'rgba(50,50,50,1)'
  }
};

var BUTTON_STYLE_MAP = exports.BUTTON_STYLE_MAP = {
  big: {
    width: '710px',
    height: '80px',
    lineHeight: '80px'
  },
  medium: {
    width: '456px',
    height: '80px',
    lineHeight: '80px'
  },
  small: {
    width: '190px',
    height: '66px',
    lineHeight: '66px'
  },
  mini: {
    width: '95px',
    height: '67px',
    lineHeight: '67px'
  }
};

var TEXT_FONTSIZE_STYLE_MAP = exports.TEXT_FONTSIZE_STYLE_MAP = {
  big: {
    fontSize: '32px'
  },
  medium: {
    fontSize: '28px'
  },
  small: {
    fontSize: '28px'
  },
  mini: {
    fontSize: '28px'
  }
};

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-btn"],
    style: _vm.computedStyle,
    on: {
      "click": _vm.onClicked
    }
  }, [_c('text', {
    staticClass: ["lkl-btn-text"],
    style: _vm.mrTextStyle
  }, [_vm._t("default")], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var device = exports.device = {
  isIOS: function isIOS() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'ios';
  },
  isAndroid: function isAndroid() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'android';
  },

  /**
   * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
   * @returns {boolean}
   */
  isIPhoneX: function isIPhoneX() {
    var deviceHeight = weex.config.env.deviceHeight;

    return device.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
  },

  /**
   * 获取weex屏幕真实的设置高度，需要减去导航栏高度
   * @returns {Number}
   */
  getPageHeight: function getPageHeight() {
    return this.getScreenHeight() - this.getStatusBarHeight() - this.bottomSafeAreaHeight();
  },

  /**
   * 获取weex屏幕真实的设置高度
   * @returns {Number}
   */
  getScreenHeight: function getScreenHeight() {
    var env = weex.config.env;

    return env.deviceHeight / env.deviceWidth * 750;
  },
  bottomSafeAreaHeight: function bottomSafeAreaHeight() {
    var _weex$config = weex.config,
        env = _weex$config.env,
        homeIndicatorHeight = _weex$config.homeIndicatorHeight,
        navigationBarHeight = _weex$config.navigationBarHeight;

    var safeAreaHeight = 0;
    // 获取ios底部安全区域的高度
    if (device.isIPhoneX()) {
      safeAreaHeight = homeIndicatorHeight;
    } else if (device.isAndroid()) {
      // 安卓有底部虚拟键盘的高度
      safeAreaHeight = navigationBarHeight;
    }
    return safeAreaHeight / env.deviceWidth * 750;
  },
  getStatusBarHeight: function getStatusBarHeight() {
    var _weex$config2 = weex.config,
        env = _weex$config2.env,
        statusBarHeight = _weex$config2.statusBarHeight;

    return statusBarHeight / env.deviceWidth * 750;
  },
  makeClassList: function makeClassList(classList) {
    return Object.keys(classList).filter(function (classname) {
      return classList[classname];
    });
  }
};

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(28)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-icon/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//

var _alias = __webpack_require__(29);

var _alias2 = _interopRequireDefault(_alias);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    name: {
      type: String,
      default: 'success'
    },
    fontSize: {
      type: String,
      default: '44px'
    },
    fontColor: {
      type: String,
      default: '#489de7'
    },
    iconStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  data: function data() {
    return {
      Icon: _alias2.default
    };
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
      // 'src': "url('reslocal://assets/iconfont/iconfont.ttf')"
      // 'src': "url('reslocal://assets/iconfont/common-iconfont.ttf')"
      'src': "url('/assets/iconfont/shticonfont.ttf')"

    });
  },

  computed: {
    mrIconStyle: function mrIconStyle() {
      var iconStyle = this.iconStyle,
          fontSize = this.fontSize,
          fontColor = this.fontColor;

      return _extends({
        fontFamily: 'iconfont',
        fontSize: fontSize,
        color: fontColor
      }, iconStyle);
    }
  },
  methods: {
    wxClick: function wxClick() {
      this.$emit('wxClick');
    }
  }
};

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {

  'back': '\uE604',
  'password': '\uE649',
  'mobile': '\uE646',
  'add': '\uE608',
  'reduce': '\uE60C',
  'arrowRight': '\uE60F',
  'icUp': '\uE604',
  'icDown': '\uE603',
  'icCalendar': '\uE62F',
  'iczxkf': '\uE616',
  'addImg': '\uE627'
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["icon-font"],
    style: _vm.mrIconStyle,
    on: {
      "click": _vm.wxClick
    }
  }, [_vm._v(_vm._s(_vm.Icon[_vm.name]))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(34)
)

/* script */
__vue_exports__ = __webpack_require__(35)

/* template */
var __vue_template__ = __webpack_require__(36)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-field/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-38315fc6"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 34:
/***/ (function(module, exports) {

module.exports = {
  "lkl-field": {
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30",
    "paddingRight": "20"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#cccccc"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "label-text": {
    "fontSize": "28",
    "color": "#333333",
    "width": "188"
  },
  "field-content": {
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center"
  },
  "field-input": {
    "height": "40",
    "lineHeight": "40",
    "fontSize": "28",
    "color": "#333333",
    "flex": 2,
    "paddingTop": 0,
    "paddingRight": "10",
    "paddingBottom": 0,
    "paddingLeft": "10"
  },
  "left": {
    "textAlign": "left"
  },
  "center": {
    "textAlign": "center"
  },
  "right": {
    "textAlign": "right"
  },
  "field-verifytext": {
    "fontSize": "24",
    "width": "70",
    "flex": 3,
    "color": "#ff0000"
  }
}

/***/ }),

/***/ 35:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    hasBottom: {
      type: Boolean,
      default: true
    },
    label: {
      type: String,
      default: ''
    },
    type: {
      type: String,
      default: 'text'
    },
    align: {
      type: String,
      default: 'left'
    },
    maxlength: {
      type: String,
      default: '200'
    },
    autofocus: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    placeholder: {
      type: String,
      default: ''
    },
    verifytext: {
      type: String,
      default: ''
    },
    value: {
      type: String
    },
    fieldStyle: {
      type: Object,
      default: function _default() {
        return {
          height: '104px',
          width: '750px'
        };
      }
    },
    titleStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    inputStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  methods: {
    focus: function focus(e) {
      this.$emit('wxFocus', e.value);
    },
    handleChange: function handleChange(e) {
      this.$emit('input', e.value);
      this.$emit('wxInput', e.value);
    },
    blur: function blur(e) {
      this.$emit('wxBlur', e.value);
    },
    closeKeyboard: function closeKeyboard() {
      this.$refs.fieldInput.blur();
    },
    inputclick: function inputclick() {
      this.$refs.fieldInput.focus();
    }
  }
};

/***/ }),

/***/ 36:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    class: ['lkl-field', _vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.fieldStyle
  }, [_vm._t("label", [(_vm.label) ? _c('div', [_c('text', {
    staticClass: ["label-text"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.label))])]) : _vm._e()]), _c('div', {
    staticClass: ["field-content"],
    on: {
      "click": _vm.inputclick
    }
  }, [_c('input', {
    ref: "fieldInput",
    class: ['field-input', _vm.align],
    style: _vm.inputStyle,
    attrs: {
      "type": _vm.type,
      "maxlength": _vm.maxlength,
      "autofocus": _vm.autofocus,
      "disabled": _vm.disabled,
      "value": _vm.value,
      "placeholder": _vm.placeholder
    },
    on: {
      "input": _vm.handleChange,
      "blur": _vm.blur,
      "focus": _vm.focus
    }
  }), (_vm.verifytext) ? _c('text', {
    staticClass: ["field-verifytext"]
  }, [_vm._v(_vm._s(_vm.verifytext))]) : _vm._e(), _vm._t("default")], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 538:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _IdentityCardBank = __webpack_require__(539);

var _IdentityCardBank2 = _interopRequireDefault(_IdentityCardBank);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_IdentityCardBank2.default.el = '#root';
new Vue(_IdentityCardBank2.default);

/***/ }),

/***/ 539:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(540)
)

/* script */
__vue_exports__ = __webpack_require__(541)

/* template */
var __vue_template__ = __webpack_require__(542)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/shop/IdentityCardBank.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-3ffc3526"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 54:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(55)
)

/* script */
__vue_exports__ = __webpack_require__(56)

/* template */
var __vue_template__ = __webpack_require__(57)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-checkbox/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-07040596"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 540:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#f1f1f1"
  },
  "progress-section": {
    "width": "750",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "marginTop": "20",
    "marginBottom": "20"
  },
  "title-tip": {
    "height": "50",
    "paddingTop": "0",
    "paddingRight": "16",
    "paddingBottom": "0",
    "paddingLeft": "16",
    "fontSize": "28",
    "backgroundColor": "#7FC0F9",
    "color": "#ffffff",
    "textAlign": "center",
    "lineHeight": "50",
    "borderRadius": "21"
  },
  "title-tip-gray": {
    "color": "#646464",
    "borderColor": "#646464",
    "borderWidth": "1",
    "backgroundColor": "#ffffff"
  },
  "title-section": {
    "marginTop": "20",
    "height": "26",
    "lineHeight": "26"
  },
  "title-text": {
    "textAlign": "center",
    "color": "#666666",
    "fontSize": "24"
  },
  "id-section": {
    "width": "750",
    "height": "340",
    "marginTop": "30",
    "position": "relative"
  },
  "bg-img": {
    "height": "340",
    "width": "600",
    "position": "absolute",
    "left": "75",
    "top": 0
  },
  "eg-img": {
    "height": "196",
    "width": "300",
    "position": "absolute",
    "left": "225",
    "top": "72"
  },
  "id-title": {
    "height": "30",
    "fontSize": "30",
    "color": "#59a7fa",
    "width": "750",
    "textAlign": "center",
    "position": "absolute",
    "left": 0,
    "bottom": "30"
  },
  "example-section": {
    "backgroundColor": "#ffffff",
    "paddingLeft": "20",
    "paddingRight": "20",
    "marginTop": "40"
  },
  "info-section": {
    "backgroundColor": "#ffffff",
    "paddingLeft": "20",
    "paddingRight": "20",
    "marginTop": "40"
  },
  "example-title": {
    "marginTop": "16",
    "height": "36",
    "fontSize": "28",
    "color": "#333333"
  },
  "example-list": {
    "marginLeft": "20",
    "flexDirection": "row",
    "marginTop": "20"
  },
  "example-item": {
    "marginRight": "10"
  },
  "example-icon": {
    "marginLeft": "10",
    "marginTop": "10",
    "width": "148",
    "height": "104",
    "borderWidth": "1",
    "borderColor": "#7ed321"
  },
  "example-small": {
    "marginLeft": "58",
    "marginTop": "8",
    "width": "90",
    "height": "88"
  },
  "example-icon-wrong": {
    "borderColor": "#999999"
  },
  "attch-title": {
    "alignItems": "center",
    "flexDirection": "row",
    "marginLeft": "10",
    "marginTop": "15",
    "marginBottom": "15"
  },
  "item-icon": {
    "height": "48",
    "width": "48"
  },
  "item-text": {
    "fontSize": "26",
    "color": "#999999"
  },
  "longtime": {
    "width": "100",
    "height": "50",
    "fontSize": "28",
    "color": "#59a7fa",
    "borderColor": "#59a7fa",
    "borderStyle": "solid",
    "borderWidth": "1",
    "borderRadius": "5",
    "textAlign": "center",
    "lineHeight": "50"
  },
  "protocol": {
    "width": "750",
    "paddingLeft": "40",
    "marginTop": "20",
    "marginBottom": "50",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "protocol-item": {
    "color": "#59a7fa",
    "fontSize": "28",
    "marginBottom": "10"
  },
  "next-btn": {
    "marginTop": "60"
  },
  "tips": {
    "width": "670",
    "color": "#999999",
    "fontSize": "24",
    "textAlign": "center",
    "marginBottom": "100",
    "lineHeight": "40"
  },
  "field-label": {
    "flexDirection": "row",
    "alignItems": "center",
    "width": "240"
  },
  "label-text": {
    "fontSize": "28",
    "color": "#333333",
    "marginLeft": "15"
  },
  "image-style": {
    "width": "48",
    "height": "48"
  }
}

/***/ }),

/***/ 541:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

var _lklIcon = __webpack_require__(24);

var _lklIcon2 = _interopRequireDefault(_lklIcon);

var _lklButton = __webpack_require__(9);

var _lklButton2 = _interopRequireDefault(_lklButton);

var _lklCheckbox = __webpack_require__(54);

var _lklCheckbox2 = _interopRequireDefault(_lklCheckbox);

var _lklField = __webpack_require__(33);

var _lklField2 = _interopRequireDefault(_lklField);

var _index = __webpack_require__(1);

var _index2 = _interopRequireDefault(_index);

var _index3 = __webpack_require__(14);

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var DeviceModule = weex.requireModule('shtDeviceModule');
exports.default = {
  components: {
    LklHeader: _lklHeader2.default,
    LklIcon: _lklIcon2.default,
    LklButton: _lklButton2.default,
    LklCheckbox: _lklCheckbox2.default,
    LklField: _lklField2.default
  },
  name: 'IdentityCardFront',
  data: function data() {
    return {
      bankCardDefaultImage: 'reslocal://assets/img/shop/bankExample.png',
      bankCardImage: '',
      bankInfo: {
        bankNum: '',
        bankName: ''
      },
      showBankInfo: false,
      uploadBankImg: false,
      protocolBox: false,
      bankfileName: '',
      bankCardData: {},
      paramData: {}
    };
  },

  computed: {
    isCompMer: function isCompMer() {
      return this.paramData.funcGroup == 'COMP_MER';
    }
  },
  created: function created() {
    var _this = this;

    this.$navigator.param(function (res) {
      _this.paramData = res;
    });
  },

  methods: {
    //进入协议页面
    agreeProtocolWays: function agreeProtocolWays(agreeType) {
      var data = {};
      if (agreeType == 'sht') {
        //《特约商户服务协议》
        ;data.title = '特约商户服务协议', data.url = _config2.default.AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL;
      } else if (agreeType == 'wallet') {
        //《钱袋子服务说明》
        ;data.title = '钱袋子服务说明', data.url = _config2.default.AGREEMENT_WALLET;
      } else {
        ;data.title = '支付服务合作协议', data.url = _config2.default.AGREEMENT_WALLET;
      }

      this.$appTool.gotoBaseWebView(data.url, '', data.title);
    },

    //下一步
    next: function next() {
      var _this2 = this;

      if (this.uploadBankImg == false) {
        this.$notice.toast({ message: '请上传银行卡正面照片！' });
        return false;
      }

      if (this.bankInfo.bankNum === '') {
        this.$notice.toast({ message: '请输入正确的银行卡号！' });
        return false;
      }

      if (this.bankCardData.openningBank == '') {
        this.$notice.toast({ message: '您输入的卡号无效，请重输！' });
        return false;
      }

      if (this.protocolBox == false) {
        this.$notice.toast({ message: '请您阅读并同意商户协议！' });
        return false;
      }

      var data = {
        accountName: this.paramData.accountName,
        accountNo: this.bankInfo.bankNum,
        accountKind: '58',
        idCard: this.paramData.idCardNo,
        idcardExpire: this.paramData.idcardExpire,
        openningBank: this.bankCardData.openningBank,
        id: this.paramData.permitID,
        idCardFrontUpName: this.paramData.idFrontFileName,
        idCardBackUpName: this.paramData.idBackFileName,
        bankCardUpName: this.bankfileName,
        openLicenseUpName: ''
      };

      this.$fetch({
        method: 'POST',
        url: 'api/qr/merchant/settlementInfo',
        params: data
      }).then(function (res) {
        if (res.retCode === '000000') {
          var paramsdata = {
            permitID: res.retData.id,
            accountName: _this2.paramData.accountName,
            idCardNo: _this2.paramData.idCardNo,
            forP: 'privateBank',
            openD0Flag: res.retData.openD0Flag,
            fromwhere: _this2.paramData.fromwhere
          };
          _this2.$navigator.push({
            url: 'shop/authentResult.js',
            params: paramsdata
          });
        } else {
          _this2.$notice.toast({ message: res.retMsg });
        }
      });
    },

    //银行卡识别
    bankCardRecognize: function bankCardRecognize() {
      var _this3 = this;

      this.$ocr.bankCardRecognize(function (res) {
        if (res) {
          _this3.bankCardImage = res.image;
          _this3.bankInfo.bankNum = res.cardNum.replace(/\s+/g, '');
          _this3.uploadImage(res.image);
          _this3.getBankNameRequest();
          _this3.showBankInfo = true;
        } else {
          _this3.$notice.toast({ message: '请扫描结算人的银行卡正面照片' });
        }
      });
    },

    //上传银行卡图片
    uploadImage: function uploadImage(bankImgPath) {
      var _this4 = this;

      this.$upload.uploadImg({
        imageUrl: bankImgPath,
        requestUrl: _index2.default.apiUrl + 'api/qr/commons/fileUpload',
        fileKey: 'uploadFileContent',
        headers: {
          AUTHORIZATION: this.$userBase.getToken() || '',
          'X-Client-PV': 'sht',
          'X-Client-Platform': _index3.device.isAndroid() ? 'Android' : 'IOS' // 客户端平台(Android或IOS)
        },
        params: {
          fileType: 'CARD_NO',
          fileName: DeviceModule.getClientSeries(),
          fileAddition: 'upload',
          fileDesc: '银行卡正面'
        }
      }, function (res) {
        if (res) {
          if (res.code === 200) {
            // 上传成功成功
            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
            if (data.retCode == '000000') {
              // 上传成功成功
              _this4.bankfileName = data.retData.fileName;
              _this4.uploadBankImg = true;
            } else {
              _this4.uploadBankImg = false;
            }
          } else if (res.code === 401) {
            _this4.$notice.toast({ message: '请重新登录' });
          } else {
            _this4.$notice.toast({ message: '图片上传失败，请稍后再试' });
          }
        } else {
          _this4.$notice.toast({ message: '服务端异常，请重试' });
        }
      });
    },

    //3.2.9商户进件查询卡BIN信息（对私）
    getBankNameRequest: function getBankNameRequest() {
      var _this5 = this;

      var data = {
        cardno: this.bankInfo.bankNum
      };
      this.$fetch({
        method: 'GET',
        url: 'api/qr/merchant/cardBinInfo',
        params: data
      }).then(function (res) {
        if (res.retCode === '000000') {
          _this5.bankInfo.bankName = res.retData.bankName;
          _this5.bankCardData = res.retData;
        } else {
          _this5.$notice.toast({ message: res.retMsg });
        }
      });
    },
    agreeCompProtocol: function agreeCompProtocol() {
      var data = {
        title: '支付服务合作协议',
        url: _config2.default.PAY_COMP_PROTOCOL
      };
      this.$appTool.gotoBaseWebView(data.url, '', data.title);
    }
  }
};

/***/ }),

/***/ 542:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "银行卡认证",
      "hasBack": true
    }
  }), _c('scroller', [_vm._m(0), _vm._m(1), _c('div', {
    staticClass: ["id-section"],
    on: {
      "click": _vm.bankCardRecognize
    }
  }, [_c('image', {
    staticClass: ["bg-img"],
    attrs: {
      "src": "reslocal://assets/img/merchant/group6.png"
    }
  }), _c('image', {
    staticClass: ["eg-img"],
    attrs: {
      "src": _vm.bankCardImage ? _vm.bankCardImage : _vm.bankCardDefaultImage
    }
  }), _c('text', {
    staticClass: ["id-title"]
  }, [_vm._v(_vm._s(_vm.bankCardImage ? '点击可重新扫描' : '扫描银行卡正面'))])]), _vm._m(2), (_vm.showBankInfo) ? _c('div', {
    staticClass: ["info-section"]
  }, [_c('lkl-field', {
    attrs: {
      "align": "right",
      "placeholder": "请输入银行卡号",
      "fieldStyle": {
        width: "700px",
        height: "104px"
      },
      "type": "number"
    },
    on: {
      "wxBlur": _vm.getBankNameRequest
    },
    model: {
      value: (_vm.bankInfo.bankNum),
      callback: function($$v) {
        _vm.$set(_vm.bankInfo, "bankNum", $$v)
      },
      expression: "bankInfo.bankNum"
    }
  }, [_c('div', {
    staticClass: ["field-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticStyle: {
      width: "44px",
      height: "32px"
    },
    attrs: {
      "src": "reslocal://assets/img/shop/bankCardImg.png"
    }
  }), _c('text', {
    staticClass: ["label-text"]
  }, [_vm._v("银行卡号")])])]), _c('lkl-field', {
    attrs: {
      "align": "right",
      "placeholder": "请输入开户行",
      "fieldStyle": {
        width: "700px",
        height: "104px"
      }
    },
    model: {
      value: (_vm.bankInfo.bankName),
      callback: function($$v) {
        _vm.$set(_vm.bankInfo, "bankName", $$v)
      },
      expression: "bankInfo.bankName"
    }
  }, [_c('div', {
    staticClass: ["field-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticStyle: {
      width: "44px",
      height: "44px"
    },
    attrs: {
      "src": "reslocal://assets/img/shop/priBank.png"
    }
  }), _c('text', {
    staticClass: ["label-text"]
  }, [_vm._v("开户行")])])])], 1) : _vm._e(), (_vm.showBankInfo) ? _c('div', {
    staticClass: ["protocol"]
  }, [_c('lkl-checkbox', {
    attrs: {
      "align": "right",
      "text": "阅读并同意："
    },
    model: {
      value: (_vm.protocolBox),
      callback: function($$v) {
        _vm.protocolBox = $$v
      },
      expression: "protocolBox"
    }
  }), (_vm.isCompMer) ? _c('div', {
    staticClass: ["protocol-list"]
  }, [_c('text', {
    staticClass: ["protocol-item"],
    on: {
      "click": _vm.agreeCompProtocol
    }
  }, [_vm._v("《支付服务合作协议》")])]) : _c('div', {
    staticClass: ["protocol-list"]
  }, [_c('text', {
    staticClass: ["protocol-item"],
    on: {
      "click": function($event) {
        _vm.agreeProtocolWays('sht')
      }
    }
  }, [_vm._v("《特约商户服务协议》")]), _c('text', {
    staticClass: ["protocol-item"],
    on: {
      "click": function($event) {
        _vm.agreeProtocolWays('wallet')
      }
    }
  }, [_vm._v("《钱袋子服务说明》")])])], 1) : _vm._e(), _c('div', {
    staticStyle: {
      alignItems: "center"
    }
  }, [_c('lkl-button', {
    staticClass: ["next-btn"],
    attrs: {
      "btnStyle": {
        "width": "582px",
        "height": "88px",
        "background-color": "rgba(8,136,249,1)",
        "border-radius": "8px"
      }
    },
    on: {
      "wxClick": _vm.next
    }
  }, [_vm._v("下一步")])], 1)])], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["progress-section"]
  }, [_c('text', {
    staticClass: ["title-tip"]
  }, [_vm._v("商户信息")]), _c('image', {
    staticClass: ["image-style"],
    attrs: {
      "src": "reslocal://assets/img/addmer/next.png"
    }
  }), _c('text', {
    staticClass: ["title-tip"]
  }, [_vm._v("结算信息")]), _c('image', {
    staticClass: ["image-style"],
    attrs: {
      "src": "reslocal://assets/img/addmer/next.png"
    }
  }), _c('text', {
    staticClass: ["title-tip", "title-tip-gray"]
  }, [_vm._v("完成")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title-section"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("请扫描结算人的银行卡正面照片")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["example-section"]
  }, [_c('text', {
    staticClass: ["example-title"]
  }, [_vm._v("拍摄示例")]), _c('div', {
    staticClass: ["example-list"]
  }, [_c('div', {
    staticClass: ["example-item"]
  }, [_c('image', {
    staticClass: ["example-icon"],
    attrs: {
      "src": "reslocal://assets/img/shop/bankshoot0.png"
    }
  }), _c('div', {
    staticClass: ["attch-title"]
  }, [_c('image', {
    staticClass: ["item-icon"],
    attrs: {
      "src": "reslocal://assets/img/shop/rightIcon.png"
    }
  }), _c('text', {
    staticClass: ["item-text"]
  }, [_vm._v("标准")])])]), _c('div', {
    staticClass: ["example-item"]
  }, [_c('image', {
    staticClass: ["example-icon", "example-icon-wrong"],
    attrs: {
      "src": "reslocal://assets/img/shop/bankshoot1.png"
    }
  }), _c('div', {
    staticClass: ["attch-title"]
  }, [_c('image', {
    staticClass: ["item-icon"],
    attrs: {
      "src": "reslocal://assets/img/shop/wrongIcon.png"
    }
  }), _c('text', {
    staticClass: ["item-text"]
  }, [_vm._v("边角缺失")])])]), _c('div', {
    staticClass: ["example-item"]
  }, [_c('image', {
    staticClass: ["example-icon", "example-icon-wrong"],
    attrs: {
      "src": "reslocal://assets/img/shop/bankshoot2.png"
    }
  }), _c('div', {
    staticClass: ["attch-title"]
  }, [_c('image', {
    staticClass: ["item-icon"],
    attrs: {
      "src": "reslocal://assets/img/shop/wrongIcon.png"
    }
  }), _c('text', {
    staticClass: ["item-text"]
  }, [_vm._v("照片模糊")])])]), _c('div', {
    staticClass: ["example-item"]
  }, [_c('image', {
    staticClass: ["example-icon", "example-icon-wrong"],
    attrs: {
      "src": "reslocal://assets/img/shop/bankshoot3.png"
    }
  }), _c('div', {
    staticClass: ["attch-title"]
  }, [_c('image', {
    staticClass: ["item-icon"],
    attrs: {
      "src": "reslocal://assets/img/shop/wrongIcon.png"
    }
  }), _c('text', {
    staticClass: ["item-text"]
  }, [_vm._v("闪光强烈")])])])])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = {
  "lkl-checkbox": {
    "flexDirection": "row",
    "alignItems": "center"
  },
  "lkl-text": {
    "color": "#999999",
    "fontSize": "28"
  },
  "align-right": {
    "paddingLeft": "16"
  },
  "align-left": {
    "paddingRight": "16"
  },
  "lkl-box": {
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#489de7",
    "backgroundColor": "#ffffff"
  },
  "checked": {
    "position": "absolute",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "transform": "rotate(45deg)"
  }
}

/***/ }),

/***/ 56:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    defaultChecked: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    titleStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    text: {
      type: String,
      default: ''
    },
    align: {
      type: String,
      // left or right
      default: 'left'
    },
    checkedColor: {
      type: String,
      default: '#489de7'
    },
    size: {
      type: String,
      default: 'small'
    }
  },
  data: function data() {
    return {
      checked: false,
      boxSize: {
        big: {
          width: '45px',
          height: '45px'
        },
        small: {
          width: '25px',
          height: '25px'
        }
      },
      checkedSize: {
        big: {
          top: '-5px',
          left: '11px',
          width: '20px',
          height: '40px'
        },
        small: {
          top: '-2px',
          left: '7px',
          width: '11px',
          height: '21px'
        }
      }
    };
  },

  watch: {
    defaultChecked: function defaultChecked(newval) {
      this.checked = this.defaultChecked;
    }
  },
  created: function created() {
    this.checked = this.defaultChecked;
  },

  computed: {
    boxStyle: function boxStyle() {
      var checkedBoxStyle = {
        'backgroundColor': this.checked ? this.checkedColor : '#FFFFFF'
      };
      var boxStyle = _extends({}, checkedBoxStyle, this.boxSize[this.size]);
      return boxStyle;
    },
    checkedStyle: function checkedStyle() {
      var borderStyle = {
        'border-right-color': '#FFFFFF',
        'border-bottom-color': '#FFFFFF'
      };
      var checkedStyle = _extends({}, borderStyle, this.checkedSize[this.size]);
      return checkedStyle;
    }
  },
  methods: {
    handleClick: function handleClick() {
      if (this.disabled) return;
      this.checked = !this.checked;
      this.$emit('input', this.checked);
      this.$emit('wxChange', this.checked);
    }
  }
};

/***/ }),

/***/ 57:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-checkbox"],
    on: {
      "click": _vm.handleClick
    }
  }, [(_vm.align === 'left') ? _c('text', {
    staticClass: ["lkl-text", "align-left"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.text))]) : _vm._e(), _c('div', {
    staticClass: ["lkl-box"],
    style: _vm.boxStyle
  }, [(_vm.checked && !_vm.disabled) ? _c('div', {
    staticClass: ["checked"],
    style: _vm.checkedStyle
  }) : _vm._e()]), (_vm.align === 'right') ? _c('text', {
    staticClass: ["lkl-text", "align-right"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.text))]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(10)
)

/* script */
__vue_exports__ = __webpack_require__(11)

/* template */
var __vue_template__ = __webpack_require__(13)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-button/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-71771045"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ })

/******/ });