// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 361);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var device = exports.device = {
  isIOS: function isIOS() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'ios';
  },
  isAndroid: function isAndroid() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'android';
  },

  /**
   * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
   * @returns {boolean}
   */
  isIPhoneX: function isIPhoneX() {
    var deviceHeight = weex.config.env.deviceHeight;

    return device.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
  },

  /**
   * 获取weex屏幕真实的设置高度，需要减去导航栏高度
   * @returns {Number}
   */
  getPageHeight: function getPageHeight() {
    return this.getScreenHeight() - this.getStatusBarHeight() - this.bottomSafeAreaHeight();
  },

  /**
   * 获取weex屏幕真实的设置高度
   * @returns {Number}
   */
  getScreenHeight: function getScreenHeight() {
    var env = weex.config.env;

    return env.deviceHeight / env.deviceWidth * 750;
  },
  bottomSafeAreaHeight: function bottomSafeAreaHeight() {
    var _weex$config = weex.config,
        env = _weex$config.env,
        homeIndicatorHeight = _weex$config.homeIndicatorHeight,
        navigationBarHeight = _weex$config.navigationBarHeight;

    var safeAreaHeight = 0;
    // 获取ios底部安全区域的高度
    if (device.isIPhoneX()) {
      safeAreaHeight = homeIndicatorHeight;
    } else if (device.isAndroid()) {
      // 安卓有底部虚拟键盘的高度
      safeAreaHeight = navigationBarHeight;
    }
    return safeAreaHeight / env.deviceWidth * 750;
  },
  getStatusBarHeight: function getStatusBarHeight() {
    var _weex$config2 = weex.config,
        env = _weex$config2.env,
        statusBarHeight = _weex$config2.statusBarHeight;

    return statusBarHeight / env.deviceWidth * 750;
  },
  makeClassList: function makeClassList(classList) {
    return Object.keys(classList).filter(function (classname) {
      return classList[classname];
    });
  }
};

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(16)
)

/* script */
__vue_exports__ = __webpack_require__(17)

/* template */
var __vue_template__ = __webpack_require__(18)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-cell/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7bc39716"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = {
  "lkl-cell": {
    "alignItems": "center",
    "flexDirection": "row",
    "paddingRight": "46",
    "backgroundColor": "#ffffff"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#DCDCDC"
  },
  "lkl-cell-label": {
    "width": "188",
    "fontSize": "28"
  },
  "lkl-cell-title": {
    "flex": 1
  },
  "right-arrow": {
    "width": "22",
    "height": "22",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#979797",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "borderRightColor": "#979797",
    "marginRight": "4",
    "transform": "rotate(-45deg)"
  }
}

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    cellStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    label: {
      type: String,
      default: ''
    },
    labelStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    hasArrow: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    handleClick: function handleClick(e) {
      this.$emit('wxClick', e);
    }
  }
};

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["lkl-cell"],
    class: [_vm.hasBottom ? 'bottom-border' : 'bottom-border-none'],
    style: _vm.cellStyle,
    on: {
      "click": _vm.handleClick
    }
  }, [_vm._t("label", [(_vm.label) ? _c('text', {
    staticClass: ["lkl-cell-label"],
    style: _vm.labelStyle
  }, [_vm._v(_vm._s(_vm.label))]) : _vm._e()]), _c('div', {
    staticClass: ["lkl-cell-title"]
  }, [_vm._t("title")], 2), _vm._t("value"), (_vm.hasArrow) ? _c('div', {
    staticClass: ["right-arrow"]
  }) : _vm._e()], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 361:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _MerchantLimit = __webpack_require__(362);

var _MerchantLimit2 = _interopRequireDefault(_MerchantLimit);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_MerchantLimit2.default.el = '#root';
new Vue(_MerchantLimit2.default);

/***/ }),

/***/ 362:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(363)
)

/* script */
__vue_exports__ = __webpack_require__(364)

/* template */
var __vue_template__ = __webpack_require__(365)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/home/MerchantLimit.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-379bb1e9"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 363:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#f1f1f1"
  },
  "page": {
    "width": "750"
  },
  "header-icon": {
    "height": "48",
    "width": "50",
    "marginRight": "20"
  },
  "limit-section": {
    "height": "204"
  },
  "title-item": {
    "alignItems": "center",
    "flexDirection": "row",
    "height": "80",
    "marginTop": "16"
  },
  "title-icon": {
    "height": "48",
    "width": "48",
    "marginLeft": "20"
  },
  "title-text": {
    "marginLeft": "20",
    "height": "48",
    "fontSize": "32",
    "fontFamily": "PingFangSC-Medium, PingFang SC",
    "fontWeight": "500",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "48"
  },
  "account-item": {
    "marginLeft": "20",
    "marginRight": "20",
    "width": "702",
    "height": "132",
    "alignItems": "center",
    "flexDirection": "row",
    "justifyContent": "center",
    "boxShadow": "0px 8px 16px 0px rgba(236, 236, 236, 0.3)"
  },
  "account-item_ch": {
    "width": "320",
    "flexDirection": "row",
    "justifyContent": "flex-end",
    "marginTop": "-12"
  },
  "account-item-bg": {
    "position": "absolute",
    "width": "702",
    "height": "132"
  },
  "account-leftnum": {
    "color": "#59a7fa",
    "fontSize": "48",
    "height": "132",
    "lineHeight": "132",
    "textAlign": "right"
  },
  "account-leftunit": {
    "color": "#323232",
    "height": "132",
    "lineHeight": "132",
    "fontSize": "24",
    "textAlign": "center",
    "marginRight": "20"
  },
  "account-line": {
    "width": "2",
    "height": "104",
    "backgroundColor": "#d8d8d8",
    "marginTop": "10",
    "marginBottom": "10"
  },
  "account-rightnum": {
    "color": "#ff9900",
    "fontSize": "48",
    "textAlign": "center",
    "height": "132",
    "lineHeight": "132",
    "marginLeft": "40"
  },
  "account-rightunit": {
    "color": "#323232",
    "fontSize": "24",
    "height": "132",
    "lineHeight": "132",
    "textAlign": "center"
  },
  "credit-title": {
    "marginLeft": "20",
    "marginTop": "48",
    "textAlign": "left"
  },
  "credit-title-txt": {
    "height": "48",
    "fontSize": "32",
    "fontFamily": "PingFangSC-Medium, PingFang SC",
    "fontWeight": "500",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "48"
  },
  "approve-item": {
    "marginTop": "20",
    "width": "702",
    "alignSelf": "center",
    "borderRadius": "16"
  },
  "cell-label": {
    "marginTop": "8",
    "height": "60",
    "width": "60"
  },
  "content-title": {
    "marginLeft": "30",
    "fontSize": "32",
    "width": "200",
    "color": "#323232"
  },
  "content-value": {
    "marginRight": "20",
    "fontSize": "32",
    "textAlign": "right"
  },
  "mask": {
    "position": "fixed",
    "left": "0",
    "right": "0",
    "top": "0",
    "bottom": "0",
    "backgroundColor": "rgba(0,0,0,0.3)"
  },
  "mask-close": {
    "width": "48",
    "height": "48",
    "marginLeft": "670",
    "marginTop": "264",
    "marginBottom": "8"
  },
  "mask-context": {
    "alignSelf": "center",
    "width": "686",
    "height": "662",
    "backgroundColor": "rgba(255,255,255,1)",
    "borderRadius": "16"
  },
  "mask-context-title": {
    "alignSelf": "center",
    "height": "100",
    "fontSize": "36",
    "fontFamily": "PingFangSC-Medium, PingFang SC",
    "fontWeight": "500",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "100"
  },
  "mask-context-line": {
    "alignSelf": "center",
    "width": "622",
    "height": "2",
    "backgroundColor": "#e0e0e0"
  },
  "mask-context-info-box": {
    "marginTop": "16",
    "alignSelf": "center",
    "width": "622",
    "height": "174"
  },
  "mask-context-info-box1": {
    "flexDirection": "row"
  },
  "mask-context-info1": {
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "42"
  },
  "mask-context-info2": {
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "#0888f9",
    "lineHeight": "42"
  },
  "mask-context-lkl": {
    "position": "absolute",
    "textAlign": "right",
    "right": "32",
    "top": "406",
    "width": "622",
    "height": "40",
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "40"
  },
  "mask-context-service": {
    "position": "absolute",
    "flexDirection": "row",
    "right": "32",
    "top": "454",
    "width": "236",
    "height": "40"
  },
  "mask-context-service-left": {
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "40"
  },
  "mask-context-service-right": {
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "#0888f9",
    "lineHeight": "40"
  },
  "mask-btn": {
    "position": "absolute",
    "top": "542",
    "alignSelf": "center",
    "width": "582",
    "height": "88",
    "backgroundColor": "rgba(8,136,249,1)",
    "borderRadius": "16"
  },
  "mask-btn-text": {
    "textAlign": "center",
    "width": "582",
    "height": "88",
    "fontSize": "32",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "rgba(255,255,255,1)",
    "lineHeight": "88"
  }
}

/***/ }),

/***/ 364:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

var _lklTabPage = __webpack_require__(58);

var _lklTabPage2 = _interopRequireDefault(_lklTabPage);

var _lklCell = __webpack_require__(15);

var _lklCell2 = _interopRequireDefault(_lklCell);

var _index = __webpack_require__(14);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var globalEvent = weex.requireModule('globalEvent'); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  components: {
    LklHeader: _lklHeader2.default,
    LklTabPage: _lklTabPage2.default,
    LklCell: _lklCell2.default
  },
  name: 'MerchantLimit',
  data: function data() {
    return {
      page: true,
      tabTitles: [{
        title: '收款额度'
      }, {
        title: 'D0提款'
      }],
      tabStyles: {
        bgColor: '#FFFFFF',
        titleColor: '#666666',
        activeTitleColor: '#0888F9',
        activeBgColor: '#FFFFFF',
        isActiveTitleBold: true,
        width: 375,
        height: 100,
        fontSize: 30,
        hasActiveBottom: true,
        activeBottomColor: '#0888F9',
        activeBottomHeight: 8,
        borderRadius: '6px',
        activeBottomWidth: 72
      },
      needSlider: false,
      supportSlide: true,
      isTabView: true,
      pageHeight: _index.device.getPageHeight(),
      defaultSelected: 0,
      shopNo: '',
      loginName: '',
      isD0: false, //yes 表示当前页是提现额度 no收款额度
      hasD0: false, //yes 开通了D0
      quotaData: {}, //D0  //当前提现额度model
      curquotaData: {}, //当前收款额度
      licenOrCardStr: '',
      accountKind: '',
      isFaceAuth: false,
      isCardAuth: false,
      showFace: true,
      defaultStore: null,
      limitFlag: false, //记录收款营业执照的认证状态 如果是提额中 切换回来时要去刷新
      faceStatus: {
        status: '',
        color: '',
        btnEnable: true
      },
      cardStatus: {
        status: '',
        color: '',
        btnEnable: true
      },
      showMask: false
    };
  },
  created: function created() {
    this.defaultStore = this.$storage.getData('defaultMerInfo');
    this.shopNo = this.defaultStore.shopNo || '';
    this.loginName = this.defaultStore.loginName || '';
    this.accountKind = this.defaultStore.accountKind || '';
    if (!this.defaultStore || !this.shopNo || !this.loginName || !this.accountKind) {
      this.$notice.toast({ message: '数据异常' });
      this.$navigator.pop();
      return;
    }

    if (this.defaultStore.accountKind === '58') {
      //对私
      this.showFace = true;
    } else if (this.defaultStore.accountKind === '57') {
      //对公
      this.showFace = false;
    }
    this.getD0OpenStatus();
  },
  mounted: function mounted() {
    var _this = this;

    globalEvent.addEventListener('viewWillAppear', function (e) {
      if (_this.isD0) {
        _this.quotaDrawingQuery();
      } else {
        _this.quotaAcquiresQuery();
      }
    });
  },

  methods: {
    closeMask: function closeMask() {
      this.showMask = false;
    },
    getTextSize: function getTextSize(txt) {
      if (txt != null && txt.length > 9) {
        var mFontSize = 48 - (txt.length - 9) * 4;
        return { 'font-size': mFontSize + 'px' };
      } else {
        return {};
      }
    },

    //切换左右列
    tabPageChange: function tabPageChange(page) {
      var index = page.page;

      if (index == 0) {
        //收款额度
        this.defaultSelected = 0;
        this.isD0 = false;
        this.licenOrCardStr = '营业执照认证';
        if (JSON.stringify(this.curquotaData) == '{}') {
          this.quotaAcquiresQuery();
        } else {
          this.faceAuthStatus(this.curquotaData.faceStatus);
          this.cardAuthStatus(this.curquotaData.busStatus);
        }
      } else {
        //提现额度
        this.defaultSelected = 1;
        this.isD0 = true;
        this.licenOrCardStr = '信用卡认证';
        if (JSON.stringify(this.quotaData) == '{}') {
          this.quotaDrawingQuery();
        } else {
          this.faceAuthStatus(this.quotaData.faceStatus);
          this.cardAuthStatus(this.quotaData.cardStatus);
        }
      }
    },

    //人脸认证状态
    faceAuthStatus: function faceAuthStatus(status) {
      switch (status) {
        case 0:
          this.faceStatus.status = "去认证";
          this.faceStatus.color = '#FFB359';
          this.faceStatus.btnEnable = true;
          break;
        case 1:
          this.faceStatus.status = '已认证，提额中';
          this.faceStatus.color = '#D3D3D3';
          this.faceStatus.btnEnable = false;
          break;
        case 2:
          this.faceStatus.status = '已认证，去提额';
          this.faceStatus.color = '#01B5F0';
          this.faceStatus.btnEnable = true;
          break;
        case 3:
          this.faceStatus.status = '已提额';
          this.faceStatus.color = '#D3D3D3';
          this.faceStatus.btnEnable = false;
          break;
        default:
          break;
      }
    },

    //营业执照或信用卡状态
    cardAuthStatus: function cardAuthStatus(status) {
      switch (status) {
        case 0:
          this.cardStatus.status = '去认证';
          this.cardStatus.color = '#FFB359';
          this.cardStatus.btnEnable = true;
          break;
        case 1:
          this.cardStatus.status = '已认证，提额中';
          this.cardStatus.color = '#D3D3D3';
          this.cardStatus.btnEnable = false;
          break;
        case 2:
          this.cardStatus.status = '已认证，去提额';
          this.cardStatus.color = '#01B5F0';
          this.cardStatus.btnEnable = true;
          break;
        case 3:
          this.cardStatus.status = '已提额';
          this.cardStatus.color = '#D3D3D3';
          this.cardStatus.btnEnable = false;
          break;
        default:
          break;
      }
    },
    limitIntroduction: function limitIntroduction() {
      this.showMask = true;
      // this.$navigator.push({
      //   url: 'home/LimitIntroduction.js'
      // })
    },

    //人脸认证
    faceProve: function faceProve() {
      if (this.faceStatus.btnEnable) {
        var faceStatus = '0';
        var type = '';
        var authenType = '';
        if (this.isD0 == true) {
          //提现额度 页面
          faceStatus = this.quotaData.faceStatus;
          type = '2';
          authenType = 'WITHDRAWAL';
        } else {
          //收款
          faceStatus = this.curquotaData.faceStatus;
          type = '1';
          authenType = 'ACQUIRES';
        }
        if (faceStatus == '0') {
          //去认证
          this.$navigator.push({
            url: 'home/limitIdentityCardFront.js',
            params: {
              faceAuth: '0',
              shopNo: this.shopNo,
              invokeType: 'QUOTA_UPGRADE',
              authenType: authenType
            }
          });
        } else {
          //已认证，去提额
          this.increaseLimitWithType(type, 'FACE');
        }
      }
    },

    //营业执照认证方法
    licenseProve: function licenseProve() {
      if (this.cardStatus.btnEnable) {
        if (this.isD0 == true) {
          //提现额度
          if (this.quotaData.cardStatus == '0') {
            //去信用卡认证
            var params = {
              shopNo: this.shopNo,
              upgradeLimit: 'true',
              fromwhere: 'MerchantLimit.js'
            };

            this.$navigator.push({
              url: 'auth/CreditCardAuth.js',
              params: params
            });
          } else {
            //已认证去提额
            this.increaseLimitWithType('2', 'CARD');
          }
        } else {
          if (this.curquotaData.busStatus == '0') {
            //去认证
            this.$navigator.push({
              url: 'shop/legalIdentityCard.js',
              params: {
                idType: ''
              }
            });
          } else {
            //已认证，去提额
            this.increaseLimitWithType('1', 'LICENSE');
          }
        }
      }
    },

    //D0开通状态查询(为了方便客户端查询在额度管理模块是否需要展示D0提现）)
    getD0OpenStatus: function getD0OpenStatus() {
      var _this2 = this;

      var params = {
        shopNo: this.shopNo,
        loginName: this.loginName
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/d0/queryOpenStatus',
        params: params
      }).then(function (res) {
        if (res.retCode === '000000') {
          var d0Flag = res.retData.d0Flag;
          //57：对公 58：对私
          if (d0Flag == '1' && _this2.accountKind == '58') {
            _this2.hasD0 = true;
            _this2.page = false;
            _this2.tabPageChange({ page: '0' });
          } else {
            _this2.hasD0 = false;
            _this2.page = true;
            _this2.quotaAcquiresQuery();
          }
        } else {
          _this2.$notice.toast({ message: res.retMsg });
        }
      }).catch(function (error) {});
    },

    //查询收单交易额度(收款)
    quotaAcquiresQuery: function quotaAcquiresQuery() {
      var _this3 = this;

      var data = {
        shopNo: this.shopNo
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/quota/acquires/query',
        params: data
      }).then(function (res) {
        if (res.retCode === '000000') {
          _this3.curquotaData = res.retData;
          // this.curquotaData.wechatPerTrade = '999999999999999' //测试
          // this.curquotaData.wechatDayTrade = '999999999' //测试
          if (_this3.curquotaData) {
            _this3.limitFlag = _this3.curquotaData.faceStatus == '1' || _this3.curquotaData.faceStatus == '1' ? true : false;
            _this3.faceAuthStatus(_this3.curquotaData.faceStatus);
            _this3.cardAuthStatus(_this3.curquotaData.busStatus);
          }
        } else {
          _this3.$notice.toast({ message: res.retMsg });
        }
      }).catch(function (error) {});
    },

    /**
     提升额度
     @param typeStr 提额类型（1 扫码交易额度提升 2 提款交易额度提升）
     @param wayStr 提额方式 CARD:信用卡 FACE:人脸识别 LICENSE:营业执照
     */
    increaseLimitWithType: function increaseLimitWithType(typeStr, wayStr) {
      var _this4 = this;

      var data = {
        shopNo: this.shopNo,
        upgradeWay: wayStr,
        updateType: typeStr
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/quota/upgrade',
        params: data
      }).then(function (res) {
        if (res.retCode === '000000') {
          if (_this4.isD0) {
            _this4.quotaDrawingQuery();
          } else {
            _this4.quotaAcquiresQuery();
          }
        } else {
          _this4.$notice.toast({ message: res.retMsg });
        }
      }).catch(function (error) {});
    },

    //D0查询额度
    quotaDrawingQuery: function quotaDrawingQuery() {
      var _this5 = this;

      var data = {
        shopNo: this.shopNo
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/quota/drawing/query',
        params: data
      }).then(function (res) {
        if (res.retCode === '000000') {
          _this5.quotaData = res.retData;
          if (_this5.quotaData) {
            _this5.limitFlag = _this5.quotaData.faceStatus == '1' || _this5.quotaData.faceStatus == '1' ? true : false;
            _this5.faceAuthStatus(_this5.quotaData.faceStatus);
            _this5.cardAuthStatus(_this5.quotaData.cardStatus);
          }
        } else {
          _this5.$notice.toast({ message: res.retMsg });
        }
      }).catch(function (error) {});
    }
  }
};

/***/ }),

/***/ 365:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "商户额度",
      "hasRight": true
    },
    on: {
      "rightBtnClick": _vm.limitIntroduction
    }
  }, [_c('image', {
    staticClass: ["header-icon"],
    attrs: {
      "slot": "right",
      "src": "reslocal://assets/img/income/qright.png"
    },
    slot: "right"
  })]), (_vm.page) ? _c('scroller', {
    staticClass: ["mer-limit"]
  }, [_c('div', {
    staticClass: ["limit-section"]
  }, [_vm._m(0), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.wechatPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.wechatPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.wechatDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.wechatDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_vm._m(1), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.singlePerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.singlePerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.singleDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.singleDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_vm._m(2), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.creditPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.creditPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.creditDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.creditDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_vm._m(3), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.debitPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.debitPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.debitDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.debitDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), (this.accountKind === '58') ? _c('div', {
    staticClass: ["credit-limit"]
  }, [_vm._m(4), _c('div', {
    staticClass: ["approve-item"]
  }, [_c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": true,
      "hidden": _vm.showFace
    },
    on: {
      "wxClick": _vm.faceProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/rlrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v("人脸认证")])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.faceStatus.color
    }
  }, [_vm._v(_vm._s(_vm.faceStatus.status))])])]), _c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": "true"
    },
    on: {
      "wxClick": _vm.licenseProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/yyzzrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v("营业执照认证")])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.cardStatus.color
    }
  }, [_vm._v(_vm._s(_vm.cardStatus.status))])])])], 1)]) : _vm._e()]) : _c('div', {
    staticClass: ["mer-limit"]
  }, [_c('lkl-tab-page', {
    ref: "lkl-tab-page",
    attrs: {
      "tabTitles": _vm.tabTitles,
      "tabStyles": _vm.tabStyles,
      "titleType": "icon",
      "needSlider": _vm.needSlider,
      "isTabView": _vm.isTabView,
      "tabPageHeight": _vm.pageHeight,
      "defaultSelected": _vm.defaultSelected
    },
    on: {
      "tabPageChange": _vm.tabPageChange
    }
  }, [_c('scroller', {
    staticClass: ["page"],
    style: {
      height: (_vm.pageHeight - 118) + 'px'
    }
  }, [_c('div', {
    staticClass: ["limit-section"]
  }, [_c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("扫码额度")])]), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.wechatPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.wechatPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.wechatDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.wechatDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("收款台卡")])]), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.singlePerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.singlePerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.singleDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.singleDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("信用卡刷卡")])]), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.creditPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.creditPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.creditDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.creditDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), _c('div', {
    staticClass: ["limit-section"]
  }, [_c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("借记卡刷卡")])]), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.curquotaData.debitPerTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.debitPerTrade || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.curquotaData.debitDayTrade)
  }, [_vm._v(_vm._s(_vm.curquotaData.debitDayTrade || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), (this.accountKind === '58') ? _c('div', {
    staticClass: ["credit-limit"]
  }, [_c('div', {
    staticClass: ["credit-title"]
  }, [_c('text', {
    staticClass: ["credit-title-txt"]
  }, [_vm._v("提额认证")])]), _c('div', {
    staticClass: ["approve-item"]
  }, [_c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": true,
      "hidden": _vm.showFace
    },
    on: {
      "wxClick": _vm.faceProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/rlrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v("人脸认证")])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.faceStatus.color
    }
  }, [_vm._v(_vm._s(_vm.faceStatus.status))])])]), _c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": "true"
    },
    on: {
      "wxClick": _vm.licenseProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/yyzzrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v("营业执照认证")])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.cardStatus.color
    }
  }, [_vm._v(_vm._s(_vm.cardStatus.status))])])])], 1)]) : _vm._e()]), _c('div', {
    staticClass: ["page"]
  }, [_c('div', {
    staticClass: ["limit-section"]
  }, [_c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("提现额度")])]), _c('div', {
    staticClass: ["account-item"]
  }, [_c('image', {
    staticClass: ["account-item-bg"],
    attrs: {
      "src": "reslocal://assets/img/income/blue_white.png"
    }
  }), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-leftnum"],
    style: _vm.getTextSize(_vm.quotaData.drawingPerSingleLimit)
  }, [_vm._v(_vm._s(_vm.quotaData.drawingPerSingleLimit || '-'))]), _c('text', {
    staticClass: ["account-leftunit"]
  }, [_vm._v("/单笔")])]), _c('div', {
    staticClass: ["account-item_ch"]
  }, [_c('text', {
    staticClass: ["account-rightnum"],
    style: _vm.getTextSize(_vm.quotaData.drawingPerDayLimit)
  }, [_vm._v(_vm._s(_vm.quotaData.drawingPerDayLimit || '-'))]), _c('text', {
    staticClass: ["account-rightunit"]
  }, [_vm._v("/单日")])])])]), (_vm.accountKind === '58') ? _c('div', {
    staticClass: ["credit-limit"]
  }, [_c('div', {
    staticClass: ["credit-title"]
  }, [_c('text', {
    staticClass: ["credit-title-txt"]
  }, [_vm._v("提额认证")])]), _c('div', {
    staticClass: ["approve-item"]
  }, [_c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": true,
      "hidden": _vm.showFace
    },
    on: {
      "wxClick": _vm.faceProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/rlrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v("人脸认证")])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.faceStatus.color
    }
  }, [_vm._v(_vm._s(_vm.faceStatus.status))])])]), _c('lkl-cell', {
    attrs: {
      "cellStyle": {
        height: '88px'
      },
      "hasArrow": "true"
    },
    on: {
      "wxClick": _vm.licenseProve
    }
  }, [_c('div', {
    staticClass: ["cell-label"],
    attrs: {
      "slot": "label"
    },
    slot: "label"
  }, [_c('image', {
    staticClass: ["title-icon"],
    attrs: {
      "src": "reslocal://assets/img/income/yyzzrz.png"
    }
  })]), _c('div', {
    staticClass: ["cell-title"],
    attrs: {
      "slot": "title"
    },
    slot: "title"
  }, [_c('text', {
    staticClass: ["content-title"]
  }, [_vm._v(_vm._s(_vm.licenOrCardStr))])]), _c('div', {
    staticClass: ["cell-value"],
    attrs: {
      "slot": "value"
    },
    slot: "value"
  }, [_c('text', {
    staticClass: ["content-value"],
    style: {
      color: _vm.cardStatus.color
    }
  }, [_vm._v(_vm._s(_vm.cardStatus.status))])])])], 1)]) : _vm._e()])])], 1), (_vm.showMask) ? _c('div', {
    staticClass: ["mask"]
  }, [_c('image', {
    staticClass: ["mask-close"],
    attrs: {
      "src": "reslocal://assets/img/income/close.png"
    },
    on: {
      "click": _vm.closeMask
    }
  }), _c('div', {
    staticClass: ["mask-context"]
  }, [_c('text', {
    staticClass: ["mask-context-title"]
  }, [_vm._v("额度说明")]), _c('div', {
    staticClass: ["mask-context-line"]
  }), _vm._m(5), _c('text', {
    staticClass: ["mask-context-lkl"]
  }, [_vm._v("最终解释权归拉卡拉所有")]), _vm._m(6), _c('div', {
    staticClass: ["mask-btn"]
  }, [_c('text', {
    staticClass: ["mask-btn-text"],
    on: {
      "click": _vm.closeMask
    }
  }, [_vm._v("确定")])])])]) : _vm._e()], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("扫码额度")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("收款台卡")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("信用卡刷卡")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["title-item"]
  }, [_c('text', {
    staticClass: ["title-text"]
  }, [_vm._v("借记卡刷卡")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["credit-title"]
  }, [_c('text', {
    staticClass: ["credit-title-txt"]
  }, [_vm._v("提额认证")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["mask-context-info-box"]
  }, [_c('text', {
    staticClass: ["mask-context-info1"]
  }, [_vm._v(" 如果商户收款额度不能满足需要时，可以通过")]), _c('div', {
    staticClass: ["mask-context-info-box1"]
  }, [_c('text', {
    staticClass: ["mask-context-info2"]
  }, [_vm._v("\"提额认证”")]), _c('text', {
    staticClass: ["mask-context-info1"]
  }, [_vm._v("提高每笔、每日以及每月收款额度。请")])]), _c('text', {
    staticClass: ["mask-context-info1"]
  }, [_vm._v("自助申请提额，拉卡拉将对您的商户资料进行评估，并告知您提升后的收款额度。")])])
},function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["mask-context-service"]
  }, [_c('text', {
    staticClass: ["mask-context-service-left"]
  }, [_vm._v("拉卡拉客服: ")]), _c('text', {
    staticClass: ["mask-context-service-right"]
  }, [_vm._v("95016")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 53:
/***/ (function(module, exports, __webpack_require__) {

"use strict";
var __WEBPACK_AMD_DEFINE_RESULT__;

var _typeof2 = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

!function (e) {
  if ("object" == ( false ? "undefined" : _typeof2(exports)) && "undefined" != typeof module) module.exports = e();else if (true) !(__WEBPACK_AMD_DEFINE_RESULT__ = (function (n, t, i) {
    i.exports = e();
  }).call(exports, __webpack_require__, exports, module),
				__WEBPACK_AMD_DEFINE_RESULT__ !== undefined && (module.exports = __WEBPACK_AMD_DEFINE_RESULT__));else {
    ("undefined" != typeof window ? window : "undefined" != typeof self ? self : "undefined" != typeof global ? global : this)["index.weex"] = e();
  }
}(function () {
  return function (e) {
    var n = {};function t(i) {
      if (n[i]) return n[i].exports;var r = n[i] = { i: i, l: !1, exports: {} };return e[i].call(r.exports, r, r.exports, t), r.l = !0, r.exports;
    }return t.m = e, t.c = n, t.d = function (e, n, i) {
      t.o(e, n) || Object.defineProperty(e, n, { configurable: !1, enumerable: !0, get: i });
    }, t.n = function (e) {
      var n = e && e.__esModule ? function () {
        return e.default;
      } : function () {
        return e;
      };return t.d(n, "a", n), n;
    }, t.o = function (e, n) {
      return Object.prototype.hasOwnProperty.call(e, n);
    }, t.p = "", t(t.s = 0);
  }([function (e, n, t) {
    "use strict";
    Object.defineProperty(n, "__esModule", { value: !0 });var i = "function" == typeof Symbol && "symbol" == _typeof2(Symbol.iterator) ? function (e) {
      return typeof e === "undefined" ? "undefined" : _typeof2(e);
    } : function (e) {
      return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e === "undefined" ? "undefined" : _typeof2(e);
    },
        r = t(1);function o(e) {
      try {
        if (void 0 !== ("undefined" == typeof weex ? "undefined" : i(weex)) && weex.requireModule) return weex.requireModule(e);
      } catch (e) {}return window.require("@weex-module/" + e);
    }var s = !0,
        a = !0,
        l = void 0;try {
      l = o("bindingx"), s = !0;
    } catch (e) {
      s = !1;
    }if (!l || !l.bind) try {
      l = o("binding"), s = !0;
    } catch (e) {
      s = !1;
    }if (!(s = !!(l && l.bind && l.unbind && l.getComputedStyle))) try {
      l = o("expressionBinding"), a = !0;
    } catch (e) {
      a = !1;
    }function u(e) {
      if (void 0 !== e) {
        try {
          e = JSON.parse(e);
        } catch (e) {}var n = {};if ("string" == typeof e ? n.origin = e : e && (n.origin = e.origin, n.transformed = e.transformed), n.transformed || n.origin) return n.transformed = n.transformed || (0, r.parse)(n.origin), n;
      }
    }a = !(!l || !l.bind && !l.createBinding), n.default = { isSupportNewBinding: s, isSupportBinding: a, _bindingInstances: [], bind: function bind(e) {
        var n = arguments.length > 1 && void 0 !== arguments[1] ? arguments[1] : function () {};if (!e) throw new Error("should pass options for binding");if (function (e) {
          e && (e.exitExpression = u(e.exitExpression), e.props && e.props.forEach(function (e) {
            e.expression = u(e.expression);
          }));
        }(e), l && a) {
          if (s) return l.bind(e, e && "timing" === e.eventType ? function (e) {
            return function () {
              var n = arguments.length > 0 && void 0 !== arguments[0] ? arguments[0] : {};if ("function" == typeof e) return e({ state: "end" === n.state ? "exit" : n.state, t: void 0 !== n.t ? n.t : n.deltaT });
            };
          }(n) : n);l.enableBinding(e.anchor, e.eventType), l.createBinding(e.anchor, e.eventType, "", function (e) {
            if (e && e.props) return e.props.map(function (e) {
              return { element: e.element, property: e.property, expression: e.expression.transformed };
            });
          }(e), n);
        }
      }, unbind: function unbind(e) {
        if (!e) throw new Error("should pass options for binding");if (l && a) return s ? l.unbind(e) : l.disableBinding(e.anchor, e.eventType);
      }, unbindAll: function unbindAll() {
        if (l && a) return s ? l.unbindAll() : l.disableAll();
      }, prepare: function prepare(e) {
        if (l && a) return s ? l.prepare(e) : l.enableBinding(e.anchor, e.eventType);
      }, getComputedStyle: function getComputedStyle(e) {
        return s ? l.getComputedStyle(e) : {};
      } }, e.exports = n.default;
  }, function (module, exports, __webpack_require__) {
    !function (e, n) {
      module.exports = n();
    }("undefined" != typeof self && self, function () {
      return function (e) {
        var n = {};function t(i) {
          if (n[i]) return n[i].exports;var r = n[i] = { i: i, l: !1, exports: {} };return e[i].call(r.exports, r, r.exports, t), r.l = !0, r.exports;
        }return t.m = e, t.c = n, t.d = function (e, n, i) {
          t.o(e, n) || Object.defineProperty(e, n, { configurable: !1, enumerable: !0, get: i });
        }, t.n = function (e) {
          var n = e && e.__esModule ? function () {
            return e.default;
          } : function () {
            return e;
          };return t.d(n, "a", n), n;
        }, t.o = function (e, n) {
          return Object.prototype.hasOwnProperty.call(e, n);
        }, t.p = "", t(t.s = 0);
      }([function (module, exports, __webpack_require__) {
        "use strict";
        var _typeof = "function" == typeof Symbol && "symbol" == _typeof2(Symbol.iterator) ? function (e) {
          return typeof e === "undefined" ? "undefined" : _typeof2(e);
        } : function (e) {
          return e && "function" == typeof Symbol && e.constructor === Symbol && e !== Symbol.prototype ? "symbol" : typeof e === "undefined" ? "undefined" : _typeof2(e);
        },
            lex = { InputElementDiv: "<WhiteSpace>|<LineTerminator>|<ReservedWord>|<Identifier>|<NumericLiteral>|<Punctuator>|<StringLiteral>", InputElementRegExp: "<WhiteSpace>|<LineTerminator>|<ReservedWord>|<Identifier>|<NumericLiteral>|<Punctuator>|<StringLiteral>", ReservedWord: "<Keyword>|<NullLiteral>|<BooleanLiteral>", WhiteSpace: /[\t\v\f\u0020\u00A0\u1680\u180E\u2000-\u200A\u202F\u205f\u3000\uFEFF]/, LineTerminator: /[\n\r\u2028\u2029]/, Keyword: /new(?![_$a-zA-Z0-9])|void(?![_$a-zA-Z0-9])|delete(?![_$a-zA-Z0-9])|in(?![_$a-zA-Z0-9])|instanceof(?![_$a-zA-Z0-9])|typeof(?![_$a-zA-Z0-9])/, NullLiteral: /null(?![_$a-zA-Z0-9])/, BooleanLiteral: /(?:true|false)(?![_$a-zA-Z0-9])/, Identifier: /[_$a-zA-Z][_$a-zA-Z0-9]*/, Punctuator: /\/|=>|\*\*|>>>=|>>=|<<=|===|!==|>>>|<<|%=|\*=|-=|\+=|<=|>=|==|!=|\^=|\|=|\|\||&&|&=|>>|\+\+|--|\:|}|\*|&|\||\^|!|~|-|\+|\?|%|=|>|<|,|;|\.(?![0-9])|\]|\[|\)|\(|{/, DivPunctuator: /\/=|\//, NumericLiteral: /(?:0[xX][0-9a-fA-F]*|\.[0-9]+|(?:[1-9]+[0-9]*|0)(?:\.[0-9]*|\.)?)(?:[eE][+-]{0,1}[0-9]+)?(?![_$a-zA-Z0-9])/, StringLiteral: /"(?:[^"\n\\\r\u2028\u2029]|\\(?:['"\\bfnrtv\n\r\u2028\u2029]|\r\n)|\\x[0-9a-fA-F]{2}|\\u[0-9a-fA-F]{4}|\\[^0-9ux'"\\bfnrtv\n\\\r\u2028\u2029])*"|'(?:[^'\n\\\r\u2028\u2029]|\\(?:['"\\bfnrtv\n\r\u2028\u2029]|\r\n)|\\x[0-9a-fA-F]{2}|\\u[0-9a-fA-F]{4}|\\[^0-9ux'"\\bfnrtv\n\\\r\u2028\u2029])*'/, RegularExpressionLiteral: /\/(?:\[(?:\\[\s\S]|[^\]])*\]|[^*\/\\\n\r\u2028\u2029]|\\[^\n\r\u2028\u2029])(?:\[(?:\\[\s\S]|[^\]])*\]|[^\/\\\n\r\u2028\u2029]|\\[^\n\r\u2028\u2029])*\/[0-9a-zA-Z]*/ };function XRegExp(e, n, t) {
          var i = [n];var r = function n(r) {
            var o = new RegExp();return o.compile(r.replace(/<([^>]+)>/g, function (t, r) {
              return e[r] ? (i.push(r), e[r] instanceof RegExp ? "(" + e[r].source + ")" : "(" + n(e[r]).source + ")") : "";
            }), t), o;
          }(e[n]);this.exec = function (e) {
            var n = r.exec(e);if (null == n) return null;for (var t = new String(n[0]), o = 0; o < i.length; o++) {
              n[o] && (t[i[o]] = n[o]);
            }return t;
          }, Object.defineProperty(this, "lastIndex", { get: function get() {
              return r.lastIndex;
            }, set: function set(e) {
              r.lastIndex = e;
            } });
        }function LexicalParser() {
          var e,
              n = new XRegExp(lex, "InputElementDiv", "g"),
              t = new XRegExp(lex, "InputElementRegExp", "g");Object.defineProperty(this, "source", { get: function get() {
              return e;
            }, set: function set(i) {
              e = i, n.lastIndex = 0, t.lastIndex = 0;
            } }), this.reset = function () {
            n.lastIndex = 0, t.lastIndex = 0;
          }, this.getNextToken = function (i) {
            var r,
                o = n.lastIndex,
                s = (r = i ? n : t).exec(e);if (s && r.lastIndex - o > s.length) throw new SyntaxError("Unexpected token ILLEGAL");return n.lastIndex = r.lastIndex, t.lastIndex = r.lastIndex, s;
          };
        }var rules = { IdentifierName: [["Identifier"]], Literal: [["NullLiteral"], ["BooleanLiteral"], ["NumericLiteral"], ["StringLiteral"], ["RegularExpressionLiteral"]], PrimaryExpression: [["Identifier"], ["Literal"], ["(", "Expression", ")"]], CallExpression: [["PrimaryExpression", "Arguments"], ["CallExpression", "Arguments"]], Arguments: [["(", ")"], ["(", "ArgumentList", ")"]], ArgumentList: [["ConditionalExpression"], ["ArgumentList", ",", "ConditionalExpression"]], LeftHandSideExpression: [["PrimaryExpression"], ["CallExpression"]], UnaryExpression: [["LeftHandSideExpression"], ["void", "UnaryExpression"], ["+", "UnaryExpression"], ["-", "UnaryExpression"], ["~", "UnaryExpression"], ["!", "UnaryExpression"]], ExponentiationExpression: [["UnaryExpression"], ["ExponentiationExpression", "**", "UnaryExpression"]], MultiplicativeExpression: [["MultiplicativeExpression", "/", "ExponentiationExpression"], ["ExponentiationExpression"], ["MultiplicativeExpression", "*", "ExponentiationExpression"], ["MultiplicativeExpression", "%", "ExponentiationExpression"]], AdditiveExpression: [["MultiplicativeExpression"], ["AdditiveExpression", "+", "MultiplicativeExpression"], ["AdditiveExpression", "-", "MultiplicativeExpression"]], ShiftExpression: [["AdditiveExpression"], ["ShiftExpression", "<<", "AdditiveExpression"], ["ShiftExpression", ">>", "AdditiveExpression"], ["ShiftExpression", ">>>", "AdditiveExpression"]], RelationalExpression: [["ShiftExpression"], ["RelationalExpression", "<", "ShiftExpression"], ["RelationalExpression", ">", "ShiftExpression"], ["RelationalExpression", "<=", "ShiftExpression"], ["RelationalExpression", ">=", "ShiftExpression"], ["RelationalExpression", "instanceof", "ShiftExpression"], ["RelationalExpression", "in", "ShiftExpression"]], EqualityExpression: [["RelationalExpression"], ["EqualityExpression", "==", "RelationalExpression"], ["EqualityExpression", "!=", "RelationalExpression"], ["EqualityExpression", "===", "RelationalExpression"], ["EqualityExpression", "!==", "RelationalExpression"]], BitwiseANDExpression: [["EqualityExpression"], ["BitwiseANDExpression", "&", "EqualityExpression"]], BitwiseXORExpression: [["BitwiseANDExpression"], ["BitwiseXORExpression", "^", "BitwiseANDExpression"]], BitwiseORExpression: [["BitwiseXORExpression"], ["BitwiseORExpression", "|", "BitwiseXORExpression"]], LogicalANDExpression: [["BitwiseORExpression"], ["LogicalANDExpression", "&&", "BitwiseORExpression"]], LogicalORExpression: [["LogicalANDExpression"], ["LogicalORExpression", "||", "LogicalANDExpression"]], ConditionalExpression: [["LogicalORExpression"], ["LogicalORExpression", "?", "LogicalORExpression", ":", "LogicalORExpression"]], Expression: [["ConditionalExpression"], ["Expression", ",", "ConditionalExpression"]], Program: [["Expression"]] };function _Symbol(e, n) {
          this.name = e, this.token = n, this.childNodes = [], this.toString = function (e) {
            if (e || (e = ""), 1 == this.childNodes.length) return this.childNodes[0].toString(e);for (var n = e + this.name + (void 0 != this.token && this.name != this.token ? ":" + this.token : "") + "\n", t = 0; t < this.childNodes.length; t++) {
              n += this.childNodes[t].toString(e + "    ");
            }return n;
          };
        }function SyntacticalParser() {
          var e = { Program: "$" },
              n = {};!function e(t) {
            n[JSON.stringify(t)] = t;for (var i = Object.getOwnPropertyNames(t); i.length;) {
              var r = i.shift();rules[r] && rules[r].forEach(function (e) {
                t[e[0]] || i.push(e[0]);var n = t;e.forEach(function (e) {
                  n[e] || (n[e] = {}), n = n[e];
                }), t[r].$div && (n.$div = !0), n.$reduce = r, n.$count = e.length;
              });
            }for (var o in t) {
              "object" != _typeof(t[o]) || "$" == o.charAt(0) || t[o].$closure || (n[JSON.stringify(t[o])] ? t[o] = n[JSON.stringify(t[o])] : e(t[o]));
            }t.$closure = !0;
          }(e);var t = [],
              i = [e],
              r = e;this.insertSymbol = function (e, n) {
            for (; !r[e.name] && r.$reduce;) {
              for (var o = r.$count, s = new _Symbol(r.$reduce); o--;) {
                s.childNodes.push(t.pop()), i.pop();
              }r = i[i.length - 1], this.insertSymbol(s);
            }if (r = r[e.name], t.push(e), i.push(r), !r) throw new Error();return r.$div;
          }, this.reset = function () {
            r = e, t = [], i = [e];
          }, Object.defineProperty(this, "grammarTree", { get: function get() {
              try {
                for (; r.$reduce;) {
                  for (var e = r.$count, n = new _Symbol(r.$reduce); e--;) {
                    n.childNodes.push(t.pop()), i.pop();
                  }r = i[i.length - 1], this.insertSymbol(n);
                }if (t.length > 0 && r[";"]) return this.insertSymbol(new _Symbol(";", ";")), this.grammarTree;if (1 != t.length || "Program" != t[0].name) throw new Error();
              } catch (e) {
                throw new SyntaxError("Unexpected end of input");
              }return t[0];
            } });
        }function Parser() {
          this.lexicalParser = new LexicalParser(), this.syntacticalParser = new SyntacticalParser();var e = {};["NullLiteral", "BooleanLiteral", "NumericLiteral", "StringLiteral", "RegularExpressionLiteral", "Identifier", "**", "=>", "{", "}", "(", ")", "[", "]", ".", ";", ",", "<", ">", "<=", ">=", "==", "!=", "===", "!==", "+", "-", "*", "%", "++", "--", "<<", ">>", ">>>", "&", "|", "^", "!", "~", "&&", "||", "?", ":", "=", "+=", "-=", "*=", "%=", "<<=", ">>=", ">>>=", "&=", "|=", "^=", "/", "/=", "instanceof", "typeof", "new", "void", "debugger", "this", "delete", "in"].forEach(function (n) {
            Object.defineProperty(e, n, {});
          }), this.reset = function () {
            this.lexicalParser.reset(), this.syntacticalParser.reset();
          }, this.parse = function (n, t) {
            var i,
                r = this,
                o = !1;this.lexicalParser.source = n;for (var s = !1; i = this.lexicalParser.getNextToken(s);) {
              t && t(i);try {
                if (Object.getOwnPropertyNames(i).some(function (n) {
                  return !!e.hasOwnProperty(n) && (s = r.syntacticalParser.insertSymbol(new _Symbol(n, i), o), o = !1, !0);
                })) continue;(i.Keyword || i.Punctuator || i.DivPunctuator) && e.hasOwnProperty(i.toString()) && (s = this.syntacticalParser.insertSymbol(new _Symbol(i.toString(), i), o));
              } catch (e) {
                throw new SyntaxError("Unexpected token " + i);
              }
            }return this.syntacticalParser.grammarTree;
          };
        }var parser = new Parser();function JavaScriptExpression(text) {
          parser.reset(), this.tree = parser.parse(text), this.paths = [];var context = Object.create(null),
              me = this,
              pathIndex = Object.create(null);function checkSimple(e) {
            for (var n = e; n.childNodes.length <= 1 && "MemberExpression" !== n.name;) {
              n = n.childNodes[0];
            }"MemberExpression" === n.name ? me.isSimple = !0 : me.isSimple = !1;
          }function walk(e) {
            if ("CallExpression" === e.name && "CallExpression" !== e.childNodes[e.childNodes.length - 1].name) {
              getPath(e.childNodes[1]);walk(e.childNodes[0]);
            } else if ("NewExpression" === e.name && 1 === e.childNodes.length) getPath(e.childNodes[0]);else if ("MemberExpression" === e.name && 1 === e.childNodes.length) getPath(e);else for (var n = 0; n < e.childNodes.length; n++) {
              walk(e.childNodes[n]);
            }
          }function getPath(e) {
            var n;if ("IdentifierName" === e.childNodes[0].name) return (n = getPath(e.childNodes[2])) && (n = n.concat(e.childNodes[0].childNodes[0].token.toString())), createPath(n), n;if ("PrimaryExpression" === e.childNodes[0].name) return "Identifier" === e.childNodes[0].childNodes[0].name ? (createPath(n = [e.childNodes[0].childNodes[0].token.toString()]), n) : null;if ("]" === e.childNodes[0].name) return getPath(e.childNodes[3]), walk(e.childNodes[1]), null;if ("Arguments" === e.childNodes[0].name) return walk(e.childNodes[0]), walk(e.childNodes[1]), null;for (var t = 0; t < e.childNodes.length; t++) {
              walk(e.childNodes[t]);
            }
          }function createPath(e) {
            for (var n = context, t = 0; t < e.length - 1; t++) {
              n[e[t]] || (n[e[t]] = Object.create(null)), n = n[e[t]];
            }me.paths.push(e), pathIndex[e.join(".")] = !1;
          }this.isSimple, this.isConst, walk(this.tree), checkSimple(this.tree), 0 === this.paths.length && (this.isConst = !0), this.setter = function (e) {
            for (var n = context, t = 0; t < e.length - 1; t++) {
              n[e[t]] || (n[e[t]] = Object.create(null)), n = n[e[t]];
            }return { isCompleted: function isCompleted() {
                for (var e in pathIndex) {
                  if (!pathIndex[e]) return !1;
                }return !0;
              }, set: function set(i) {
                return pathIndex[e.join(".")] || (pathIndex[e.join(".")] = !0), n[e[t]] = i, this.isCompleted() ? me.exec() : void 0;
              } };
          }, this.valueOf = this.exec = function () {
            try {
              return function () {
                return eval(text);
              }.call(context);
            } catch (e) {}
          };
        }function visit(e) {
          var n,
              t = e.childNodes.slice().reverse(),
              i = t.filter(function (e) {
            return !e.token || !e.token.Punctuator;
          });if ("UnaryExpression" === e.name && 2 === t.length && "-" === t[0].name && 1 === i.length) return (n = visit(i[0])).value = -n.value, n;if ("Arguments" === e.name) {
            for (var r = [], o = i[0]; o;) {
              3 === o.childNodes.length && (r.unshift(o.childNodes[0]), o = o.childNodes[2]), 1 === o.childNodes.length && (r.unshift(o.childNodes[0]), o = null);
            }return { type: "Arguments", children: r.map(function (e) {
                return visit(e);
              }) };
          }if (i && 1 === i.length) return n = visit(i[0]);if (e.token && ["NullLiteral", "BooleanLiteral", "NumericLiteral", "StringLiteral", "Identifier"].some(function (n) {
            return e.token[n];
          })) {
            var s = Object.keys(e.token).filter(function (e) {
              return e.match(/Literal/) || e.match(/Identifier/);
            })[0];return { type: s, value: { NullLiteral: null, BooleanLiteral: Boolean(e.token), NumericLiteral: Number(e.token), StringLiteral: e.token, Identifier: e.token }[s] };
          }return "CallExpression" === e.name ? { type: "CallExpression", children: [visit(t[0]), visit(t[1])] } : { type: t.filter(function (e) {
              return e.token && e.token.Punctuator;
            })[0].name, children: t.filter(function (e) {
              return !e.token || !e.token.Punctuator;
            }).map(function (e) {
              return visit(e);
            }) };
        }function parse(e) {
          var n = new JavaScriptExpression(e);return JSON.stringify(visit(n.tree), null);
        }module.exports = { parse: parse };
      }]);
    });
  }]);
});

/***/ }),

/***/ 58:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(67)
)

/* script */
__vue_exports__ = __webpack_require__(68)

/* template */
var __vue_template__ = __webpack_require__(69)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-tab-page/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-775c6e9a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 67:
/***/ (function(module, exports) {

module.exports = {
  "wxc-tab-page": {
    "width": "750"
  },
  "tab-title-list": {
    "flexDirection": "row"
  },
  "title-item": {
    "justifyContent": "center",
    "alignItems": "center",
    "borderBottomStyle": "solid"
  },
  "border-bottom": {
    "position": "absolute",
    "bottom": 0
  },
  "tab-page-wrap": {
    "width": "750",
    "overflow": "hidden"
  },
  "tab-container": {
    "flex": 1,
    "flexDirection": "row",
    "position": "absolute"
  },
  "tab-text": {
    "lines": 1,
    "textOverflow": "ellipsis"
  }
}

/***/ }),

/***/ 68:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _indexWeex = __webpack_require__(53);

var _indexWeex2 = _interopRequireDefault(_indexWeex);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
var modal = weex.requireModule('modal');
var animation = weex.requireModule('animation');
var swipeBack = weex.requireModule('swipeBack');
exports.default = {
  props: {
    tabTitles: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    panDist: {
      type: Number,
      default: 150
    },
    titleUseSlot: {
      type: Boolean,
      default: false
    },
    tabStyles: {
      type: Object,
      default: function _default() {
        return {
          bgColor: '#FFFFFF',
          titleColor: '#666666',
          activeTitleColor: '#29afe3',
          activeBgColor: '#FFFFFF',
          isActiveTitleBold: true,
          iconWidth: 70,
          iconHeight: 70,
          width: 187,
          height: 100,
          fontSize: 30,
          hasActiveBottom: true,
          activeBottomColor: '#29afe3',
          activeBottomWidth: 120,
          activeBottomHeight: 6,
          borderRadius: '0px',
          textPaddingLeft: 10,
          textPaddingRight: 10,
          leftOffset: 0
        };
      }
    },
    titleType: {
      type: String,
      default: 'icon'
    },
    tabPageHeight: {
      type: [String, Number],
      default: 1334
    },
    needSlider: {
      type: Boolean,
      default: true
    },
    isTabView: {
      type: Boolean,
      default: true
    },
    defaultSelected: {
      type: Number,
      default: 0
    },
    duration: {
      type: [Number, String],
      default: 300
    },
    timingFunction: {
      type: String,
      default: 'cubic-bezier(0.25, 0.46, 0.45, 0.94)'
    },
    wrapBgColor: {
      type: String,
      default: '#f2f3f4'
    }
  },
  data: function data() {
    return {
      currentPage: 0,
      gesToken: 0,
      isMoving: false,
      startTime: 0,
      deltaX: 0,
      translateX: 0
    };
  },
  created: function created() {
    var titleType = this.titleType,
        tabStyles = this.tabStyles;

    if (titleType === 'iconFont' && tabStyles.iconFontUrl) {
      dom.addRule('fontFace', {
        'fontFamily': "wxcIconFont",
        'src': 'url(' + tabStyles.iconFontUrl + ')'
      });
    }
    this.currentPage = this.defaultSelected;
    var dist = this.currentPage * 750;
    this.translateX = 'translateX(' + -dist + 'px)';
  },
  mounted: function mounted() {
    if (swipeBack && swipeBack.forbidSwipeBack) {
      swipeBack.forbidSwipeBack(true);
    }
    if (this.isTabView && this.needSlider) {
      var tabPageEl = this.$refs['tab-page-wrap'];
      _indexWeex2.default.prepare && _indexWeex2.default.prepare({
        anchor: tabPageEl.ref,
        eventType: 'pan'
      });
    }
  },

  methods: {
    next: function next() {
      var page = this.currentPage;
      if (page < this.tabTitles.length - 1) {
        page++;
      }
      this.setPage(page);
    },
    prev: function prev() {
      var page = this.currentPage;
      if (page > 0) {
        page--;
      }
      this.setPage(page);
    },
    startHandler: function startHandler() {
      if (this.isTabView && this.needSlider) {
        this.bindExp(this.$refs['tab-page-wrap']);
      }
    },
    bindExp: function bindExp(element) {
      var _this = this;

      if (element && element.ref) {
        if (this.isMoving && this.gesToken !== 0) {
          _indexWeex2.default.unbind({
            eventType: 'pan',
            token: this.gesToken
          });
          this.gesToken = 0;
          return;
        }
        var tabElement = this.$refs['tab-container'];
        var currentPage = this.currentPage,
            panDist = this.panDist;

        var dist = currentPage * 750;
        // x-dist
        var props = [{
          element: tabElement.ref,
          property: 'transform.translateX',
          expression: 'x-' + dist
        }];
        var gesTokenObj = _indexWeex2.default.bind({
          anchor: element.ref,
          eventType: 'pan',
          props: props
        }, function (e) {
          var deltaX = e.deltaX,
              state = e.state;

          if (state === 'end') {
            if (deltaX < -panDist) {
              _this.next();
            } else if (deltaX > panDist) {
              _this.prev();
            } else {
              _this.setPage(currentPage);
            }
          }
        });
        this.gesToken = gesTokenObj.token;
      }
    },
    setPage: function setPage(page) {
      var animated = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : true;

      if (this.isMoving === true) {
        return;
      }
      this.isMoving = true;
      var previousPage = this.currentPage;
      var currentTabEl = this.$refs['wxc-tab-title-' + page][0];
      var width = this.tabStyles.width;

      var appearNum = parseInt(750 / width);
      var tabsNum = this.tabTitles.length;
      var offset = page > appearNum ? -(750 - width) / 2 : -width * 2;
      if (appearNum < tabsNum) {
        (previousPage > appearNum || page > 1) && dom.scrollToElement(currentTabEl, {
          offset: offset, animated: animated
        });
        page <= 1 && previousPage > page && dom.scrollToElement(currentTabEl, {
          offset: -width * page,
          animated: animated
        });
      }
      this.isMoving = false;
      this.currentPage = page;
      this.$emit('tabPageChange', { page: page });
      this._animateTransformX(page, animated);
    },
    _animateTransformX: function _animateTransformX(page, animated) {
      var duration = this.duration,
          timingFunction = this.timingFunction;

      var computedDur = animated ? duration : 0.00001;
      var containerEl = this.$refs['tab-container'];
      var dist = page * 750;
      animation.transition(containerEl, {
        styles: {
          transform: 'translateX(' + -dist + 'px)'
        },
        duration: computedDur,
        timingFunction: timingFunction,
        needLayout: false,
        delay: 0
      }, function () {});
    }
  }
};

/***/ }),

/***/ 69:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["wxc-tab-page"],
    style: {
      height: (_vm.tabPageHeight) + 'px',
      backgroundColor: _vm.wrapBgColor
    }
  }, [_c('scroller', {
    ref: "tab-title-list",
    staticClass: ["tab-title-list"],
    style: {
      backgroundColor: _vm.tabStyles.bgColor,
      height: (_vm.tabStyles.height) + 'px',
      paddingLeft: _vm.tabStyles.leftOffset + 'px'
    },
    attrs: {
      "showScrollbar": false,
      "scrollDirection": ""
    }
  }, _vm._l((_vm.tabTitles), function(v, index) {
    return _c('div', {
      key: index,
      ref: 'wxc-tab-title-' + index,
      refInFor: true,
      staticClass: ["title-item"],
      style: {
        width: _vm.tabStyles.width + 'px',
        height: _vm.tabStyles.height + 'px',
        backgroundColor: _vm.currentPage === index ? _vm.tabStyles.activeBgColor : _vm.tabStyles.bgColor
      },
      attrs: {
        "accessible": true,
        "ariaLabel": ("" + (v.title?v.title:'标签'+index))
      },
      on: {
        "click": function($event) {
          _vm.setPage(index, false)
        }
      }
    }, [(_vm.titleType === 'icon' && !_vm.titleUseSlot) ? _c('image', {
      style: {
        width: _vm.tabStyles.iconWidth + 'px',
        height: _vm.tabStyles.iconHeight + 'px'
      },
      attrs: {
        "src": _vm.currentPage === index ? v.activeIcon : v.icon
      }
    }) : _vm._e(), (_vm.titleType === 'iconFont' && v.codePoint && !_vm.titleUseSlot) ? _c('text', {
      staticClass: ["icon-font"],
      style: {
        fontFamily: 'wxcIconFont',
        fontSize: _vm.tabStyles.iconFontSize + 'px',
        color: _vm.currentPage === index ? _vm.tabStyles.activeIconFontColor : _vm.tabStyles.iconFontColor
      }
    }, [_vm._v(_vm._s(v.codePoint))]) : _vm._e(), (!_vm.titleUseSlot) ? _c('text', {
      staticClass: ["tab-text"],
      style: {
        fontSize: _vm.tabStyles.fontSize + 'px',
        fontWeight: (_vm.currentPage === index && _vm.tabStyles.isActiveTitleBold) ? 'bold' : 'normal',
        color: _vm.currentPage === index ? _vm.tabStyles.activeTitleColor : _vm.tabStyles.titleColor,
        paddingLeft: _vm.tabStyles.textPaddingLeft + 'px',
        paddingRight: _vm.tabStyles.textPaddingRight + 'px'
      }
    }, [_vm._v(_vm._s(v.title))]) : _vm._e(), (_vm.tabStyles.hasActiveBottom && !_vm.titleUseSlot) ? _c('div', {
      staticClass: ["border-bottom"],
      style: {
        width: _vm.tabStyles.activeBottomWidth + 'px',
        left: (_vm.tabStyles.width - _vm.tabStyles.activeBottomWidth) / 2 + 'px',
        height: _vm.tabStyles.activeBottomHeight + 'px',
        'border-radius': _vm.tabStyles.borderRadius,
        backgroundColor: _vm.currentPage === index ? _vm.tabStyles.activeBottomColor : 'transparent'
      }
    }) : _vm._e(), (_vm.titleUseSlot) ? _vm._t(("tab-title-" + index)) : _vm._e()], 2)
  })), _c('div', {
    ref: "tab-page-wrap",
    staticClass: ["tab-page-wrap"],
    style: {
      height: (_vm.tabPageHeight - _vm.tabStyles.height) + 'px'
    },
    on: {
      "horizontalpan": _vm.startHandler
    }
  }, [_c('div', {
    ref: "tab-container",
    staticClass: ["tab-container"],
    style: {
      'transform': _vm.translateX
    }
  }, [_vm._t("default")], 2)])])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });