// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 335);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 115:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(116)
)

/* script */
__vue_exports__ = __webpack_require__(117)

/* template */
var __vue_template__ = __webpack_require__(118)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/home/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-6dc51288"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 116:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#F7F9FA"
  },
  "home_top_img": {
    "width": "750",
    "height": "420",
    "position": "absolute"
  },
  "refresh": {
    "width": "750",
    "alignItems": "center"
  },
  "rfh-text": {
    "color": "#333333",
    "fontSize": "28",
    "textAlign": "center",
    "marginBottom": "10"
  },
  "refTime": {
    "color": "#333333",
    "fontSize": "28",
    "marginBottom": "10"
  },
  "banner": {
    "marginTop": "40"
  },
  "head-section": {
    "width": "750"
  },
  "slider": {
    "width": "750",
    "height": "210",
    "textAlign": "center",
    "justifyContent": "center"
  },
  "slider-frame": {
    "width": "750"
  },
  "slider-image": {
    "marginLeft": "20",
    "marginRight": "20",
    "height": "180",
    "borderRadius": "18"
  },
  "indicator": {
    "width": "100",
    "height": "30",
    "itemColor": "#C8C8C8",
    "itemSelectedColor": "#0888F9",
    "itemSize": "10",
    "position": "absolute",
    "left": "325",
    "bottom": "10"
  },
  "cur-shop": {
    "height": "100",
    "width": "750",
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between"
  },
  "head-three-function": {
    "width": "750",
    "flexDirection": "row",
    "alignItems": "center",
    "height": "160",
    "marginTop": "1"
  },
  "three-function": {
    "flex": 1,
    "alignItems": "center",
    "flexDirection": "column",
    "textAlign": "center"
  },
  "function-icon": {
    "height": "96",
    "width": "96"
  },
  "function-text": {
    "fontSize": "28",
    "color": "#FFFFFF"
  },
  "shop-icon": {
    "marginLeft": "30",
    "marginRight": "20",
    "width": "68",
    "height": "68"
  },
  "service-icon": {
    "width": "48",
    "height": "48",
    "marginRight": "24"
  },
  "shop-name": {
    "lines": 1,
    "width": "300",
    "fontSize": "28",
    "lineHeight": "80",
    "color": "#ffffff",
    "textOverflow": "ellipsis"
  },
  "current-section": {
    "marginTop": "20",
    "flexDirection": "column",
    "alignItems": "center"
  },
  "today": {
    "flexDirection": "row",
    "height": "186",
    "width": "690",
    "backgroundColor": "#ffffff",
    "marginTop": "20",
    "borderTopLeftRadius": "16",
    "borderTopRightRadius": "16"
  },
  "money": {
    "flex": 1,
    "alignItems": "center",
    "marginTop": "10",
    "marginRight": 0,
    "marginBottom": "10",
    "marginLeft": 0,
    "height": "168"
  },
  "count": {
    "flex": 1,
    "alignItems": "center",
    "marginTop": "10",
    "marginRight": 0,
    "marginBottom": "10",
    "marginLeft": 0,
    "height": "168"
  },
  "today-money-txt": {
    "color": "#979797",
    "fontSize": "24",
    "marginTop": "30"
  },
  "today-money": {
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20"
  },
  "today-text-val": {
    "color": "#323232",
    "fontWeight": "600",
    "fontSize": "60"
  },
  "today-count": {
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20"
  },
  "message": {
    "height": "80",
    "width": "690",
    "backgroundColor": "#ffffff",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "borderTopWidth": "1",
    "borderTopColor": "rgba(127,194,252,0.4)",
    "borderBottomLeftRadius": "16",
    "borderBottomRightRadius": "16"
  },
  "message-info": {
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center"
  },
  "remind-img": {
    "width": "48",
    "height": "48",
    "marginLeft": "32",
    "marginRight": "20"
  },
  "msg-tips": {
    "fontSize": "28",
    "color": "#323232"
  },
  "msg-note": {
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "space-between"
  },
  "tradeTime": {
    "color": "#323232",
    "fontSize": "28"
  },
  "msg-val": {
    "marginTop": "10",
    "flexDirection": "row"
  },
  "tradeTypeName": {
    "fontSize": "28",
    "color": "#323232"
  },
  "tradeAmount": {
    "marginLeft": "10",
    "fontSize": "28",
    "color": "#141414",
    "fontWeight": "600"
  },
  "msg-right": {
    "flexDirection": "row",
    "alignItems": "center"
  },
  "realTime": {
    "marginRight": "80",
    "color": "#b6b6b6"
  },
  "reddot": {
    "width": "16",
    "height": "16",
    "borderRadius": 50,
    "backgroundColor": "#FF0000",
    "marginRight": "10"
  },
  "ic_enter": {
    "width": "18",
    "height": "32",
    "marginRight": "32"
  },
  "base-list": {
    "marginTop": "20",
    "flexDirection": "row",
    "flexWrap": "wrap",
    "marginLeft": "20",
    "marginRight": "20"
  },
  "base-item": {
    "width": "140",
    "height": "150",
    "alignItems": "center"
  },
  "added-title": {
    "marginTop": "20",
    "marginLeft": "32",
    "flexDirection": "row",
    "alignItems": "center"
  },
  "point": {
    "width": "12",
    "height": "12",
    "backgroundColor": "#59a7fa"
  },
  "added-title-txt": {
    "marginLeft": "10",
    "fontSize": "28",
    "fontWeight": "500",
    "color": "#59a7fa"
  },
  "added-list": {
    "marginTop": "20",
    "backgroundColor": "#ffffff",
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "added-item": {
    "width": "187.5",
    "alignItems": "center"
  },
  "item-icon": {
    "width": "96",
    "height": "96",
    "marginTop": "10",
    "marginBottom": "10"
  },
  "wx-icon": {
    "width": "60",
    "height": "54",
    "marginTop": "33",
    "marginBottom": "21"
  },
  "syd-icon": {
    "width": "60",
    "height": "30",
    "marginTop": "45",
    "marginBottom": "33"
  },
  "item-text": {
    "fontSize": "24",
    "color": "#323232",
    "marginBottom": "30"
  },
  "protocol-text": {
    "fontSize": "28",
    "color": "#323232",
    "lineHeight": "35"
  },
  "ahref": {
    "fontSize": "32",
    "color": "#01b5f0"
  },
  "flexwarpdiv": {
    "flexDirection": "row",
    "flexWrap": "wrap"
  },
  "topshopname": {
    "flexDirection": "row",
    "height": "82"
  },
  "shop-status": {
    "fontSize": "28",
    "lineHeight": "80",
    "color": "#e4e01c",
    "marginLeft": "10"
  },
  "adv-section": {
    "marginTop": "20",
    "marginLeft": "20",
    "marginRight": "20"
  },
  "L5-function": {
    "backgroundColor": "#FFFFFF",
    "height": "380",
    "borderRadius": "16",
    "marginTop": "30"
  },
  "adv_header": {
    "marginTop": "10",
    "alignItems": "center",
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "adv-title": {
    "marginLeft": "20",
    "fontSize": "32",
    "fontWeight": "700",
    "color": "#323232"
  },
  "adv-more": {
    "fontSize": "24",
    "color": "#979797"
  },
  "adv-content": {
    "width": "710",
    "flexDirection": "row",
    "alignItems": "center",
    "marginTop": "20",
    "flexWrap": "wrap"
  },
  "content-cell": {
    "width": "236",
    "height": "300",
    "alignItems": "center",
    "flexDirection": "column"
  },
  "adv-image": {
    "width": "208",
    "height": "214",
    "borderRadius": "16",
    "marginTop": "5",
    "marginBottom": "5"
  },
  "price-content": {
    "alignItems": "center",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "width": "208",
    "height": "30",
    "marginTop": "20"
  },
  "price-title": {
    "fontSize": "24",
    "color": "#323232",
    "height": "36",
    "lineHeight": "36"
  },
  "price-num": {
    "fontSize": "20",
    "color": "#DD3609"
  },
  "term-content": {
    "marginTop": "10",
    "flexDirection": "column",
    "width": "208"
  },
  "term-dec": {
    "fontSize": "20",
    "color": "#C8C8C8",
    "textAlign": "left"
  },
  "hot-section": {
    "marginTop": "30",
    "backgroundColor": "#FFFFFF"
  },
  "panel": {
    "height": "176",
    "backgroundColor": "#FFFFFF",
    "borderBottomColor": "rgba(151,151,151,0.2)",
    "borderBottomWidth": "1"
  },
  "panel-text": {
    "width": "480",
    "height": "82",
    "marginLeft": "24",
    "marginTop": "24",
    "fontSize": "28",
    "fontFamily": "PingFangSC-Regular, PingFang SC",
    "fontWeight": "400",
    "color": "rgba(50,50,50,1)",
    "lineHeight": "42"
  },
  "panel-dec": {
    "marginLeft": "24",
    "marginTop": "8"
  },
  "dec_bg": {
    "float": "left",
    "width": "120",
    "height": "38"
  },
  "dec_box": {
    "position": "absolute",
    "top": 0,
    "width": "120",
    "height": "38",
    "zIndex": 2000
  },
  "dec_text": {
    "textAlign": "center",
    "width": "120",
    "height": "38",
    "fontSize": "20",
    "color": "#FFFFFF",
    "lineHeight": "38",
    "zIndex": 2000
  },
  "dec-logo": {
    "position": "absolute",
    "float": "right",
    "width": "180",
    "height": "128",
    "right": "24",
    "top": "24"
  },
  "dialog-bottom": {
    "marginLeft": "20",
    "marginRight": "20",
    "marginTop": "32",
    "alignItems": "center",
    "flexDirection": "row",
    "justifyContent": "space-between"
  },
  "dialog-disagree": {
    "color": "#323232",
    "fontSize": "32",
    "borderRightWidth": "0",
    "backgroundColor": "#E1E1E1",
    "width": "240",
    "height": "88",
    "lineHeight": "88",
    "borderRadius": "16",
    "textAlign": "center"
  },
  "dialog-agree": {
    "color": "#FFFFFF",
    "fontSize": "32",
    "backgroundColor": "#0888F9",
    "width": "240",
    "height": "88",
    "lineHeight": "88",
    "borderRadius": "16",
    "textAlign": "center"
  },
  "div_k": {
    "height": "104"
  }
}

/***/ }),

/***/ 117:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklDialog = __webpack_require__(23);

var _lklDialog2 = _interopRequireDefault(_lklDialog);

var _index = __webpack_require__(1);

var _index2 = _interopRequireDefault(_index);

var _index3 = __webpack_require__(14);

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

var _utils = __webpack_require__(31);

var _utils2 = _interopRequireDefault(_utils);

var _agreementList = __webpack_require__(74);

var _agreementList2 = _interopRequireDefault(_agreementList);

var _service = __webpack_require__(37);

var _service2 = _interopRequireDefault(_service);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
  components: { AgreementList: _agreementList2.default, LklDialog: _lklDialog2.default },
  props: {
    height: {
      type: Number,
      default: 0
    },
    agreementFlag: {
      type: Number,
      default: 1
    },
    menus: {
      type: Array,
      default: []
    },
    allMenus: {
      type: Object,
      default: {}
    },
    defaultStore: {
      type: Object,
      default: {}
    },
    setshowGuid: function setshowGuid() {}
  },
  data: function data() {
    return {
      popupWindow: {},
      bannerList: [],
      //L5潮牌
      L5ShoppingMall: [],
      //终端服务
      terminalService: [],
      //精选好货
      selectedGoods: [],
      //热门资讯
      popularConsultation: [],

      realTimeMsg: null,
      protocolShow: false,
      protocol2Show: false,
      rebutDialogShow: false,
      popupWindowShow: false,
      popupWindowShow2: true,
      refreshTxt: '下拉可以刷新',
      rfhTime: '',
      refreshing: false,
      showRedDot: false,
      userMobile: '', //登录手机号
      shopName: '',
      showMoney: false,
      todayMoney: '0.00',
      todayCount: '0',
      showTodayMoney: '***',
      showTodayCount: '***',
      eyeIcon: 'reslocal://assets/img/home/home_eye_icon.png',
      isPhone: _index3.device.isIPhoneX() ? true : false

    };
  },
  created: function created() {
    var _this = this;

    this.setshowGuid();
    this.$appTool.changeStatusBarBgColor('#0888F9');
    this.$appTool.regObserver('HomePage', function (res) {
      _this.realTimeMsg = JSON.parse(res);
      _this.showRedDot = true;
      _this.setShowRedDot(_this.showRedDot);
      var noloading = true;
      _this.getTransactionSummary(noloading);
      _this.$tool.onEvent("普通机构交易推送", "普通机构交易推送", "");
    });
    this.updateRfhTime();
    this.getStartPageAd();
    this.userMobile = this.$storage.getData("mobile").mobile || '';
    if (!this.userMobile) {
      this.getAdvList(true);
    }
    //隐私协议上传
    this.confirmProtocol(true);
    this.shopName = this.getShopName();
  },
  mounted: function mounted() {
    var _this2 = this;

    var ubChannel = new BroadcastChannel("updateMsgReadedChannel");
    ubChannel.onmessage = function (event) {
      _this2.showRedDot = false;
      _this2.setShowRedDot(_this2.showRedDot);
    };
  },

  computed: {
    hasMer: function hasMer() {
      return this.defaultStore.shopNo && this.defaultStore.auditStatus === 'STORAGED';
    },
    hasName: function hasName() {
      return this.defaultStore.name;
    },
    storeStatus: function storeStatus() {
      return this.shopStatus(this.defaultStore.auditStatus);
    }
  },
  watch: {
    defaultStore: {
      handler: function handler(val) {
        this.userMobile = this.$storage.getData("mobile").mobile || '';
        this.shopName = this.getShopName();
        if (val.shopNo) {
          //商户最新消息
          var dataList = this.$userBase.getNoticeMessageByShopNo(val.shopNo);
          if (dataList && dataList.length > 0) {
            this.realTimeMsg = JSON.parse(dataList[0]);
            this.showRedDot = this.getShowRedDot();
          } else {
            this.realTimeMsg = '';
          }
          this.getTransactionSummary(false);
          //隐私协议上传
          this.confirmProtocol(true);
        }
        this.getAdvList();
      },

      immediate: true

    }
  },
  methods: {
    //获取店铺名称
    getShopName: function getShopName() {
      var shopName = '';
      if (!this.userMobile) {
        shopName = 'Hi，请登录';
      } else {
        shopName = _utils2.default.isEmptyForStr(this.defaultStore.name) ? 'Hi,请绑定商户' : 'Hi,' + this.defaultStore.name;
      }
      return shopName;
    },

    //角色判断
    checkRoleWays: function checkRoleWays(item) {
      if (!this.userMobile) {
        //未登录
        if (item.functionRole != 1) {
          this.goToLoginView();
          return false;
        } else {
          return true;
        }
      } else {
        //已登录
        if (this.hasMer) {
          return true;
        }
        if (item.functionRole >= 2) {
          if (item.funcID === 'MenuKTSH' || item.funcID === 'MenuSYD') {
            return true;
          } else {
            this.createShop();
          }
          return false;
        } else {
          return true;
        }
      }
    },

    //进入登录页面
    goToLoginView: function goToLoginView() {
      this.$navigator.push({
        url: "account/login.js"
      });
    },
    onpullingdown: function onpullingdown(event) {
      if (event.pullingDistance > event.viewHeight + 10 && this.defaultStore.shopNo) {
        this.refreshTxt = '松开立即刷新';
      }
    },
    onrefresh: function onrefresh(event) {
      var _this3 = this;

      this.refreshing = true;
      if (this.defaultStore.shopNo) {
        this.saveRfhTime();
        this.refreshTxt = '正在刷新数据中...';
        this.refreshing = true;
        var noloading = false;
        this.getTransactionSummary(noloading);
      } else {
        setTimeout(function () {
          _this3.refreshing = false;
        }, 1000);
      }
    },
    saveRfhTime: function saveRfhTime() {
      var rfhTime = this.getRfhTime();
      this.$storage.setData('rfhTime', {
        rfhTime: rfhTime
      });
    },
    getRfhTime: function getRfhTime() {
      var date = new Date();
      var h = date.getHours();
      var m = date.getMinutes();
      return h + ':' + (m > 10 ? m : '0' + m);
    },
    updateRfhTime: function updateRfhTime() {
      var rfhTime = this.$storage.getData('rfhTime').rfhTime;
      this.rfhTime = rfhTime ? rfhTime : this.getRfhTime();
    },
    showProtocolDialog: function showProtocolDialog() {
      if (this.agreementFlag === 0) {
        this.protocolShow = true;
      }
    },
    jumpprotocol: function jumpprotocol() {
      var currentDate = new Date().getTime();
      var data = {
        url: _config2.default.AGREEMENT_LKL_USER_PRIVACY_PROTOCOL + (weex.config.buildType === 'true' ? currentDate.toString() : ''),
        title: '拉卡拉商户通隐私政策协议'
      };
      this.$appTool.gotoBaseWebView(data.url, '', data.title);
    },
    cancelProtocol: function cancelProtocol(first) {
      if (first) {
        this.protocolShow = false;
        this.protocol2Show = true;
      } else {
        this.protocol2Show = false;
        // if (device.isAndroid()){
        this.$navigator.pop();
        // }else {
        //   this.$userBase.loginout()
        // }
      }
    },
    confirmProtocol: function confirmProtocol(first) {
      var _this4 = this;

      var protocol = this.$storage.getPreferencesData('protocol_confirm', false);
      if (!protocol) {
        //不需要上传隐私协议
        return;
      }
      var mobile = this.userMobile;
      if (!mobile || mobile === '') {
        return;
      }
      this.$appTool.getPermissinonList(function (data) {
        // console.log("data:" + data + "data.split(',').length:" + data.split(',').length)
        var params = {
          loginName: mobile,
          agreementFlag: 1,
          appAuthorizationNumber: data ? data.split(',').length : 0,
          appAuthorizationList: data
        };
        _this4.$fetch({
          method: 'POST',
          url: 'api/qr/user/agreementAuth',
          params: params
        }).then(function (res) {
          if (res.retCode === '000000') {
            _this4.$storage.setPreferencesData('protocol_confirm', false);
            // this.protocolShow = false
            // this.protocol2Show = false
            // this.setshowGuid()
          } else {
            _this4.$notice.alert({ message: res.retMsg });
          }
        }).catch(function (error) {
          if (!_utils2.default.isEmptyForStr(error.retMsg)) {
            _this4.$notice.toast({ message: '请求异常，请稍后再试' });
          }
        });
      });
    },

    // changeCurShop() {
    //   this.$navigator.push({
    //     url: 'home/ChangeMerchant.js',
    //     params: this.defaultStore
    //   })
    // },
    createShop: function createShop() {
      this.rebutDialogShow = false;

      var data = {
        fromwhere: 'business/index.js'
      };
      this.$navigator.push({
        url: 'shop/chooseShopSettleStyle.js',
        params: data
      });
    },
    onMenuClick: function onMenuClick(item) {
      // 商户状态提示
      if (this.hasMerTips()) {
        return;
      }
      // 是否是无效商户
      if (this.isInvalidMer()) {
        this.$navigator.push({
          url: 'home/NoMerchant.js',
          params: item
        });
        return;
      }
      this.funcListOnClick(item);
    },
    funcListOnClick: function funcListOnClick(item) {
      var isContinue = this.checkRoleWays(item);
      if (!isContinue) return;

      if ('Third_Party_Address' === item.funcClickType && item.funcUrl) {
        this.$appTool.gotoBaseWebView(item.funcUrl, '', '');
        return;
      }
      if ('Server_Handle_Address' === item.funcClickType) {
        this.queryThirdWebAddress(item);
        return;
      }
      //Wechat_Applet时，funcUrl为：微信开放平台id;小程序的username;小程序页面的路径
      if ('Wechat_Applet' === item.funcClickType) {
        this.goMiniProgram(item.funcUrl);
        return;
      }
      if ('MenuSK' === item.funcID) {
        //收款
        this.$tool.onEvent('收款模块', '收款模块', '');
        this.$navigator.push({
          url: 'receipt/index.js',
          params: {
            store: this.defaultStore,
            type: 'scan'
          }
        });
      } else if ('MenuLS' === item.funcID) {
        //流水
        this.goLs();
      } else if ('MenuZD' === item.funcID) {
        //账单
        this.$tool.onEvent('对账单', '对账单', '');
      } else if ('MenuTX' === item.funcID) {
        //提现
        this.$tool.onEvent('提现模块', '提现模块', '');
        this.quireD0limits();
      } else if ('MenuDPXX' === item.funcID) {
        //商户信息
        this.merInfoWay();
      } else if ('MenuSKSB' === item.funcID) {
        //绑定设备
        this.$navigator.push({
          url: 'terminal/index.js'
        });
      } else if ('MenuWXRZ' === item.funcID) {
        //微信认证
        this.$navigator.push({
          url: 'wechat/index.js'
        });
      } else if ('MenuQBZH' === item.funcID) {
        this.$navigator.push({
          url: 'wallet/walletAccount.js'
        });
      } else if ('MenuZHYE' === item.funcID) {
        if (this.hasMer) {
          //查询二类户
          this.queryMerchantStatus(item);
        } else {
          //没开通商户
          this.$navigator.push({
            url: 'home/NoMerchant.js',
            params: item
          });
        }
      } else if ('MenuKTSH' === item.funcID) {
        //开通商户
        this.openShopWays();
      } else if ('MenuSDPOS' === item.funcID) {//pos申请

      } else if ('MenuAll' === item.funcID) {
        //全部MenuKTSH
        //没开通商户
        this.$navigator.push({
          url: 'home/allApplication.js',
          params: {
            allMenus: this.allMenus,
            defaultStore: this.defaultStore
          }
        });
      }
    },
    onAdClick: function onAdClick(val) {
      if (val && 'url' === val.advType) {
        this.$appTool.gotoBaseWebView(val.advClickUrl, val.ext1, val.advTitle);
      }
    },
    entermsg: function entermsg() {

      var isContinue = this.checkRoleWays({ functionRole: '2' });
      if (!isContinue) return;

      this.$tool.onEvent('收款提醒', '收款提醒', '');

      this.$navigator.push({
        url: 'msgcenter/index.js'
      });
    },
    tradeFormat: function tradeFormat(str) {
      var data = new Date(str);
      return _config2.default.dateFormat('yyyyMMddhhmmss', data);
    },
    box: function box() {
      this.$navigator.push({
        url: 'box/index.js'
      });
    },

    //提现
    withdrawWays: function withdrawWays(d0AuthModel) {
      if (d0AuthModel.isOpen == true) {
        //支持开通
        var beOpen = d0AuthModel.openStatus == 'UN_OPEN' ? false : true;
        if (beOpen == true) {
          //已经开通,进入余额页面
          this.$navigator.push({
            url: 'withdraw/balance.js'
          });
        } else {
          //未开通
          this.$navigator.push({
            url: 'auth/index.js',
            params: d0AuthModel
          });
        }
      } else {
        //不支持开通D0
        this.$notice.alert({
          message: '您当前不支持开通D0业务，详情请咨询客服95016'
        });
      }
    },
    queryThirdWebAddress: function queryThirdWebAddress(item) {
      var _this5 = this;

      this.$fetch({
        method: 'GET',
        url: 'api/qr/meta/base/' + item.funcID
      }).then(function (res) {
        if (res.retCode === '000000') {
          var resData = res.retData;
          if (resData && resData.ext_info) {
            _this5.$appTool.gotoBaseWebView(resData.ext_info, resData.ext1, item.funcName);
          }
        } else {
          _this5.$notice.toast({ message: res.retMsg });
        }
      });
    },

    //去开通商户
    openShopWays: function openShopWays() {
      var data = {
        funcGroup: this.defaultStore.funcGroup || '',
        fromwhere: 'business/index.js'

      };
      this.$navigator.push({
        url: 'shop/chooseProductType.js',
        params: data
      });

      this.$tool.onEvent('开通商户', '开通商户', '');
    },

    //3.12.1开通D0权限查询
    quireD0limits: function quireD0limits() {
      var _this6 = this;

      var params = {
        shopNo: this.defaultStore.shopNo || '',
        invokeFlag: '2'
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/d0/authority',
        params: params
      }).then(function (res) {
        if (res.retCode === '000000') {
          _this6.withdrawWays(res.retData);
        } else {
          _this6.$notice.alert({ message: res.retMsg });
        }
      });
    },
    getTransactionSummary: function getTransactionSummary() {
      var _this7 = this;

      var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

      var mobile = this.userMobile;
      if (!this.defaultStore.shopNo || this.defaultStore.shopNo == '') {
        setTimeout(function () {
          _this7.refreshing = false;
        }, 1000);
        return;
      }
      var params = {
        loginName: mobile,
        mercId: this.defaultStore.shopNo
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/trade/tradeSummaryQuery',
        params: params,
        noHasLoading: value
      }).then(function (res) {
        if (res.retCode === '000000') {
          _this7.todayMoney = res.retData.tranAmount;
          _this7.todayCount = res.retData.count;
          _this7.showMoneyNum(false);
        }
        _this7.refreshing = false;
        _this7.refreshTxt = '下拉可以刷新';
        _this7.updateRfhTime();
      }).catch(function (error) {
        _this7.refreshing = false;
        _this7.refreshTxt = '下拉可以刷新';
        _this7.updateRfhTime();
        _this7.$notice.toast({ message: '请求异常，请稍后再试' });
      });
    },

    //获取启动页广告
    getStartPageAd: function getStartPageAd() {
      var _this8 = this;

      this.$fetch({
        method: 'GET',
        url: 'api/qr/commons/getAdvList?layout=startPage'
      }).then(function (res) {
        if (res.retCode === '000000') {
          var resData = res.retData || {};
          var startPage = resData.startPage;
          if (startPage.length > 0) {
            var cacheStartPage = _this8.$storage.getPreferencesData("START_PAGE_AD", '');
            if (cacheStartPage === startPage[0].advUrl) {
              return;
            }
            _this8.$appTool.saveImageToLocate({ advUrl: startPage[0].advUrl, saveImageName: 'startpage.png' }, function (res) {
              //保存成功
              if (res) {
                //存入广告地址
                _this8.$storage.setPreferencesData("START_PAGE_AD", startPage[0].advUrl);
                _this8.$storage.setPreferencesData("START_PAGE_AD_URL", startPage[0].advClickUrl);
                _this8.$storage.setPreferencesData("START_PAGE_AD_NAME", startPage[0].advTitle);
              }
            });
          }
        }
      });
    },

    //新版本广告
    getAdvList: function getAdvList() {
      var _this9 = this;

      var value = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

      var funcGroup = _utils2.default.isEmptyForStr(this.defaultStore.funcGroup) ? '' : this.defaultStore.funcGroup;
      var shopNo = _utils2.default.isEmptyForStr(this.defaultStore.shopNo) ? '' : this.defaultStore.shopNo;

      this.$fetch({
        method: 'GET',
        url: 'api/qr/commons/getAdvList?layout=homePage&loginName=' + this.userMobile + '&shopNo=' + shopNo + '&funcGroup=' + funcGroup,
        noHasLoading: value
      }).then(function (res) {
        if (res.retCode === '000000') {
          var resData = res.retData || {};
          _this9.bannerList = [];
          _this9.L5ShoppingMall = [];
          _this9.terminalService = [];
          _this9.selectedGoods = [];
          _this9.popularConsultation = [];

          if (resData.banner) {
            _this9.bannerList = resData.banner;
          }
          if (resData.L5ShoppingMall) {
            _this9.L5ShoppingMall = resData.L5ShoppingMall.length > 3 ? resData.L5ShoppingMall.slice(0, 3) : resData.L5ShoppingMall;
          }
          if (resData.terminalService) {
            _this9.terminalService = resData.terminalService.length > 3 ? resData.terminalService.slice(0, 3) : resData.terminalService;
          }
          if (resData.selectedGoods) {
            _this9.selectedGoods = resData.selectedGoods.length > 3 ? resData.selectedGoods.slice(0, 3) : resData.selectedGoods;
          }
          if (resData.popularConsultation) {
            _this9.popularConsultation = resData.popularConsultation.length > 2 ? resData.popularConsultation.slice(0, 2) : resData.popularConsultation;
          }
          if (resData.popupWindow && _this9.popupWindowShow2) {
            _this9.popupWindowShow2 = false;
            _this9.popupWindow = resData.popupWindow[0];
            _this9.popupWindowShow = _this9.popupWindow ? true : false;
          }
        } else {
          _this9.$notice.toast({ message: res.retMsg });
        }
      }).catch(function (error) {
        _this9.$notice.toast({ message: '请求异常，请稍后再试' });
      });
    },
    queryMerchantStatus: function queryMerchantStatus(item) {
      var _this10 = this;

      //查询是否是二类户
      var mobile = this.userMobile;

      var params = {
        loginName: mobile,
        shopNo: this.defaultStore.shopNo
      };
      this.$fetch({
        method: 'POST',
        url: 'api/qr/finance/status',
        params: params
      }).then(function (res) {
        if (res.retCode === '000000') {
          var secondMerStatus = res.retData || {};
          if (secondMerStatus.financeFlag === 0 && secondMerStatus.openedFlag === 0) {
            //创建商户
            //没开通商户
            _this10.$navigator.push({
              url: 'home/NoMerchant.js',
              params: item
            });
          } else {
            if (secondMerStatus.openedFlag == 0) {
              //开通过 去保险页面 然后二类户开通
              _this10.$navigator.push({
                url: 'secondaccount/OpenSecondAccount.js',
                params: {
                  secondMerStatus: secondMerStatus,
                  shopNo: _this10.defaultStore.shopNo,
                  loginName: mobile
                }
              });
            } else {
              _this10.$navigator.push({
                url: 'secondaccount/index.js',
                params: {
                  secondMerStatus: secondMerStatus,
                  loginName: mobile,
                  shopNo: _this10.defaultStore.shopNo,
                  newOpen: false
                }
              });
            }
          }
        }
      }).catch(function (err) {
        _this10.$notice.toast({ message: '请求异常，请稍后再试' });
      });
    },
    goLs: function goLs() {

      if (!this.userMobile) {
        this.goToLoginView();
        return;
      }
      if (!this.hasMer) {
        //无商户
        this.$navigator.push({
          url: "shop/chooseShopSettleStyle.js",
          params: { fromwhere: 'business/index.js' }
        });
        return;
      }
      this.$tool.onEvent('流水模块', '流水模块', '');

      this.$navigator.push({
        // url: 'flowwater/transactionRecord.js'
        url: 'flowwater/index.js'
      });
    },


    //获取并保存定位经纬度信息
    location: function location(type) {
      var _this11 = this;

      _service2.default.location(this, function (data) {
        var lat = _this11.changeDecimal(data.latitude, 9);
        var lon = _this11.changeDecimal(data.longitude, 9);
        var locationStr = lat.toString() + ',' + lon.toString();
        _this11.$storage.setPreferencesData("LOCATION_MESSAGE", locationStr);
        _this11.$navigator.push({
          url: "receipt/index.js",
          params: {
            store: _this11.defaultStore,
            type: type
          }
        });
      }, function () {
        // this.$notice.alert({ message: '未打开定位权限' })
      });
    },


    /**
     * 将number保留bitNum位小数，不够补0
     * @param number
     * @param bitNum
     * @returns {string|number}
     */
    changeDecimal: function changeDecimal(number, bitNum) {
      var f_x = parseFloat(number);
      if (isNaN(f_x)) {
        return 0;
      }
      var s_x = number.toString();
      var pos_decimal = s_x.indexOf('.');

      if (s_x.length <= pos_decimal + bitNum) {
        //eg:122 保留2位小数
        //return 122.00
        while (s_x.length <= pos_decimal + bitNum) {
          s_x += '0';
        }
      } else {
        //eg:1.222222  保留2位小数
        //return 1.22
        s_x = s_x.substring(0, pos_decimal + bitNum + 1);
      }
      return s_x;
    },


    //展示今日交易金额
    showMoneyNum: function showMoneyNum(isNegation) {
      if (this.hasMer) {
        if (isNegation) {
          this.showMoney = !this.showMoney;
        }
        if (this.showMoney) {
          this.showTodayMoney = this.todayMoney;
          this.showTodayCount = this.todayCount;
          this.eyeIcon = 'reslocal://assets/img/home/home_eyeOpen_icon.png';
        } else {
          this.showTodayMoney = '***';
          this.showTodayCount = '***';
          this.eyeIcon = 'reslocal://assets/img/home/home_eye_icon.png';
        }
      }
    },

    //扫一扫、收款码
    onScanPayClick: function onScanPayClick(type) {

      var isContinue = this.checkRoleWays({ functionRole: '3' });
      if (!isContinue) return;

      this.location(type);
      //收款
      if (type == 'scan') {
        this.$tool.onEvent("扫一扫", "扫一扫", "");
      } else {
        this.$tool.onEvent("收款码", "收款码", "");
      }
    },

    //手机POS
    mobilePosClick: function mobilePosClick() {
      this.$notice.toast({ message: '正在准备中，敬请期待' });
      this.$tool.onEvent("手机POS", "手机POS", "");
    },

    //热门进入列表
    goHotNews: function goHotNews() {
      this.$appTool.gotoBaseWebView(_config2.default.HOTNEWS_URL, '', "热门资讯");
    },

    //进入webView
    goToWebView: function goToWebView(item) {
      if (item.advClickUrl && item.advClickUrl != '') {
        this.$appTool.gotoBaseWebView(item.advClickUrl, '', item.advTitle);
        //当为弹窗广告时，进入详情页后，隐藏弹窗广告
        if (item.advSheet === 'popupWindow') {
          this.popupWindowShow = false;
        }
      }
    },

    //跳转小程序
    goMiniProgram: function goMiniProgram(url) {
      if (url) {
        var str = url.split(';');
        this.$appTool.gotoWechatMiniprogram(str[1], str[2], str[0], _config2.default.UNIVERSAL_LINK, 0);
      }
    },


    //服务中心
    serviceCenter: function serviceCenter() {
      this.$tool.onEvent('客服', '客服', '');

      this.$navigator.push({
        url: 'servecenter/index.js'
      });
    },


    //在线客服
    onlineService: function onlineService() {
      var _this12 = this;

      if (!this.userMobile) {
        this.$navigator.push({
          url: 'account/login.js'
        });
        return;
      }
      this.$fetch({
        method: "GET",
        url: "api/qr/meta/CUSTOM_SERVICE/PLATFROM_URL"
      }).then(function (res) {
        if (res.retCode === "000000") {
          var resData = res.retData;
          if (resData && resData.ext_info) {
            _this12.$appTool.gotoOnlineService(resData.ext_info);
          }
        } else {
          _this12.$notice.toast({ message: res.retMsg });
        }
      });
    },
    loginWay: function loginWay() {
      this.$navigator.push({
        url: 'account/login.js'
      });
    },
    merInfoWay: function merInfoWay() {
      this.$navigator.push({
        url: 'home/MerchantInfo.js'
      });
    },

    /**
     * 判断商户审核状态 审核未通过
     */
    isInvalidMer: function isInvalidMer() {
      // 未开通 + 待录入 + 审核失败
      if (!this.defaultStore.auditStatus || this.defaultStore.auditStatus === 'ENTER' || this.defaultStore.auditStatus === 'REBUT') {
        return true;
      }
      return false;
    },

    /**
     * 提示商户状态
     */
    hasMerTips: function hasMerTips() {
      var _this13 = this;

      var tip = '';
      if (this.defaultStore.auditStatus == 'AUDIT') {
        tip = '商户待审核，详情请至服务中心咨询在线客服。';
      } else if (this.defaultStore.auditStatus == 'AUDITING') {
        tip = '商户审核中，详情请至服务中心咨询在线客服。';
      } else if (this.defaultStore.auditStatus == 'STORAGED' && this.defaultStore.merStatus == 'INVALID') {
        tip = '商户被关闭状态，详情请至服务中心咨询在线客服。';
      } else if (this.defaultStore.auditStatus == 'STORAGED' && this.defaultStore.termStatus == 'INVALID') {
        tip = '商户终端被关闭状态，详情请至服务中心咨询在线客服。';
      }
      if (tip !== '') {
        this.$notice.confirm({
          message: tip,
          cancelTitle: '取消',
          callback: function callback(val) {
            if (val === '确定') {
              //商户管理页面
              _this13.$navigator.push({
                url: 'shop/merchantManager.js'
              });
            }
          }
        });
        return true;
      }
      return false;
    },
    shopStatus: function shopStatus(auditStatus) {
      switch (auditStatus) {
        case 'ENTER':
          return '待录入';
        case 'AUDIT':
          return '待审核';
        case 'AUDITING':
          return '审核中';
        case 'REBUT':
          return '审核失败';
        default:
          return '';
      }
      return '';
    },

    //获取时间展示文案
    timeago: function timeago(dateTimeStamp) {
      //dateTimeStamp是一个时间毫秒，注意时间戳是秒的形式，在这个毫秒的基础上除以1000，就是十位数的时间戳。13位数的都是时间毫秒。
      var result = '';
      var minute = 1000 * 60; //把分，时，天，周，半个月，一个月用毫秒表示
      var hour = minute * 60;
      var day = hour * 24;
      var now = new Date().getTime(); //获取当前时间毫秒
      var oldStr = dateTimeStamp.substr(0, 4) + '/' + dateTimeStamp.substr(4, 2) + '/' + dateTimeStamp.substr(6, 2) + ' ' + dateTimeStamp.substr(8, 2) + ':' + dateTimeStamp.substr(10, 2) + ':' + dateTimeStamp.substr(12, 2);
      var old = new Date(oldStr).getTime();
      var diffValue = now - old; //时间差
      if (diffValue < 0) {
        return;
      }
      var minC = parseInt(diffValue / minute); //计算时间差的分，时，天，周，月
      var hourC = parseInt(diffValue / hour);
      var dayC = parseInt(diffValue / day);

      if (diffValue >= 0 && diffValue <= minute) {
        //一分钟之内
        result = "刚刚";
      } else if (minC >= 1 && minC <= 59) {
        //一分钟到60分钟之间
        result = " " + minC + "分钟前";
      } else if (hourC >= 1 && hourC <= 23) {
        //1小时到24小时之间
        result = " " + hourC + "小时前";
      } else if (dayC >= 1 && dayC < 3) {
        //1天到三天之间
        result = " " + dayC + "天前";
      } else {
        //大于三天
        result = " ";
      }
      return result;
    },
    lefTopNameClick: function lefTopNameClick() {
      if (this.userMobile) {
        //已登录
        if (!this.hasMer) {
          //无商户
          this.createShop();
          return;
        }
        switch (this.defaultStore.auditStatus) {
          case 'STORAGED':
            this.$navigator.push({
              url: "shop/merchantManager.js"
            });
            break;
          case 'ENTER':
            this.defaultStore.fromwhere = 'home/index.js';
            this.$navigator.push({
              url: 'shop/merchantDetail.js',
              params: this.defaultStore
            });
            break;
          case 'AUDIT':
            this.$notice.alert({
              message: '商户待审核，详情请至服务中心咨询在线客服。'
            });
            break;
          case 'AUDITING':
            this.$notice.alert({
              message: '商户审核中，详情请至服务中心咨询在线客服。'
            });
            break;
          case 'REBUT':
            this.rebutDialogShow = true;
            break;
          default:
            return '';
        }
      } else {
        this.goToLoginView();
      }
    },
    dateFormat: function dateFormat(str) {
      var pattern = /(\d{4})(\d{2})(\d{2})(\d{2})(\d{2})(\d{2})/;
      var formatedDate = str.replace(pattern, '$1.$2.$3 $4:$5:$6');
      return formatedDate;
    },
    setShowRedDot: function setShowRedDot(red) {
      this.$storage.setData('MSG_CENTER_READED' + this.defaultStore.shopNo, {
        readed: red
      });
    },
    getShowRedDot: function getShowRedDot() {
      return this.$storage.getData('MSG_CENTER_READED' + this.defaultStore.shopNo).readed;
    }
  }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 118:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["container"],
    style: {
      height: _vm.height + 'px'
    },
    attrs: {
      "alwaysScrollableVertical": "true",
      "showScrollbar": false
    }
  }, [_c('refresh', {
    staticClass: ["refresh"],
    attrs: {
      "display": _vm.refreshing ? 'show' : 'hide'
    },
    on: {
      "refresh": _vm.onrefresh,
      "pullingdown": _vm.onpullingdown
    }
  }, [_c('text', {
    staticClass: ["rfh-text"]
  }, [_vm._v(_vm._s(_vm.refreshTxt))]), _c('text', {
    staticClass: ["refTime"]
  }, [_vm._v("最后更新:今天" + _vm._s(_vm.rfhTime))])]), _c('image', {
    staticClass: ["home_top_img"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/home/home_top_bg.png"
    }
  }), _c('div', {
    staticClass: ["head-section"]
  }, [_c('div', {
    staticClass: ["cur-shop"]
  }, [_c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row"
    }
  }, [_c('image', {
    staticClass: ["shop-icon"],
    attrs: {
      "src": "reslocal://assets/img/home/home_kala_icon.png"
    }
  }), _c('div', {
    staticClass: ["topshopname"],
    on: {
      "click": _vm.lefTopNameClick
    }
  }, [_c('text', {
    staticClass: ["shop-name"]
  }, [_vm._v(_vm._s(_vm.shopName))])])]), _c('div', {
    on: {
      "click": _vm.serviceCenter
    }
  }, [_c('image', {
    staticClass: ["service-icon"],
    attrs: {
      "src": "reslocal://assets/img/home/home_service_icon.png"
    }
  })])]), _c('div', {
    staticClass: ["head-three-function"]
  }, [_c('div', {
    staticClass: ["three-function"],
    on: {
      "click": function($event) {
        _vm.onScanPayClick('scan')
      }
    }
  }, [_c('image', {
    staticClass: ["function-icon"],
    attrs: {
      "src": "reslocal://assets/img/home/home_scan.png"
    }
  }), _c('text', {
    staticClass: ["function-text"]
  }, [_vm._v("扫一扫")])]), _c('div', {
    staticClass: ["three-function"],
    on: {
      "click": function($event) {
        _vm.onScanPayClick('code')
      }
    }
  }, [_c('image', {
    staticClass: ["function-icon"],
    attrs: {
      "src": "reslocal://assets/img/home/home_receivQR.png"
    }
  }), _c('text', {
    staticClass: ["function-text"]
  }, [_vm._v("收款码")])]), _c('div', {
    staticClass: ["three-function"],
    on: {
      "click": _vm.mobilePosClick
    }
  }, [_c('image', {
    staticClass: ["function-icon"],
    attrs: {
      "src": "reslocal://assets/img/home/home_pos.png"
    }
  }), _c('text', {
    staticClass: ["function-text"]
  }, [_vm._v("手机POS")])])])]), _c('div', {
    staticClass: ["current-section"]
  }, [_c('div', {
    staticClass: ["today"]
  }, [_c('div', {
    staticClass: ["money"],
    on: {
      "click": _vm.goLs
    }
  }, [_c('div', {
    staticStyle: {
      flexDirection: "row",
      alignItems: "center"
    }
  }, [_c('text', {
    staticClass: ["today-money-txt"]
  }, [_vm._v("今日收款（元）")]), _c('image', {
    staticStyle: {
      marginTop: "28px",
      width: "48px",
      height: "48px"
    },
    attrs: {
      "src": _vm.eyeIcon
    },
    on: {
      "click": function($event) {
        _vm.showMoneyNum(true)
      }
    }
  })]), _c('div', {
    staticClass: ["today-money"]
  }, [_c('text', {
    staticClass: ["today-text-val"]
  }, [_vm._v(_vm._s(_vm.showTodayMoney))])])]), _c('div', {
    staticStyle: {
      width: "1px",
      height: "60px",
      backgroundColor: "rgba(127, 194, 252, 0.4)",
      marginTop: "60px"
    }
  }), _c('div', {
    staticClass: ["count"],
    on: {
      "click": _vm.goLs
    }
  }, [_c('div', {
    staticStyle: {
      flexDirection: "row",
      alignItems: "center"
    }
  }, [_c('text', {
    staticClass: ["today-money-txt"]
  }, [_vm._v("今日交易（笔）")]), _c('image', {
    staticStyle: {
      marginTop: "28px",
      width: "48px",
      height: "48px"
    },
    attrs: {
      "src": ""
    },
    on: {
      "click": function($event) {
        _vm.showMoneyNum(true)
      }
    }
  })]), _c('div', {
    staticClass: ["today-count"]
  }, [_c('text', {
    staticClass: ["today-text-val"]
  }, [_vm._v(_vm._s(_vm.showTodayCount))])])])]), _c('div', {
    staticClass: ["message"],
    on: {
      "click": function($event) {
        _vm.entermsg()
      }
    }
  }, [_c('div', {
    staticClass: ["message-info"]
  }, [_c('image', {
    staticClass: ["remind-img"],
    attrs: {
      "src": "reslocal://assets/img/home/home_voice_icon.png"
    }
  }), (_vm.realTimeMsg) ? _c('text', {
    staticClass: ["msg-tips"]
  }, [_vm._v("您在" + _vm._s(_vm.dateFormat(_vm.realTimeMsg.tradeTime)) + "成功收款" + _vm._s(_vm.realTimeMsg.tradeAmount) + "元")]) : _c('text', {
    staticClass: ["msg-tips"]
  }, [_vm._v("您暂无消息通知")])]), _c('image', {
    staticClass: ["ic_enter"],
    attrs: {
      "src": "reslocal://assets/img/ic_enter.png"
    }
  })])]), _c('div', {
    staticClass: ["base-list"]
  }, _vm._l((_vm.menus), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["base-item"],
      on: {
        "click": function($event) {
          _vm.funcListOnClick(item)
        }
      }
    }, [_c('image', {
      staticClass: ["item-icon"],
      attrs: {
        "src": item.funcLogo,
        "resize": "cover"
      }
    }), _c('text', {
      staticClass: ["item-text"]
    }, [_vm._v(_vm._s(item.funcName))])])
  })), (_vm.bannerList.length > 0) ? _c('div', {
    staticClass: ["banner"]
  }, [_c('slider', {
    staticClass: ["slider"],
    attrs: {
      "interval": "3000",
      "autoPlay": "true"
    }
  }, [_vm._l((_vm.bannerList), function(val, index) {
    return _c('div', {
      key: index,
      staticClass: ["slider-frame"]
    }, [_c('image', {
      staticClass: ["slider-image"],
      attrs: {
        "resize": "cover",
        "src": val.advUrl
      },
      on: {
        "click": function($event) {
          _vm.onAdClick(val)
        }
      }
    })])
  }), _c('indicator', {
    staticClass: ["indicator"]
  })], 2)]) : _vm._e(), _c('div', {
    staticClass: ["adv-section"]
  }, [(_vm.L5ShoppingMall.length > 0) ? _c('div', {
    staticClass: ["L5-function"]
  }, [_c('div', {
    staticClass: ["adv_header"]
  }, [_c('text', {
    staticClass: ["adv-title"]
  }, [_vm._v("L5潮牌")]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row"
    },
    on: {
      "click": function($event) {
        _vm.goMiniProgram(_vm.L5ShoppingMall[0].advClickUrl)
      }
    }
  }, [_c('text', {
    staticClass: ["adv-more"]
  }, [_vm._v("更多")]), _c('image', {
    staticClass: ["service-icon"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/home/home_next_icon.png"
    }
  })])]), _c('div', {
    staticClass: ["adv-content"]
  }, _vm._l((_vm.L5ShoppingMall), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["content-cell"],
      on: {
        "click": function($event) {
          _vm.goMiniProgram(item.advClickUrl)
        }
      }
    }, [_c('div', [_c('image', {
      staticClass: ["adv-image"],
      attrs: {
        "resize": "cover",
        "src": item.advUrl
      }
    })]), _c('div', {
      staticClass: ["price-content"]
    }, [_c('text', {
      staticClass: ["price-title"]
    }, [_vm._v(_vm._s(item.advTitle))]), _c('text', {
      staticClass: ["price-num"]
    }, [_vm._v(_vm._s(item.goodsPrice))])])])
  }))]) : _vm._e(), (_vm.terminalService.length > 0) ? _c('div', {
    staticClass: ["L5-function"]
  }, [_c('div', {
    staticClass: ["adv_header"]
  }, [_c('text', {
    staticClass: ["adv-title"]
  }, [_vm._v("终端服务")]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row"
    },
    on: {
      "click": function($event) {
        _vm.goMiniProgram(_vm.terminalService[0].advClickUrl)
      }
    }
  }, [_c('text', {
    staticClass: ["adv-more"]
  }, [_vm._v("更多")]), _c('image', {
    staticClass: ["service-icon"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/home/home_next_icon.png"
    }
  })])]), _c('div', {
    staticClass: ["adv-content"]
  }, _vm._l((_vm.terminalService), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["content-cell"],
      on: {
        "click": function($event) {
          _vm.goMiniProgram(item.advClickUrl)
        }
      }
    }, [_c('div', [_c('image', {
      staticClass: ["adv-image"],
      attrs: {
        "resize": "cover",
        "src": item.advUrl
      }
    })]), _c('div', {
      staticClass: ["term-content"]
    }, [_c('text', {
      staticClass: ["price-title"]
    }, [_vm._v(_vm._s(item.advTitle))]), _c('text', {
      staticClass: ["term-dec"]
    }, [_vm._v(_vm._s(item.subtitle))])])])
  }))]) : _vm._e(), (_vm.selectedGoods.length > 0) ? _c('div', {
    staticClass: ["L5-function"]
  }, [_c('div', {
    staticClass: ["adv_header"]
  }, [_c('text', {
    staticClass: ["adv-title"]
  }, [_vm._v("精选好货")]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row"
    },
    on: {
      "click": function($event) {
        _vm.goToWebView(_vm.selectedGoods[0])
      }
    }
  }, [_c('text', {
    staticClass: ["adv-more"]
  }, [_vm._v("更多")]), _c('image', {
    staticClass: ["service-icon"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/home/home_next_icon.png"
    }
  })])]), _c('div', {
    staticClass: ["adv-content"]
  }, _vm._l((_vm.selectedGoods), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["content-cell"],
      on: {
        "click": function($event) {
          _vm.goToWebView(item)
        }
      }
    }, [_c('div', [_c('image', {
      staticClass: ["adv-image"],
      attrs: {
        "resize": "cover",
        "src": item.advUrl
      }
    })]), _c('div', {
      staticClass: ["price-content"]
    }, [_c('text', {
      staticClass: ["price-title"]
    }, [_vm._v(_vm._s(item.advTitle))]), _c('text', {
      staticClass: ["price-num"]
    }, [_vm._v(_vm._s(item.goodsPrice))])])])
  }))]) : _vm._e(), (_vm.popularConsultation.length > 0) ? _c('div', {
    staticClass: ["hot-section"]
  }, [_c('div', {
    staticClass: ["adv_header"]
  }, [_c('text', {
    staticClass: ["adv-title"]
  }, [_vm._v("热门资讯")]), _c('div', {
    staticStyle: {
      alignItems: "center",
      flexDirection: "row"
    },
    on: {
      "click": _vm.goHotNews
    }
  }, [_c('text', {
    staticClass: ["adv-more"]
  }, [_vm._v("更多")]), _c('image', {
    staticClass: ["service-icon"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/home/home_next_icon.png"
    }
  })])]), _c('div', _vm._l((_vm.popularConsultation), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["panel"],
      on: {
        "click": function($event) {
          _vm.goToWebView(item)
        }
      }
    }, [_c('text', {
      staticClass: ["panel-text"]
    }, [_vm._v(_vm._s(item.advTitle))]), _c('div', {
      staticClass: ["panel-dec"]
    }, [_c('image', {
      staticClass: ["dec_bg"],
      attrs: {
        "resize": "cover",
        "src": index % 2 == 0 ? 'reslocal://assets/img/home/news_keyword_red.png' : 'reslocal://assets/img/home/news_keyword_blue.png'
      }
    }), _c('div', {
      staticClass: ["dec_box"]
    }, [_c('text', {
      staticClass: ["dec_text"]
    }, [_vm._v(_vm._s(item.subtitle))])])]), _c('image', {
      staticClass: ["dec-logo"],
      attrs: {
        "resize": "cover",
        "src": item.advUrl
      }
    })])
  }))]) : _vm._e(), (!_vm.isPhone) ? _c('div', {
    staticClass: ["div_k"]
  }) : _vm._e()]), _c('lkl-dialog', {
    attrs: {
      "visible": _vm.protocolShow,
      "title": "《隐私政策服务协议》更新",
      "top": "300",
      "width": "686",
      "showCancel": true,
      "footerCancel": false,
      "titleStyle": {
        color: '#323232',
        fontSize: '36px',
        fontWeight: 'bold'
      }
    }
  }, [_c('scroller', {
    attrs: {
      "slot": "content"
    },
    slot: "content"
  }, [_c('div', [_c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("尊敬的拉卡拉用户：")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("感谢您信任并使用拉卡拉服务！我们依据最新法律要求，更新了隐私权政策，特地向您推送本提示。")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("我们一直采取行业内领先的安全防护措施来保护您的信息安全。我们会根据您使用服务的具体功能需要收集使用信息（可能涉及账户、交易、设备等相关信息）。我们不会向任何第三方提供您的信息，除非得到您的授权。若我们将信息用于您未授权用途与目的，我们会事先再次征求您的同意。")]), _c('div', {
    staticClass: ["flexwarpdiv"]
  }, [_c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("您可以阅读我们完整的《拉卡拉商户通隐私政")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("策协议》")]), _c('text', {
    staticClass: ["ahref"],
    on: {
      "click": function($event) {
        _vm.jumpprotocol()
      }
    }
  }, [_vm._v("点击链接")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("了解我们的承诺。")])])]), _c('div', {
    staticClass: ["dialog-bottom"]
  }, [_c('text', {
    staticClass: ["dialog-disagree"],
    on: {
      "click": function($event) {
        _vm.cancelProtocol(true)
      }
    }
  }, [_vm._v("拒绝")]), _c('text', {
    staticClass: ["dialog-agree"],
    on: {
      "click": function($event) {
        _vm.confirmProtocol(true)
      }
    }
  }, [_vm._v("同意")])])])]), _c('lkl-dialog', {
    attrs: {
      "visible": _vm.protocol2Show,
      "title": "温馨提示",
      "top": "500",
      "width": "686",
      "showCancel": true,
      "footerCancel": false,
      "titleStyle": {
        color: '#323232',
        fontSize: '36px',
        fontWeight: 'bold'
      }
    }
  }, [_c('scroller', {
    attrs: {
      "slot": "content"
    },
    slot: "content"
  }, [_c('div', [_c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("为保障您的隐私信息安全，拉卡拉商户通所采集的信息仅用于为您提供优质的服务体验。如果您不同意《拉卡拉商户通隐私政策协议》（")])]), _c('div', {
    staticClass: ["flexwarpdiv"]
  }, [_c('text', {
    staticClass: ["ahref"],
    on: {
      "click": function($event) {
        _vm.jumpprotocol()
      }
    }
  }, [_vm._v("点击链接")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("）可点击退出")]), _c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v("应用，是否同意？")])]), _c('div', {
    staticClass: ["dialog-bottom"]
  }, [_c('text', {
    staticClass: ["dialog-disagree"],
    on: {
      "click": _vm.cancelProtocol
    }
  }, [_vm._v("退出")]), _c('text', {
    staticClass: ["dialog-agree"],
    on: {
      "click": _vm.confirmProtocol
    }
  }, [_vm._v("同意")])])])]), _c('lkl-dialog', {
    attrs: {
      "visible": _vm.rebutDialogShow,
      "title": "温馨提示",
      "showCancel": true,
      "cancelLabel": "取消",
      "confirmLabel": "重新申请",
      "titleStyle": {
        color: '#333333',
        fontSize: '36px'
      },
      "confirmBtnStyle": {
        color: '#01B5F0',
        fontSize: '34px'
      },
      "cancelBtnStyle": {
        color: '#01B5F0',
        fontSize: '34px'
      }
    },
    on: {
      "confirm": _vm.createShop,
      "cancel": function($event) {
        _vm.rebutDialogShow = false
      }
    }
  }, [_c('scroller', {
    style: {
      height: '230px'
    },
    attrs: {
      "slot": "content"
    },
    slot: "content"
  }, [_c('div', [_c('text', {
    staticClass: ["protocol-text"]
  }, [_vm._v(_vm._s('资料审核驳回：' + _vm.defaultStore.rejectReason))])])])]), _c('lkl-dialog', {
    attrs: {
      "visible": _vm.popupWindowShow && !_vm.protocolShow,
      "showCancel": true,
      "hasLucency": true,
      "footerCancel": false,
      "width": "686"
    }
  }, [_c('div', {
    staticStyle: {
      height: "630px"
    },
    attrs: {
      "slot": "content"
    },
    slot: "content"
  }, [_c('image', {
    staticStyle: {
      position: "absolute",
      width: "500px",
      height: "560px",
      top: "50px",
      left: "38px"
    },
    attrs: {
      "resize": "cover",
      "src": _vm.popupWindow.advUrl
    },
    on: {
      "click": function($event) {
        _vm.goToWebView(_vm.popupWindow)
      }
    }
  }), _c('image', {
    staticStyle: {
      position: "absolute",
      width: "48px",
      height: "48px",
      left: "538px",
      top: "0px"
    },
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/income/close.png"
    },
    on: {
      "click": function($event) {
        _vm.popupWindowShow = false
      }
    }
  })])])], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 14:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var device = exports.device = {
  isIOS: function isIOS() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'ios';
  },
  isAndroid: function isAndroid() {
    var platform = weex.config.env.platform;

    return platform.toLowerCase() === 'android';
  },

  /**
   * 是否为 iPhone X or iPhoneXS or iPhoneXR or iPhoneXS Max
   * @returns {boolean}
   */
  isIPhoneX: function isIPhoneX() {
    var deviceHeight = weex.config.env.deviceHeight;

    return device.isIOS() && (deviceHeight === 2436 || deviceHeight === 2688 || deviceHeight === 1792 || deviceHeight === 1624);
  },

  /**
   * 获取weex屏幕真实的设置高度，需要减去导航栏高度
   * @returns {Number}
   */
  getPageHeight: function getPageHeight() {
    return this.getScreenHeight() - this.getStatusBarHeight() - this.bottomSafeAreaHeight();
  },

  /**
   * 获取weex屏幕真实的设置高度
   * @returns {Number}
   */
  getScreenHeight: function getScreenHeight() {
    var env = weex.config.env;

    return env.deviceHeight / env.deviceWidth * 750;
  },
  bottomSafeAreaHeight: function bottomSafeAreaHeight() {
    var _weex$config = weex.config,
        env = _weex$config.env,
        homeIndicatorHeight = _weex$config.homeIndicatorHeight,
        navigationBarHeight = _weex$config.navigationBarHeight;

    var safeAreaHeight = 0;
    // 获取ios底部安全区域的高度
    if (device.isIPhoneX()) {
      safeAreaHeight = homeIndicatorHeight;
    } else if (device.isAndroid()) {
      // 安卓有底部虚拟键盘的高度
      safeAreaHeight = navigationBarHeight;
    }
    return safeAreaHeight / env.deviceWidth * 750;
  },
  getStatusBarHeight: function getStatusBarHeight() {
    var _weex$config2 = weex.config,
        env = _weex$config2.env,
        statusBarHeight = _weex$config2.statusBarHeight;

    return statusBarHeight / env.deviceWidth * 750;
  },
  makeClassList: function makeClassList(classList) {
    return Object.keys(classList).filter(function (classname) {
      return classList[classname];
    });
  }
};

/***/ }),

/***/ 19:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-overlay/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0a053df3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = {
  "wxc-overlay": {
    "width": "750",
    "position": "fixed",
    "bottom": 0,
    "right": 0
  }
}

/***/ }),

/***/ 21:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    top: {
      type: Number,
      default: 0
    },
    left: {
      type: Number,
      default: 0
    },
    hasAnimation: {
      type: Boolean,
      default: true
    },
    duration: {
      type: [Number, String],
      default: 300
    },
    timingFunction: {
      type: Array,
      default: function _default() {
        return ['ease-in', 'ease-out'];
      }
    },
    opacity: {
      type: [Number, String],
      default: 0.6
    },
    canAutoClose: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    overlayStyle: function overlayStyle() {
      return {
        opacity: this.hasAnimation ? 0 : 1,
        backgroundColor: 'rgba(0, 0, 0,' + this.opacity + ')',
        left: 0,
        top: this.top + 'px'
      };
    },
    shouldShow: function shouldShow() {
      var _this = this;

      var show = this.show,
          hasAnimation = this.hasAnimation;

      hasAnimation && setTimeout(function () {
        _this.appearOverlay(show);
      }, 50);
      return show;
    }
  },
  methods: {
    overlayClicked: function overlayClicked(e) {
      this.canAutoClose ? this.appearOverlay(false) : this.$emit('wxcOverlayBodyClicked', {});
    },
    appearOverlay: function appearOverlay(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.duration;
      var hasAnimation = this.hasAnimation,
          timingFunction = this.timingFunction,
          canAutoClose = this.canAutoClose;

      var needEmit = !bool && canAutoClose;
      needEmit && this.$emit('wxcOverlayBodyClicking', {});
      var overlayEl = this.$refs['wxc-overlay'];
      if (hasAnimation && overlayEl) {
        animation.transition(overlayEl, {
          styles: {
            opacity: bool ? 1 : 0
          },
          duration: duration,
          timingFunction: timingFunction[bool ? 0 : 1],
          delay: 0
        }, function () {
          needEmit && _this2.$emit('wxcOverlayBodyClicked', {});
        });
      } else {
        needEmit && this.$emit('wxcOverlayBodyClicked', {});
      }
    }
  }
};

/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.show) ? _c('div', {
    ref: "wxc-overlay",
    staticClass: ["wxc-overlay"],
    style: _vm.overlayStyle,
    attrs: {
      "hack": _vm.shouldShow
    },
    on: {
      "click": _vm.overlayClicked
    }
  }) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(25)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(27)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-dialog/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-96fa7a4a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = {
  "lkl-dialog": {
    "position": "fixed",
    "width": "750",
    "zIndex": 99999
  },
  "dialog-box": {
    "position": "fixed",
    "left": "96",
    "width": "558",
    "backgroundColor": "#ffffff",
    "borderRadius": "26"
  },
  "dialog-box-clear": {
    "position": "fixed",
    "left": "96",
    "width": "558",
    "backgroundColor": "rgba(0,0,0,0)",
    "borderRadius": "26"
  },
  "dialog-content": {
    "paddingTop": "10",
    "paddingBottom": "40",
    "paddingLeft": "50",
    "paddingRight": "40"
  },
  "content-title": {
    "color": "#333333",
    "fontSize": "32",
    "textAlign": "center",
    "marginBottom": "16",
    "paddingTop": "46"
  },
  "content-text": {
    "fontSize": "24",
    "color": "#333333",
    "textAlign": "center"
  },
  "dialog-footer": {
    "flexDirection": "row",
    "height": "88",
    "borderTopWidth": "1",
    "borderTopStyle": "solid",
    "borderTopColor": "#DEDEDE"
  },
  "footer-btn": {
    "flex": 1,
    "height": "88",
    "fontSize": "36",
    "lineHeight": "88",
    "textAlign": "center",
    "color": "#4d4d4d"
  },
  "btn-cancel": {
    "borderRightWidth": "1",
    "borderRightStyle": "solid",
    "borderRightColor": "#DEDEDE",
    "color": "#01B5F0",
    "fontSize": "32"
  },
  "btn-confirm": {
    "color": "#01B5F0",
    "fontSize": "32"
  }
}

/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklOverlay = __webpack_require__(19);

var _lklOverlay2 = _interopRequireDefault(_lklOverlay);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  components: { LklOverlay: _lklOverlay2.default },
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    title: {
      type: String,
      default: ''
    },
    content: {
      type: String,
      default: ''
    },

    top: {
      type: Number,
      default: 400
    },
    width: {
      type: Number,
      default: '558'
    },
    cancelLabel: {
      type: String,
      default: '取消'
    },
    confirmLabel: {
      type: String,
      default: '确定'
    },
    showConfirm: {
      type: Boolean,
      default: true
    },
    showCancel: {
      type: Boolean,
      default: true
    },
    footerCancel: {
      type: Boolean,
      default: true
    },
    titleStyle: {
      type: Object,
      default: {}
    },
    confirmBtnStyle: {
      type: Object,
      default: {}
    },
    cancelBtnStyle: {
      type: Object,
      default: {}
    },
    hasPadding: {
      type: Boolean,
      default: true
    },
    //背景颜色是否透明
    hasLucency: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    left: function left() {
      return (750 - this.width) / 2;
    }
  },
  methods: {
    cancel: function cancel() {
      this.$emit('cancel');
    },
    confirm: function confirm() {
      this.$emit('confirm');
    },
    displayDialog: function displayDialog(isShow, callback) {
      var _this = this;

      var timer = setTimeout(function () {
        var dialogEl = _this.$refs.dialog;
        if (!dialogEl) return;
        animation.transition(dialogEl, {
          styles: isShow ? { opacity: 1 } : { opacity: 0 },
          duration: 50
        }, function () {
          typeof callback === 'function' && callback();
        });
        clearTimeout(timer);
      }, 0);
    }
  },
  watch: {
    visible: function visible(newValue) {
      console.log(newValue);
      if (newValue) this.displayDialog(true);
    }
  }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.visible) ? _c('div', {
    ref: "dialog",
    staticClass: ["lkl-dialog"]
  }, [(_vm.visible) ? _c('lkl-overlay', {
    attrs: {
      "show": true,
      "hasAnimation": false
    },
    on: {
      "wxcOverlayBodyClicked": _vm.cancel
    }
  }) : _vm._e(), _c('div', {
    class: [_vm.hasLucency ? 'dialog-box-clear' : 'dialog-box'],
    style: {
      top: _vm.top + 'px',
      left: _vm.left + 'px',
      width: _vm.width + 'px'
    }
  }, [_vm._t("title", [(_vm.title) ? _c('text', {
    staticClass: ["content-title"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.title))]) : _vm._e()]), _c('div', {
    class: [_vm.hasPadding ? 'dialog-content' : '']
  }, [_vm._t("content", [_c('text', {
    staticClass: ["content-text"]
  }, [_vm._v(_vm._s(_vm.content))])])], 2), (_vm.footerCancel) ? _c('div', {
    staticClass: ["dialog-footer"]
  }, [(_vm.showCancel) ? _c('text', {
    staticClass: ["footer-btn", "btn-cancel"],
    style: _vm.cancelBtnStyle,
    on: {
      "click": _vm.cancel
    }
  }, [_vm._v(_vm._s(_vm.cancelLabel))]) : _vm._e(), (_vm.showConfirm) ? _c('text', {
    staticClass: ["footer-btn", "btn-confirm"],
    style: _vm.confirmBtnStyle,
    on: {
      "click": _vm.confirm
    }
  }, [_vm._v(_vm._s(_vm.confirmLabel))]) : _vm._e()]) : _vm._e()], 2)], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 31:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = {

    yuan2fen: function yuan2fen(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        var fen = yuan * 1000000 / 10000;
        return this.leftZeropPad(fen, 12);
    },
    yuan2fenNoAppend: function yuan2fenNoAppend(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        return yuan * 1000000 / 10000;
    },

    leftZeropPad: function leftZeropPad(num, n) {
        var tbl = [];

        var len = n - num.toString().length;
        if (len <= 0) return num;
        if (!tbl[len]) tbl[len] = new Array(len + 1).join('0');
        return tbl[len] + num;
    },
    /**
     * Returns `true` if the passed value is empty, `false` otherwise. The value is deemed to be empty if it is either:
     *
     * - `null`
     * - `undefined`
     * - a zero-length array.
     * - a zero-length string (Unless the `allowEmptyString` parameter is set to `true`).
     *
     * @param {Object} value The value to test.
     * @param {Boolean} [allowEmptyString=false] (optional) `true` to allow empty strings.
     * @return {Boolean}
     */
    isEmpty: function isEmpty(value, allowEmptyString) {
        return value === null || value === undefined || (!allowEmptyString ? value === '' : false) || Ext.isArray(value) && value.length === 0;
    }, /**
       * 检查字符串不为空
       */
    isNotEmpty: function isNotEmpty(str) {
        return !this.isEmpty(str);
    },
    //判断字符串是否为空
    isEmptyForStr: function isEmptyForStr(str) {
        return str == "undefined" || str == null || str == "";
    },

    /**
     * @member Application.service.utils
     * @method getConfigValue
     *
     * 从一个对象或组件实例中获取配置项的值
     *
     * @param object {Object/Ext.Component}
     *    配置参数或组件实例
     * @param key  {String}
     *    参数的key
     *
     * @return
     *    如果找到配置项则返回配置项的值，如果没有找到则返回 undefined
     */
    getConfigValue: function getConfigValue(object, key) {
        if (!Ext.isObject(object) || !Ext.isString(key)) {
            return null;
        }

        var value = object[key];
        if (!value && Ext.isObject(object.config)) {
            return object.config[key];
        }

        return value;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStr: function filterStr(str) {
        var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）&mdash;—|{}【】‘；：”“'。，、？]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + s.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStrByReg: function filterStrByReg(str, reg) {
        var pattern = new RegExp("[" + reg + "]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + str.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 遮罩电话号
     * 保留前3位后4位，其余为*
     */
    maskPhoneNumber: function maskPhoneNumber(number, mask) {
        mask = mask || '*';
        if (!number) return '';
        if (number.length != 11) return number;
        var start, middle, end;
        start = number.substring(0, 3);
        end = number.substring(number.length - 4, number.length);
        middle = mask + mask + mask + mask;

        return start + middle + end;
    },

    /**
     * 添加银行卡号掩码
     * 保留前6位后四位，其余为*
     *
     * @param cardNo
     * @return
     *  若cardNo不是银行卡号，则返回''
     */
    maskBankCard: function maskBankCard(cardNo) {
        if (!cardNo) return '';
        if (!this.checkBankcardNumber(cardNo)) return '';

        var maskCard;
        var cardHead = cardNo.substring(0, 6);
        var cardTail = cardNo.substring(cardNo.length - 4, cardNo.length);
        var cardMid = '';

        for (var i = 0; i < cardNo.length - 10; i++) {
            cardMid += '*';
        }

        maskCard = cardHead + cardMid + cardTail;

        return maskCard.replace(/([0-9*]{4})(?=[0-9*])/g, "$1 ");
    },

    maskShopName: function maskShopName(sName) {
        if (!sName) return '';
        if (sName.length <= 7) return sName;
        return sName.substring(0, 7) + '...';
    },

    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 8888 8888)
     */
    formatBankCard: function formatBankCard(cardNo) {
        if (!cardNo) return;

        var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = clearBankNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 **** 8888)
     */
    formatBankCard2: function formatBankCard2(cardNo) {
        if (!cardNo) return;

        //var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = cardNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 手机号格式化
     *
     * @param number
     *  手机号
     * @param type
     *  格式类型，如空格,'-'等
     * @return
     *  返回格式化后的结果 138type8888type8888
     */
    formatPhoneNumber: function formatPhoneNumber(number, type) {
        if (!number || number.length !== 11) return '';

        if (!type) {
            type = ' ';
        }

        return number.substring(0, 3) + type + number.substring(3, 7) + type + number.substring(7, 11);
    },

    /**
     * 步进格式化手机号 如 1334  返回 133 4
     * @param phoneNumber
     * @param type
     */
    stepFormatPhoneNumber: function stepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var phone = phoneNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < phone.length; i++) {
            if (i == 3) {
                ret += type + phone[3];
            } else if (i == 7) {
                ret += type + phone[7];
            } else {
                ret += phone[i];
            }
        }

        return ret;
    },
    /**
     * 步进格式化身份证号 如 1234567689  返回 123456 7689
     * @param idCardNumber
     * @param type
     */
    stepFormatIdCardNumber: function stepFormatIdCardNumber(idCardNumber, type) {
        if (!idCardNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var number = idCardNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < number.length; i++) {
            if (i == 6) {
                ret += type + number[6];
            } else if (i == 14) {
                ret += type + number[14];
            } else {
                ret += number[i];
            }
        }

        return ret;
    },

    /**
     * 正则验证身份证号码
     * 身份证号码为15位或者18位
     * 15位时全为数字
     * 18位前17位为数字
     * 最后一位是校验位（数字或X）
     * @param idCardNumber
     * @returns {boolean}
     */
    validateIdCard: function validateIdCard(idCardNumber) {
        var isValid = false;
        if (!idCardNumber) {
            return isValid;
        }

        var idCardNumArray = idCardNumber.replace(/\s+/g, '').split("");

        var length = idCardNumArray.length;

        if (length === 15 || length === 18) {
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            if (reg.test(idCardNumber)) {
                if (idCardNumber.length === 18) {
                    //校验码表
                    var codeTable = ['1', '0', "X", "9", "8", "7", "6", "5", "4", "3", "2"];
                    var sum = 0;
                    for (var i = 0; i < length - 1; i++) {
                        sum += parseInt(idCardNumArray[i]) * (Math.pow(2, 18 - (i + 1)) % 11);
                    }

                    if (codeTable[sum % 11] === idCardNumArray[length - 1].toUpperCase()) {
                        isValid = true;
                    }
                } else {
                    isValid = true;
                }
            }
        }
        return isValid;
    },

    /**
     * 反步进格式化手机号 如 133 4  返回 1334
     * @param phoneNumber
     * @param type
     * @returns {*}
     */
    unStepFormatPhoneNumber: function unStepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber || typeof phoneNumber != 'string') return '';

        if (!type) {
            type = ' ';
        }
        //        var reg=eval_r('/'+type+'/g');
        return phoneNumber.replace(/ /g, '');
    },

    /**
     * 手机号反格式化
     * @param number
     *  手机号
     * @param type
     *  反格式化类型
     * @return
     *  clear type 13888888888
     */
    clearFormatPhoneNumber: function clearFormatPhoneNumber(number) {
        if (!number) return '';

        return number.replace(/[^\d]/g, '');
    },

    /**
     * 效验手机号码正确性
     * @param mobile
     *  手机号
     * @returns {boolean}
     *  true: 手机号正确  false： 手机号非法
     */
    checkMobile: function checkMobile(mobile) {
        if (/^1[3|4|5|6|7|8|9]\d{9}$/.test(mobile)) {
            return true;
        }
        return false;
    },

    /**
     * 步进验证手机号 如 非1开头的为非法手机号
     * @param mobile
     * @returns {boolean}
     */
    stepCheckMobile: function stepCheckMobile(mobile) {
        return (/^1[0-9]*$/.test(mobile) ? true : false
        );
    },

    /**
     * 将属性从一个对象移动到另一个对象中。
     * @param dest   {Object}   目标对象
     * @param source {Object}   源对象
     * @param names  {Object}   属性名称列表。
     */
    moveTo: function moveTo(dest, source, names) {
        if (!dest || (typeof source === 'undefined' ? 'undefined' : _typeof(source)) !== 'object' || !Ext.isArray(names)) {
            return;
        }

        for (var index in names) {
            var name = names[index];
            if (source[name] !== undefined) {
                dest[name] = source[name];
                delete source[name];
            }
        }
    },

    /*
     * 验证输入内容是否合法,可以从该方法扩展其他验证方法
     * @param content   验证的内容
     * @param regExp  正则参数
     * @returns {*|boolean}
     */
    checkInput: function checkInput(content, regExp) {
        return content && new RegExp(regExp).test(content);
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmountNoRule: function formatAmountNoRule(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }
        }

        return result + '.' + amount[1];
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmount: function formatAmount(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }

            if ((i + 1) % 3 == 0) {
                result = ',' + result;
            }
        }

        return result + '.' + amount[1];
    },

    /**
     * '银行卡校验算法'
     * @param bankno  ‘银行卡卡号’
     * @returns {boolean} ‘if true 表示校验通过’
     */
    checkBankcardNumber: function checkBankcardNumber(bankno) {
        //卡号满足8到20位0-9的数字，表示校验通过
        return bankno && /^\d{8,20}$/.test(bankno);
    },

    checkHolderName: function checkHolderName(name) {
        return name && /^(([a-zA-Z]+|[\u4e00-\u9fa5]+))$/.test(name);
    },

    /**
     * '判断键盘是否在显示'
     * @returns  ‘if true mean show’
     */
    isNumpadShow: function isNumpadShow() {
        return Application.keyboard && Application.keyboard.current && Application.keyboard.current.isHidden && !Application.keyboard.current.isHidden();
    },

    /**
     * 若自定义键盘已经显示，则隐藏该键盘
     */
    hideNumpad: function hideNumpad() {
        if (this.isNumpadShow()) {
            Application.keyboard.current.hide();
        }
        //隐藏原生键盘
        NativeApi.softKeyBoard.hide();
    },

    /**
     * 是否为汉字
     *
     * @param s
     * @returns {boolean}
     */
    isChinese: function isChinese(s) {
        if (!s) return false;

        var patten = /^\s*[\u4e00-\u9fa5]{1,15}\s*$/;
        if (!patten.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 是否为英文
     *
     * @param s
     * @returns {boolean}
     */
    isEnglish: function isEnglish(s) {
        if (!s) return false;

        var pattern = /^[a-zA-Z]*$/;
        if (!pattern.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 邮箱格式验证
     *
     * @param s
     * @returns {boolean}
     */
    emailFormatCheck: function emailFormatCheck(s) {
        if (!s) return false;

        if (s.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) return true;

        return false;
    },

    /**
     * eg: 某某民 -》 **民
     * @param name
     */
    nameMark: function nameMark(name) {
        if (!name || name.length < 2) return name;
        // var a = [];
        // var len = name.length - 1;
        // for (var i = 0; i < len; ++i) {
        //     a[i] = '*';
        // }
        // a[len] = name.substr(-1);
        // return a.join('');
        return name.substring(0, 1) + name.substring(1).replace(/[\s\S]/ig, '*');
    },

    /**
     * eg: 4325123432140082 -》 432512******0082
     * @param number
     */
    creditNumberMark: function creditNumberMark(number) {
        if (!number || number.length < 10) return number;
        return number.substr(0, 4) + '****' + number.substr(-4);
    },

    /**
     * 身份证号码脱敏
     * eg: 622722197810289000 -> 6227****9000
     * @param number
     * @returns {*}
     */
    idCardNumberMark: function idCardNumberMark(number) {
        if (!number) {
            return number;
        }
        if (number.length == 15) {
            return number.substr(0, 3) + '********' + number.substr(-4);
        }
        if (number.length == 18) {
            return number.substr(0, 3) + '***********' + number.substr(-4);
        }
        return number;
    },
    /**
     * 将一个小端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithSmallEndian: function hexStringToNumberWithSmallEndian(hexstr) {
        if (!hexstr) return 0;
        var str = "";
        var length = hexstr.length;
        //转大写
        hexstr = hexstr.toUpperCase();

        for (var i = length / 2 - 1; i >= 0; i--) {
            str += hexstr.substr(2 * i, 2);
        }
        return parseInt(str, 16);
    },

    /**
     * 将一个大端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithBigEndian: function hexStringToNumberWithBigEndian(hexstr) {
        if (!hexstr) return 0;

        var number = 0;
        var length = hexstr.length;
        var zeroCode = '0'.charCodeAt(0);
        var aCode = 'a'.charCodeAt(0);

        //转小写
        hexstr = hexstr.toLowerCase();

        for (var i = 0; i < length; i++) {
            number <<= i ? 4 : 0;
            var c = hexstr.charCodeAt(i);
            if (c < 58) {
                //数字
                number |= c - zeroCode & 0xF;
            } else {
                //字母
                number |= (c - aCode & 0xF) + 10;
            }
        }

        return number;
    },

    /**
     * 数字转换十六进制 (转换为16进制后可指定 数据长度，不足左补0)
     * @param number
     * @param hexlength 转换后字节长度
     * @returns {*}
     */
    numberToHex: function numberToHex(number, hexlength) {
        if (!number || hexlength && hexlength < 0) return '';

        //如果非number类型，进行转换
        if (!(number instanceof Number)) {
            number = parseInt(number, 10);
        }
        if (!number) return '';
        var hex = number.toString(16);
        if (!hex) return '';
        if (!hexlength) return hex;

        var length = hexlength * 2 - hex.length;
        if (length < 0) return hex;

        for (var i = 0; i < length; i++) {
            hex = '0' + hex;
        }
        return hex;
    },

    /**
     * 获取str中的参数 str格式: key1=value1&key2=value2&key3=value3
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2,
     *              ...
     *          }
     */
    parseStringParams: function parseStringParams(str) {

        var args = {};
        var pairs = str.split("&"); //在逗号处断开

        for (var i = 0; i < pairs.length; i++) {

            var pos = pairs[i].indexOf('='); //查找key=value
            if (pos == -1) continue; //如果没有找到就跳过
            var key = pairs[i].substring(0, pos); //提取key
            var value = pairs[i].substring(pos + 1); //提取value

            args[key] = value;
        }

        return args;
    },

    /**
     * 获取url中的参数
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2
     *          }
     */
    getUrlParams: function getUrlParams(url) {

        var args = {};

        var urlstr = url.split("?"); //获取参数部分
        args = this.parseStringParams(urlstr[1]);

        return args;
    },
    /**
     *  生成16进制随机数
     * @param count  随机数个数
     * @returns {string}
     */
    generateHexRandomString: function generateHexRandomString(count) {
        var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
        var res = "";
        for (var i = 0; i < count; i++) {
            var id = Math.ceil(Math.random() * (chars.length - 1));
            res += chars[id];
        }
        return res;
    },
    /**
     * 检验密码强度
     * @param str
     * @returns {boolean}
     */
    checkPWd: function checkPWd(str) {
        var count = 0;

        //是否包含数字
        if (new RegExp("[0-9]+").test(str)) {
            count++;
        }

        //是否包含英文字母
        if (new RegExp("([a-zA-Z]+)").test(str)) {
            count++;
        }

        //是否包含特殊字符
        if (new RegExp("[^0-9a-zA-Z]").test(str)) {
            count++;
        }

        if (count >= 2) {
            return true;
        } else {
            return false;
        }
    },
    /**
     * 格式化日期
     * @param fmt yyyyMMddHHmmss
     * @param date
     * @returns {*}
     */
    dateFtt: function dateFtt(fmt, date) {
        //author: meizz
        var o = {
            "M+": date.getMonth() + 1, //月份
            "d+": date.getDate(), //日
            "h+": date.getHours(), //小时
            "m+": date.getMinutes(), //分
            "s+": date.getSeconds(), //秒
            "q+": Math.floor((date.getMonth() + 3) / 3), //季度
            "S": date.getMilliseconds() //毫秒
        };
        if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
        }return fmt;
    },

    /**
     * 对Date的扩展，将 Date 转化为指定格式的String
     * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q) 可以用 1-2 个占位符
     * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
     * eg:
     * (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
     * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04
     * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04
     * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04
     * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
     */
    dateFormat: function dateFormat(fmt) {
        var data = new Date();
        var o = {
            "M+": data.getMonth() + 1, //月份
            "d+": data.getDate(), //日
            "h+": data.getHours() % 12 == 0 ? 12 : data.getHours() % 12, //小时
            "H+": data.getHours(), //小时
            "m+": data.getMinutes(), //分
            "s+": data.getSeconds(), //秒
            "q+": Math.floor((data.getMonth() + 3) / 3), //季度
            "S": data.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (data.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length > 1 ? RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468" : "") + week[data.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
            }
        }
        return fmt;
    },
    formatNameWithStar: function formatNameWithStar(name) {
        if (!name) return '';
        var mName = '';
        for (var i = 0; i < name.toString().length; i++) {
            if (i < 1) {
                mName += name[i];
            } else {
                mName += '*';
            }
        }
        return mName.toString();
    },
    addressMark: function addressMark(address) {
        if (!address) {
            return "";
        }
        var index = address.indexOf("省");
        if (index != -1) {
            var firststr = address.substring(0, index + 1);
            var lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return firststr + lastStr;
        }
        index = address.indexOf("市");
        if (index != -1) {
            var _firststr = address.substring(0, index + 1);
            var _lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return _firststr + _lastStr;
        }
        return address;
    }
};

/***/ }),

/***/ 335:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _index = __webpack_require__(115);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_index2.default.el = '#root';
new Vue(_index2.default);

/***/ }),

/***/ 37:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _index = __webpack_require__(14);

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// const UploadImgModule = weex.requireModule('UploadImgModule') // 本地存储

exports.default = {
    mobile: {
        // regexp: /^1[3-578]\d{9}$/,
        regexp: /^1\d{10}$/,
        message: '请输入正确的手机号'
    },
    password: {
        regexp: /(?!^(\d+|[a-zA-Z]+|[~!@#$%^&*?]+)$)^[\w~!@#$%^&*?]{8,20}$/,
        message: '密码为8-20位,字母、数字、特殊字符至少2种组合'
    },

    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 8888 8888)
     */
    formatBankCard: function formatBankCard(cardNo) {
        if (!cardNo) return;

        var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = clearBankNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },

    /**
     * 跳转页面
     * @param path 页面路径
     * @param params 参数
     */
    jump: function jump(context, path, params, callback) {
        context.$navigator.push({
            url: path,
            params: params,
            callback: callback
        });
    },


    isClick: true,
    /**
     * 判断某个函数是否连续调用多次（主要用于防止连续点击事件）
     * @param buffer {Number}
     */
    isRepeatExecute: function isRepeatExecute(space) {
        if (this.isClick) {
            var me = this;
            this.isClick = false;
            var s = 1000;
            if (space) {
                s = space;
            }
            setTimeout(function () {
                me.isClick = true;
            }, s);
            return false;
        } else {
            return true;
        }
    },

    //人脸识别
    liveTesting: function liveTesting(context, successCallback, errorcallback) {
        var permisText = _index.device.isAndroid() ? ['android.permission.CAMERA', 'android.permission.WRITE_EXTERNAL_STORAGE'] : ['Camera'];
        console.log({ message: "device:" + _index.device.isAndroid() + "permisText:" + permisText });
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                // 拥有权限
                context.$liveTest.liveTesting(function (res) {
                    successCallback(res);
                }, function (error) {
                    context.$notice.alert({ message: "人脸识别失败：" + error });
                });
            } else {
                context.$notice.toast({ message: '请开启应用权限' });
            }
        });
    },


    //相机
    getPhoto: function getPhoto(context, successCallback) {
        var permisText = _index.device.isAndroid() ? ['android.permission.CAMERA', 'android.permission.WRITE_EXTERNAL_STORAGE'] : ['Camera'];
        console.log({ message: "device:" + _index.device.isAndroid() + "permisText:" + permisText });
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                // 拥有权限
                context.$image.takePhoto(function (res) {
                    successCallback(res);
                });
            } else {
                context.$notice.toast({ message: '请开启应用权限' });
            }
        });
    },

    //相册图片
    getAlbumPhoto: function getAlbumPhoto(context, successCallback) {
        var permisText = _index.device.isAndroid() ? ['android.permission.CAMERA', 'android.permission.WRITE_EXTERNAL_STORAGE'] : ['Photos'];
        console.log({ message: "device:" + _index.device.isAndroid() + "permisText:" + permisText });
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                // 拥有权限
                context.$image.selectImage(function (res) {
                    successCallback(res);
                });
            } else {
                context.$notice.toast({ message: '请开启应用权限' });
            }
        });
    },


    //获取权限列表
    getheckPermissions: function getheckPermissions(context, successCallback) {
        var locationText = _index.device.isAndroid() ? 'android.permission.ACCESS_COARSE_LOCATION' : 'Location';
        var cameraText = _index.device.isAndroid() ? 'android.permission.CAMERA' : 'Camera';
        var photosText = _index.device.isAndroid() ? 'android.permission.WRITE_EXTERNAL_STORAGE' : 'Photos';
        var microphoneText = _index.device.isAndroid() ? 'android.permission.CALL_PHONE' : 'Microphone';
        var permissionAry = [locationText, cameraText, photosText, microphoneText];
        context.$premiss.checkPermissions(permissionAry, function (res) {
            if (_index.device.isAndroid()) {
                var ary = [res['android.permission.ACCESS_COARSE_LOCATION'], res['android.permission.CAMERA'], res['android.permission.WRITE_EXTERNAL_STORAGE'], res['android.permission.CALL_PHONE']];
                successCallback(ary);
            } else {
                successCallback(res);
            }
        });
    },


    //扫码
    setcanSns: function setcanSns(context, successCallback) {
        var permisText = _index.device.isAndroid() ? ["android.permission.CAMERA"] : ['Camera'];
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                context.$scan.scanSn(function (data) {
                    successCallback(data);
                });
            } else {
                context.$notice.alert({ message: "权限未打开" });
            }
        });
    },

    //绑定台卡
    scanCodeTerm: function scanCodeTerm(param, context, successCallback) {
        var permisText = _index.device.isAndroid() ? ["android.permission.CAMERA"] : ['Camera'];
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                context.$scan.scanCodeTerm(param, function (data) {
                    successCallback(data);
                });
            } else {
                context.$notice.alert({ message: "权限未打开" });
            }
        });
    },


    /**
         *
         * @param {Object} options 上传的文件路径
         * {
           *   imageUrl: '上传的文件路径',
           *   fileKey: '上传文件对应表单的key值',
           *   sUrl: '服务器请求地址'
           *   params: {
           *    token: ''
           *   }
           * }
         * @param {Function} callback 回调函数
         */
    uploadImg: function uploadImg(context, path, token, callback, failcallback) {
        // context.$loading.show('处理中...')
        context.$upload.uploadImg({
            imageUrl: path,
            requestUrl: _config2.default.apiUrl + 'common/v1/fileUpload',
            fileKey: 'uploadFileContent',
            headers: {
                AUTHORIZATION: token,
                'X-Client-PV': 'SKBMAX',
                'X-Client-Platform': _config2.default.client_platform // 客户端平台(Android或IOS)
            },
            params: {
                fileName: 'merchant',
                fileType: 'UPGRADE_PIC', //与收款宝一致
                fileDesc: 'sfz',
                extName: 'idcd'
            }
        }, function (res) {
            // context.$loading.hide()
            console.log('---upload:' + JSON.stringify(res));
            if (res) {
                if (res.code === 200) {
                    // 上传成功成功
                    var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                    if (data.code == '000000') {
                        callback(data.data);
                    } else {
                        context.$notice.toast({ message: '图片上传失败，请稍后再试' });
                        failcallback();
                    }
                } else if (res.code === 401) {
                    // token失效或者未登录
                    failcallback();
                    context.$notice.toast({ message: '请重新登录' });
                } else {
                    failcallback();
                    // 其他情况
                    context.$notice.toast({ message: '图片上传失败，请稍后再试' });
                }
            } else {
                failcallback();
                context.$notice.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
            }
        });
    },


    /**
     * 开启定位获取位置
     * @param context
     * @param successCallback
     */
    location: function location(context, successCallback, failCallback) {
        //获取定位权限
        var permisText = _index.device.isAndroid() ? ['android.permission.ACCESS_FINE_LOCATION'] : ['Location'];
        context.$premiss.requestPermission(permisText, function (res) {

            if (res) {
                // 拥有定位权限
                context.$location.location(function (data) {
                    console.log('---****------:' + JSON.stringify(data));
                    //定位成功
                    successCallback(data);
                });
            } else {
                failCallback();
                console.log('未打开定位权限');
            }
        });
    },
    ocr: function ocr(context, isFont, successCallback) {
        //获取定位权限
        var permisText = _index.device.isAndroid() ? ['android.permission.CAMERA'] : ['Camera'];
        context.$premiss.requestPermission(permisText, function (res) {
            if (res) {
                // 拥有定位权限
                context.$ocr.idCardRecognize(isFont, function (res) {
                    successCallback(res);
                });
            } else {
                console.log('此功能需要相机权限');
            }
        });
    },


    /**
     * 根据经纬度查询位置信息
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    getClientLocationInfo: function getClientLocationInfo(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            // params: param,
            url: 'public/v1/client/location',
            headers: {
                //定位信息放在请求头
                'X-Device-Location': param
            },
            hasLoading: true
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res.data);
            } else {
                if (errorCallback) {
                    errorCallback(res);
                }
                context.$notice.toast({ message: res.message });
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },

    /**
     * 身份证识别
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    idCard: function idCard(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            url: 'common/v1/ocr/idCard'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res.data);
            } else {
                if (errorCallback) {
                    errorCallback(res);
                }
                context.$notice.toast({ message: res.message });
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },


    /**
     * 活检
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    biometrics: function biometrics(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            url: 'common/v1/auth/biometrics'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res.data);
            } else {
                if (errorCallback) {
                    errorCallback(res);
                }
                context.$notice.toast({ message: res.message });
            }
        });
    },

    /**
     * 商户开通
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    open: function open(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            url: 'merchant/v1/open'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                if (errorCallback) {
                    errorCallback(res);
                }
                context.$notice.toast({ message: res.message });
            }
        }).catch(function (error) {
            if (errorCallback) {
                errorCallback(error);
            }
            context.$notice.toast({ message: error.message });
        });
    },

    /**
     *
     * @param context
     * @param cardNo
     * @param busid 18X_1:个人账户   18X_2_1：企业账户
     * @param successCallback
     * @param errorCallback
     */
    queryBin: function queryBin(context, cardNo, busid, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: {
                busid: busid,
                cardNo: cardNo
            },
            url: 'user/v1/bankcard/bin'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },


    /**
     * 查看支持的银行
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    supports: function supports(context, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            url: 'user/v1/bank/supports'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },

    /**
     * 获取协议 sonType 授权：信用卡:creditCard;贷款:loan.  协议：用户协议:user;商户协议:merchant
     * @param context
     * @param param
     * @param successCallback
     * @param errorCallback
     */
    sonType: function sonType(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            url: 'public/v1/policy/sonType',
            hasLoading: true
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },
    signPolicy: function signPolicy(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            hasLoading: true,
            url: 'policy/v1/signLog/insert'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },

    /**
     * @param context
     * @param successCallback
     * * {
        "merOpenSwitch": "auto", 			//商户开通开关:auto=无感,manual=手动开通
        "merchantProperty": "new",		//商户属性：new 新商户，silence沉寂商户，active=活跃商户
        "posmercode": "822123456788",	//外部商户号
        "orgId": "229371"				//机构号
        }
     * @param errorCallback
     */
    chooseOpen: function chooseOpen(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            url: 'merchant/v1/chooseOpen',
            hasLoading: true
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },

    /**
     * 校验是否为同一个人
     * @param context
     * @param param
     * @param successCallback
     *  "data": {
            "code": "1" 		//1=一致; 0=不一致
            "message": "一致" 	//描述
          },
     * @param errorCallback
     */
    sameMan: function sameMan(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            hasLoading: true,
            url: 'merchant/v1/check/sameMan'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    },
    checkMerchantName: function checkMerchantName(context, param, successCallback, errorCallback) {
        context.$fetch({
            method: 'POST',
            params: param,
            hasLoading: true,
            url: 'merchant/v1/checkMerchantName'
        }).then(function (res) {
            if (res.code === '000000') {
                successCallback(res.data);
            } else {
                context.$notice.toast({ message: res.message });
                if (errorCallback) {
                    errorCallback(res);
                }
            }
        }).catch(function (error) {
            context.$notice.toast({ message: error.message });
            if (errorCallback) {
                errorCallback(error);
            }
        });
    }
};

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 74:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(75)
)

/* script */
__vue_exports__ = __webpack_require__(76)

/* template */
var __vue_template__ = __webpack_require__(77)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/shop/agreementList.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-5f9510d5"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 75:
/***/ (function(module, exports) {

module.exports = {
  "cell-item": {
    "alignItems": "center",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "height": "140",
    "borderBottomWidth": "1",
    "borderBottomColor": "#808080"
  },
  "item-content": {
    "flexDirection": "column",
    "marginLeft": "40",
    "width": "600"
  },
  "content-name": {
    "textAlign": "left",
    "fontSize": "30",
    "color": "#333333",
    "height": "50",
    "lineHeight": "50",
    "marginTop": "10"
  },
  "protocolName": {
    "textAlign": "left",
    "fontSize": "28",
    "color": "#59A7FA",
    "height": "50",
    "lineHeight": "50",
    "marginBottom": "10"
  },
  "right-arrow": {
    "width": "22",
    "height": "22",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#979797",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "borderRightColor": "#979797",
    "marginRight": "30",
    "transform": "rotate(-45deg)"
  }
}

/***/ }),

/***/ 76:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    components: {
        LklHeader: _lklHeader2.default
    },
    name: "agreementList",
    data: function data() {
        return {
            listArray: []
        };
    },
    created: function created() {
        var _this = this;

        this.$navigator.param(function (params) {
            _this.listArray = params;
        });
    },

    methods: {
        checkItem: function checkItem(item) {
            this.$appTool.gotoBaseWebView(item.compOrgProtocolURL, '', item.compOrgProtocolName);
        }
    }
}; //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

/***/ }),

/***/ 77:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "签约协议"
    }
  }), _c('div', {
    staticClass: ["correlation"]
  }, [_c('scroller', {
    staticClass: ["shop-list"]
  }, _vm._l((_vm.listArray), function(item, index) {
    return _c('div', {
      key: index,
      staticClass: ["cell-item"],
      on: {
        "click": function($event) {
          _vm.checkItem(item)
        }
      }
    }, [_c('div', {
      staticClass: ["item-content"]
    }, [_c('text', {
      staticClass: ["content-name"]
    }, [_vm._v(_vm._s(item.name))]), _c('text', {
      staticClass: ["protocolName"]
    }, [_vm._v(" 《" + _vm._s(item.compOrgProtocolName) + "》")])]), _c('div', {
      staticClass: ["right-arrow"]
    })])
  }))])], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ })

/******/ });