// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 396);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 123:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(124)
)

/* script */
__vue_exports__ = __webpack_require__(125)

/* template */
var __vue_template__ = __webpack_require__(126)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/mine/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-47b980fc"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 124:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "marginTop": "0",
    "backgroundColor": "#f1f1f1"
  },
  "mine_mer_img": {
    "width": "750",
    "height": "346",
    "position": "absolute"
  },
  "mine_top": {
    "flexDirection": "row",
    "marginTop": "20",
    "width": "750",
    "alignItems": "center",
    "height": "254"
  },
  "mine_heard_img": {
    "width": "116",
    "height": "116",
    "marginLeft": "32",
    "marginRight": "20"
  },
  "mine_mer_name_txt": {
    "flexDirection": "column",
    "alignItems": "flex-start"
  },
  "mine_mer_name": {
    "color": "#ffffff",
    "fontSize": "42",
    "marginTop": "30"
  },
  "mine_mer_create": {
    "color": "#01B5F0",
    "fontSize": "28",
    "width": "160",
    "height": "50",
    "lineHeight": "50",
    "borderRadius": 10,
    "textOverflow": "ellipsis",
    "textAlign": "center",
    "borderColor": "#01B5F0",
    "borderWidth": "2",
    "borderStyle": "solid"
  },
  "mine_mer_ej": {
    "flex": 1,
    "flexDirection": "row",
    "justifyContent": "flex-end",
    "alignItems": "center"
  },
  "mine_mer_ej-icon": {
    "marginRight": "30"
  },
  "mine_mer_account": {
    "color": "#ffffff",
    "fontSize": "28",
    "marginTop": "15"
  },
  "sysList": {
    "width": "750",
    "backgroundColor": "#f1f1f1",
    "marginTop": "50",
    "marginBottom": "20",
    "borderRadius": "20",
    "alignItems": "center"
  },
  "sysList-item": {
    "width": "718",
    "borderRadius": "20",
    "marginTop": "20",
    "backgroundColor": "#ffffff"
  },
  "cell-title": {
    "flex": 1,
    "alignItems": "center",
    "flexDirection": "row"
  },
  "cell-title_2": {
    "flexDirection": "column"
  },
  "mine_item_img": {
    "width": "46",
    "height": "46",
    "marginLeft": "32",
    "marginRight": "20"
  },
  "mine_item_text": {
    "fontSize": "32",
    "color": "#626262",
    "textAlign": "center"
  },
  "mine_item_text_2": {
    "fontSize": "32",
    "color": "#626262",
    "textAlign": "center",
    "marginLeft": "32",
    "marginRight": "20"
  },
  "mine_item_right": {
    "flex": 1,
    "marginLeft": "15",
    "textAlign": "right",
    "flexDirection": "row",
    "justifyContent": "flex-end"
  },
  "mine_item_input_right": {
    "fontSize": "32",
    "color": "#DD3609",
    "textAlign": "right",
    "borderRadius": "30",
    "borderColor": "#F5F5F5",
    "paddingTop": "10",
    "paddingRight": "20",
    "paddingBottom": "12",
    "paddingLeft": "20",
    "backgroundColor": "#F5F5F5"
  },
  "dialog-text_content": {
    "alignItems": "center"
  },
  "dialog-text": {
    "fontSize": "24",
    "paddingTop": "10",
    "paddingRight": "10",
    "paddingBottom": "10",
    "paddingLeft": "10",
    "color": "#333333",
    "alignItems": "center"
  },
  "line": {
    "width": "750",
    "height": "2",
    "marginLeft": "15",
    "marginRight": "15",
    "marginBottom": "15",
    "backgroundColor": "rgb(135,134,139)"
  },
  "end-line": {
    "height": "2",
    "width": "204",
    "backgroundColor": "#e7e7e7"
  },
  "mine_bottom_adv": {
    "marginLeft": "24",
    "marginRight": "24",
    "marginTop": "40",
    "height": "160",
    "width": "702",
    "borderRadius": "16"
  }
}

/***/ }),

/***/ 125:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklCell = __webpack_require__(15);

var _lklCell2 = _interopRequireDefault(_lklCell);

var _lklDialog = __webpack_require__(23);

var _lklDialog2 = _interopRequireDefault(_lklDialog);

var _lklIcon = __webpack_require__(24);

var _lklIcon2 = _interopRequireDefault(_lklIcon);

var _utils = __webpack_require__(31);

var _utils2 = _interopRequireDefault(_utils);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var globalEvent = weex.requireModule("globalEvent"); //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  components: {
    LklCell: _lklCell2.default, LklDialog: _lklDialog2.default, LklIcon: _lklIcon2.default
  },
  props: {
    height: {
      type: Number,
      default: 0
    },
    defaultStore: {
      type: Object,
      default: {}
    },
    menuList: {
      type: Array,
      default: []
    }
  },
  data: function data() {
    return {
      shopName: "",
      accountNo: "",
      shopNo: "",
      loginName: "",
      secondMerStatus: {},
      walletStatus: {},
      showWaltTips: false,
      personalCenterAdv: {},
      isShowAdv: false
    };
  },

  computed: {},
  created: function created() {
    this.loginName = this.$storage.getData("mobile").mobile || "";
    this.accountNo = _utils2.default.maskPhoneNumber(this.loginName);
    this.shopName = this.$storage.getData("defaultMerInfo").name || "";
    this.shopName = _utils2.default.maskShopName(this.name);
    this.shopNo = this.$storage.getData("defaultMerInfo").shopNo || "";
  },
  mounted: function mounted() {
    var _this = this;

    var ubChannel = new BroadcastChannel("updateBalanceChannel");
    ubChannel.onmessage = function (event) {
      if (_this.menuList[0]["MenuZHYE_WD"]) {
        _this.menuList[0]["MenuZHYE_WD"].show = false;
      }
      if (_this.menuList[0]["MenuQBZH"]) {
        _this.menuList[0]["MenuQBZH"].show = false;
      }
      _this.queryMerchantStatus(true);
    };
  },

  watch: {
    defaultStore: {
      handler: function handler(val) {
        if (val.shopNo) {
          this.shopNo = val.shopNo;
          this.queryMerchantStatus(true);
        }

        if (val.shopNo || val.id) {
          this.shopName = _utils2.default.maskShopName(val.name);
        } else {
          this.shopName = 'Hi，请绑定商户';
        }

        this.loginName = this.$storage.getData("mobile").mobile || "";
        if (this.loginName) {
          //加载我的页面广告
          this.getAdvList('personalCenter');
        }
      },

      immediate: true
    }
  },
  methods: {
    //开票申请
    applyMakeBill: function applyMakeBill() {
      if (_utils2.default.isEmptyForStr(this.defaultStore.shopNo)) {
        this.$notice.toast({ message: '当前无店铺,请先创建店铺' });
      } else {
        this.$navigator.push({
          url: "bill/applyBillIndex.js"
        });
      }
    },
    createShop: function createShop() {
      var data = {
        fromwhere: 'business/index.js'
      };
      this.$navigator.push({
        url: 'shop/chooseShopSettleStyle.js',
        params: data
      });
    },
    hasMer: function hasMer() {
      return this.defaultStore.shopNo && this.defaultStore.auditStatus === 'STORAGED';
    },
    onitemFunction: function onitemFunction(item) {
      if (item.functionRole === 2) {
        //如果没登录登陆
        if (!this.loginName) {}
      } else if (item.functionRole === 3) {
        //没商户创建商户
        if (!this.hasMer()) {

          if (item.funcID == 'MenuDPGL' && this.defaultStore.id) {
            this.$navigator.push({
              url: "shop/merchantManager.js"
            });
            return;
          } else {
            this.createShop();
            return;
          }
        }
      }
      if ("Third_Party_Address" === item.funcClickType && item.funcUrl) {
        this.$appTool.gotoBaseWebView(item.funcUrl, '', '常见问题');
        return;
      }
      if ("Server_Handle_Address" === item.funcClickType) {
        this.queryThirdWebAddress(item);
        return;
      }

      switch (item.funcID) {
        case "MenuZHYE_WD":
          this.secondMenuClick();
          break;
        case "MenuQBZH":
          this.$tool.onEvent("开通钱袋子", "开通钱袋子", "");
          this.walletMenuClick();
          break;
        case "MenuSGF":
          // this.$navigator.push({
          //   url: "wallet/OpenAccount.js"
          // })
          break;
        case "MenuBBYX":
          this.$navigator.push({
            url: "speakerbox/index.js"
          });
          break;
        case "MenuSQBH":
          this.$navigator.push({
            url: "box/index.js"
          });
          break;
        case "MenuSKTZ":
        case "MenuSKTZ_COMP":
          this.$navigator.push({
            url: "mine/receiveNoticeSetting.js"
          });
          break;
        case "MenuDPGL":
        case "MenuDPGL_COMP":
          this.$navigator.push({
            url: "shop/merchantManager.js"
          });
          break;
        case "MenuEDSQ_COMP":
          //额度申请
          this.$navigator.push({
            url: "home/CompMerLimit.js"
          });
          break;
        case "MenuDPXX_COMP":
          //店铺信息
          this.$navigator.push({
            url: "home/MerchantInfo.js"
          });
          break;
        case "MenuSZ":
        case "MenuSZ_COMP":
          this.$navigator.push({
            url: "setting/index.js"
          });
          break;
        case "MenuKPSQ":
          this.applyMakeBill();
          break;
      }
    },
    gotoMerchantManager: function gotoMerchantManager() {
      if (this.shopName) {
        this.$navigator.push({
          url: "shop/merchantManager.js"
        });
      } else {
        this.$navigator.push({
          url: "shop/chooseShopSettleStyle.js"
        });
      }
    },
    goToWebView: function goToWebView() {
      this.$appTool.gotoBaseWebView(this.personalCenterAdv.advClickUrl, '', this.personalCenterAdv.advTitle);
    },
    queryMerchantStatus: function queryMerchantStatus() {
      var _this2 = this;

      var noshowDialog = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

      this.loginName = this.$storage.getData("mobile").mobile || "";
      //如果frist接口我的菜单没有下发二类户
      if (!this.menuList[0]["MenuZHYE_WD"]) {
        //查询钱袋子
        this.queryWalletStatus(noshowDialog);
        return;
      }
      //查询是否是二类户
      var params = {
        loginName: this.loginName,
        shopNo: this.shopNo
      };
      this.$fetch({
        method: "POST",
        url: "api/qr/finance/status",
        params: params,
        noHasLoading: noshowDialog
      }).then(function (res) {
        if (res.retCode === "000000") {
          _this2.secondMerStatus = res.retData || {};
          // 开通了二类户
          if (_this2.secondMerStatus.financeFlag === 1 && _this2.secondMerStatus.openedFlag === 1 && _this2.secondMerStatus.openFlag === 0) {
            var tolVol = _this2.secondMerStatus.userTolVol;
            if (!_this2.secondMerStatus.userTolVol) {
              tolVol = 0;
            }
            _this2.menuList[0]["MenuZHYE_WD"].rightText = "¥ " + tolVol;
            _this2.menuList[0]["MenuZHYE_WD"].show = true;
            if (_this2.menuList[0]["MenuQBZH"]) {
              _this2.menuList[0]["MenuQBZH"].show = false;
            }
          } else {
            _this2.menuList[0]["MenuZHYE_WD"].show = false;
            _this2.menuList[0]["MenuZHYE_WD"].rightText = '';
            // 查询钱袋子开通状态
            _this2.queryWalletStatus(noshowDialog);
          }
        }
      }).catch(function (err) {
        _this2.$notice.toast({ message: "请求异常，请稍后再试" });
        // 查询失败，都不显示
        _this2.allNoShowAccount();
      });
    },
    queryWalletStatus: function queryWalletStatus() {
      var _this3 = this;

      var noshowDialog = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : false;

      //如果frist接口我的菜单没有下发钱袋子
      if (!this.menuList[0]["MenuQBZH"]) {
        //钱袋子没有下发，判断二类户是否满足开通条件，满足显示开户
        // 二类户满足开通 显示二类户开通
        if (this.secondMerStatus && this.secondMerStatus.financeFlag === 1) {
          this.menuList[0]["MenuZHYE_WD"].show = true;
        } else {
          // 二类户不满足开通，都不显示
          this.allNoShowAccount();
        }
        return;
      }
      var params = {
        loginName: this.loginName,
        shopNo: this.shopNo
      };
      this.$fetch({
        method: "POST",
        url: "api/qr/wallet/userStatus",
        params: params,
        noHasLoading: noshowDialog
      }).then(function (res) {
        if (res.retCode === "000000") {
          _this3.walletStatus = res.retData || {};
          // 钱袋子开通
          if (_this3.walletStatus.openFlag) {
            _this3.menuList[0]["MenuQBZH"].show = true;

            var tolVol = _this3.walletStatus.balance;
            if (!_this3.walletStatus.balance) {
              tolVol = 0;
            }
            _this3.menuList[0]["MenuQBZH"].rightText = "¥ " + tolVol;
          } else {
            // 二类户满足开通 显示二类户开通
            if (_this3.secondMerStatus && _this3.secondMerStatus.financeFlag === 1) {
              if (_this3.menuList[0]["MenuZHYE_WD"]) {
                _this3.menuList[0]["MenuZHYE_WD"].show = true;
              }
              _this3.menuList[0]["MenuQBZH"].rightText = '';
              _this3.menuList[0]["MenuQBZH"].show = false;
            } else {
              // 二类户不满足开通，都不显示
              _this3.allNoShowAccount();
            }
          }
        }
      }).catch(function (err) {
        _this3.$notice.toast({ message: "请求异常，请稍后再试" });
      });
    },
    allNoShowAccount: function allNoShowAccount() {
      if (this.menuList[0]["MenuZHYE_WD"]) {
        this.menuList[0]["MenuZHYE_WD"].show = false;
      }
      if (this.menuList[0]["MenuQBZH"]) {
        this.menuList[0]["MenuQBZH"].show = false;
      }
    },
    secondMenuClick: function secondMenuClick() {
      if (this.secondMerStatus.financeFlag === 1 && this.secondMerStatus.openedFlag === 1 && this.secondMerStatus.openFlag === 0) {
        this.$navigator.push({
          url: "secondaccount/index.js",
          params: {
            secondMerStatus: this.secondMerStatus,
            loginName: this.loginName,
            shopNo: this.shopNo,
            newOpen: false
          }
        });
      } else {
        this.$navigator.push({
          url: "secondaccount/OpenSecondAccount.js"
          // params: {
          //   secondMerStatus: this.secondMerStatus,
          //   shopNo: this.shopNo,
          //   loginName: this.loginName
          // }
        });
      }
    },
    onWalletUpgrade: function onWalletUpgrade() {
      var _this4 = this;

      this.showWaltTips = false;
      this.$notice.confirm({
        message: "如果您希望关闭钱包账户，将不能享受拉卡拉增值服务，您确定现在还要关闭钱包账户吗",
        confirmTitle: '确定',
        cancelTitle: "取消",
        callback: function callback(val) {
          if (val === "取消") {
            _this4.$navigator.push({
              url: "wallet/walletAccount.js",
              params: {
                walletStatus: _this4.walletStatus,
                loginName: _this4.loginName,
                shopNo: _this4.shopNo
              }
            });
          } else {
            _this4.closeWallet();
          }
        }
      });
    },
    walletMenuClick: function walletMenuClick() {
      if (this.walletStatus.openFlag) {
        //需要钱袋子开通了
        //H5钱袋子链接 目前没有这个功能
        this.$navigator.push({
          url: "wallet/walletAccount.js",
          params: {
            walletStatus: this.walletStatus,
            loginName: this.loginName,
            shopNo: this.shopNo
          }
        });
      }
    },
    closeWallet: function closeWallet() {
      var _this5 = this;

      var params = {
        loginName: this.loginName,
        shopNo: this.shopNo
      };
      this.$fetch({
        method: "POST",
        url: "api/qr/wallet/close",
        params: params
      }).then(function (res) {
        if (res.retCode === "000000") {
          _this5.$navigator.push({
            url: "secondaccount/OpenSecondAccount.js"
          });
        }
      }).catch(function (err) {
        _this5.$notice.toast({ message: "请求异常，请稍后再试" });
      });
    },
    queryThirdWebAddress: function queryThirdWebAddress(item) {
      var _this6 = this;

      this.$fetch({
        method: "GET",
        url: "api/qr/meta/base/" + item.funcID
      }).then(function (res) {
        if (res.retCode === "000000") {
          var resData = res.retData;
          if (resData && resData.ext_info) {
            _this6.$appTool.gotoBaseWebView(resData.ext_info, resData.ext1, item.funcName);
          }
        } else {
          _this6.$notice.toast({ message: res.retMsg });
        }
      });
    },
    onCreateShop: function onCreateShop() {
      this.$navigator.push({
        url: "shop/chooseShopSettleStyle.js"
      });
    },


    //服务中心
    serviceCenter: function serviceCenter() {
      this.$tool.onEvent('客服', '客服', '');

      this.$navigator.push({
        url: 'servecenter/index.js'
      });
    },

    //新版本广告
    getAdvList: function getAdvList(layout) {
      var _this7 = this;

      var funcGroup = _utils2.default.isEmptyForStr(this.defaultStore.funcGroup) ? '' : this.defaultStore.funcGroup;
      var shopNo = _utils2.default.isEmptyForStr(this.defaultStore.shopNo) ? '' : this.defaultStore.shopNo;
      // noHasLoading: value
      this.$fetch({
        method: 'GET',
        url: 'api/qr/commons/getAdvList?layout=' + layout + '&shopNo=' + shopNo + '&funcGroup=' + funcGroup

      }).then(function (res) {
        if (res.retCode === '000000') {
          var resData = res.retData || {};
          if (layout == 'personalCenter') {
            if (resData.personalCenter) {
              _this7.personalCenterAdv = resData.personalCenter[0];
              _this7.isShowAdv = true;
            } else {
              _this7.personalCenterAdv = {};
              _this7.isShowAdv = false;
            }
          }

          if (layout == 'purchaseOrder') {
            if (resData.purchaseOrder) {
              //保存签购单广告
              _this7.$storage.setData("purchaseOrder", resData.purchaseOrder[0]);
            } else {
              _this7.$storage.setData("purchaseOrder", {});
            }
          }
        } else {
          _this7.$notice.toast({ message: res.retMsg });
        }
        if (layout === 'personalCenter' && _this7.defaultStore.shopNo) {
          _this7.getAdvList('purchaseOrder');
        }
      }).catch(function (error) {
        _this7.$notice.toast({ message: '请求异常，请稍后再试' });
      });
    }
  }
};

/***/ }),

/***/ 126:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('scroller', {
    staticClass: ["container"],
    style: {
      height: (_vm.height - 104) + 'px'
    },
    attrs: {
      "showScrollbar": false
    }
  }, [_c('image', {
    staticClass: ["mine_mer_img"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/mine/ic_mine_top_bg.png"
    }
  }), _c('div', {
    staticClass: ["mine_top"]
  }, [_c('image', {
    staticClass: ["mine_heard_img"],
    attrs: {
      "resize": "cover",
      "src": "reslocal://assets/img/mine/ic_mine_head.png"
    }
  }), _c('div', {
    staticClass: ["mine_mer_name_txt"],
    on: {
      "click": _vm.gotoMerchantManager
    }
  }, [_c('text', {
    staticClass: ["mine_mer_name"]
  }, [_vm._v(_vm._s(_vm.shopName || 'Hi，请绑定商户'))]), _c('text', {
    ref: "m_at",
    staticClass: ["mine_mer_account"]
  }, [_vm._v("账号：" + _vm._s(_vm.accountNo))])]), _c('div', {
    staticClass: ["mine_mer_ej"]
  }, [_c('lkl-icon', {
    staticClass: ["mine_mer_ej-icon"],
    attrs: {
      "fontSize": "50px",
      "fontColor": "#ffffff",
      "name": "iczxkf"
    },
    on: {
      "wxClick": _vm.serviceCenter
    }
  })], 1)]), _c('div', {
    staticClass: ["sysList"]
  }, _vm._l((_vm.menuList), function(val, key) {
    return _c('div', {
      key: key,
      staticClass: ["sysList-item"]
    }, _vm._l((val), function(item, index) {
      return _c('lkl-cell', {
        key: index,
        attrs: {
          "cellStyle": {
            height: '104px',
            backgroundColor: '#fff'
          },
          "show": item.show,
          "hasArrow": true
        },
        on: {
          "wxClick": function($event) {
            _vm.onitemFunction(item)
          }
        }
      }, [_c('div', {
        staticClass: ["cell-title"],
        attrs: {
          "slot": "title"
        },
        slot: "title"
      }, [_c('image', {
        staticClass: ["mine_item_img"],
        attrs: {
          "quality": "original",
          "src": item.funcLogo
        }
      }), _c('text', {
        staticClass: ["mine_item_text"]
      }, [_vm._v(_vm._s(item.funcName))]), (item.rightText !== undefined && item.rightText !== '') ? _c('div', {
        staticClass: ["mine_item_right"]
      }, [_c('text', {
        staticClass: ["mine_item_input_right"]
      }, [_vm._v(_vm._s(item.rightText))])]) : _vm._e()])])
    }))
  })), (_vm.isShowAdv) ? _c('image', {
    staticClass: ["mine_bottom_adv"],
    attrs: {
      "resize": "cover",
      "src": _vm.personalCenterAdv.advUrl
    },
    on: {
      "click": function($event) {
        _vm.goToWebView()
      }
    }
  }) : _vm._e(), _c('lkl-dialog', {
    attrs: {
      "title": "账户升级",
      "visible": _vm.showWaltTips,
      "confirmBtnStyle": {
        fontSize: '28px',
        color: '#59a7fa'
      }
    },
    on: {
      "confirm": _vm.onWalletUpgrade,
      "cancel": function($event) {
        _vm.showWaltTips = false
      }
    }
  }, [_c('div', {
    staticClass: ["dialog-text_content"],
    attrs: {
      "slot": "content"
    },
    slot: "content"
  }, [_c('text', {
    staticClass: ["dialog-text"]
  }, [_vm._v("开通账户余额")]), _c('text', {
    staticClass: ["dialog-text"]
  }, [_vm._v("获取更高收益")])])])], 1)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 15:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(16)
)

/* script */
__vue_exports__ = __webpack_require__(17)

/* template */
var __vue_template__ = __webpack_require__(18)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-cell/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-7bc39716"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 16:
/***/ (function(module, exports) {

module.exports = {
  "lkl-cell": {
    "alignItems": "center",
    "flexDirection": "row",
    "paddingRight": "46",
    "backgroundColor": "#ffffff"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#DCDCDC"
  },
  "lkl-cell-label": {
    "width": "188",
    "fontSize": "28"
  },
  "lkl-cell-title": {
    "flex": 1
  },
  "right-arrow": {
    "width": "22",
    "height": "22",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderBottomColor": "#979797",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "borderRightColor": "#979797",
    "marginRight": "4",
    "transform": "rotate(-45deg)"
  }
}

/***/ }),

/***/ 17:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    cellStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    label: {
      type: String,
      default: ''
    },
    labelStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    hasArrow: {
      type: Boolean,
      default: false
    }
  },
  methods: {
    handleClick: function handleClick(e) {
      this.$emit('wxClick', e);
    }
  }
};

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.show) ? _c('div', {
    staticClass: ["lkl-cell"],
    class: [_vm.hasBottom ? 'bottom-border' : 'bottom-border-none'],
    style: _vm.cellStyle,
    on: {
      "click": _vm.handleClick
    }
  }, [_vm._t("label", [(_vm.label) ? _c('text', {
    staticClass: ["lkl-cell-label"],
    style: _vm.labelStyle
  }, [_vm._v(_vm._s(_vm.label))]) : _vm._e()]), _c('div', {
    staticClass: ["lkl-cell-title"]
  }, [_vm._t("title")], 2), _vm._t("value"), (_vm.hasArrow) ? _c('div', {
    staticClass: ["right-arrow"]
  }) : _vm._e()], 2) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 19:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(20)
)

/* script */
__vue_exports__ = __webpack_require__(21)

/* template */
var __vue_template__ = __webpack_require__(22)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-overlay/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-0a053df3"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 20:
/***/ (function(module, exports) {

module.exports = {
  "wxc-overlay": {
    "width": "750",
    "position": "fixed",
    "bottom": 0,
    "right": 0
  }
}

/***/ }),

/***/ 21:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');

exports.default = {
  props: {
    show: {
      type: Boolean,
      default: true
    },
    top: {
      type: Number,
      default: 0
    },
    left: {
      type: Number,
      default: 0
    },
    hasAnimation: {
      type: Boolean,
      default: true
    },
    duration: {
      type: [Number, String],
      default: 300
    },
    timingFunction: {
      type: Array,
      default: function _default() {
        return ['ease-in', 'ease-out'];
      }
    },
    opacity: {
      type: [Number, String],
      default: 0.6
    },
    canAutoClose: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    overlayStyle: function overlayStyle() {
      return {
        opacity: this.hasAnimation ? 0 : 1,
        backgroundColor: 'rgba(0, 0, 0,' + this.opacity + ')',
        left: 0,
        top: this.top + 'px'
      };
    },
    shouldShow: function shouldShow() {
      var _this = this;

      var show = this.show,
          hasAnimation = this.hasAnimation;

      hasAnimation && setTimeout(function () {
        _this.appearOverlay(show);
      }, 50);
      return show;
    }
  },
  methods: {
    overlayClicked: function overlayClicked(e) {
      this.canAutoClose ? this.appearOverlay(false) : this.$emit('wxcOverlayBodyClicked', {});
    },
    appearOverlay: function appearOverlay(bool) {
      var _this2 = this;

      var duration = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : this.duration;
      var hasAnimation = this.hasAnimation,
          timingFunction = this.timingFunction,
          canAutoClose = this.canAutoClose;

      var needEmit = !bool && canAutoClose;
      needEmit && this.$emit('wxcOverlayBodyClicking', {});
      var overlayEl = this.$refs['wxc-overlay'];
      if (hasAnimation && overlayEl) {
        animation.transition(overlayEl, {
          styles: {
            opacity: bool ? 1 : 0
          },
          duration: duration,
          timingFunction: timingFunction[bool ? 0 : 1],
          delay: 0
        }, function () {
          needEmit && _this2.$emit('wxcOverlayBodyClicked', {});
        });
      } else {
        needEmit && this.$emit('wxcOverlayBodyClicked', {});
      }
    }
  }
};

/***/ }),

/***/ 22:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', [(_vm.show) ? _c('div', {
    ref: "wxc-overlay",
    staticClass: ["wxc-overlay"],
    style: _vm.overlayStyle,
    attrs: {
      "hack": _vm.shouldShow
    },
    on: {
      "click": _vm.overlayClicked
    }
  }) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 23:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(25)
)

/* script */
__vue_exports__ = __webpack_require__(26)

/* template */
var __vue_template__ = __webpack_require__(27)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-dialog/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-96fa7a4a"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 24:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* script */
__vue_exports__ = __webpack_require__(28)

/* template */
var __vue_template__ = __webpack_require__(30)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-icon/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 25:
/***/ (function(module, exports) {

module.exports = {
  "lkl-dialog": {
    "position": "fixed",
    "width": "750",
    "zIndex": 99999
  },
  "dialog-box": {
    "position": "fixed",
    "left": "96",
    "width": "558",
    "backgroundColor": "#ffffff",
    "borderRadius": "26"
  },
  "dialog-box-clear": {
    "position": "fixed",
    "left": "96",
    "width": "558",
    "backgroundColor": "rgba(0,0,0,0)",
    "borderRadius": "26"
  },
  "dialog-content": {
    "paddingTop": "10",
    "paddingBottom": "40",
    "paddingLeft": "50",
    "paddingRight": "40"
  },
  "content-title": {
    "color": "#333333",
    "fontSize": "32",
    "textAlign": "center",
    "marginBottom": "16",
    "paddingTop": "46"
  },
  "content-text": {
    "fontSize": "24",
    "color": "#333333",
    "textAlign": "center"
  },
  "dialog-footer": {
    "flexDirection": "row",
    "height": "88",
    "borderTopWidth": "1",
    "borderTopStyle": "solid",
    "borderTopColor": "#DEDEDE"
  },
  "footer-btn": {
    "flex": 1,
    "height": "88",
    "fontSize": "36",
    "lineHeight": "88",
    "textAlign": "center",
    "color": "#4d4d4d"
  },
  "btn-cancel": {
    "borderRightWidth": "1",
    "borderRightStyle": "solid",
    "borderRightColor": "#DEDEDE",
    "color": "#01B5F0",
    "fontSize": "32"
  },
  "btn-confirm": {
    "color": "#01B5F0",
    "fontSize": "32"
  }
}

/***/ }),

/***/ 26:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _lklOverlay = __webpack_require__(19);

var _lklOverlay2 = _interopRequireDefault(_lklOverlay);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var animation = weex.requireModule('animation');
exports.default = {
  components: { LklOverlay: _lklOverlay2.default },
  props: {
    visible: {
      type: Boolean,
      default: false
    },
    title: {
      type: String,
      default: ''
    },
    content: {
      type: String,
      default: ''
    },

    top: {
      type: Number,
      default: 400
    },
    width: {
      type: Number,
      default: '558'
    },
    cancelLabel: {
      type: String,
      default: '取消'
    },
    confirmLabel: {
      type: String,
      default: '确定'
    },
    showConfirm: {
      type: Boolean,
      default: true
    },
    showCancel: {
      type: Boolean,
      default: true
    },
    footerCancel: {
      type: Boolean,
      default: true
    },
    titleStyle: {
      type: Object,
      default: {}
    },
    confirmBtnStyle: {
      type: Object,
      default: {}
    },
    cancelBtnStyle: {
      type: Object,
      default: {}
    },
    hasPadding: {
      type: Boolean,
      default: true
    },
    //背景颜色是否透明
    hasLucency: {
      type: Boolean,
      default: false
    }
  },
  computed: {
    left: function left() {
      return (750 - this.width) / 2;
    }
  },
  methods: {
    cancel: function cancel() {
      this.$emit('cancel');
    },
    confirm: function confirm() {
      this.$emit('confirm');
    },
    displayDialog: function displayDialog(isShow, callback) {
      var _this = this;

      var timer = setTimeout(function () {
        var dialogEl = _this.$refs.dialog;
        if (!dialogEl) return;
        animation.transition(dialogEl, {
          styles: isShow ? { opacity: 1 } : { opacity: 0 },
          duration: 50
        }, function () {
          typeof callback === 'function' && callback();
        });
        clearTimeout(timer);
      }, 0);
    }
  },
  watch: {
    visible: function visible(newValue) {
      console.log(newValue);
      if (newValue) this.displayDialog(true);
    }
  }
};

/***/ }),

/***/ 27:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return (_vm.visible) ? _c('div', {
    ref: "dialog",
    staticClass: ["lkl-dialog"]
  }, [(_vm.visible) ? _c('lkl-overlay', {
    attrs: {
      "show": true,
      "hasAnimation": false
    },
    on: {
      "wxcOverlayBodyClicked": _vm.cancel
    }
  }) : _vm._e(), _c('div', {
    class: [_vm.hasLucency ? 'dialog-box-clear' : 'dialog-box'],
    style: {
      top: _vm.top + 'px',
      left: _vm.left + 'px',
      width: _vm.width + 'px'
    }
  }, [_vm._t("title", [(_vm.title) ? _c('text', {
    staticClass: ["content-title"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.title))]) : _vm._e()]), _c('div', {
    class: [_vm.hasPadding ? 'dialog-content' : '']
  }, [_vm._t("content", [_c('text', {
    staticClass: ["content-text"]
  }, [_vm._v(_vm._s(_vm.content))])])], 2), (_vm.footerCancel) ? _c('div', {
    staticClass: ["dialog-footer"]
  }, [(_vm.showCancel) ? _c('text', {
    staticClass: ["footer-btn", "btn-cancel"],
    style: _vm.cancelBtnStyle,
    on: {
      "click": _vm.cancel
    }
  }, [_vm._v(_vm._s(_vm.cancelLabel))]) : _vm._e(), (_vm.showConfirm) ? _c('text', {
    staticClass: ["footer-btn", "btn-confirm"],
    style: _vm.confirmBtnStyle,
    on: {
      "click": _vm.confirm
    }
  }, [_vm._v(_vm._s(_vm.confirmLabel))]) : _vm._e()]) : _vm._e()], 2)], 1) : _vm._e()
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 28:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//

var _alias = __webpack_require__(29);

var _alias2 = _interopRequireDefault(_alias);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    name: {
      type: String,
      default: 'success'
    },
    fontSize: {
      type: String,
      default: '44px'
    },
    fontColor: {
      type: String,
      default: '#489de7'
    },
    iconStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  data: function data() {
    return {
      Icon: _alias2.default
    };
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
      // 'src': "url('reslocal://assets/iconfont/iconfont.ttf')"
      // 'src': "url('reslocal://assets/iconfont/common-iconfont.ttf')"
      'src': "url('/assets/iconfont/shticonfont.ttf')"

    });
  },

  computed: {
    mrIconStyle: function mrIconStyle() {
      var iconStyle = this.iconStyle,
          fontSize = this.fontSize,
          fontColor = this.fontColor;

      return _extends({
        fontFamily: 'iconfont',
        fontSize: fontSize,
        color: fontColor
      }, iconStyle);
    }
  },
  methods: {
    wxClick: function wxClick() {
      this.$emit('wxClick');
    }
  }
};

/***/ }),

/***/ 29:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = {

  'back': '\uE604',
  'password': '\uE649',
  'mobile': '\uE646',
  'add': '\uE608',
  'reduce': '\uE60C',
  'arrowRight': '\uE60F',
  'icUp': '\uE604',
  'icDown': '\uE603',
  'icCalendar': '\uE62F',
  'iczxkf': '\uE616',
  'addImg': '\uE627'
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 30:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('text', {
    staticClass: ["icon-font"],
    style: _vm.mrIconStyle,
    on: {
      "click": _vm.wxClick
    }
  }, [_vm._v(_vm._s(_vm.Icon[_vm.name]))])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 31:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = {

    yuan2fen: function yuan2fen(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        var fen = yuan * 1000000 / 10000;
        return this.leftZeropPad(fen, 12);
    },
    yuan2fenNoAppend: function yuan2fenNoAppend(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        return yuan * 1000000 / 10000;
    },

    leftZeropPad: function leftZeropPad(num, n) {
        var tbl = [];

        var len = n - num.toString().length;
        if (len <= 0) return num;
        if (!tbl[len]) tbl[len] = new Array(len + 1).join('0');
        return tbl[len] + num;
    },
    /**
     * Returns `true` if the passed value is empty, `false` otherwise. The value is deemed to be empty if it is either:
     *
     * - `null`
     * - `undefined`
     * - a zero-length array.
     * - a zero-length string (Unless the `allowEmptyString` parameter is set to `true`).
     *
     * @param {Object} value The value to test.
     * @param {Boolean} [allowEmptyString=false] (optional) `true` to allow empty strings.
     * @return {Boolean}
     */
    isEmpty: function isEmpty(value, allowEmptyString) {
        return value === null || value === undefined || (!allowEmptyString ? value === '' : false) || Ext.isArray(value) && value.length === 0;
    }, /**
       * 检查字符串不为空
       */
    isNotEmpty: function isNotEmpty(str) {
        return !this.isEmpty(str);
    },
    //判断字符串是否为空
    isEmptyForStr: function isEmptyForStr(str) {
        return str == "undefined" || str == null || str == "";
    },

    /**
     * @member Application.service.utils
     * @method getConfigValue
     *
     * 从一个对象或组件实例中获取配置项的值
     *
     * @param object {Object/Ext.Component}
     *    配置参数或组件实例
     * @param key  {String}
     *    参数的key
     *
     * @return
     *    如果找到配置项则返回配置项的值，如果没有找到则返回 undefined
     */
    getConfigValue: function getConfigValue(object, key) {
        if (!Ext.isObject(object) || !Ext.isString(key)) {
            return null;
        }

        var value = object[key];
        if (!value && Ext.isObject(object.config)) {
            return object.config[key];
        }

        return value;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStr: function filterStr(str) {
        var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）&mdash;—|{}【】‘；：”“'。，、？]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + s.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStrByReg: function filterStrByReg(str, reg) {
        var pattern = new RegExp("[" + reg + "]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + str.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 遮罩电话号
     * 保留前3位后4位，其余为*
     */
    maskPhoneNumber: function maskPhoneNumber(number, mask) {
        mask = mask || '*';
        if (!number) return '';
        if (number.length != 11) return number;
        var start, middle, end;
        start = number.substring(0, 3);
        end = number.substring(number.length - 4, number.length);
        middle = mask + mask + mask + mask;

        return start + middle + end;
    },

    /**
     * 添加银行卡号掩码
     * 保留前6位后四位，其余为*
     *
     * @param cardNo
     * @return
     *  若cardNo不是银行卡号，则返回''
     */
    maskBankCard: function maskBankCard(cardNo) {
        if (!cardNo) return '';
        if (!this.checkBankcardNumber(cardNo)) return '';

        var maskCard;
        var cardHead = cardNo.substring(0, 6);
        var cardTail = cardNo.substring(cardNo.length - 4, cardNo.length);
        var cardMid = '';

        for (var i = 0; i < cardNo.length - 10; i++) {
            cardMid += '*';
        }

        maskCard = cardHead + cardMid + cardTail;

        return maskCard.replace(/([0-9*]{4})(?=[0-9*])/g, "$1 ");
    },

    maskShopName: function maskShopName(sName) {
        if (!sName) return '';
        if (sName.length <= 7) return sName;
        return sName.substring(0, 7) + '...';
    },

    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 8888 8888)
     */
    formatBankCard: function formatBankCard(cardNo) {
        if (!cardNo) return;

        var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = clearBankNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 **** 8888)
     */
    formatBankCard2: function formatBankCard2(cardNo) {
        if (!cardNo) return;

        //var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = cardNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 手机号格式化
     *
     * @param number
     *  手机号
     * @param type
     *  格式类型，如空格,'-'等
     * @return
     *  返回格式化后的结果 138type8888type8888
     */
    formatPhoneNumber: function formatPhoneNumber(number, type) {
        if (!number || number.length !== 11) return '';

        if (!type) {
            type = ' ';
        }

        return number.substring(0, 3) + type + number.substring(3, 7) + type + number.substring(7, 11);
    },

    /**
     * 步进格式化手机号 如 1334  返回 133 4
     * @param phoneNumber
     * @param type
     */
    stepFormatPhoneNumber: function stepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var phone = phoneNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < phone.length; i++) {
            if (i == 3) {
                ret += type + phone[3];
            } else if (i == 7) {
                ret += type + phone[7];
            } else {
                ret += phone[i];
            }
        }

        return ret;
    },
    /**
     * 步进格式化身份证号 如 1234567689  返回 123456 7689
     * @param idCardNumber
     * @param type
     */
    stepFormatIdCardNumber: function stepFormatIdCardNumber(idCardNumber, type) {
        if (!idCardNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var number = idCardNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < number.length; i++) {
            if (i == 6) {
                ret += type + number[6];
            } else if (i == 14) {
                ret += type + number[14];
            } else {
                ret += number[i];
            }
        }

        return ret;
    },

    /**
     * 正则验证身份证号码
     * 身份证号码为15位或者18位
     * 15位时全为数字
     * 18位前17位为数字
     * 最后一位是校验位（数字或X）
     * @param idCardNumber
     * @returns {boolean}
     */
    validateIdCard: function validateIdCard(idCardNumber) {
        var isValid = false;
        if (!idCardNumber) {
            return isValid;
        }

        var idCardNumArray = idCardNumber.replace(/\s+/g, '').split("");

        var length = idCardNumArray.length;

        if (length === 15 || length === 18) {
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            if (reg.test(idCardNumber)) {
                if (idCardNumber.length === 18) {
                    //校验码表
                    var codeTable = ['1', '0', "X", "9", "8", "7", "6", "5", "4", "3", "2"];
                    var sum = 0;
                    for (var i = 0; i < length - 1; i++) {
                        sum += parseInt(idCardNumArray[i]) * (Math.pow(2, 18 - (i + 1)) % 11);
                    }

                    if (codeTable[sum % 11] === idCardNumArray[length - 1].toUpperCase()) {
                        isValid = true;
                    }
                } else {
                    isValid = true;
                }
            }
        }
        return isValid;
    },

    /**
     * 反步进格式化手机号 如 133 4  返回 1334
     * @param phoneNumber
     * @param type
     * @returns {*}
     */
    unStepFormatPhoneNumber: function unStepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber || typeof phoneNumber != 'string') return '';

        if (!type) {
            type = ' ';
        }
        //        var reg=eval_r('/'+type+'/g');
        return phoneNumber.replace(/ /g, '');
    },

    /**
     * 手机号反格式化
     * @param number
     *  手机号
     * @param type
     *  反格式化类型
     * @return
     *  clear type 13888888888
     */
    clearFormatPhoneNumber: function clearFormatPhoneNumber(number) {
        if (!number) return '';

        return number.replace(/[^\d]/g, '');
    },

    /**
     * 效验手机号码正确性
     * @param mobile
     *  手机号
     * @returns {boolean}
     *  true: 手机号正确  false： 手机号非法
     */
    checkMobile: function checkMobile(mobile) {
        if (/^1[3|4|5|6|7|8|9]\d{9}$/.test(mobile)) {
            return true;
        }
        return false;
    },

    /**
     * 步进验证手机号 如 非1开头的为非法手机号
     * @param mobile
     * @returns {boolean}
     */
    stepCheckMobile: function stepCheckMobile(mobile) {
        return (/^1[0-9]*$/.test(mobile) ? true : false
        );
    },

    /**
     * 将属性从一个对象移动到另一个对象中。
     * @param dest   {Object}   目标对象
     * @param source {Object}   源对象
     * @param names  {Object}   属性名称列表。
     */
    moveTo: function moveTo(dest, source, names) {
        if (!dest || (typeof source === 'undefined' ? 'undefined' : _typeof(source)) !== 'object' || !Ext.isArray(names)) {
            return;
        }

        for (var index in names) {
            var name = names[index];
            if (source[name] !== undefined) {
                dest[name] = source[name];
                delete source[name];
            }
        }
    },

    /*
     * 验证输入内容是否合法,可以从该方法扩展其他验证方法
     * @param content   验证的内容
     * @param regExp  正则参数
     * @returns {*|boolean}
     */
    checkInput: function checkInput(content, regExp) {
        return content && new RegExp(regExp).test(content);
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmountNoRule: function formatAmountNoRule(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }
        }

        return result + '.' + amount[1];
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmount: function formatAmount(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }

            if ((i + 1) % 3 == 0) {
                result = ',' + result;
            }
        }

        return result + '.' + amount[1];
    },

    /**
     * '银行卡校验算法'
     * @param bankno  ‘银行卡卡号’
     * @returns {boolean} ‘if true 表示校验通过’
     */
    checkBankcardNumber: function checkBankcardNumber(bankno) {
        //卡号满足8到20位0-9的数字，表示校验通过
        return bankno && /^\d{8,20}$/.test(bankno);
    },

    checkHolderName: function checkHolderName(name) {
        return name && /^(([a-zA-Z]+|[\u4e00-\u9fa5]+))$/.test(name);
    },

    /**
     * '判断键盘是否在显示'
     * @returns  ‘if true mean show’
     */
    isNumpadShow: function isNumpadShow() {
        return Application.keyboard && Application.keyboard.current && Application.keyboard.current.isHidden && !Application.keyboard.current.isHidden();
    },

    /**
     * 若自定义键盘已经显示，则隐藏该键盘
     */
    hideNumpad: function hideNumpad() {
        if (this.isNumpadShow()) {
            Application.keyboard.current.hide();
        }
        //隐藏原生键盘
        NativeApi.softKeyBoard.hide();
    },

    /**
     * 是否为汉字
     *
     * @param s
     * @returns {boolean}
     */
    isChinese: function isChinese(s) {
        if (!s) return false;

        var patten = /^\s*[\u4e00-\u9fa5]{1,15}\s*$/;
        if (!patten.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 是否为英文
     *
     * @param s
     * @returns {boolean}
     */
    isEnglish: function isEnglish(s) {
        if (!s) return false;

        var pattern = /^[a-zA-Z]*$/;
        if (!pattern.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 邮箱格式验证
     *
     * @param s
     * @returns {boolean}
     */
    emailFormatCheck: function emailFormatCheck(s) {
        if (!s) return false;

        if (s.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) return true;

        return false;
    },

    /**
     * eg: 某某民 -》 **民
     * @param name
     */
    nameMark: function nameMark(name) {
        if (!name || name.length < 2) return name;
        // var a = [];
        // var len = name.length - 1;
        // for (var i = 0; i < len; ++i) {
        //     a[i] = '*';
        // }
        // a[len] = name.substr(-1);
        // return a.join('');
        return name.substring(0, 1) + name.substring(1).replace(/[\s\S]/ig, '*');
    },

    /**
     * eg: 4325123432140082 -》 432512******0082
     * @param number
     */
    creditNumberMark: function creditNumberMark(number) {
        if (!number || number.length < 10) return number;
        return number.substr(0, 4) + '****' + number.substr(-4);
    },

    /**
     * 身份证号码脱敏
     * eg: 622722197810289000 -> 6227****9000
     * @param number
     * @returns {*}
     */
    idCardNumberMark: function idCardNumberMark(number) {
        if (!number) {
            return number;
        }
        if (number.length == 15) {
            return number.substr(0, 3) + '********' + number.substr(-4);
        }
        if (number.length == 18) {
            return number.substr(0, 3) + '***********' + number.substr(-4);
        }
        return number;
    },
    /**
     * 将一个小端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithSmallEndian: function hexStringToNumberWithSmallEndian(hexstr) {
        if (!hexstr) return 0;
        var str = "";
        var length = hexstr.length;
        //转大写
        hexstr = hexstr.toUpperCase();

        for (var i = length / 2 - 1; i >= 0; i--) {
            str += hexstr.substr(2 * i, 2);
        }
        return parseInt(str, 16);
    },

    /**
     * 将一个大端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithBigEndian: function hexStringToNumberWithBigEndian(hexstr) {
        if (!hexstr) return 0;

        var number = 0;
        var length = hexstr.length;
        var zeroCode = '0'.charCodeAt(0);
        var aCode = 'a'.charCodeAt(0);

        //转小写
        hexstr = hexstr.toLowerCase();

        for (var i = 0; i < length; i++) {
            number <<= i ? 4 : 0;
            var c = hexstr.charCodeAt(i);
            if (c < 58) {
                //数字
                number |= c - zeroCode & 0xF;
            } else {
                //字母
                number |= (c - aCode & 0xF) + 10;
            }
        }

        return number;
    },

    /**
     * 数字转换十六进制 (转换为16进制后可指定 数据长度，不足左补0)
     * @param number
     * @param hexlength 转换后字节长度
     * @returns {*}
     */
    numberToHex: function numberToHex(number, hexlength) {
        if (!number || hexlength && hexlength < 0) return '';

        //如果非number类型，进行转换
        if (!(number instanceof Number)) {
            number = parseInt(number, 10);
        }
        if (!number) return '';
        var hex = number.toString(16);
        if (!hex) return '';
        if (!hexlength) return hex;

        var length = hexlength * 2 - hex.length;
        if (length < 0) return hex;

        for (var i = 0; i < length; i++) {
            hex = '0' + hex;
        }
        return hex;
    },

    /**
     * 获取str中的参数 str格式: key1=value1&key2=value2&key3=value3
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2,
     *              ...
     *          }
     */
    parseStringParams: function parseStringParams(str) {

        var args = {};
        var pairs = str.split("&"); //在逗号处断开

        for (var i = 0; i < pairs.length; i++) {

            var pos = pairs[i].indexOf('='); //查找key=value
            if (pos == -1) continue; //如果没有找到就跳过
            var key = pairs[i].substring(0, pos); //提取key
            var value = pairs[i].substring(pos + 1); //提取value

            args[key] = value;
        }

        return args;
    },

    /**
     * 获取url中的参数
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2
     *          }
     */
    getUrlParams: function getUrlParams(url) {

        var args = {};

        var urlstr = url.split("?"); //获取参数部分
        args = this.parseStringParams(urlstr[1]);

        return args;
    },
    /**
     *  生成16进制随机数
     * @param count  随机数个数
     * @returns {string}
     */
    generateHexRandomString: function generateHexRandomString(count) {
        var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
        var res = "";
        for (var i = 0; i < count; i++) {
            var id = Math.ceil(Math.random() * (chars.length - 1));
            res += chars[id];
        }
        return res;
    },
    /**
     * 检验密码强度
     * @param str
     * @returns {boolean}
     */
    checkPWd: function checkPWd(str) {
        var count = 0;

        //是否包含数字
        if (new RegExp("[0-9]+").test(str)) {
            count++;
        }

        //是否包含英文字母
        if (new RegExp("([a-zA-Z]+)").test(str)) {
            count++;
        }

        //是否包含特殊字符
        if (new RegExp("[^0-9a-zA-Z]").test(str)) {
            count++;
        }

        if (count >= 2) {
            return true;
        } else {
            return false;
        }
    },
    /**
     * 格式化日期
     * @param fmt yyyyMMddHHmmss
     * @param date
     * @returns {*}
     */
    dateFtt: function dateFtt(fmt, date) {
        //author: meizz
        var o = {
            "M+": date.getMonth() + 1, //月份
            "d+": date.getDate(), //日
            "h+": date.getHours(), //小时
            "m+": date.getMinutes(), //分
            "s+": date.getSeconds(), //秒
            "q+": Math.floor((date.getMonth() + 3) / 3), //季度
            "S": date.getMilliseconds() //毫秒
        };
        if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
        }return fmt;
    },

    /**
     * 对Date的扩展，将 Date 转化为指定格式的String
     * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q) 可以用 1-2 个占位符
     * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
     * eg:
     * (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
     * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04
     * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04
     * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04
     * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
     */
    dateFormat: function dateFormat(fmt) {
        var data = new Date();
        var o = {
            "M+": data.getMonth() + 1, //月份
            "d+": data.getDate(), //日
            "h+": data.getHours() % 12 == 0 ? 12 : data.getHours() % 12, //小时
            "H+": data.getHours(), //小时
            "m+": data.getMinutes(), //分
            "s+": data.getSeconds(), //秒
            "q+": Math.floor((data.getMonth() + 3) / 3), //季度
            "S": data.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (data.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length > 1 ? RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468" : "") + week[data.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
            }
        }
        return fmt;
    },
    formatNameWithStar: function formatNameWithStar(name) {
        if (!name) return '';
        var mName = '';
        for (var i = 0; i < name.toString().length; i++) {
            if (i < 1) {
                mName += name[i];
            } else {
                mName += '*';
            }
        }
        return mName.toString();
    },
    addressMark: function addressMark(address) {
        if (!address) {
            return "";
        }
        var index = address.indexOf("省");
        if (index != -1) {
            var firststr = address.substring(0, index + 1);
            var lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return firststr + lastStr;
        }
        index = address.indexOf("市");
        if (index != -1) {
            var _firststr = address.substring(0, index + 1);
            var _lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return _firststr + _lastStr;
        }
        return address;
    }
};

/***/ }),

/***/ 396:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _index = __webpack_require__(123);

var _index2 = _interopRequireDefault(_index);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_index2.default.el = '#root';
new Vue(_index2.default);

/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ })

/******/ });