// { "framework": "Vue"} 

/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, {
/******/ 				configurable: false,
/******/ 				enumerable: true,
/******/ 				get: getter
/******/ 			});
/******/ 		}
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 442);
/******/ })
/************************************************************************/
/******/ ({

/***/ 0:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    tag: 'sit', //  testIn  dev sit uat pro
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url,

    getSh_block: function getSh_block() {
        switch (weex.config.flavor) {
            case 'UAT_IN':
                return 'http://10.177.86.229:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'SIT_IN':
                return 'http://10.177.84.69:9090/shanghutong/lakala/sht/front/slideblock/imgSlid.html?mobileNum=';
                break;
            case 'UAT_OUT':
                return 'http://180.167.225.202:19090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'SIT_OUT':
                return 'http://180.167.225.202:29090/shanghutong/lakala/sht/front/slideblock/outerImgSlid.html?mobileNum=';
                break;
            case 'PRE_PROD':
                return 'http://sht.lakala.com:14441/lakala/slideblock/imgSlid_pre.html?mobileNum=';
                break;
            case 'PROD_YYB':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;
            case 'PROD_360':
                return 'https://sht.lakala.com:18888/lakala/slideblock/slideblock.html?mobileNum=';
                break;

        }
    },


    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + '/lakala/sht/front/agreement/platform.html',

    /*用户注册时《拉卡拉平台服务协议》*/
    AGREEMENT_LKL_PLATFORM_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/platform.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/platform.html',
    /*新商户创建（对公、对私）*/
    AGREEMENT_LKL_CLIENT_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/client.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/client.html',
    /*Q码商户支付服务合作协议*/
    AGREEMENT_Q_CODE_PAY_SERVER_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/cooperate.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/cooperate.html',
    /*提现开通，选择结算模式时：“提现”业务规则说明*/
    AGREEMENT_FUND_PACK_RULE_DESCRIPTION: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/agreement/bag.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bag.html',

    VERSION_DES: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //收钱宝盒 连接问题
    CONNECT_FAIL: weex.config.buildType === 'true' ? 'http://download.lakala.com.cn/qcode/problem/white/white-help.html' : weex.config.server_url.toString() + 'lakala/sht/front/white/white-help.html',

    //常见问题
    QA_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/question/sht_help.html' : weex.config.server_url.toString() + 'lakala/sht/front/problem/sht_help.html',
    //版本说明
    Verison_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/version/version.html' : weex.config.server_url.toString() + 'lakala/sht/front/version/version.html',

    //拉卡拉用户隐私协议条款
    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/privacy.html',

    AGREEMENT_LKL_USER_PRIVACY_PROTOCOL1: weex.config.buildType === 'true' ? 'http://download.lakala.com/mab/front/agreement/privacy.html?timestamp=' : weex.config.server_url.toString() + 'lakala/mab/front/agreement/privacy.html',

    AGREEMENT_USER_FINANCIAL_SERVICE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/personalFinancialServices.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/personalFinancialServices.html',

    AGREEMENT_BANKACCOUNT_ENTRUSTMENT: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/bankAccountEntrustment.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/bankAccountEntrustment.html',
    //钱袋子
    AGREEMENT_WALLET: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/agreement/walletRulesIntroduce.html' : weex.config.server_url.toString() + 'lakala/sht/front/agreement/walletRulesIntroduce.html',

    //永安保险
    YA_INSURANCE_BX_OPEN: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/OpenSecondAccount.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/OpenSecondAccount.html',

    YA_INSURANCE_BX_SAFE: weex.config.buildType === 'true' ? 'http://download.lakala.com/qcode/financeAccount/AccountSafeguards.html' : weex.config.server_url.toString() + 'lakala/sht/front/financeAccount/AccountSafeguards.html',
    //电子签购单
    PAY_DETAIL_SIGN: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/purchase/signName.html' : weex.config.server_url.toString() + 'lakala/sht/front/purchaseOrder/SignName.html',

    //发现
    DISCOVER_URL: weex.config.buildType === 'true' ? 'https://download.lakala.com/qcode/discover/discover.html' : weex.config.server_url.toString() + 'lakala/sht/front/discover/discover.html',

    //微信APPID
    WECHAT_APPID: weex.config.buildType === 'true' ? 'wx98c1612dff5484bd' : 'wxce9a49cc9607bd20',
    //UniversalLink(for ios)
    UNIVERSAL_LINK: weex.config.buildType === 'true' ? 'https://qcode.lakala.com/qcode/' : 'https://qcode.lakala.com/qcode/',

    //支付服务合作协议
    PAY_COMP_PROTOCOL: 'http://download.lakala.com/mab/front/agreement/shenzhen_guangming.html',

    //热门资讯
    HOTNEWS_URL: 'https://yiyouliao.com/h5/list/?appkey=8558ec9d606d4bfa8a86eed521bfc9e2&secretkey=e676da8d94b642c4a1674fbae7ee8166&s=semi'
};

/***/ }),

/***/ 1:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    baseUrl: weex.config.bundleUrl.toString().split('business')[0] + 'business/',
    apiUrl: weex.config.server_url, // app配置的服务器地址
    weexVersion: '2.1.0'
};

/***/ }),

/***/ 10:
/***/ (function(module, exports) {

module.exports = {
  "lkl-btn": {
    "flexDirection": "row",
    "alignItems": "center",
    "justifyContent": "center",
    "borderRadius": "20"
  },
  "lkl-btn-text": {
    "flex": 1,
    "textOverflow": "ellipsis",
    "textAlign": "center"
  }
}

/***/ }),

/***/ 11:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; //
//
//
//
//
//
//
//
//

var _type = __webpack_require__(12);

exports.default = {
  props: {
    size: {
      type: String,
      default: 'big'
    },
    type: {
      type: String,
      default: 'blue'
    },
    disabled: {
      type: Boolean,
      default: false
    },
    btnStyle: Object,
    textStyle: Object,
    disabledStyle: Object
  },
  computed: {
    computedStyle: function computedStyle() {
      var type = this.type,
          size = this.size,
          btnStyle = this.btnStyle,
          disabled = this.disabled,
          disabledStyle = this.disabledStyle;

      var mrBtnStyle = _extends({}, _type.STYLE_MAP[type], _type.BUTTON_STYLE_MAP[size], {
        opacity: disabled ? 0.3 : 1
      }, btnStyle);
      if (disabled) {
        mrBtnStyle = Object.assign(mrBtnStyle, disabledStyle);
      }
      return mrBtnStyle;
    },
    mrTextStyle: function mrTextStyle() {
      var type = this.type,
          textStyle = this.textStyle,
          size = this.size;

      var mrTextStyle = _extends({}, _type.TEXT_STYLE_MAP[type], _type.TEXT_FONTSIZE_STYLE_MAP[size], textStyle);
      return mrTextStyle;
    }
  },
  methods: {
    onClicked: function onClicked(e) {
      var type = this.type,
          disabled = this.disabled;

      !disabled && this.$emit('wxClick', { e: e, type: type, disabled: disabled });
    }
  }
};

/***/ }),

/***/ 12:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
var STYLE_MAP = exports.STYLE_MAP = {
  white: {
    backgroundColor: '#FFFFFF',
    borderColor: '#489de7',
    borderWidth: '1px'
  },
  blue: {
    backgroundColor: '#59a7fa'
  },
  noBorder: {
    backgroundColor: '#FFFFFF'
  }
};

var TEXT_STYLE_MAP = exports.TEXT_STYLE_MAP = {
  blue: {
    color: '#FFFFFF'
  },
  fliggy: {
    color: '#3D3D3D'
  },
  white: {
    color: '#489de7'
  },
  noBorder: {
    color: 'rgba(50,50,50,1)'
  }
};

var BUTTON_STYLE_MAP = exports.BUTTON_STYLE_MAP = {
  big: {
    width: '710px',
    height: '80px',
    lineHeight: '80px'
  },
  medium: {
    width: '456px',
    height: '80px',
    lineHeight: '80px'
  },
  small: {
    width: '190px',
    height: '66px',
    lineHeight: '66px'
  },
  mini: {
    width: '95px',
    height: '67px',
    lineHeight: '67px'
  }
};

var TEXT_FONTSIZE_STYLE_MAP = exports.TEXT_FONTSIZE_STYLE_MAP = {
  big: {
    fontSize: '32px'
  },
  medium: {
    fontSize: '28px'
  },
  small: {
    fontSize: '28px'
  },
  mini: {
    fontSize: '28px'
  }
};

/***/ }),

/***/ 13:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-btn"],
    style: _vm.computedStyle,
    on: {
      "click": _vm.onClicked
    }
  }, [_c('text', {
    staticClass: ["lkl-btn-text"],
    style: _vm.mrTextStyle
  }, [_vm._t("default")], 2)])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 2:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/**
 * weex内置模块
 */
var globalEvent = weex.requireModule('globalEvent');

/**
 * 原生扩展模块
 */
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var modal = weex.requireModule('modal');
var PhotoModule = weex.requireModule('shtPhotoModule'); // 相册图片
var LocationModule = weex.requireModule('shtLocationModule'); // 定位
var LKLPickView = weex.requireModule('shtLKLPickView'); // 自定义picker  安卓
var OCRModule = weex.requireModule('shtLocalOCRModule'); // ocr
var shareModule = weex.requireModule('shtshareModule'); // 分享
var CommonModule = weex.requireModule('shtCommonModule'); // 通用module
var toolModule = weex.requireModule('shttoolModule'); // 工具模块
var PermissionModule = weex.requireModule('shtPermissionModule'); // 权限模块
var PhoneModule = weex.requireModule('shtPhoneModule'); //通讯录、拨打电话

var LiveTestingModule = weex.requireModule('shtLocalliveTestingModule'); // 活检
var UploadImgModule = weex.requireModule('shtUploadImgModule'); // 图片上传
var scanModule = weex.requireModule('shtScanModule'); // 扫码
var appToolModule = weex.requireModule('shtAppToolModule'); // 扫码

var encryptionModule = weex.requireModule('shtEncryptionModule'); // 加密模块
var lklWebviewModule = weex.requireModule('shtLKLWebviewModule'); // webview
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var DataCollectionModule = weex.requireModule('shtDataCollectionModule');
var noticeModule = weex.requireModule('shtNoticeModule');
var sharePreferences = weex.requireModule('shtSharePreferences');
exports.default = {
    install: function install(Vue, options) {

        /**
         * 导航跳转传参模块
         */
        Vue.prototype.$navigator = {

            /**
             * 打开url新界面,
             * @param {Object} opt
             * {
             *  url:要打开的新界面地址
             *      url后可拼接参数如：'account/login.js?fullscreen=true&popDisabled=true'
             *      fullscreen:界面是否全屏（包含状态条）
             *      popDisabled:是否禁用ios侧滑
             *  params:要传递给新界面的json参数
             *  callback:跳转成功后的回调
             * }
             */
            push: function push() {
                var _this = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                if (opt.url.indexOf("http") == 0) {
                    url = opt.url;
                }
                NavigationModule.push(url, opt.params || {}, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this, data);
                    }
                });
            },

            /**
             * 返回到上级页面
             * @param {object} opt
             * params:要传递给上一个界面的json参数
             * callback:回退成功后的回调
             */
            pop: function pop() {
                var _this2 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                NavigationModule.pop(opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this2, data);
                    }
                });
            },

            /**
             * 使用新栈打开一个界面,之后打开的界面都在新栈中
             * @param {Object} opt
             * url:要打开的新界面地址
             * params:要传递给新界面的json参数
             * callback:跳转成功后的回调
             */
            present: function present() {
                var _this3 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.present(url, opt.params, function (data) {
                    if (typeof opt.callback === 'function') {
                        opt.callback.call(_this3, data);
                    }
                });
            },

            /**
             * 关闭新栈中的所有界面,之后新打开的界面在原始栈
             */
            dismiss: function dismiss() {
                NavigationModule.dismiss();
            },

            /**
             * 回退到某个界面
             * @param {Object} opt
             * url:要回退到某个界面的地址
             * callback:回退成功后的回调
             */
            goBack: function goBack() {
                var _this4 = this;

                var opt = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

                var url = _config2.default.baseUrl + opt.url;
                NavigationModule.goBack(url, function (data) {
                    if (typeof opt.backCallback === 'function') {
                        opt.callback.call(_this4, data);
                    }
                });
            },

            /**
             * 回退到主界面
             */
            popToTop: function popToTop() {
                NavigationModule.popToTop();
            },

            /**
             * 删除导航栈中的一个或多个界面
             * @param {array} urlArr 页面路径集合,示例：['account/login.js', 'account/register.js']
             */
            cleanPage: function cleanPage(urlArr) {
                var newArr = [];
                if (urlArr.length > 0) {
                    urlArr.forEach(function (item) {
                        newArr.push(_config2.default.baseUrl + item);
                    });
                }
                NavigationModule.cleanPage(newArr);
            },

            /**
             *
             * @param {*} callback
             * 获取当前界面的参数
             * callback：拿到数据后的回调函数，返回值位传递的参数
             */
            param: function param(callback) {
                NavigationModule.param(function (res) {
                    if (typeof res === 'string') {
                        callback(JSON.parse(res));
                    } else {
                        callback(res || {});
                    }
                    // const data = typeof JSON.parse(res) === 'object' ? JSON.parse(res) : res
                    // callback(data)
                });
            },
            getTopActivity: function getTopActivity() {
                return NavigationModule.getTopActivity();
            }
        };

        /**
         * 提示
         */
        Vue.prototype.$notice = {

            /**
             * alert警告框
             * @param {Object} options
             * message {string}：警告框内显示的文字信息
             okTitle {string}：确定按钮上显示的文字信息，默认是“OK”,
                callback {function}: 点击按钮的回调函数
            */
            alert: function alert(options) {
                noticeModule.alert({
                    title: options.title || '',
                    message: options.message || '',
                    okTitle: options.okTitle || '确认'
                }, function (value) {
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            },


            /**
             *
             * @param {Object} options 相关选项
             * message {string}：展示的内容
             * duration {number}：展示的持续时间（以秒为单位）
             */
            toast: function toast(options) {
                noticeModule.toast({
                    message: options.message || '',
                    duration: options.duration || 1
                });
            },


            /**
             * 确认框
             * @param {Object} options
             * message {string}：确认框内显示的文字信息
                 okTitle {string}：确认按钮上显示的文字信息，默认是 OK
                cancelTitle {string}：取消按钮上显示的文字信息，默认是 Cancel
                callback {function}: 用户操作完成后的回调，回调函数的参数 result 是确定按钮上的文字信息字符串
            */
            confirm: function confirm(options) {
                modal.confirm({
                    message: options.message,
                    okTitle: options.okTitle || '确认',
                    cancelTitle: options.cancelTitle || '取消'
                }, function (value) {
                    // 点击按钮的回调, value为点击按钮的值
                    if (options.callback) {
                        options.callback(value);
                    }
                });
            }
        };
        /**
         * 全屏loading提示
         */
        Vue.prototype.$loading = {
            /**
             * 显示loading
             * @param {*} message 提示信息
             */
            show: function show() {
                var message = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : '';

                modal.showLoading({ message: message });
            },

            /**
             * 隐藏loading
             */
            hide: function hide() {
                modal.hideLoading();
            }
        };

        /**
         * 权限管理
         */
        Vue.prototype.$premiss = {
            /**
             * 动态请求权限
             * @param {array} permissionName
             * @param {*} callback callback:返回请求的权限结果,返回值为true(权限已打开)或false（权限未打开）
             * 权限名称示例
             * 蓝牙 ['android.permission.BLUETOOTH', 'android.permission.BLUETOOTH_ADMIN', 'android.permission.ACCESS_COARSE_LOCATION'] ['Bluetooth']
             * 相机 ['android.permission.CAMERA'] ['Camera']
             * 定位 ['android.permission.ACCESS_FINE_LOCATION'] ['Location']
             * 读写文件 ['android.permission.WRITE_EXTERNAL_STORAGE']
             * ['Contacts']
             * ['Photos']
             * ['Reminders']
             * ['Calendar'Calendar]
             * ['Microphone']
             * ['Health']
             * ['DataNetwork']
             */
            requestPermission: function requestPermission(permissionName, callback) {
                var _this5 = this;

                PermissionModule.requestPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this5, res);
                    }
                });
            },

            /**
             * 获取通知权限
             * @param callback
             */
            requestNotificationPermisson: function requestNotificationPermisson(callback) {
                var _this6 = this;

                PermissionModule.requestNotificationPermisson(function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this6, res);
                    }
                });
            },
            checkPermissions: function checkPermissions(permissionName, callback) {
                var _this7 = this;

                appToolModule.checkPermission(permissionName, function (res) {
                    if (typeof callback === 'function') {
                        callback.call(_this7, res);
                    }
                });
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.requestPermission();
            }
        };

        /**
         * 图片处理模块
         */
        Vue.prototype.$image = {
            // 调起拍照并获取本地图片地址
            takePhoto: function takePhoto(callback) {
                PhotoModule.takePhoto(callback);
            },


            // 选取本地图片
            selectImage: function selectImage(callback) {
                PhotoModule.selectImage(callback);
            },

            /**
             *
             * @param {*} path 图片地址
             * @param {*} callback
             */
            getBase64: function getBase64(path, callback) {
                appToolModule.getImageBase64ByPath(path, callback);
            }
        };

        /**
         * 通讯录相关模块
         */
        Vue.prototype.$coms = {

            /**
             * 选择联系人
             */
            getContact: function getContact(callback) {
                PhoneModule.getContact(callback);
            },


            /**
             * 拨打电话
             * @param {String} phoneNumber 电话号码
             */
            callTelephone: function callTelephone(phoneNumber) {
                PhoneModule.callTelephone(phoneNumber);
            }
        };

        /**
         * 定位模块
         */
        Vue.prototype.$location = {
            /**
             * 注册对应的key
             * @param {object} opt
             * @param {function} callback 回调函数，返回一个object，其中statusCod为0时是注册成功，此时errInfo为空，否则errInfo返回报错信息
             */
            registerInfo: function registerInfo(opt, callback) {
                var _this8 = this;

                LocationModule.registerInfo(opt, function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this8, data);
                    }
                });
            },


            /**
             * 获取定位信息
             * @param {function} callback 回调函数，返回一个object，包含address(当前地址),latitude（纬度）,longitud（经度）
             */
            location: function location(callback) {
                var _this9 = this;

                LocationModule.location(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this9, data);
                    }
                });
            },

            /**
             * 开启连续定位
             * @param {*} callback
             */
            startUpdatingHeading: function startUpdatingHeading(callback) {
                var _this10 = this;

                LocationModule.startUpdatingHeading(function (data) {
                    if (typeof callback === 'function') {
                        callback.call(_this10, data);
                    }
                });
            },

            /**
             * 关闭连续定位
             * @param {*} callback
             */
            stopUpdatingLocation: function stopUpdatingLocation() {
                LocationModule.stopUpdatingLocation();
            }
        },

        /**
         * picker
         */
        Vue.prototype.$picker = {
            /**
             * picker数据选择
             * @param {Object} options 配置项
                 values {array}：默认选中的选项()
                items {array}：picker 数据源
                textColor {color}：picker中文字的颜色
                selectionColor {color}：picker中选中item的背景色
                confirmTitle {string}：确认按钮的文案
                cancelTitle {string}：取消按钮的文案
                confirmTitleColor {color}：确认按钮的文字颜色
                cancelTitleColor {color}：取消按钮的文字颜色
                title {string}：对话框的标题
                titleColor {color}：对话框标题的文字颜色
                titleBackgroundColor {color}：对话框标题的背景色
            *  @param {function} callback 回调函数
            */
            pick: function pick(options, callback) {
                var opt = Object.assign(options, {
                    confirmTitle: '确定',
                    cancelTitle: '取消',
                    cancelTitleColor: '#666666',
                    confirmTitleColor: '#489de7'
                });
                LKLPickView.multistagePicker(opt, callback);
                // picker.pick(opt, callback)
            },

            /**
             * 日期选择器
             * @param {Object} options 配置项
                 value {string}：必选，date picker 选中的值，date 的字符串格式为yyyy-MM-dd
                max {string}：可选，date 的最大值
                min {string}：可选，date 的最小值
                format {string}: 可选，选择器类型,默认值：yyyy-MM-dd（日期选择器）,可选值yyyy-MM（月份选择器）
            *  @param {function} callback 回调函数
            */
            pickDate: function pickDate(options, callback) {
                options.format = options.format ? options.format : 'yyyy-MM-dd';
                LKLPickView.pickDate(options, callback);
            },

            /**
             * 时间选择器
             * @param {Object} options 配置项
                 value {string}：必选，time 格式为 HH:mm
            *  @param {function} callback 回调函数
            */
            pickTime: function pickTime(options, callback) {
                picker.pickTime(options, callback);
            }
        };

        /**
         * orc认证
         */
        Vue.prototype.$ocr = {
            /**
             * ocr识别身份证
             * @param {Boolean} isFront true身份证正面， false身份证反面
             * @param {Function} callback
             * callback返回值（正面）：{
             *   cardNum: 身份证号
             *   address： 地址
             *   name： 姓名
             *   image： 图片地址
             *   sex： 性别，
             *   birth： 出生日期
             * }
             * callback返回值（反面）：{
             *   validdate: 有效期
             *   image： 图片地址
             * }
             */
            idCardRecognize: function idCardRecognize(isFront, callback) {
                OCRModule.iDCardRecognize(isFront, function (data) {
                    callback(data);
                });
            },

            /**
             * ocr识别银行卡
             * @param {Function} callback 回调函数
             * callback返回值：{
             *   cardNum: 银行卡号
             *   image： 图片地址
             * }
             */
            bankCardRecognize: function bankCardRecognize(callback) {
                OCRModule.bankCardRecognize(function (data) {
                    callback(data);
                });
            }
        },

        /**
         * 分享模块
         */
        Vue.prototype.$share = {

            //打开微信
            openWeixin: function openWeixin() {
                shareModule.openWeixin();
            },

            /**
             * 分享到微信
             * @param {Object} options
            {
                url: '分享链接'，
                imageUrl：'图片地址',
                title: '标题'，
                description： '描述',
                type: '类型' friendCircle（朋友圈），friends（好友）
            }
            */
            wxShare: function wxShare(options, callback) {
                shareModule.wxShare(options, callback);
            }
        },
        /**
         * 通用模块
         */
        Vue.prototype.$common = {

            // /**
            //  * 获取APP信息
            //  * @param callback {version,name}
            //  */
            // getAppInfo(callback){
            //     CommonModule.getAppInfo(callback)
            // },
            systemSet: function systemSet(options, callback) {
                CommonModule.systemSet(options, callback);
            },

            /**
             * 判断是否开启定位开关,仅限Android平台
             * @param options
             * @param callback
             */
            isLocServiceEnable: function isLocServiceEnable(callback) {
                CommonModule.isLocServiceEnable(callback);
            }
        }, Vue.prototype.$device = {
            /**
             * 获取版本名字
             */
            getAppVersion: function getAppVersion() {
                return 'V' + DeviceModule.getVersionName();
            }
        },

        /**
         * 上传模块
         */
        Vue.prototype.$upload = {
            /**
             * 图片上传
             * @param {Object} options
             * {
             *   imageUrl: '上传的文件路径',
             *   requestUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 请求需要的参数
             *   },
             *   headers: {
             *    xxx: xxx // headers需要的参数
             *   },
             *   fileKey: '上传文件对应表单的key值'
             * }
             * @param {Function} callback 回调函数
             */
            uploadImage: function uploadImage(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (res) {
                        if (res.code === 200) {
                            // 上传成功成功
                            var data = typeof res.body === 'string' ? JSON.parse(res.body) : res.body;
                            callback(data);
                        } else if (res.code === 401) {
                            // token失效或者未登录
                        } else {
                            // 其他情况
                            noticeModule.toast({ message: '图片上传失败，请稍后再试' });
                        }
                    } else {
                        // 接口请求超时
                        noticeModule.toast({ message: '网络错误，请检查您的网络或尝试重新登录' });
                    }
                });
            },

            /**
             *
             * @param {Object} options 上传的文件路径
             * {
             *   imageUrl: '上传的文件路径',
             *   fileKey: '上传文件对应表单的key值',
             *   sUrl: '服务器请求地址'
             *   params: {
             *    xxx: xx // 需要的参数
             *   },
             *   header: {
             *    xxx: xxx // header需要的参数
             *   }
             * }
             * @param {Function} callback 回调函数
             */
            uploadImg: function uploadImg(options, callback) {
                UploadImgModule.uploadImage(options, function (res) {
                    if (typeof callback === 'function') {
                        callback(res);
                    }
                });
            }
        }, Vue.prototype.$userBase = {
            saveLogin: function saveLogin(loginName, scope, token, expirein, refreshtoken, callback) {
                UserModule.saveLogin(loginName, scope, token, expirein, refreshtoken, callback);
            },
            getUserBean: function getUserBean() {
                var data = UserModule.getUserBean();
                return data && data.length > 0 ? JSON.parse(data) : '';
            },

            //清除数据
            clear: function clear() {
                UserModule.clear();
            },

            //退出登录
            loginout: function loginout() {
                UserModule.loginout();
            },
            getLogName: function getLogName() {
                return UserModule.getLogName();
            },
            getToken: function getToken() {
                return UserModule.getToken();
            },

            //获取通知消息列表
            getNoticeMessageList: function getNoticeMessageList() {
                return UserModule.getNoticeMessageList();
            },

            //获取通知消息列表
            getNoticeMessageByShopNo: function getNoticeMessageByShopNo(shopNo) {
                return UserModule.getNoticeMessageByShopNo(shopNo);
            }
        },
        /**
         * 本地存储
         */
        Vue.prototype.$storage = {
            /**
             * 获取数据
             * @param {*} key
             * key:要获取的数据key
             * 返回值: 返回数据库中查询到的数据
             */
            getData: function getData(key) {
                var data = storageModule.getData(key.toString());
                return data && data.length > 0 ? JSON.parse(data) : {};
            },

            /**
             * 当key不存在历史数据则插入数据,存在则更新数据
             * @param {String} key
             *  @param {Object,String} value
             * key:要插入或者更新数据的key
             * value:要插入或者更新的数据
             * 返回值：true 执行成功 false执行失败
             */
            setData: function setData(key, value) {
                storageModule.setData(key.toString(), JSON.stringify(value));
            },

            /**
            * 移除数据
            * @param {String} key
            * key:要移除的数据key
            * 返回值:true 执行成功 false执行失败
            */
            removeData: function removeData(key) {
                return storageModule.removeData(key.toString());
            },
            clear: function clear() {
                storageModule.clear();
            },
            getPreferencesData: function getPreferencesData(key, defaultData) {
                var data = sharePreferences.get(key, defaultData);
                return data;
            },
            setPreferencesData: function setPreferencesData(key, value) {
                var data = sharePreferences.set(key, value);
                return data && data.length > 0 ? JSON.parse(data) : '';
            }
        },

        /**
         * 活检
         */
        Vue.prototype.$liveTest = {
            /**
             *
             * @param {function} successcallback 成功回调，返回图片地址
             * @param {function} errorcallback 失败回调，返回错误信息
             */
            liveTesting: function liveTesting(successcallback, errorcallback) {
                var _this11 = this;

                LiveTestingModule.liveTesting(function (data) {
                    if (typeof successcallback === 'function') {
                        successcallback.call(_this11, data);
                    }
                }, function (data) {
                    if (typeof errorcallback === 'function') {
                        errorcallback.call(_this11, data);
                    }
                });
            }
        },
        /**
         * 扫码
         */
        Vue.prototype.$scan = {
            scanCode: function scanCode(qrtype, amt, vCode, callback) {
                scanModule.scanCode(qrtype, amt, vCode, callback);
            },

            //播报音箱扫码
            scanSn: function scanSn(callback) {
                scanModule.scanSn(callback);
            },

            //绑定台卡
            scanCodeTerm: function scanCodeTerm(param, callback) {
                scanModule.scanCodeTerm(param, callback);
            },
            scanPay: function scanPay(shopNo, termId, shopName, amount, callback) {
                scanModule.scanPay(shopNo, termId, shopName, amount, callback);
            },
            codePay: function codePay(shopNo, termId, shopName, amount, callback) {
                scanModule.codePay(shopNo, termId, shopName, amount, callback);
            }
        }, Vue.prototype.$appTool = {
            exitApplication: function exitApplication() {
                appToolModule.exitApplication();
            },
            payOrderId: function payOrderId(callback) {
                appToolModule.payOrderId(callback);
            },

            /*
            * 获取当前连接Wifi
            * */
            getConnectWiFi: function getConnectWiFi(callback) {
                appToolModule.getConnectWiFi(callback);
            },

            /*
            * 附近wifi列表
            * */
            getLocalWiFiList: function getLocalWiFiList(callback) {
                appToolModule.getLocalWiFiList(callback);
            },


            // 获取权限列表
            getPermissinonList: function getPermissinonList(callback) {
                appToolModule.getPermissinonList(callback);
            },
            checkHotupdate: function checkHotupdate() {
                appToolModule.checkHotupdate();
            },

            //监听通知
            regObserver: function regObserver(key, callback) {
                appToolModule.regObserver(key, callback);
            },

            //
            addCallBack: function addCallBack(key, data) {
                appToolModule.addCallBack(key, data);
            },
            gotoOnlineService: function gotoOnlineService(url) {
                appToolModule.gotoOnlineService(url);
            },
            gotoBaseWebView: function gotoBaseWebView(url, EXT1, title) {
                appToolModule.gotoBaseWebView(url, EXT1, title);
            },

            //跳转微信小程序
            /*
            *programUserName:小程序username
            * programPath：小程序路径
            * wechatAppId：微信平台ID WXMiniProg
            * universalLink（IOS平台对应的跳转参数）
            *programType：小程序版本
            * 0： 正式版； 1：开发版；2：体验版
            * */
            gotoWechatMiniprogram: function gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType) {
                appToolModule.gotoWechatMiniprogram(programUserName, programPath, wechatAppId, universalLink, programType);
            },
            gotoEleSignOrder: function gotoEleSignOrder(url, data, title) {
                appToolModule.gotoEleSignOrder(url, data, title);
            },
            isShowWXAppInstalled: function isShowWXAppInstalled() {
                return appToolModule.isShowWXAppInstalled();
            },
            gotoWxMinApplication: function gotoWxMinApplication() {
                appToolModule.gotoWxMinApplication();
            },
            createQRCode: function createQRCode(text, callback) {
                appToolModule.createQRCode(text, callback);
            },
            showDateSelect: function showDateSelect(callback) {
                appToolModule.showDateSelect(callback);
            },
            showTimeSelectorView: function showTimeSelectorView(callback) {
                appToolModule.showTimeSelectorView(callback);
            },
            showSetTimeSelectorView: function showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback) {
                appToolModule.showSetTimeSelectorView(maxStartTime, maxEndTime, limiteDay, callback);
            },
            jumptToSetting: function jumptToSetting() {
                appToolModule.jumptToSetting();
            },

            /*
            * 保存启动页图片到本地
            * options{
            * advUrl:广告图片下载地址
            *
            * callback{
            *
            * }
            * */
            saveImageToLocate: function saveImageToLocate(options, callback) {
                appToolModule.saveImageToLocate(options, callback);
            },
            getSDCardPath: function getSDCardPath(name) {
                return appToolModule.getSDCardPath(name);
            },
            exitSDFile: function exitSDFile(fileName) {
                return appToolModule.exitSDFile(fileName);
            },
            changeStatusBarBgColor: function changeStatusBarBgColor(colorStr) {
                appToolModule.changeStatusBarBgColor(colorStr);
            }
        },
        /**
         * 扩展
        */
        Vue.prototype.$tool = {
            /**
             *
             * @param {String} str 需要加密的字符串
             * @param {Function} callback 回调函数
             */
            rsaEncryptStr: function rsaEncryptStr(str, callback) {
                encryptionModule.rsaEncryptStr(str, callback);
            },
            loginEncrypt: function loginEncrypt(str, callback) {
                encryptionModule.loginEncrypt(str, callback);
            },
            md5: function md5(str, callback) {
                encryptionModule.md5(str, callback);
            },
            showslideDialog: function showslideDialog(str, callback) {
                lklWebviewModule.showslideDialog(str, callback);
            },


            /**
             * 创建二维码
             * @param {any} options
             * @param {any} callback
             */
            createQRCode: function createQRCode(options, callback) {
                toolModule.createQRCode(options, callback);
            },


            /**
             * 获取是否打开定位权限
             * @param {function} callback
             *
             */
            isObtainLocationAuthority: function isObtainLocationAuthority(callback) {
                toolModule.isObtainLocationAuthority(callback);
            },

            /**
             * 打开一个webview页面
             * @param {*} callback
             */
            showProtocol: function showProtocol(params, callback) {
                toolModule.showProtocol(params, callback);
            },

            // 扫码
            scanQRCode: function scanQRCode(callback) {
                toolModule.scanQRCode(callback);
            },


            // 控制键盘开启或关闭(目前仅支持安卓)
            changeInputStatus: function changeInputStatus() {
                toolModule.changeInputStatus();
            },

            //埋点，信息采集
            onEvent: function onEvent(eventId, label, desc) {
                DataCollectionModule.onEvent(eventId, label, desc);
            }
        };
    }
};

/***/ }),

/***/ 3:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _config = __webpack_require__(1);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var HttpModule = weex.requireModule('shtHttpModule'); // 网络请求
var DeviceModule = weex.requireModule('shtDeviceModule'); //设备信息
var modal = weex.requireModule('modal'); // modal提示
var NavigationModule = weex.requireModule('shtNavigationModule'); // 导航
var UserModule = weex.requireModule('shtUserModule'); //用户信息
var noticeModule = weex.requireModule('shtNoticeModule');
var storageModule = weex.requireModule('shtStorageModule'); // 存储模块
var sharePreferences = weex.requireModule('shtSharePreferences');

var changeTab = new BroadcastChannel('changeTabChannel');

exports.default = {
    install: function install(Vue) {
        /**
         * 网络请求模块
         */
        Vue.prototype.$fetch = function (options) {
            // modal.hideLoading()
            if (!options.noHasLoading) {
                modal.showLoading({ message: '处理中...' });
            }

            var headers = {
                'Content-Type': 'application/json;charset=utf-8', // 客户端请求内容类型
                'Acccept': 'application/json;charset=utf-8', // 客户端接受请求类型
                'X-Client-Ver': DeviceModule.getInternalVersion(), // 客户端版本号
                'X-Client-Platform': weex.config.env.platform.toLowerCase() === 'android' ? 'Android' : 'IOS', // 客户端平台(Android或IOS)
                'X-Client-Series': DeviceModule.getClientSeries(), // 客户端请求序列号
                'X-Client-Bus-Ver': 'v' + DeviceModule.getBuildVersion(), // 客户端业务模块版本
                'X-Client-Id': DeviceModule.getSerialNumber(), // 客户端序列号
                'X-Client-PV': 'sht', // 产品代号，渠道
                'X-Client-Ex': '', // 扩展信息
                'X-Client-Sign': '', // 客户端签名
                'Authorization': getToken(), // 授权令牌(token的值)
                'X-Device-Id': DeviceModule.getDeviceId(), // 设备唯一标识
                'X-Device-Model': DeviceModule.getDeviceModel(), // 设备型号
                'X-Device-Manufacture': DeviceModule.getDeviceManufacturer(), // 设备制造商
                'X-Tel-OP': '', // 电话号码
                'X-Device-Name': DeviceModule.getDeviceName(), // 设备名称
                'X-Device-Location': locationMessage(), // 设备当前位置(维度和经度)
                'X-Push-ID': DeviceModule.getInstallationId(), // 推送标识
                'X-IMEI': DeviceModule.getIMEI(), // 国际移动设备身份码
                'X-IMSI': DeviceModule.getIMSI(), // 国际移动用户识别码
                // 'X-ICCID': '', // 集成电路卡识别码
                'X-WIFI': DeviceModule.getWiFiName(), // 当前使用WIFI名称
                'X-SHA1': DeviceModule.getSha1(), // sha1算法
                'X-CRC32': DeviceModule.getCrc32(), // 32位循环冗余校验
                'X-Login-Name': getLoginName().mobile || "", // 登录名
                'X-Device-Ver': DeviceModule.getPhoneOSVersion(), // 手机系统版本
                // 'X-Device-Crack': '' // 手机设备是否破解
                'X-Client-html-Ver': 'v' + _config2.default.weexVersion
            };

            options.headers = Object.assign(headers, options.headers);
            return new Promise(function (resolve, reject) {
                handleHttp(options, resolve, reject);
            });
        };
        //获取定位经纬度
        function locationMessage() {
            return sharePreferences.get('LOCATION_MESSAGE', '');
        }
        function getToken() {
            return UserModule.getToken() || '';
        }
        function getLoginName() {
            var data = storageModule.getData("mobile");
            return data && data.length > 0 ? JSON.parse(data) : {};
        }

        function formatParams(obj) {
            // param1=p1&param2=p2
            var param = '';
            for (var name in obj) {
                if (typeof obj[name] !== 'function') {
                    param += '&' + name + '=' + encodeURI(obj[name]);
                }
            }
            return param.substring(1) ? '?' + param.substring(1) : '';
        }

        function handleHttp(options, resolve, reject) {
            var url = options.url,
                method = options.method,
                headers = options.headers,
                params = options.params,
                timeout = options.timeout;

            var httpMethod = method && method.toUpperCase() || 'GET';
            var httpBody = httpMethod === 'GET' ? '' : JSON.stringify(params || {});
            var httpUrl = httpMethod === 'GET' ? url + formatParams(params) : url;
            HttpModule.fetch({
                url: _config2.default.apiUrl + httpUrl,
                body: httpBody,
                method: httpMethod,
                headers: headers,
                timeoutMs: timeout || '30000'
            }, function (res) {
                if (!options.noHasLoading) {
                    modal.hideLoading();
                }
                if (res.ok) {
                    //token过期
                    var resCode = res.data;
                    resolve(res.data);
                } else {

                    if (res.status === 401 || res.status === 403) {
                        //为登陆
                        UserModule.clear();
                        storageModule.setData("mobile", {
                            mobile: ''
                        });
                    }

                    if (res.status === 401 && httpUrl.indexOf('user/refresh') === -1) {

                        noticeModule.confirm({
                            message: '您的帐号在其它地方登录，您已被迫下线，如果不是您本人操作，请及时修改密码。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {
                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === 403 && httpUrl.indexOf('user/refresh') === -1) {
                        noticeModule.confirm({
                            message: '您的帐号登陆已经过期,请重新登陆。',
                            okTitle: '重新登录',
                            cancelTitle: '知道了',
                            title: '提示'
                        }, function (value) {

                            if (value === '知道了') {
                                NavigationModule.popToTop();
                                changeTab.postMessage('changeTabChannel');
                            } else {
                                //重新登录
                                NavigationModule.push(_config2.default.baseUrl + 'account/login.js', { loginout: 'true' });
                            }
                        });
                    } else if (res.status === -1009) {
                        //无网络
                        noticeModule.toast({
                            message: '网络连接失败，请稍后重试',
                            duration: 1
                        });
                    } else {
                        // modal.toast({ message: '网络错误，请检查您的网络或尝试重新登录', duration: 1 })
                        reject(res);
                    }
                }
            });
        }
    }
};

/***/ }),

/***/ 31:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _typeof = typeof Symbol === "function" && typeof Symbol.iterator === "symbol" ? function (obj) { return typeof obj; } : function (obj) { return obj && typeof Symbol === "function" && obj.constructor === Symbol && obj !== Symbol.prototype ? "symbol" : typeof obj; };

exports.default = {

    yuan2fen: function yuan2fen(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        var fen = yuan * 1000000 / 10000;
        return this.leftZeropPad(fen, 12);
    },
    yuan2fenNoAppend: function yuan2fenNoAppend(yuan) {
        yuan = this.formatAmountNoRule(yuan, 2);
        return yuan * 1000000 / 10000;
    },

    leftZeropPad: function leftZeropPad(num, n) {
        var tbl = [];

        var len = n - num.toString().length;
        if (len <= 0) return num;
        if (!tbl[len]) tbl[len] = new Array(len + 1).join('0');
        return tbl[len] + num;
    },
    /**
     * Returns `true` if the passed value is empty, `false` otherwise. The value is deemed to be empty if it is either:
     *
     * - `null`
     * - `undefined`
     * - a zero-length array.
     * - a zero-length string (Unless the `allowEmptyString` parameter is set to `true`).
     *
     * @param {Object} value The value to test.
     * @param {Boolean} [allowEmptyString=false] (optional) `true` to allow empty strings.
     * @return {Boolean}
     */
    isEmpty: function isEmpty(value, allowEmptyString) {
        return value === null || value === undefined || (!allowEmptyString ? value === '' : false) || Ext.isArray(value) && value.length === 0;
    }, /**
       * 检查字符串不为空
       */
    isNotEmpty: function isNotEmpty(str) {
        return !this.isEmpty(str);
    },
    //判断字符串是否为空
    isEmptyForStr: function isEmptyForStr(str) {
        return str == "undefined" || str == null || str == "";
    },

    /**
     * @member Application.service.utils
     * @method getConfigValue
     *
     * 从一个对象或组件实例中获取配置项的值
     *
     * @param object {Object/Ext.Component}
     *    配置参数或组件实例
     * @param key  {String}
     *    参数的key
     *
     * @return
     *    如果找到配置项则返回配置项的值，如果没有找到则返回 undefined
     */
    getConfigValue: function getConfigValue(object, key) {
        if (!Ext.isObject(object) || !Ext.isString(key)) {
            return null;
        }

        var value = object[key];
        if (!value && Ext.isObject(object.config)) {
            return object.config[key];
        }

        return value;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStr: function filterStr(str) {
        var pattern = new RegExp("[`~!@#$^&*()=|{}':;',\\[\\].<>/?~！@#￥……&*（）&mdash;—|{}【】‘；：”“'。，、？]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + s.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 过滤特殊字符
     * @param str
     * @returns {string}
     */
    filterStrByReg: function filterStrByReg(str, reg) {
        var pattern = new RegExp("[" + reg + "]");
        var rs = "";
        for (var i = 0; i < str.length; i++) {
            rs = rs + str.substr(i, 1).replace(pattern, '');
        }
        return rs;
    },

    /**
     * 遮罩电话号
     * 保留前3位后4位，其余为*
     */
    maskPhoneNumber: function maskPhoneNumber(number, mask) {
        mask = mask || '*';
        if (!number) return '';
        if (number.length != 11) return number;
        var start, middle, end;
        start = number.substring(0, 3);
        end = number.substring(number.length - 4, number.length);
        middle = mask + mask + mask + mask;

        return start + middle + end;
    },

    /**
     * 添加银行卡号掩码
     * 保留前6位后四位，其余为*
     *
     * @param cardNo
     * @return
     *  若cardNo不是银行卡号，则返回''
     */
    maskBankCard: function maskBankCard(cardNo) {
        if (!cardNo) return '';
        if (!this.checkBankcardNumber(cardNo)) return '';

        var maskCard;
        var cardHead = cardNo.substring(0, 6);
        var cardTail = cardNo.substring(cardNo.length - 4, cardNo.length);
        var cardMid = '';

        for (var i = 0; i < cardNo.length - 10; i++) {
            cardMid += '*';
        }

        maskCard = cardHead + cardMid + cardTail;

        return maskCard.replace(/([0-9*]{4})(?=[0-9*])/g, "$1 ");
    },

    maskShopName: function maskShopName(sName) {
        if (!sName) return '';
        if (sName.length <= 7) return sName;
        return sName.substring(0, 7) + '...';
    },

    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 8888 8888)
     */
    formatBankCard: function formatBankCard(cardNo) {
        if (!cardNo) return;

        var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = clearBankNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 格式化银行卡号
     *
     * @param cardNo    银行卡号
     *
     * @return
     * 格式化后的结果     (8888 8888 **** 8888)
     */
    formatBankCard2: function formatBankCard2(cardNo) {
        if (!cardNo) return;

        //var clearBankNo = cardNo.replace(/[^\d]/g, "");

        var ret = cardNo.replace(/\s/g, '').replace(/(\d{4})(?=\d)/g, "$1 ");
        return ret;
    },
    /**
     * 手机号格式化
     *
     * @param number
     *  手机号
     * @param type
     *  格式类型，如空格,'-'等
     * @return
     *  返回格式化后的结果 138type8888type8888
     */
    formatPhoneNumber: function formatPhoneNumber(number, type) {
        if (!number || number.length !== 11) return '';

        if (!type) {
            type = ' ';
        }

        return number.substring(0, 3) + type + number.substring(3, 7) + type + number.substring(7, 11);
    },

    /**
     * 步进格式化手机号 如 1334  返回 133 4
     * @param phoneNumber
     * @param type
     */
    stepFormatPhoneNumber: function stepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var phone = phoneNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < phone.length; i++) {
            if (i == 3) {
                ret += type + phone[3];
            } else if (i == 7) {
                ret += type + phone[7];
            } else {
                ret += phone[i];
            }
        }

        return ret;
    },
    /**
     * 步进格式化身份证号 如 1234567689  返回 123456 7689
     * @param idCardNumber
     * @param type
     */
    stepFormatIdCardNumber: function stepFormatIdCardNumber(idCardNumber, type) {
        if (!idCardNumber) return '';

        if (!type) {
            type = ' ';
        }

        //TODO 正则表达式需要包括变量,暂时用
        var number = idCardNumber.replace(/ /g, '');

        var ret = '';
        for (var i = 0; i < number.length; i++) {
            if (i == 6) {
                ret += type + number[6];
            } else if (i == 14) {
                ret += type + number[14];
            } else {
                ret += number[i];
            }
        }

        return ret;
    },

    /**
     * 正则验证身份证号码
     * 身份证号码为15位或者18位
     * 15位时全为数字
     * 18位前17位为数字
     * 最后一位是校验位（数字或X）
     * @param idCardNumber
     * @returns {boolean}
     */
    validateIdCard: function validateIdCard(idCardNumber) {
        var isValid = false;
        if (!idCardNumber) {
            return isValid;
        }

        var idCardNumArray = idCardNumber.replace(/\s+/g, '').split("");

        var length = idCardNumArray.length;

        if (length === 15 || length === 18) {
            var reg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
            if (reg.test(idCardNumber)) {
                if (idCardNumber.length === 18) {
                    //校验码表
                    var codeTable = ['1', '0', "X", "9", "8", "7", "6", "5", "4", "3", "2"];
                    var sum = 0;
                    for (var i = 0; i < length - 1; i++) {
                        sum += parseInt(idCardNumArray[i]) * (Math.pow(2, 18 - (i + 1)) % 11);
                    }

                    if (codeTable[sum % 11] === idCardNumArray[length - 1].toUpperCase()) {
                        isValid = true;
                    }
                } else {
                    isValid = true;
                }
            }
        }
        return isValid;
    },

    /**
     * 反步进格式化手机号 如 133 4  返回 1334
     * @param phoneNumber
     * @param type
     * @returns {*}
     */
    unStepFormatPhoneNumber: function unStepFormatPhoneNumber(phoneNumber, type) {
        if (!phoneNumber || typeof phoneNumber != 'string') return '';

        if (!type) {
            type = ' ';
        }
        //        var reg=eval_r('/'+type+'/g');
        return phoneNumber.replace(/ /g, '');
    },

    /**
     * 手机号反格式化
     * @param number
     *  手机号
     * @param type
     *  反格式化类型
     * @return
     *  clear type 13888888888
     */
    clearFormatPhoneNumber: function clearFormatPhoneNumber(number) {
        if (!number) return '';

        return number.replace(/[^\d]/g, '');
    },

    /**
     * 效验手机号码正确性
     * @param mobile
     *  手机号
     * @returns {boolean}
     *  true: 手机号正确  false： 手机号非法
     */
    checkMobile: function checkMobile(mobile) {
        if (/^1[3|4|5|6|7|8|9]\d{9}$/.test(mobile)) {
            return true;
        }
        return false;
    },

    /**
     * 步进验证手机号 如 非1开头的为非法手机号
     * @param mobile
     * @returns {boolean}
     */
    stepCheckMobile: function stepCheckMobile(mobile) {
        return (/^1[0-9]*$/.test(mobile) ? true : false
        );
    },

    /**
     * 将属性从一个对象移动到另一个对象中。
     * @param dest   {Object}   目标对象
     * @param source {Object}   源对象
     * @param names  {Object}   属性名称列表。
     */
    moveTo: function moveTo(dest, source, names) {
        if (!dest || (typeof source === 'undefined' ? 'undefined' : _typeof(source)) !== 'object' || !Ext.isArray(names)) {
            return;
        }

        for (var index in names) {
            var name = names[index];
            if (source[name] !== undefined) {
                dest[name] = source[name];
                delete source[name];
            }
        }
    },

    /*
     * 验证输入内容是否合法,可以从该方法扩展其他验证方法
     * @param content   验证的内容
     * @param regExp  正则参数
     * @returns {*|boolean}
     */
    checkInput: function checkInput(content, regExp) {
        return content && new RegExp(regExp).test(content);
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmountNoRule: function formatAmountNoRule(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }
        }

        return result + '.' + amount[1];
    },
    /**
     * 格式化一个数字为金额字符串
     * @param s {Number} 金额
     * @param n {Number} 精度（小数点后x位）
     * @returns {string}
     */
    formatAmount: function formatAmount(s, n) {
        n = n > 0 && n <= 20 ? n : 2;

        if (s instanceof String || typeof s == 'string') {
            s = parseFloat(s.replace(/[^\d\.-]/g, ""));
        }

        s = s || 0;
        s = s.toFixed(n);

        if (Number(s) == 0) {
            s = '0.00';
        }

        //分离整数与小数部分
        var amount = s.split(".");

        //每千位加一个“,”。
        var length = amount[0].length;
        var result = "";
        for (var i = 0; i < length; i++) {
            //从原整数部分的最左边（个位）开始取字符
            result = amount[0].substr(length - 1 - i, 1) + result;

            //如果已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (i + 1 >= length) {
                break;
            }

            //如果下一个字符是”-“，则认当前位已经是最后一位（最高位）数字，则退出循环，因为最后一位即使是千位也不用添加 ”,“。
            if (amount[0].substr(length - 1 - (i + 1), 1) == '-') {
                result = '-' + result;
                break;
            }

            if ((i + 1) % 3 == 0) {
                result = ',' + result;
            }
        }

        return result + '.' + amount[1];
    },

    /**
     * '银行卡校验算法'
     * @param bankno  ‘银行卡卡号’
     * @returns {boolean} ‘if true 表示校验通过’
     */
    checkBankcardNumber: function checkBankcardNumber(bankno) {
        //卡号满足8到20位0-9的数字，表示校验通过
        return bankno && /^\d{8,20}$/.test(bankno);
    },

    checkHolderName: function checkHolderName(name) {
        return name && /^(([a-zA-Z]+|[\u4e00-\u9fa5]+))$/.test(name);
    },

    /**
     * '判断键盘是否在显示'
     * @returns  ‘if true mean show’
     */
    isNumpadShow: function isNumpadShow() {
        return Application.keyboard && Application.keyboard.current && Application.keyboard.current.isHidden && !Application.keyboard.current.isHidden();
    },

    /**
     * 若自定义键盘已经显示，则隐藏该键盘
     */
    hideNumpad: function hideNumpad() {
        if (this.isNumpadShow()) {
            Application.keyboard.current.hide();
        }
        //隐藏原生键盘
        NativeApi.softKeyBoard.hide();
    },

    /**
     * 是否为汉字
     *
     * @param s
     * @returns {boolean}
     */
    isChinese: function isChinese(s) {
        if (!s) return false;

        var patten = /^\s*[\u4e00-\u9fa5]{1,15}\s*$/;
        if (!patten.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 是否为英文
     *
     * @param s
     * @returns {boolean}
     */
    isEnglish: function isEnglish(s) {
        if (!s) return false;

        var pattern = /^[a-zA-Z]*$/;
        if (!pattern.exec(s)) {
            return false;
        }
        return true;
    },

    /**
     * 邮箱格式验证
     *
     * @param s
     * @returns {boolean}
     */
    emailFormatCheck: function emailFormatCheck(s) {
        if (!s) return false;

        if (s.search(/^\w+((-\w+)|(\.\w+))*\@[A-Za-z0-9]+((\.|-)[A-Za-z0-9]+)*\.[A-Za-z0-9]+$/) != -1) return true;

        return false;
    },

    /**
     * eg: 某某民 -》 **民
     * @param name
     */
    nameMark: function nameMark(name) {
        if (!name || name.length < 2) return name;
        // var a = [];
        // var len = name.length - 1;
        // for (var i = 0; i < len; ++i) {
        //     a[i] = '*';
        // }
        // a[len] = name.substr(-1);
        // return a.join('');
        return name.substring(0, 1) + name.substring(1).replace(/[\s\S]/ig, '*');
    },

    /**
     * eg: 4325123432140082 -》 432512******0082
     * @param number
     */
    creditNumberMark: function creditNumberMark(number) {
        if (!number || number.length < 10) return number;
        return number.substr(0, 4) + '****' + number.substr(-4);
    },

    /**
     * 身份证号码脱敏
     * eg: 622722197810289000 -> 6227****9000
     * @param number
     * @returns {*}
     */
    idCardNumberMark: function idCardNumberMark(number) {
        if (!number) {
            return number;
        }
        if (number.length == 15) {
            return number.substr(0, 3) + '********' + number.substr(-4);
        }
        if (number.length == 18) {
            return number.substr(0, 3) + '***********' + number.substr(-4);
        }
        return number;
    },
    /**
     * 将一个小端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithSmallEndian: function hexStringToNumberWithSmallEndian(hexstr) {
        if (!hexstr) return 0;
        var str = "";
        var length = hexstr.length;
        //转大写
        hexstr = hexstr.toUpperCase();

        for (var i = length / 2 - 1; i >= 0; i--) {
            str += hexstr.substr(2 * i, 2);
        }
        return parseInt(str, 16);
    },

    /**
     * 将一个大端存储的十六进制字符串转换成数值。
     * @param hexstr  {String}
     * @returns {number}
     */
    hexStringToNumberWithBigEndian: function hexStringToNumberWithBigEndian(hexstr) {
        if (!hexstr) return 0;

        var number = 0;
        var length = hexstr.length;
        var zeroCode = '0'.charCodeAt(0);
        var aCode = 'a'.charCodeAt(0);

        //转小写
        hexstr = hexstr.toLowerCase();

        for (var i = 0; i < length; i++) {
            number <<= i ? 4 : 0;
            var c = hexstr.charCodeAt(i);
            if (c < 58) {
                //数字
                number |= c - zeroCode & 0xF;
            } else {
                //字母
                number |= (c - aCode & 0xF) + 10;
            }
        }

        return number;
    },

    /**
     * 数字转换十六进制 (转换为16进制后可指定 数据长度，不足左补0)
     * @param number
     * @param hexlength 转换后字节长度
     * @returns {*}
     */
    numberToHex: function numberToHex(number, hexlength) {
        if (!number || hexlength && hexlength < 0) return '';

        //如果非number类型，进行转换
        if (!(number instanceof Number)) {
            number = parseInt(number, 10);
        }
        if (!number) return '';
        var hex = number.toString(16);
        if (!hex) return '';
        if (!hexlength) return hex;

        var length = hexlength * 2 - hex.length;
        if (length < 0) return hex;

        for (var i = 0; i < length; i++) {
            hex = '0' + hex;
        }
        return hex;
    },

    /**
     * 获取str中的参数 str格式: key1=value1&key2=value2&key3=value3
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2,
     *              ...
     *          }
     */
    parseStringParams: function parseStringParams(str) {

        var args = {};
        var pairs = str.split("&"); //在逗号处断开

        for (var i = 0; i < pairs.length; i++) {

            var pos = pairs[i].indexOf('='); //查找key=value
            if (pos == -1) continue; //如果没有找到就跳过
            var key = pairs[i].substring(0, pos); //提取key
            var value = pairs[i].substring(pos + 1); //提取value

            args[key] = value;
        }

        return args;
    },

    /**
     * 获取url中的参数
     * @param url
     * @returns {
     *              key1:value1,
     *              key2:value2
     *          }
     */
    getUrlParams: function getUrlParams(url) {

        var args = {};

        var urlstr = url.split("?"); //获取参数部分
        args = this.parseStringParams(urlstr[1]);

        return args;
    },
    /**
     *  生成16进制随机数
     * @param count  随机数个数
     * @returns {string}
     */
    generateHexRandomString: function generateHexRandomString(count) {
        var chars = ['0', '1', '2', '3', '4', '5', '6', '7', '8', '9', 'A', 'B', 'C', 'D', 'E', 'F'];
        var res = "";
        for (var i = 0; i < count; i++) {
            var id = Math.ceil(Math.random() * (chars.length - 1));
            res += chars[id];
        }
        return res;
    },
    /**
     * 检验密码强度
     * @param str
     * @returns {boolean}
     */
    checkPWd: function checkPWd(str) {
        var count = 0;

        //是否包含数字
        if (new RegExp("[0-9]+").test(str)) {
            count++;
        }

        //是否包含英文字母
        if (new RegExp("([a-zA-Z]+)").test(str)) {
            count++;
        }

        //是否包含特殊字符
        if (new RegExp("[^0-9a-zA-Z]").test(str)) {
            count++;
        }

        if (count >= 2) {
            return true;
        } else {
            return false;
        }
    },
    /**
     * 格式化日期
     * @param fmt yyyyMMddHHmmss
     * @param date
     * @returns {*}
     */
    dateFtt: function dateFtt(fmt, date) {
        //author: meizz
        var o = {
            "M+": date.getMonth() + 1, //月份
            "d+": date.getDate(), //日
            "h+": date.getHours(), //小时
            "m+": date.getMinutes(), //分
            "s+": date.getSeconds(), //秒
            "q+": Math.floor((date.getMonth() + 3) / 3), //季度
            "S": date.getMilliseconds() //毫秒
        };
        if (/(y+)/.test(fmt)) fmt = fmt.replace(RegExp.$1, (date.getFullYear() + "").substr(4 - RegExp.$1.length));
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
        }return fmt;
    },

    /**
     * 对Date的扩展，将 Date 转化为指定格式的String
     * 月(M)、日(d)、12小时(h)、24小时(H)、分(m)、秒(s)、周(E)、季度(q) 可以用 1-2 个占位符
     * 年(y)可以用 1-4 个占位符，毫秒(S)只能用 1 个占位符(是 1-3 位的数字)
     * eg:
     * (new Date()).pattern("yyyy-MM-dd hh:mm:ss.S") ==> 2006-07-02 08:09:04.423
     * (new Date()).pattern("yyyy-MM-dd E HH:mm:ss") ==> 2009-03-10 二 20:09:04
     * (new Date()).pattern("yyyy-MM-dd EE hh:mm:ss") ==> 2009-03-10 周二 08:09:04
     * (new Date()).pattern("yyyy-MM-dd EEE hh:mm:ss") ==> 2009-03-10 星期二 08:09:04
     * (new Date()).pattern("yyyy-M-d h:m:s.S") ==> 2006-7-2 8:9:4.18
     */
    dateFormat: function dateFormat(fmt) {
        var data = new Date();
        var o = {
            "M+": data.getMonth() + 1, //月份
            "d+": data.getDate(), //日
            "h+": data.getHours() % 12 == 0 ? 12 : data.getHours() % 12, //小时
            "H+": data.getHours(), //小时
            "m+": data.getMinutes(), //分
            "s+": data.getSeconds(), //秒
            "q+": Math.floor((data.getMonth() + 3) / 3), //季度
            "S": data.getMilliseconds() //毫秒
        };
        var week = {
            "0": "/u65e5",
            "1": "/u4e00",
            "2": "/u4e8c",
            "3": "/u4e09",
            "4": "/u56db",
            "5": "/u4e94",
            "6": "/u516d"
        };
        if (/(y+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (data.getFullYear() + "").substr(4 - RegExp.$1.length));
        }
        if (/(E+)/.test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length > 1 ? RegExp.$1.length > 2 ? "/u661f/u671f" : "/u5468" : "") + week[data.getDay() + ""]);
        }
        for (var k in o) {
            if (new RegExp("(" + k + ")").test(fmt)) {
                fmt = fmt.replace(RegExp.$1, RegExp.$1.length == 1 ? o[k] : ("00" + o[k]).substr(("" + o[k]).length));
            }
        }
        return fmt;
    },
    formatNameWithStar: function formatNameWithStar(name) {
        if (!name) return '';
        var mName = '';
        for (var i = 0; i < name.toString().length; i++) {
            if (i < 1) {
                mName += name[i];
            } else {
                mName += '*';
            }
        }
        return mName.toString();
    },
    addressMark: function addressMark(address) {
        if (!address) {
            return "";
        }
        var index = address.indexOf("省");
        if (index != -1) {
            var firststr = address.substring(0, index + 1);
            var lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return firststr + lastStr;
        }
        index = address.indexOf("市");
        if (index != -1) {
            var _firststr = address.substring(0, index + 1);
            var _lastStr = address.substring(index + 1).replace(/[\s\S]/ig, '*');
            return _firststr + _lastStr;
        }
        return address;
    }
};

/***/ }),

/***/ 32:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.default = {
    //手机号
    mobile: {
        regexp: /^1\d{10}$/,
        // regexp: /^((13[0-9])|(14[0-9])|(15[0-9])|(16[0-9])|(17[0-9])|(18[0-9])|(19[0-9]))\d{8}$/,
        message: '请输入正确的手机号！'
    },
    //电话
    telephone: {
        regexp: /^(0\d{2,3}-\d{6,8}(-\d{3,5})?)|(0\d{2,3}-\d{6,8})$/,
        message: '请输入正确的电话！'
    },
    loginName: {
        regexp: /^1\d{10}$/,
        message: '请输入正确的用户名'
    },
    password: {
        regexp: /^(?=.*[a-zA-Z])((?=.*[0-9])|(?=.*[!@#$%^&*])).{8,32}$/,
        message: '请输入8-32位的大小写字母、数字或符号组成的密码'
    },
    email: {
        regexp: /^([a-zA-Z0-9_-])+@([a-zA-Z0-9_-])+(.[a-zA-Z0-9_-])+/,
        message: '请输入正确的对账单邮箱'
    },
    checkMerchantName: {
        regexp: /[A-Za-z0-9\u4e00-\u9fa5\\·\\•\\（）\\()]{7,32}/,
        message: '请规范商户名称，省（市）+店名+行业（示例：上海美美饮食店）'
    },
    //身份证号校验
    checkIDcardNum: {
        regexp: /^(^[1-9]\d{7}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])\d{3}$)|(^[1-9]\d{5}[1-9]\d{3}((0\d)|(1[0-2]))(([0|1|2]\d)|3[0-1])((\d{4})|\d{3}[Xx])$)$/,
        message: '请输入正确的身份证号！'
    },
    /** 正则匹配姓名格式 */
    checkPeopleName: {
        regexp: /[\u4e00-\u9fa5\\·\\•]{2,64}/,
        message: '请输入正确的姓名！'
    },
    /** 正则匹配日期格式 */
    dateCheck: {
        regexp: /[0-9]{4}-[0-9]{2}-[0-9]{2}/,
        message: '请输入正确的身份证有效期！'
    },
    amount: { // 正整数或一位小数或者俩位小数
        regexp: /^[0-9]+([.]{1}[0-9]{1,2})?$/,
        message: ''
    },
    terminalName: { // 3-32个汉字
        regexp: /[\u4E00-\u9FA5]{3,32}$/,
        message: ''
    },
    terminalSN: {
        regexp: /[a-zA-Z0-9]{8,50}$/,
        message: '请参照终端SN号查找示例图,查找SN号,并输入正确的SN号'
    },
    taxpayerNumber: {
        regexp: /^[0-9a-zA-Z]+$/,
        message: '请输入正确的纳税人识别号'
    },
    containEmojiStr: {
        regexp: /[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF][\u200D|\uFE0F]|[\uD83C|\uD83D|\uD83E][\uDC00-\uDFFF]|[0-9|*|#]\uFE0F\u20E3|[0-9|#]\u20E3|[\u203C-\u3299]\uFE0F\u200D|[\u203C-\u3299]\uFE0F|[\u2122-\u2B55]|\u303D|[\A9|\AE]\u3030|\uA9|\uAE|\u3030/ig,
        message: '请输入不包含表情符号的内容'
    }
};

/***/ }),

/***/ 33:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(34)
)

/* script */
__vue_exports__ = __webpack_require__(35)

/* template */
var __vue_template__ = __webpack_require__(36)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-field/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-38315fc6"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 34:
/***/ (function(module, exports) {

module.exports = {
  "lkl-field": {
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30",
    "paddingRight": "20"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#cccccc"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "label-text": {
    "fontSize": "28",
    "color": "#333333",
    "width": "188"
  },
  "field-content": {
    "flex": 1,
    "flexDirection": "row",
    "alignItems": "center"
  },
  "field-input": {
    "height": "40",
    "lineHeight": "40",
    "fontSize": "28",
    "color": "#333333",
    "flex": 2,
    "paddingTop": 0,
    "paddingRight": "10",
    "paddingBottom": 0,
    "paddingLeft": "10"
  },
  "left": {
    "textAlign": "left"
  },
  "center": {
    "textAlign": "center"
  },
  "right": {
    "textAlign": "right"
  },
  "field-verifytext": {
    "fontSize": "24",
    "width": "70",
    "flex": 3,
    "color": "#ff0000"
  }
}

/***/ }),

/***/ 35:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    hasBottom: {
      type: Boolean,
      default: true
    },
    label: {
      type: String,
      default: ''
    },
    type: {
      type: String,
      default: 'text'
    },
    align: {
      type: String,
      default: 'left'
    },
    maxlength: {
      type: String,
      default: '200'
    },
    autofocus: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    placeholder: {
      type: String,
      default: ''
    },
    verifytext: {
      type: String,
      default: ''
    },
    value: {
      type: String
    },
    fieldStyle: {
      type: Object,
      default: function _default() {
        return {
          height: '104px',
          width: '750px'
        };
      }
    },
    titleStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    inputStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    }
  },
  methods: {
    focus: function focus(e) {
      this.$emit('wxFocus', e.value);
    },
    handleChange: function handleChange(e) {
      this.$emit('input', e.value);
      this.$emit('wxInput', e.value);
    },
    blur: function blur(e) {
      this.$emit('wxBlur', e.value);
    },
    closeKeyboard: function closeKeyboard() {
      this.$refs.fieldInput.blur();
    },
    inputclick: function inputclick() {
      this.$refs.fieldInput.focus();
    }
  }
};

/***/ }),

/***/ 36:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    class: ['lkl-field', _vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.fieldStyle
  }, [_vm._t("label", [(_vm.label) ? _c('div', [_c('text', {
    staticClass: ["label-text"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.label))])]) : _vm._e()]), _c('div', {
    staticClass: ["field-content"],
    on: {
      "click": _vm.inputclick
    }
  }, [_c('input', {
    ref: "fieldInput",
    class: ['field-input', _vm.align],
    style: _vm.inputStyle,
    attrs: {
      "type": _vm.type,
      "maxlength": _vm.maxlength,
      "autofocus": _vm.autofocus,
      "disabled": _vm.disabled,
      "value": _vm.value,
      "placeholder": _vm.placeholder
    },
    on: {
      "input": _vm.handleChange,
      "blur": _vm.blur,
      "focus": _vm.focus
    }
  }), (_vm.verifytext) ? _c('text', {
    staticClass: ["field-verifytext"]
  }, [_vm._v(_vm._s(_vm.verifytext))]) : _vm._e(), _vm._t("default")], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 38:
/***/ (function(module, exports, __webpack_require__) {

module.exports = __webpack_require__(39);


/***/ }),

/***/ 39:
/***/ (function(module, exports, __webpack_require__) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

// This method of obtaining a reference to the global object needs to be
// kept identical to the way it is obtained in runtime.js
var g = (function() { return this })() || Function("return this")();

// Use `getOwnPropertyNames` because not all browsers support calling
// `hasOwnProperty` on the global `self` object in a worker. See #183.
var hadRuntime = g.regeneratorRuntime &&
  Object.getOwnPropertyNames(g).indexOf("regeneratorRuntime") >= 0;

// Save the old regeneratorRuntime in case it needs to be restored later.
var oldRuntime = hadRuntime && g.regeneratorRuntime;

// Force reevalutation of runtime.js.
g.regeneratorRuntime = undefined;

module.exports = __webpack_require__(40);

if (hadRuntime) {
  // Restore the original runtime.
  g.regeneratorRuntime = oldRuntime;
} else {
  // Remove the global property added by runtime.js.
  try {
    delete g.regeneratorRuntime;
  } catch(e) {
    g.regeneratorRuntime = undefined;
  }
}


/***/ }),

/***/ 4:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var mixins = {
    methods: {
        jump: function jump(url) {
            this.$navigator.push({
                url: url
            });
        }
    }
};

/***/ }),

/***/ 40:
/***/ (function(module, exports) {

/**
 * Copyright (c) 2014-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 */

!(function(global) {
  "use strict";

  var Op = Object.prototype;
  var hasOwn = Op.hasOwnProperty;
  var undefined; // More compressible than void 0.
  var $Symbol = typeof Symbol === "function" ? Symbol : {};
  var iteratorSymbol = $Symbol.iterator || "@@iterator";
  var asyncIteratorSymbol = $Symbol.asyncIterator || "@@asyncIterator";
  var toStringTagSymbol = $Symbol.toStringTag || "@@toStringTag";

  var inModule = typeof module === "object";
  var runtime = global.regeneratorRuntime;
  if (runtime) {
    if (inModule) {
      // If regeneratorRuntime is defined globally and we're in a module,
      // make the exports object identical to regeneratorRuntime.
      module.exports = runtime;
    }
    // Don't bother evaluating the rest of this file if the runtime was
    // already defined globally.
    return;
  }

  // Define the runtime globally (as expected by generated code) as either
  // module.exports (if we're in a module) or a new, empty object.
  runtime = global.regeneratorRuntime = inModule ? module.exports : {};

  function wrap(innerFn, outerFn, self, tryLocsList) {
    // If outerFn provided and outerFn.prototype is a Generator, then outerFn.prototype instanceof Generator.
    var protoGenerator = outerFn && outerFn.prototype instanceof Generator ? outerFn : Generator;
    var generator = Object.create(protoGenerator.prototype);
    var context = new Context(tryLocsList || []);

    // The ._invoke method unifies the implementations of the .next,
    // .throw, and .return methods.
    generator._invoke = makeInvokeMethod(innerFn, self, context);

    return generator;
  }
  runtime.wrap = wrap;

  // Try/catch helper to minimize deoptimizations. Returns a completion
  // record like context.tryEntries[i].completion. This interface could
  // have been (and was previously) designed to take a closure to be
  // invoked without arguments, but in all the cases we care about we
  // already have an existing method we want to call, so there's no need
  // to create a new function object. We can even get away with assuming
  // the method takes exactly one argument, since that happens to be true
  // in every case, so we don't have to touch the arguments object. The
  // only additional allocation required is the completion record, which
  // has a stable shape and so hopefully should be cheap to allocate.
  function tryCatch(fn, obj, arg) {
    try {
      return { type: "normal", arg: fn.call(obj, arg) };
    } catch (err) {
      return { type: "throw", arg: err };
    }
  }

  var GenStateSuspendedStart = "suspendedStart";
  var GenStateSuspendedYield = "suspendedYield";
  var GenStateExecuting = "executing";
  var GenStateCompleted = "completed";

  // Returning this object from the innerFn has the same effect as
  // breaking out of the dispatch switch statement.
  var ContinueSentinel = {};

  // Dummy constructor functions that we use as the .constructor and
  // .constructor.prototype properties for functions that return Generator
  // objects. For full spec compliance, you may wish to configure your
  // minifier not to mangle the names of these two functions.
  function Generator() {}
  function GeneratorFunction() {}
  function GeneratorFunctionPrototype() {}

  // This is a polyfill for %IteratorPrototype% for environments that
  // don't natively support it.
  var IteratorPrototype = {};
  IteratorPrototype[iteratorSymbol] = function () {
    return this;
  };

  var getProto = Object.getPrototypeOf;
  var NativeIteratorPrototype = getProto && getProto(getProto(values([])));
  if (NativeIteratorPrototype &&
      NativeIteratorPrototype !== Op &&
      hasOwn.call(NativeIteratorPrototype, iteratorSymbol)) {
    // This environment has a native %IteratorPrototype%; use it instead
    // of the polyfill.
    IteratorPrototype = NativeIteratorPrototype;
  }

  var Gp = GeneratorFunctionPrototype.prototype =
    Generator.prototype = Object.create(IteratorPrototype);
  GeneratorFunction.prototype = Gp.constructor = GeneratorFunctionPrototype;
  GeneratorFunctionPrototype.constructor = GeneratorFunction;
  GeneratorFunctionPrototype[toStringTagSymbol] =
    GeneratorFunction.displayName = "GeneratorFunction";

  // Helper for defining the .next, .throw, and .return methods of the
  // Iterator interface in terms of a single ._invoke method.
  function defineIteratorMethods(prototype) {
    ["next", "throw", "return"].forEach(function(method) {
      prototype[method] = function(arg) {
        return this._invoke(method, arg);
      };
    });
  }

  runtime.isGeneratorFunction = function(genFun) {
    var ctor = typeof genFun === "function" && genFun.constructor;
    return ctor
      ? ctor === GeneratorFunction ||
        // For the native GeneratorFunction constructor, the best we can
        // do is to check its .name property.
        (ctor.displayName || ctor.name) === "GeneratorFunction"
      : false;
  };

  runtime.mark = function(genFun) {
    if (Object.setPrototypeOf) {
      Object.setPrototypeOf(genFun, GeneratorFunctionPrototype);
    } else {
      genFun.__proto__ = GeneratorFunctionPrototype;
      if (!(toStringTagSymbol in genFun)) {
        genFun[toStringTagSymbol] = "GeneratorFunction";
      }
    }
    genFun.prototype = Object.create(Gp);
    return genFun;
  };

  // Within the body of any async function, `await x` is transformed to
  // `yield regeneratorRuntime.awrap(x)`, so that the runtime can test
  // `hasOwn.call(value, "__await")` to determine if the yielded value is
  // meant to be awaited.
  runtime.awrap = function(arg) {
    return { __await: arg };
  };

  function AsyncIterator(generator) {
    function invoke(method, arg, resolve, reject) {
      var record = tryCatch(generator[method], generator, arg);
      if (record.type === "throw") {
        reject(record.arg);
      } else {
        var result = record.arg;
        var value = result.value;
        if (value &&
            typeof value === "object" &&
            hasOwn.call(value, "__await")) {
          return Promise.resolve(value.__await).then(function(value) {
            invoke("next", value, resolve, reject);
          }, function(err) {
            invoke("throw", err, resolve, reject);
          });
        }

        return Promise.resolve(value).then(function(unwrapped) {
          // When a yielded Promise is resolved, its final value becomes
          // the .value of the Promise<{value,done}> result for the
          // current iteration. If the Promise is rejected, however, the
          // result for this iteration will be rejected with the same
          // reason. Note that rejections of yielded Promises are not
          // thrown back into the generator function, as is the case
          // when an awaited Promise is rejected. This difference in
          // behavior between yield and await is important, because it
          // allows the consumer to decide what to do with the yielded
          // rejection (swallow it and continue, manually .throw it back
          // into the generator, abandon iteration, whatever). With
          // await, by contrast, there is no opportunity to examine the
          // rejection reason outside the generator function, so the
          // only option is to throw it from the await expression, and
          // let the generator function handle the exception.
          result.value = unwrapped;
          resolve(result);
        }, reject);
      }
    }

    var previousPromise;

    function enqueue(method, arg) {
      function callInvokeWithMethodAndArg() {
        return new Promise(function(resolve, reject) {
          invoke(method, arg, resolve, reject);
        });
      }

      return previousPromise =
        // If enqueue has been called before, then we want to wait until
        // all previous Promises have been resolved before calling invoke,
        // so that results are always delivered in the correct order. If
        // enqueue has not been called before, then it is important to
        // call invoke immediately, without waiting on a callback to fire,
        // so that the async generator function has the opportunity to do
        // any necessary setup in a predictable way. This predictability
        // is why the Promise constructor synchronously invokes its
        // executor callback, and why async functions synchronously
        // execute code before the first await. Since we implement simple
        // async functions in terms of async generators, it is especially
        // important to get this right, even though it requires care.
        previousPromise ? previousPromise.then(
          callInvokeWithMethodAndArg,
          // Avoid propagating failures to Promises returned by later
          // invocations of the iterator.
          callInvokeWithMethodAndArg
        ) : callInvokeWithMethodAndArg();
    }

    // Define the unified helper method that is used to implement .next,
    // .throw, and .return (see defineIteratorMethods).
    this._invoke = enqueue;
  }

  defineIteratorMethods(AsyncIterator.prototype);
  AsyncIterator.prototype[asyncIteratorSymbol] = function () {
    return this;
  };
  runtime.AsyncIterator = AsyncIterator;

  // Note that simple async functions are implemented on top of
  // AsyncIterator objects; they just return a Promise for the value of
  // the final result produced by the iterator.
  runtime.async = function(innerFn, outerFn, self, tryLocsList) {
    var iter = new AsyncIterator(
      wrap(innerFn, outerFn, self, tryLocsList)
    );

    return runtime.isGeneratorFunction(outerFn)
      ? iter // If outerFn is a generator, return the full iterator.
      : iter.next().then(function(result) {
          return result.done ? result.value : iter.next();
        });
  };

  function makeInvokeMethod(innerFn, self, context) {
    var state = GenStateSuspendedStart;

    return function invoke(method, arg) {
      if (state === GenStateExecuting) {
        throw new Error("Generator is already running");
      }

      if (state === GenStateCompleted) {
        if (method === "throw") {
          throw arg;
        }

        // Be forgiving, per 25.3.3.3.3 of the spec:
        // https://people.mozilla.org/~jorendorff/es6-draft.html#sec-generatorresume
        return doneResult();
      }

      context.method = method;
      context.arg = arg;

      while (true) {
        var delegate = context.delegate;
        if (delegate) {
          var delegateResult = maybeInvokeDelegate(delegate, context);
          if (delegateResult) {
            if (delegateResult === ContinueSentinel) continue;
            return delegateResult;
          }
        }

        if (context.method === "next") {
          // Setting context._sent for legacy support of Babel's
          // function.sent implementation.
          context.sent = context._sent = context.arg;

        } else if (context.method === "throw") {
          if (state === GenStateSuspendedStart) {
            state = GenStateCompleted;
            throw context.arg;
          }

          context.dispatchException(context.arg);

        } else if (context.method === "return") {
          context.abrupt("return", context.arg);
        }

        state = GenStateExecuting;

        var record = tryCatch(innerFn, self, context);
        if (record.type === "normal") {
          // If an exception is thrown from innerFn, we leave state ===
          // GenStateExecuting and loop back for another invocation.
          state = context.done
            ? GenStateCompleted
            : GenStateSuspendedYield;

          if (record.arg === ContinueSentinel) {
            continue;
          }

          return {
            value: record.arg,
            done: context.done
          };

        } else if (record.type === "throw") {
          state = GenStateCompleted;
          // Dispatch the exception by looping back around to the
          // context.dispatchException(context.arg) call above.
          context.method = "throw";
          context.arg = record.arg;
        }
      }
    };
  }

  // Call delegate.iterator[context.method](context.arg) and handle the
  // result, either by returning a { value, done } result from the
  // delegate iterator, or by modifying context.method and context.arg,
  // setting context.delegate to null, and returning the ContinueSentinel.
  function maybeInvokeDelegate(delegate, context) {
    var method = delegate.iterator[context.method];
    if (method === undefined) {
      // A .throw or .return when the delegate iterator has no .throw
      // method always terminates the yield* loop.
      context.delegate = null;

      if (context.method === "throw") {
        if (delegate.iterator.return) {
          // If the delegate iterator has a return method, give it a
          // chance to clean up.
          context.method = "return";
          context.arg = undefined;
          maybeInvokeDelegate(delegate, context);

          if (context.method === "throw") {
            // If maybeInvokeDelegate(context) changed context.method from
            // "return" to "throw", let that override the TypeError below.
            return ContinueSentinel;
          }
        }

        context.method = "throw";
        context.arg = new TypeError(
          "The iterator does not provide a 'throw' method");
      }

      return ContinueSentinel;
    }

    var record = tryCatch(method, delegate.iterator, context.arg);

    if (record.type === "throw") {
      context.method = "throw";
      context.arg = record.arg;
      context.delegate = null;
      return ContinueSentinel;
    }

    var info = record.arg;

    if (! info) {
      context.method = "throw";
      context.arg = new TypeError("iterator result is not an object");
      context.delegate = null;
      return ContinueSentinel;
    }

    if (info.done) {
      // Assign the result of the finished delegate to the temporary
      // variable specified by delegate.resultName (see delegateYield).
      context[delegate.resultName] = info.value;

      // Resume execution at the desired location (see delegateYield).
      context.next = delegate.nextLoc;

      // If context.method was "throw" but the delegate handled the
      // exception, let the outer generator proceed normally. If
      // context.method was "next", forget context.arg since it has been
      // "consumed" by the delegate iterator. If context.method was
      // "return", allow the original .return call to continue in the
      // outer generator.
      if (context.method !== "return") {
        context.method = "next";
        context.arg = undefined;
      }

    } else {
      // Re-yield the result returned by the delegate method.
      return info;
    }

    // The delegate iterator is finished, so forget it and continue with
    // the outer generator.
    context.delegate = null;
    return ContinueSentinel;
  }

  // Define Generator.prototype.{next,throw,return} in terms of the
  // unified ._invoke helper method.
  defineIteratorMethods(Gp);

  Gp[toStringTagSymbol] = "Generator";

  // A Generator should always return itself as the iterator object when the
  // @@iterator function is called on it. Some browsers' implementations of the
  // iterator prototype chain incorrectly implement this, causing the Generator
  // object to not be returned from this call. This ensures that doesn't happen.
  // See https://github.com/facebook/regenerator/issues/274 for more details.
  Gp[iteratorSymbol] = function() {
    return this;
  };

  Gp.toString = function() {
    return "[object Generator]";
  };

  function pushTryEntry(locs) {
    var entry = { tryLoc: locs[0] };

    if (1 in locs) {
      entry.catchLoc = locs[1];
    }

    if (2 in locs) {
      entry.finallyLoc = locs[2];
      entry.afterLoc = locs[3];
    }

    this.tryEntries.push(entry);
  }

  function resetTryEntry(entry) {
    var record = entry.completion || {};
    record.type = "normal";
    delete record.arg;
    entry.completion = record;
  }

  function Context(tryLocsList) {
    // The root entry object (effectively a try statement without a catch
    // or a finally block) gives us a place to store values thrown from
    // locations where there is no enclosing try statement.
    this.tryEntries = [{ tryLoc: "root" }];
    tryLocsList.forEach(pushTryEntry, this);
    this.reset(true);
  }

  runtime.keys = function(object) {
    var keys = [];
    for (var key in object) {
      keys.push(key);
    }
    keys.reverse();

    // Rather than returning an object with a next method, we keep
    // things simple and return the next function itself.
    return function next() {
      while (keys.length) {
        var key = keys.pop();
        if (key in object) {
          next.value = key;
          next.done = false;
          return next;
        }
      }

      // To avoid creating an additional object, we just hang the .value
      // and .done properties off the next function object itself. This
      // also ensures that the minifier will not anonymize the function.
      next.done = true;
      return next;
    };
  };

  function values(iterable) {
    if (iterable) {
      var iteratorMethod = iterable[iteratorSymbol];
      if (iteratorMethod) {
        return iteratorMethod.call(iterable);
      }

      if (typeof iterable.next === "function") {
        return iterable;
      }

      if (!isNaN(iterable.length)) {
        var i = -1, next = function next() {
          while (++i < iterable.length) {
            if (hasOwn.call(iterable, i)) {
              next.value = iterable[i];
              next.done = false;
              return next;
            }
          }

          next.value = undefined;
          next.done = true;

          return next;
        };

        return next.next = next;
      }
    }

    // Return an iterator with no values.
    return { next: doneResult };
  }
  runtime.values = values;

  function doneResult() {
    return { value: undefined, done: true };
  }

  Context.prototype = {
    constructor: Context,

    reset: function(skipTempReset) {
      this.prev = 0;
      this.next = 0;
      // Resetting context._sent for legacy support of Babel's
      // function.sent implementation.
      this.sent = this._sent = undefined;
      this.done = false;
      this.delegate = null;

      this.method = "next";
      this.arg = undefined;

      this.tryEntries.forEach(resetTryEntry);

      if (!skipTempReset) {
        for (var name in this) {
          // Not sure about the optimal order of these conditions:
          if (name.charAt(0) === "t" &&
              hasOwn.call(this, name) &&
              !isNaN(+name.slice(1))) {
            this[name] = undefined;
          }
        }
      }
    },

    stop: function() {
      this.done = true;

      var rootEntry = this.tryEntries[0];
      var rootRecord = rootEntry.completion;
      if (rootRecord.type === "throw") {
        throw rootRecord.arg;
      }

      return this.rval;
    },

    dispatchException: function(exception) {
      if (this.done) {
        throw exception;
      }

      var context = this;
      function handle(loc, caught) {
        record.type = "throw";
        record.arg = exception;
        context.next = loc;

        if (caught) {
          // If the dispatched exception was caught by a catch block,
          // then let that catch block handle the exception normally.
          context.method = "next";
          context.arg = undefined;
        }

        return !! caught;
      }

      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        var record = entry.completion;

        if (entry.tryLoc === "root") {
          // Exception thrown outside of any try block that could handle
          // it, so set the completion value of the entire function to
          // throw the exception.
          return handle("end");
        }

        if (entry.tryLoc <= this.prev) {
          var hasCatch = hasOwn.call(entry, "catchLoc");
          var hasFinally = hasOwn.call(entry, "finallyLoc");

          if (hasCatch && hasFinally) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            } else if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else if (hasCatch) {
            if (this.prev < entry.catchLoc) {
              return handle(entry.catchLoc, true);
            }

          } else if (hasFinally) {
            if (this.prev < entry.finallyLoc) {
              return handle(entry.finallyLoc);
            }

          } else {
            throw new Error("try statement without catch or finally");
          }
        }
      }
    },

    abrupt: function(type, arg) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc <= this.prev &&
            hasOwn.call(entry, "finallyLoc") &&
            this.prev < entry.finallyLoc) {
          var finallyEntry = entry;
          break;
        }
      }

      if (finallyEntry &&
          (type === "break" ||
           type === "continue") &&
          finallyEntry.tryLoc <= arg &&
          arg <= finallyEntry.finallyLoc) {
        // Ignore the finally entry if control is not jumping to a
        // location outside the try/catch block.
        finallyEntry = null;
      }

      var record = finallyEntry ? finallyEntry.completion : {};
      record.type = type;
      record.arg = arg;

      if (finallyEntry) {
        this.method = "next";
        this.next = finallyEntry.finallyLoc;
        return ContinueSentinel;
      }

      return this.complete(record);
    },

    complete: function(record, afterLoc) {
      if (record.type === "throw") {
        throw record.arg;
      }

      if (record.type === "break" ||
          record.type === "continue") {
        this.next = record.arg;
      } else if (record.type === "return") {
        this.rval = this.arg = record.arg;
        this.method = "return";
        this.next = "end";
      } else if (record.type === "normal" && afterLoc) {
        this.next = afterLoc;
      }

      return ContinueSentinel;
    },

    finish: function(finallyLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.finallyLoc === finallyLoc) {
          this.complete(entry.completion, entry.afterLoc);
          resetTryEntry(entry);
          return ContinueSentinel;
        }
      }
    },

    "catch": function(tryLoc) {
      for (var i = this.tryEntries.length - 1; i >= 0; --i) {
        var entry = this.tryEntries[i];
        if (entry.tryLoc === tryLoc) {
          var record = entry.completion;
          if (record.type === "throw") {
            var thrown = record.arg;
            resetTryEntry(entry);
          }
          return thrown;
        }
      }

      // The context.catch method must only be called with a location
      // argument that corresponds to a known catch block.
      throw new Error("illegal catch attempt");
    },

    delegateYield: function(iterable, resultName, nextLoc) {
      this.delegate = {
        iterator: values(iterable),
        resultName: resultName,
        nextLoc: nextLoc
      };

      if (this.method === "next") {
        // Deliberately forget the last sent value so that we don't
        // accidentally pass it on to the delegate.
        this.arg = undefined;
      }

      return ContinueSentinel;
    }
  };
})(
  // In sloppy mode, unbound `this` refers to the global object, fallback to
  // Function constructor if we're in global strict mode. That is sadly a form
  // of indirect eval which violates Content Security Policy.
  (function() { return this })() || Function("return this")()
);


/***/ }),

/***/ 442:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


var _plugins = __webpack_require__(2);

var _plugins2 = _interopRequireDefault(_plugins);

var _fetch = __webpack_require__(3);

var _fetch2 = _interopRequireDefault(_fetch);

var _mixins = __webpack_require__(4);

var _mixins2 = _interopRequireDefault(_mixins);

var _open = __webpack_require__(443);

var _open2 = _interopRequireDefault(_open);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

Vue.use(_plugins2.default);
Vue.use(_fetch2.default);
Vue.mixin(_mixins2.default);

_open2.default.el = '#root';
new Vue(_open2.default);

/***/ }),

/***/ 443:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(444)
)

/* script */
__vue_exports__ = __webpack_require__(445)

/* template */
var __vue_template__ = __webpack_require__(446)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/business/secondaccount/open.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-a5766574"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 444:
/***/ (function(module, exports) {

module.exports = {
  "container": {
    "backgroundColor": "#f1f1f1"
  },
  "container_content": {
    "marginTop": "0",
    "backgroundColor": "#ffffff"
  },
  "open_account_tip": {
    "paddingTop": "10",
    "paddingRight": "10",
    "paddingBottom": "10",
    "paddingLeft": "10",
    "color": "#59a7fa",
    "fontSize": "28"
  },
  "open_account_bank_name": {
    "paddingTop": "10",
    "paddingRight": "10",
    "paddingBottom": "10",
    "paddingLeft": "10",
    "marginTop": "10",
    "color": "#323232",
    "fontSize": "28"
  },
  "open_id_card_div": {
    "paddingLeft": "15",
    "paddingRight": "15",
    "justifyContent": "space-between",
    "alignItems": "center",
    "flexDirection": "row"
  },
  "open_id_card_img": {
    "width": "348",
    "height": "242"
  },
  "sysList": {
    "backgroundColor": "#ffffff",
    "marginTop": "20",
    "marginRight": "10",
    "marginBottom": 0,
    "marginLeft": "10"
  },
  "period-cell": {
    "borderBottomWidth": "1",
    "borderColor": "#cccccc"
  },
  "cell-label": {
    "marginTop": "30"
  },
  "label-text": {
    "marginLeft": "30",
    "fontSize": "28"
  },
  "cell-title": {
    "alignItems": "center",
    "textAlign": "right",
    "flexDirection": "row",
    "justifyContent": "center",
    "marginBottom": "20"
  },
  "open_item_text": {
    "fontSize": "28",
    "marginTop": "18",
    "marginRight": "15",
    "marginBottom": 0,
    "marginLeft": "15",
    "color": "#979797"
  },
  "input_date": {
    "marginTop": "10",
    "fontSize": "28",
    "height": "40",
    "width": "240",
    "color": "#323232"
  },
  "open_long_btn": {
    "width": "120",
    "height": "60",
    "backgroundColor": "#59a7fa",
    "borderRadius": "10",
    "alignItems": "center",
    "justifyContent": "center"
  },
  "open_long_btn_txt": {
    "color": "#FFFFFF",
    "fontSize": "28"
  },
  "open_check_code_btn": {
    "width": "180",
    "height": "60"
  },
  "open_xy_content": {
    "marginTop": "30",
    "marginLeft": "30",
    "flexDirection": "row",
    "justifyContent": "center",
    "alignItems": "center"
  },
  "open_xy": {
    "flexDirection": "column",
    "textAlign": "center"
  },
  "open_xy_title": {
    "color": "#323232",
    "fontSize": "28"
  },
  "open_xy_txt": {
    "color": "#59a7fa",
    "fontSize": "28",
    "textAlign": "center"
  },
  "open-btn": {
    "marginTop": "30",
    "marginRight": "50",
    "marginBottom": "30",
    "marginLeft": "50",
    "height": "80",
    "textAlign": "center"
  },
  "input": {
    "marginBottom": "20",
    "borderLeftWidth": 0,
    "borderTopWidth": 0,
    "borderRightWidth": 0
  }
}

/***/ }),

/***/ 445:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
    value: true
});

var _regenerator = __webpack_require__(38);

var _regenerator2 = _interopRequireDefault(_regenerator);

var _lklHeader = __webpack_require__(5);

var _lklHeader2 = _interopRequireDefault(_lklHeader);

var _lklField = __webpack_require__(33);

var _lklField2 = _interopRequireDefault(_lklField);

var _lklButton = __webpack_require__(9);

var _lklButton2 = _interopRequireDefault(_lklButton);

var _lklCheckbox = __webpack_require__(54);

var _lklCheckbox2 = _interopRequireDefault(_lklCheckbox);

var _rules = __webpack_require__(32);

var _rules2 = _interopRequireDefault(_rules);

var _utils = __webpack_require__(31);

var _utils2 = _interopRequireDefault(_utils);

var _config = __webpack_require__(0);

var _config2 = _interopRequireDefault(_config);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _asyncToGenerator(fn) { return function () { var gen = fn.apply(this, arguments); return new Promise(function (resolve, reject) { function step(key, arg) { try { var info = gen[key](arg); var value = info.value; } catch (error) { reject(error); return; } if (info.done) { resolve(value); } else { return Promise.resolve(value).then(function (value) { step("next", value); }, function (err) { step("throw", err); }); } } return step("next"); }); }; } //
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
    components: {
        LklHeader: _lklHeader2.default, LklField: _lklField2.default, LklButton: _lklButton2.default, LklCheckbox: _lklCheckbox2.default
    },
    data: function data() {
        return {
            tvName: '', //用户名
            tvIdcardNo: '', //身份证号
            tvBankNo: '', //银行卡号
            vName: '', //用户名
            vIdcardNo: '', //身份证号
            vBankNo: '', //银行卡号
            authSmsCode: '',
            verifyCode: '',
            shopNo: '',
            loginName: '',
            secondInfoBean: Object,
            remainTime: 0,
            dxyzm: false,
            showBar: true,

            etIdcardAddress: '',
            etPeriodStart: '',
            etPeriodEnd: '',
            office: '',
            bitmapFrontCard: 'reslocal://assets/img/mine/front_id_card.png',
            bitmapFrontCardBool: false,
            bitmapBackCard: 'reslocal://assets/img/mine/reverse_id_card.png',
            bitmapBackCardBool: false,
            btoken: '',
            phoneNo: '',
            xyBox: false
        };
    },

    props: {},
    created: function created() {
        var mobile = this.$storage.getData("mobile").mobile || "";
        this.loginName = mobile;
        this.shopNo = this.$storage.getData("defaultMerInfo").shopNo || '';
        this.secondMsg();
        // this.$navigator.param(data => {
        //     this.loginName = data.loginName;
        //     this.shopNo = data.shopNo;
        //
        // });
    },

    computed: {
        phoneCodeTips: function phoneCodeTips() {
            return this.remainTime ? this.remainTime + '秒后重发' : '获取验证码';
        },
        verifyBtnDisabled: function verifyBtnDisabled() {
            return this.remainTime === 0 ? false : true;
        }
    },
    methods: {
        getImgBaseData: function getImgBaseData(imgpath) {
            var _this = this;

            return new Promise(function (resolve, reject) {
                _this.$image.getBase64(imgpath, function (data) {
                    resolve(data);
                });
            });
        },
        secondMsg: function secondMsg() {
            var _this2 = this;

            var params = {
                loginName: this.loginName,
                shopNo: this.shopNo
            };
            this.$fetch({
                method: "POST",
                url: "api/qr/finance/info",
                params: params
            }).then(function (res) {
                if (res.retCode === "000000") {
                    _this2.secondInfoBean = res.retData;
                    if (_this2.secondInfoBean !== 'undefined' && _this2.secondInfoBean.realName !== 'undefined') {
                        _this2.vName = _this2.secondInfoBean.realName;
                        _this2.vIdcardNo = _this2.secondInfoBean.idNo;
                        _this2.vBankNo = _this2.secondInfoBean.bankCardNo;

                        _this2.tvName = _utils2.default.formatNameWithStar(_this2.secondInfoBean.realName);
                        _this2.tvIdcardNo = _utils2.default.idCardNumberMark(_this2.secondInfoBean.idNo);
                        _this2.tvBankNo = _utils2.default.maskBankCard(_this2.secondInfoBean.bankCardNo);
                    }
                } else {
                    _this2.$notice.toast({ message: res.retMsg });
                }
            }).catch(function (error) {
                _this2.$notice.toast({ message: "请求异常，请稍后再试" });
            });
        },

        //获取验证码
        getAuthCode: function getAuthCode() {
            var _this3 = this;

            if (this.phoneNum === '') {
                this.$notice.toast({
                    message: '请输入手机号码'
                });
                return false;
            }
            if (!_rules2.default.mobile.regexp.test(this.phoneNum)) {
                this.$notice.toast({
                    message: _rules2.default.mobile.message
                });
                return false;
            }
            var data = {
                mobileNum: this.phoneNum,
                checkCodeType: "FINANCE_OPEN"
            };
            this.timeCount(60); // 进行倒计时
            this.$fetch({
                method: "POST",
                url: "api/qr/checkcode/getCheckcode",
                params: data
            }).then(function (res) {
                if (res.retCode === '000000') {
                    _this3.$notice.toast({
                        message: '验证码已发送'
                    });
                    _this3.btoken = res.retData.btoken;
                } else {
                    _this3.$notice.toast({ message: res.retMsg });
                }
            });
        },
        onLongDate: function onLongDate() {
            this.etPeriodEnd = '9999-12-31';
        },
        verifyBtnDisabled: function verifyBtnDisabled() {
            return this.remainTime === 0 ? false : true;
        },
        timeCount: function timeCount(interval) {
            var _this4 = this;

            var delay = interval || 60; // 秒
            this.timer && clearInterval(this.timer);
            this.timer = setInterval(function () {
                _this4.remainTime = --delay;
                if (!delay) {
                    clearInterval(_this4.timer);
                }
            }, 1000);
        },
        idfrontCard: function idfrontCard() {
            var _this5 = this;

            this.$ocr.idCardRecognize(true, function (res) {
                _this5.bitmapFrontCard = res.image;
                _this5.etIdcardAddress = res.address;
                _this5.bitmapFrontCardBool = true;
            });
        },
        idreverseCard: function idreverseCard() {
            var _this6 = this;

            this.$ocr.idCardRecognize(false, function (res) {
                if (res) {
                    _this6.bitmapBackCard = res.image;
                    _this6.bitmapBackCardBool = true;
                    _this6.etPeriodEnd = _this6.formatIDCardExpire(res.validdate);
                    _this6.etPeriodStart = _this6.formatIDCardExpireStart(res.validdate);
                    _this6.office = res.office;
                } else {
                    _this6.$notice.toast({ message: '请扫描身份证反面' });
                }
            });
        },

        //格式化后面身份证
        formatIDCardExpire: function formatIDCardExpire(valideDate) {
            if (this.empty(valideDate)) {
                return valideDate;
            }
            var arr = valideDate.split('-');
            var str1 = arr[1];
            if (this.empty(str1) || str1.length < 8) {
                return valideDate;
            }
            return str1.substring(0, 4) + "-" + str1.substring(4, 6) + "-" + str1.substring(6, 8);
        },
        formatIDCardExpireStart: function formatIDCardExpireStart(valideDate) {
            if (this.empty(valideDate)) {
                return valideDate;
            }
            var arr = valideDate.split('-');
            var str1 = arr[0];
            if (this.empty(str1) || str1.length < 8) {
                return valideDate;
            }
            return str1.substring(0, 4) + "-" + str1.substring(4, 6) + "-" + str1.substring(6, 8);
        },
        openSecondAccount: function openSecondAccount() {
            if (!this.bitmapFrontCardBool) {
                this.$notice.toast({
                    message: '请扫描身份证正面照片！'
                });
                return;
            }
            if (!this.bitmapBackCardBool) {
                this.$notice.toast({
                    message: '请请扫描身份证反面照片！'
                });
                return;
            }
            if (this.empty(this.etPeriodStart)) {
                this.$notice.toast({
                    message: '请将身份证有效期补充完整！'
                });
                return;
            }
            if (this.empty(this.etPeriodStart)) {
                this.$notice.toast({
                    message: '请将身份证有效期补充完整！'
                });
                return;
            }
            if (this.empty(this.etPeriodEnd)) {
                this.$notice.toast({
                    message: '请将身份证有效期补充完整！'
                });
                return;
            }
            if (this.empty(this.etIdcardAddress)) {
                this.$notice.toast({
                    message: '请将身份证有效期补充完整！'
                });
                return;
            }
            if (this.empty(this.etIdcardAddress)) {
                this.$notice.toast({
                    message: '请将身份证地址补充完整！'
                });
                return;
            }
            if (this.empty(this.office)) {
                this.$notice.toast({
                    message: '请将发证机关补充完整！'
                });
                return;
            }

            if (this.empty(this.btoken)) {
                this.$notice.toast({
                    message: '请先获取短信验证码！！'
                });
                return;
            }
            if (this.empty(this.verifyCode)) {
                this.$notice.toast({
                    message: '验证码错误！！'
                });
                return;
            }
            if (this.xyBox == false) {
                this.$notice.toast({ message: "请您阅读并同意商户协议！" });
                return false;
            }
            this.check();
        },
        check: function check() {
            var _this7 = this;

            //this.btoken
            this.$fetch({
                method: "GET",
                url: "api/qr/checkcode/check" + "?btoken=" + this.btoken + "&checkCode=" + this.verifyCode + "&mobileNum=" + this.phoneNum + '&checkCodeType=FINANCE_OPEN'
            }).then(function (res) {
                if (res.retCode === '000000') {
                    var vboken = res.retData.btoken;
                    _this7.open(vboken);
                } else {
                    _this7.$notice.toast({ message: res.retMsg });
                }
            });
        },
        open: function open(str) {
            var _this8 = this;

            return _asyncToGenerator( /*#__PURE__*/_regenerator2.default.mark(function _callee() {
                var frontData, backData, data;
                return _regenerator2.default.wrap(function _callee$(_context) {
                    while (1) {
                        switch (_context.prev = _context.next) {
                            case 0:
                                _context.next = 2;
                                return _this8.getImgBaseData(_this8.bitmapFrontCard);

                            case 2:
                                frontData = _context.sent;
                                _context.next = 5;
                                return _this8.getImgBaseData(_this8.bitmapBackCard);

                            case 5:
                                backData = _context.sent;
                                data = {
                                    loginName: _this8.loginName,
                                    shopNo: _this8.shopNo,
                                    realName: _this8.vName,
                                    idNo: _this8.vIdcardNo,
                                    bankCardNo: _this8.vBankNo,
                                    certStartDate: _this8.etPeriodStart,
                                    certEndDate: _this8.etPeriodEnd,
                                    certAddress: _this8.etIdcardAddress,
                                    certOrg: _this8.office,
                                    certPhotoFront: frontData,
                                    certPhotoBack: backData,
                                    btoken: str,
                                    phoneNo: _this8.phoneNum
                                };


                                _this8.$fetch({
                                    method: "POST",
                                    url: "api/qr/finance/open",
                                    params: data
                                }).then(function (res) {
                                    if (res.retCode === '000000') {
                                        _this8.$navigator.push({
                                            url: "secondaccount/index.js",
                                            params: {
                                                loginName: _this8.loginName,
                                                shopNo: _this8.shopNo,
                                                newOpen: true
                                            }
                                        });
                                        _this8.$navigator.cleanPage(["secondaccount/open.js"]);
                                        var ubChannel = new BroadcastChannel('updateBalanceChannel');
                                        ubChannel.postMessage('updateBalanceChannel');
                                    } else {
                                        _this8.$notice.toast({ message: res.retMsg });
                                    }
                                });

                            case 8:
                            case 'end':
                                return _context.stop();
                        }
                    }
                }, _callee, _this8);
            }))();
        },
        empty: function empty(str) {
            if (str === '' || str === 'undefined' || str === null) {
                return true;
            }
            return false;
        },
        onAgreementJr: function onAgreementJr() {
            this.$appTool.gotoBaseWebView(_config2.default.AGREEMENT_USER_FINANCIAL_SERVICE, '', '个人综合金融服务协议');
        },
        onAgreementzh: function onAgreementzh() {
            this.$appTool.gotoBaseWebView(_config2.default.AGREEMENT_BANKACCOUNT_ENTRUSTMENT, '', '银行账户委托开户服务协议');
        }
    }
};

/***/ }),

/***/ 446:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["container"]
  }, [_c('lkl-header', {
    attrs: {
      "title": "开通账户"
    }
  }), _c('scroller', {
    attrs: {
      "showScrollbar": false
    }
  }, [_c('text', {
    staticClass: ["open_account_tip"]
  }, [_vm._v("应银行的要求,需现开通银行电子账户,通过电子账户与银行直接进行交易,资金安全有保障")]), _c('div', {
    staticClass: ["container_content"]
  }, [_c('text', {
    staticClass: ["open_account_bank_name"]
  }, [_vm._v("包农商银行账户开户")]), _c('div', {
    staticClass: ["open_id_card_div"]
  }, [_c('div', {
    on: {
      "click": _vm.idfrontCard
    }
  }, [_c('image', {
    staticClass: ["open_id_card_img"],
    attrs: {
      "resize": "cover",
      "src": _vm.bitmapFrontCard
    }
  })]), _c('div', {
    on: {
      "click": _vm.idreverseCard
    }
  }, [_c('image', {
    staticClass: ["open_id_card_img"],
    attrs: {
      "resize": "cover",
      "src": _vm.bitmapBackCard
    }
  })])]), _c('div', {
    staticClass: ["sysList"]
  }, [_c('lkl-field', {
    attrs: {
      "placeholder": "请输入姓名",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "label": "姓名"
    },
    model: {
      value: (_vm.tvName),
      callback: function($$v) {
        _vm.tvName = $$v
      },
      expression: "tvName"
    }
  }), _c('lkl-field', {
    attrs: {
      "placeholder": "请输入身份证号",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "label": "身份证号"
    },
    model: {
      value: (_vm.tvIdcardNo),
      callback: function($$v) {
        _vm.tvIdcardNo = $$v
      },
      expression: "tvIdcardNo"
    }
  }), _c('lkl-field', {
    attrs: {
      "placeholder": "请将身份证地址补充完整",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "label": "身份证地址"
    },
    model: {
      value: (_vm.etIdcardAddress),
      callback: function($$v) {
        _vm.etIdcardAddress = $$v
      },
      expression: "etIdcardAddress"
    }
  }), _c('div', {
    staticClass: ["period-cell"]
  }, [_vm._m(0), _c('div', {
    staticClass: ["cell-title"]
  }, [_c('input', {
    staticClass: ["input_date"],
    attrs: {
      "placeholder": "YYYY-MM-DD",
      "type": "date",
      "maxlength": "10",
      "value": (_vm.etPeriodStart)
    },
    on: {
      "input": function($event) {
        _vm.etPeriodStart = $event.target.attr.value
      }
    }
  }), _c('text', {
    staticClass: ["open_item_text"]
  }, [_vm._v("至")]), _c('input', {
    staticClass: ["input_date"],
    attrs: {
      "placeholder": "YYYY-MM-DD",
      "type": "date",
      "maxlength": "10",
      "value": (_vm.etPeriodEnd)
    },
    on: {
      "input": function($event) {
        _vm.etPeriodEnd = $event.target.attr.value
      }
    }
  }), _c('div', {
    staticClass: ["open_long_btn"],
    on: {
      "click": _vm.onLongDate
    }
  }, [_c('text', {
    staticClass: ["open_long_btn_txt"]
  }, [_vm._v("长期")])])])]), _c('lkl-field', {
    attrs: {
      "placeholder": "请将发证机关补充完整",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "label": "发证机关"
    },
    model: {
      value: (_vm.office),
      callback: function($$v) {
        _vm.office = $$v
      },
      expression: "office"
    }
  }), _c('lkl-field', {
    attrs: {
      "placeholder": "请输入银行卡卡号",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "label": "银行卡卡号"
    },
    model: {
      value: (_vm.tvBankNo),
      callback: function($$v) {
        _vm.tvBankNo = $$v
      },
      expression: "tvBankNo"
    }
  }), _c('lkl-field', {
    attrs: {
      "placeholder": "请完善银行预留手机号",
      "maxlength": "11",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "type": "number",
      "label": "手机号"
    },
    model: {
      value: (_vm.phoneNum),
      callback: function($$v) {
        _vm.phoneNum = $$v
      },
      expression: "phoneNum"
    }
  }), _c('lkl-field', {
    attrs: {
      "placeholder": "请输入短信验证码",
      "maxlength": "6",
      "fieldStyle": {
        width: "730px",
        height: "104px"
      },
      "align": "right",
      "type": "number",
      "label": "短信验证码"
    },
    model: {
      value: (_vm.verifyCode),
      callback: function($$v) {
        _vm.verifyCode = $$v
      },
      expression: "verifyCode"
    }
  }, [_c('lkl-button', {
    attrs: {
      "type": "blue",
      "size": "small",
      "disabled": _vm.remainTime === 0 ? false : true
    },
    on: {
      "wxClick": _vm.getAuthCode
    }
  }, [_vm._v(_vm._s(_vm.phoneCodeTips))])], 1)], 1)]), _c('div', {
    staticClass: ["open_xy_content"]
  }, [_c('lkl-checkbox', {
    attrs: {
      "align": "right",
      "text": "我已阅读并同意签署"
    },
    model: {
      value: (_vm.xyBox),
      callback: function($$v) {
        _vm.xyBox = $$v
      },
      expression: "xyBox"
    }
  }), _c('div', {
    staticClass: ["open_xy"]
  }, [_c('text', {
    staticClass: ["open_xy_txt"],
    on: {
      "click": _vm.onAgreementJr
    }
  }, [_vm._v("《个人综合金融服务协议》")]), _c('text', {
    staticClass: ["open_xy_txt"],
    on: {
      "click": _vm.onAgreementzh
    }
  }, [_vm._v("《银行账户委托开户服务协议》")])])], 1), _c('lkl-button', {
    staticClass: ["open-btn"],
    attrs: {
      "btnStyle": {
        width: '650px'
      }
    },
    on: {
      "wxClick": _vm.openSecondAccount
    }
  }, [_vm._v("立即开通")])], 1)], 1)
},staticRenderFns: [function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["cell-label"]
  }, [_c('text', {
    staticClass: ["label-text"]
  }, [_vm._v("身份证有效期")])])
}]}
module.exports.render._withStripped = true

/***/ }),

/***/ 5:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(6)
)

/* script */
__vue_exports__ = __webpack_require__(7)

/* template */
var __vue_template__ = __webpack_require__(8)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-header/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-782795e0"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 54:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(55)
)

/* script */
__vue_exports__ = __webpack_require__(56)

/* template */
var __vue_template__ = __webpack_require__(57)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-checkbox/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-07040596"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ }),

/***/ 55:
/***/ (function(module, exports) {

module.exports = {
  "lkl-checkbox": {
    "flexDirection": "row",
    "alignItems": "center"
  },
  "lkl-text": {
    "color": "#999999",
    "fontSize": "28"
  },
  "align-right": {
    "paddingLeft": "16"
  },
  "align-left": {
    "paddingRight": "16"
  },
  "lkl-box": {
    "borderWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#489de7",
    "backgroundColor": "#ffffff"
  },
  "checked": {
    "position": "absolute",
    "borderBottomWidth": "2",
    "borderBottomStyle": "solid",
    "borderRightWidth": "2",
    "borderRightStyle": "solid",
    "transform": "rotate(45deg)"
  }
}

/***/ }),

/***/ 56:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

exports.default = {
  props: {
    defaultChecked: {
      type: Boolean,
      default: false
    },
    disabled: {
      type: Boolean,
      default: false
    },
    titleStyle: {
      type: Object,
      default: function _default() {
        return {};
      }
    },
    text: {
      type: String,
      default: ''
    },
    align: {
      type: String,
      // left or right
      default: 'left'
    },
    checkedColor: {
      type: String,
      default: '#489de7'
    },
    size: {
      type: String,
      default: 'small'
    }
  },
  data: function data() {
    return {
      checked: false,
      boxSize: {
        big: {
          width: '45px',
          height: '45px'
        },
        small: {
          width: '25px',
          height: '25px'
        }
      },
      checkedSize: {
        big: {
          top: '-5px',
          left: '11px',
          width: '20px',
          height: '40px'
        },
        small: {
          top: '-2px',
          left: '7px',
          width: '11px',
          height: '21px'
        }
      }
    };
  },

  watch: {
    defaultChecked: function defaultChecked(newval) {
      this.checked = this.defaultChecked;
    }
  },
  created: function created() {
    this.checked = this.defaultChecked;
  },

  computed: {
    boxStyle: function boxStyle() {
      var checkedBoxStyle = {
        'backgroundColor': this.checked ? this.checkedColor : '#FFFFFF'
      };
      var boxStyle = _extends({}, checkedBoxStyle, this.boxSize[this.size]);
      return boxStyle;
    },
    checkedStyle: function checkedStyle() {
      var borderStyle = {
        'border-right-color': '#FFFFFF',
        'border-bottom-color': '#FFFFFF'
      };
      var checkedStyle = _extends({}, borderStyle, this.checkedSize[this.size]);
      return checkedStyle;
    }
  },
  methods: {
    handleClick: function handleClick() {
      if (this.disabled) return;
      this.checked = !this.checked;
      this.$emit('input', this.checked);
      this.$emit('wxChange', this.checked);
    }
  }
};

/***/ }),

/***/ 57:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-checkbox"],
    on: {
      "click": _vm.handleClick
    }
  }, [(_vm.align === 'left') ? _c('text', {
    staticClass: ["lkl-text", "align-left"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.text))]) : _vm._e(), _c('div', {
    staticClass: ["lkl-box"],
    style: _vm.boxStyle
  }, [(_vm.checked && !_vm.disabled) ? _c('div', {
    staticClass: ["checked"],
    style: _vm.checkedStyle
  }) : _vm._e()]), (_vm.align === 'right') ? _c('text', {
    staticClass: ["lkl-text", "align-right"],
    style: _vm.titleStyle
  }, [_vm._v(_vm._s(_vm.text))]) : _vm._e()])
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 6:
/***/ (function(module, exports) {

module.exports = {
  "lkl-header": {
    "width": "750",
    "flexDirection": "row",
    "justifyContent": "space-between",
    "alignItems": "center",
    "height": "100"
  },
  "bottom-border": {
    "borderBottomWidth": "1",
    "borderStyle": "solid",
    "borderColor": "#DCDCDC"
  },
  "no-border": {
    "borderBottomWidth": "0"
  },
  "middle-title": {
    "fontSize": "34",
    "textAlign": "center",
    "color": "#333333",
    "height": "44",
    "lineHeight": "44",
    "fontWeight": "700"
  },
  "left": {
    "width": "188",
    "flexDirection": "row",
    "alignItems": "center",
    "paddingLeft": "30"
  },
  "right": {
    "width": "188",
    "paddingRight": "30",
    "alignItems": "flex-end"
  },
  "icon-text": {
    "fontSize": "28",
    "color": "#000000"
  },
  "icon-font": {
    "fontFamily": "iconfont",
    "fontSize": "48",
    "color": "#000000"
  }
}

/***/ }),

/***/ 7:
/***/ (function(module, exports, __webpack_require__) {

"use strict";


Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//
//

var dom = weex.requireModule('dom');
exports.default = {
  props: {
    hasBack: {
      type: Boolean,
      default: true
    },
    hasRight: {
      type: Boolean,
      default: false
    },
    leftText: {
      type: String,
      default: ''
    },
    rightText: {
      type: String,
      default: ''
    },
    title: {
      type: String,
      default: ''
    },
    hasBottom: {
      type: Boolean,
      default: true
    },
    textColor: {
      type: String,
      default: '#000000'
    },
    leftTextColor: {
      type: String,
      default: '#8a8a8a'
    },
    rightTextColor: {
      type: String,
      default: '#000000'
    },
    iconRight: {
      type: String,
      default: ''
    },
    useDefaultReturn: {
      type: Boolean,
      default: true
    },
    styles: {
      type: Object
    },
    backgroundColor: {
      type: String,
      default: '#ffffff'
    }
  },
  data: function data() {
    return {
      iconText: '\uE602',
      disable: false
    };
  },

  computed: {
    titleStyle: function titleStyle() {
      var backgroundColor = this.backgroundColor,
          styles = this.styles;

      return _extends({
        backgroundColor: backgroundColor
      }, styles);
    }
  },
  beforeCreate: function beforeCreate() {
    dom.addRule('fontFace', {
      'fontFamily': 'iconfont',
      // 'src': "url('/assets/iconfont/common-iconfont.ttf')",
      'src': "url('/assets/iconfont/shticonfont.ttf')"
      // 'src': "url('http://at.alicdn.com/t/font_649627_sg8ieichykg.ttf')"
    });
  },

  methods: {
    leftBtnClick: function leftBtnClick(e) {
      if (this.useDefaultReturn) {
        if (this.disable) {
          return;
        }
        this.disable = true;
        this.$navigator.pop();
      } else {
        this.$emit('wxBack', e);
      }
    },
    rightBtnClick: function rightBtnClick(e) {
      var hasRight = this.rightText || this.$slots && this.$slots.right || this.iconRight;
      hasRight && this.$emit('rightBtnClick', e);
    }
  }
};

/***/ }),

/***/ 8:
/***/ (function(module, exports) {

module.exports={render:function (){var _vm=this;var _h=_vm.$createElement;var _c=_vm._self._c||_h;
  return _c('div', {
    staticClass: ["lkl-header"],
    class: [_vm.hasBottom ? 'bottom-border' : 'no-border'],
    style: _vm.titleStyle
  }, [_c('div', {
    staticClass: ["left"],
    on: {
      "click": _vm.leftBtnClick
    }
  }, [(_vm.hasBack) ? _vm._t("left", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconText))]), _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.leftTextColor
    }
  }, [_vm._v(_vm._s(_vm.leftText))])]) : _vm._e()], 2), _vm._t("middle", [_c('text', {
    staticClass: ["middle-title"],
    style: {
      color: _vm.textColor
    }
  }, [_vm._v(_vm._s(_vm.title))])]), _c('div', {
    staticClass: ["right"],
    on: {
      "click": _vm.rightBtnClick
    }
  }, [(_vm.hasRight) ? _vm._t("right", [_c('text', {
    staticClass: ["icon-font"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.iconRight))]), (_vm.rightText) ? _c('text', {
    staticClass: ["icon-text"],
    style: {
      color: _vm.rightTextColor
    }
  }, [_vm._v(_vm._s(_vm.rightText))]) : _vm._e()]) : _vm._e()], 2)], 2)
},staticRenderFns: []}
module.exports.render._withStripped = true

/***/ }),

/***/ 9:
/***/ (function(module, exports, __webpack_require__) {

var __vue_exports__, __vue_options__
var __vue_styles__ = []

/* styles */
__vue_styles__.push(__webpack_require__(10)
)

/* script */
__vue_exports__ = __webpack_require__(11)

/* template */
var __vue_template__ = __webpack_require__(13)
__vue_options__ = __vue_exports__ = __vue_exports__ || {}
if (
  typeof __vue_exports__.default === "object" ||
  typeof __vue_exports__.default === "function"
) {
if (Object.keys(__vue_exports__).some(function (key) { return key !== "default" && key !== "__esModule" })) {console.error("named exports are not supported in *.vue files.")}
__vue_options__ = __vue_exports__ = __vue_exports__.default
}
if (typeof __vue_options__ === "function") {
  __vue_options__ = __vue_options__.options
}
__vue_options__.__file = "/Users/haoyingjie/Desktop/拉卡拉/商户通重构/lkl-zf-ss-sht-standard-web/src/components/lkl-button/index.vue"
__vue_options__.render = __vue_template__.render
__vue_options__.staticRenderFns = __vue_template__.staticRenderFns
__vue_options__._scopeId = "data-v-71771045"
__vue_options__.style = __vue_options__.style || {}
__vue_styles__.forEach(function (module) {
  for (var name in module) {
    __vue_options__.style[name] = module[name]
  }
})
if (typeof __register_static_styles__ === "function") {
  __register_static_styles__(__vue_options__._scopeId, __vue_styles__)
}

module.exports = __vue_exports__


/***/ })

/******/ });